// 指定当前类所在的包路径，这是Java中组织类的一种方式，有助于类的管理和访问控制。
package lsgwr.exam;
// 导入Spring Boot的启动类和应用配置自动装配的注解类。
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
// @SpringBootApplication是一个方便的注解，它包括了@Configuration，@EnableAutoConfiguration，和@ComponentScan注解。
// 它告诉Spring Boot基于当前类所在包及其子包下的组件来启动自动配置和组件扫描。
@SpringBootApplication
public class ExamApplication {
    // main方法是Java应用程序的入口点。当运行这个类时，JVM会调用这个方法。
    public static void main(String[] args)
    {
        // SpringApplication.run方法启动Spring应用，传入ExamApplication.class（当前启动类）和main方法的参数args。
        // 这个方法会执行一系列的操作，包括启动Spring容器，加载应用上下文，自动配置等。
        SpringApplication.run(ExamApplication.class, args);
    }
}
