/***********************************************************
 * @Description : 考试得分级别
 * @author      : 梁山广(Laing Shan Guang)
 * @date        : 2019/5/14 07:44
 * @email       : liangshanguang2@gmail.com
 ***********************************************************/
package lsgwr.exam.entity;


import lombok.Data;// 引入Lombok库中的@Data注解，用于自动生成getter、setter、toString、equals和hashCode方法

import javax.persistence.Entity;// 引入JPA（Java Persistence API）中的@Entity注解，标识这是一个实体类，与数据库中的表相对应
import javax.persistence.GeneratedValue;// 引入JPA中的@GeneratedValue注解，用于指定主键的生成策略，这里未明确指定策略，将使用默认策略
import javax.persistence.Id;// 引入JPA中的@Id注解，标识实体类的主键字段
// 使用@Data注解自动生成getter、setter等方法
@Data
// 使用@Entity注解标识这是一个JPA实体类
@Entity
public class ExamRecordLevel {
    // 考试记录等级的ID，是主键，通过@Id注解标识，并通过@GeneratedValue注解指定主键生成策略
    @Id
    @GeneratedValue
    private Integer examRecordLevelId;
    // 考试记录等级的名称，用于标识等级，如“优秀”、“良好”等
    private String examRecordLevelName;
    // 考试记录等级的描述，用于对等级进行更详细的说明
    private String examRecordLevelDescription;
}