/***********************************************************
 * @Description : 题目难度等级，比如难、中、易等
 * @author      : 梁山广(Laing Shan Guang)
 * @date        : 2019/5/14 07:47
 * @email       : liangshanguang2@gmail.com
 ***********************************************************/
package lsgwr.exam.entity;


import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;

/**
 * 题目难度等级实体类，用于表示题目的难度级别信息，如难、中、易等。
 */
@Entity
@Data
public class QuestionLevel {
    /**
     * 题目难度等级ID，自增
     */
    @Id
    @GeneratedValue
    @JsonProperty("id")
    private Integer questionLevelId;
    /**
     * 题目难度等级名称，如难、中、易等
     */
    @JsonProperty("name")
    private String questionLevelName;
    /**
     * 题目难度等级描述
     */
    @JsonProperty("description")
    private String questionLevelDescription;
}
