/***********************************************************
 * @Description : 用户角色表
 * @author      : 梁山广(Laing Shan Guang)
 * @date        : 2019/5/14 07:49
 * @email       : liangshanguang2@gmail.com
 ***********************************************************/
package lsgwr.exam.entity;


import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;

/**
 * 角色实体类
 * 用于表示系统中的角色信息，包括角色的ID、名称、描述和详细信息等
 */
@Data
@Entity
public class Role {
    /**
     * 角色ID
     * @Id标识为主键
     */
    @Id
    @GeneratedValue
    private Integer roleId;
    /**
     * 角色名称
     */
    private String roleName;
    /**
     * 角色描述
     */
    private String roleDescription;
    /**
     * 角色详细信息
     */
    private String roleDetail;
    /**
     * 角色所能访问的页面的主键集合(用-连接起来字符串)
     */
    private String rolePageIds;
}
