/***********************************************************
 * @Description : 
 * @author      : 梁山广(Laing Shan Guang)
 * @date        : 2019-05-14 08:22
 * @email       : liangshanguang2@gmail.com
 ***********************************************************/
package lsgwr.exam.repository;

import lsgwr.exam.entity.Exam;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

// ExamRepository接口，继承JpaRepository接口，用于操作Exam实体类
public interface ExamRepository extends JpaRepository<Exam, String> {
    // 使用JPQL查询语句，查询Exam实体类，按照updateTime降序排列
    @Query("select e from Exam e order by e.updateTime desc")
    List<Exam> findAll();
}
