/***********************************************************
 * @Description : 考试卡片列表
 * @author      : 梁山广(Laing Shan Guang)
 * @date        : 2019-06-23 19:30
 * @email       : liangshanguang2@gmail.com
 ***********************************************************/
package lsgwr.exam.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
/**
 * @Description: 用于表示考试卡片的信息,这个类可以很方便地与JSON数据绑定
 * 用于从API响应中解析考试卡片信息,将考试卡片信息序列化为JSON格式发送到服务器
 * Lombok库的@Data注解用于自动生成getter和setter方法
 * Jackson库的@JsonProperty注解用于指定JSON序列化和反序列化时使用的属性名称。
 */
@Data
public class ExamCardVo {
    @JsonProperty("id")
    private String examId;
    /**
     * 考试名称
     */
    @JsonProperty("title")
    private String examName;
    /**
     * 考试头像
     */
    @JsonProperty("avatar")
    private String examAvatar;
    /**
     * 考试描述
     */
    @JsonProperty("content")
    private String examDescription;
    /**
     * 考试分数
     */
    @JsonProperty("score")
    private Integer examScore;// 考试的分数
    /**
     * 考试限制的时间，单位为分钟
     */
    @JsonProperty("elapse")
    private Integer examTimeLimit;// 考试的时间限制，以分钟为单位
}
