/***********************************************************
 * @Description : 考试中的题目
 * @author      : 梁山广(Laing Shan Guang)
 * @date        : 2019-06-17 23:10
 * @email       : liangshanguang2@gmail.com
 ***********************************************************/
package lsgwr.exam.vo;// 定义包名，用于组织类文件，避免命名冲突
// 导入Jackson库的JsonProperty注解，用于JSON序列化时自定义字段名
import com.fasterxml.jackson.annotation.JsonProperty;
// 导入Lombok库的Data注解，用于自动生成getter、setter、equals、hashCode和toString方法
import lombok.Data;
// 使用Lombok的@Data注解，自动为该类生成getter、setter等方法
@Data
public class ExamQuestionSelectVo {
    /**
     * 问题的唯一标识符，在JSON序列化时，该字段的名称被指定为"id"
     * 这通常用于前端向后端发送请求时，标识特定的选择题
     */
    @JsonProperty("id")
    private String questionId;
    /**
     * 问题的名称，在JSON序列化时，该字段的名称被指定为"name"
     * 这通常用于在前端显示问题的名称
     */
    @JsonProperty("name")
    private String questionName;

    /**
     * 这个问题是否被选为了考试中的题目。默认值是false，表示未被选中。
     * 当前端用户进行选择后，该值可能会变为true，并随请求发送回后端，
     * 用于在创建或更新考试时，确定哪些问题被包含在内。
     * 在JSON序列化时，该字段的名称被指定为"checked"。
     */
    @JsonProperty("checked")
    private Boolean checked = false;
}
