/***********************************************************
 * @Description : 按照单选、多选和判断题返回对应的问题列表
 * @author      : 梁山广(Laing Shan Guang)
 * @date        : 2019-06-23 11:00
 * @email       : liangshanguang2@gmail.com
 ***********************************************************/
package lsgwr.exam.vo;// 定义包名，用于组织类文件，避免命名冲突
// 导入Jackson库的JsonProperty注解，用于JSON序列化时自定义字段名
import com.fasterxml.jackson.annotation.JsonProperty;
// 导入Lombok库的Data注解，用于自动生成getter、setter、equals、hashCode和toString方法
import lombok.Data;
// 导入Java的List接口，用于存储对象的集合
import java.util.List;
// 使用Lombok的@Data注解，自动为该类生成getter、setter等方法
@Data
public class ExamQuestionTypeVo {
    /**
     * 单选题列表，包含多个ExamQuestionSelectVo对象，每个对象代表一个单选题。
     * 在JSON序列化时，该字段的名称被指定为"radios"。
     * 注意：这里的"radios"命名可能表示单选按钮（radio buttons）的集合。
     */
    @JsonProperty("radios")
    private List<ExamQuestionSelectVo> examQuestionSelectVoRadioList;
    /**
     * 多选题列表，包含多个ExamQuestionSelectVo对象，每个对象代表一个多选题。
     * 在JSON序列化时，该字段的名称被指定为"checks"。
     * 注意：这里的"checks"命名可能表示复选框（checkboxes）的集合。
     */
    @JsonProperty("checks")
    private List<ExamQuestionSelectVo> examQuestionSelectVoCheckList;
    /**
     * 判断题列表，包含多个ExamQuestionSelectVo对象，每个对象代表一个判断题。
     * 在JSON序列化时，该字段的名称被指定为"judges"。
     * 注意：这里的"judges"命名可能表示判断题（true/false或yes/no）的集合。
     */
    @JsonProperty("judges")
    private List<ExamQuestionSelectVo> examQuestionSelectVoJudgeList;
}
