/***********************************************************
 * @Description : 考试记录VO
 * @author      : 梁山广(Liang Shan Guang)
 * @date        : 2019/10/25 7:42
 * @email       : liangshanguang2@gmail.com
 ***********************************************************/
package lsgwr.exam.vo;// 定义包名，用于组织类文件，避免命名冲突
// 导入相关的实体类
import lsgwr.exam.entity.Exam;// 考试实体类
import lsgwr.exam.entity.ExamRecord; // 考试记录实体类
import lsgwr.exam.entity.User;// 用户实体类
// 导入Lombok库的Data注解，用于自动生成getter、setter、equals、hashCode和toString方法
import lombok.Data;
// 使用Lombok的@Data注解自动生成getter、setter等方法
@Data
public class ExamRecordVo {
    /**
     * 当前考试记录对应的考试。
     * 这个字段包含了考试的详细信息，如考试名称、描述、时间等。
     * 它是一个Exam类型的对象，与数据库中的Exam表相对应。
     */
    private Exam exam;

    /**
     * 当前考试对应的内容（或记录）。
     * 这个字段包含了考试记录的具体信息，如用户的答题情况、得分等。
     * 它是一个ExamRecord类型的对象，与数据库中的ExamRecord表相对应。
     */
    private ExamRecord examRecord;

    /**
     * 参加考试的用户信息。
     * 这个字段包含了用户的详细信息，如用户名、邮箱、头像等。
     * 它是一个User类型的对象，与数据库中的User表相对应。
     */
    private User user;
}
