/***********************************************************
 * @Description : 问题列表反馈给前端的对象
 * @author      : 梁山广(Laing Shan Guang)
 * @date        : 2019-05-28 22:09
 * @email       : liangshanguang2@gmail.com
 ***********************************************************/
package lsgwr.exam.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.util.List;
/**
 * 问题列表反馈给前端的对象
 */
@Data
public class QuestionPageVo {

    /**
     * 分页时每个分页的大小
     */
    private Integer pageSize;

    /**
     * 当前是在第几页，注意要比前端传过来地小1
     */
    private Integer pageNo;

    /**
     * 一共有多少条符合条件的记录
     */
    private Long totalCount;

    /**
     * 一共有多少页
     */
    private Integer totalPage;

    /**
     * 当前页的详细数据
     */
    @JsonProperty("data")
    private List<QuestionVo> questionVoList;
}
