/***********************************************************
 * @Description : 用户信息的前端展示类
 * @author      : 梁山广(Laing Shan Guang)
 * @date        : 2019-05-26 12:59
 * @email       : liangshanguang2@gmail.com
 ***********************************************************/
package lsgwr.exam.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
/**
 * 用户信息展示类
 */
@Data
public class UserInfoVo {
    /**
     * 用户ID，唯一
     */
    @JsonProperty("id")
    private String userId;
    /**
     * 头像URL
     */
    @JsonProperty("avatar")
    private String userAvatar;
    /**
     * 用户名，唯一
     */
    @JsonProperty("name")
    private String userNickname;
    /**
     * 账号，唯一
     */
    @JsonProperty("username")
    private String userUsername;

    /**
     * 密码不用拷贝，免得泄露信息
     */
    private String password = "";

    @JsonProperty("email")
    private String userEmail;

    @JsonProperty("telephone")
    private String userPhone;

    @JsonProperty("roleId")
    private String roleName;

    @JsonProperty("welcome")
    private String userDescription;

    @JsonProperty("role")
    private RoleVo roleVo;
}
