/***********************************************************
 * @Description : 用户信息的展示类,通过JsonProperty来简化返回
 * @author      : 梁山广(Laing Shan Guang)
 * @date        : 2019-05-25 20:32
 * @email       : liangshanguang2@gmail.com
 ***********************************************************/
package lsgwr.exam.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
/**
 * 用户信息展示类
 */
@Data
public class UserVo {
    /**
     * 用户ID
     */
    @JsonProperty("id")
    private String userId;
    /**
     * 用户名
     */
    @JsonProperty("username")
    private String userUsername;
    /**
     * 昵称
     */
    @JsonProperty("nickname")
    private String userNickname;
    /**
     * 角色ID
     */
    @JsonProperty("role")
    private Integer userRoleId;
    /**
     * 头像
     */
    @JsonProperty("avatar")
    private String userAvatar;
    /**
     * 个人简介
     */
    @JsonProperty("description")
    private String userDescription;
    /**
     * 邮箱
     */
    @JsonProperty("email")
    private String userEmail;
    /**
     * 电话
     */
    @JsonProperty("phone")
    private String userPhone;
}
