/*
Navicat MySQL Data Transfer

Source Server         : 129.211.88.191_腾讯云
Source Server Version : 50715
Source Host           : 129.211.88.191:3306
Source Database       : exam

Target Server Type    : MYSQL
Target Server Version : 50715
File Encoding         : 65001

Date: 2020-10-11 21:45:34
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for `action`
-- ----------------------------
DROP TABLE IF EXISTS `action`;
CREATE TABLE `action` (
  `action_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '前端页面操作表主键id',
  `action_name` varchar(64) COLLATE utf8_bin NOT NULL COMMENT '前端操作的名字',
  `action_description` varchar(128) COLLATE utf8_bin DEFAULT NULL COMMENT '页面操作的描述',
  `default_check` tinyint(1) NOT NULL DEFAULT '0' COMMENT '当前操作是否需要校验,true为1,0为false',
  PRIMARY KEY (`action_id`) USING BTREE,
  UNIQUE KEY `action_name` (`action_name`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8 COLLATE=utf8_bin ROW_FORMAT=DYNAMIC COMMENT='前端操作比如增删改查等的权限表';

-- ----------------------------
-- Records of action
-- ----------------------------
INSERT INTO `action` VALUES ('1', 'add', '新增', '0');
INSERT INTO `action` VALUES ('2', 'query', '查询', '0');
INSERT INTO `action` VALUES ('3', 'get', '详情', '0');
INSERT INTO `action` VALUES ('4', 'update', '修改', '0');
INSERT INTO `action` VALUES ('5', 'delete', '删除', '0');
INSERT INTO `action` VALUES ('6', 'import', '导入', '0');
INSERT INTO `action` VALUES ('7', 'export', '导出', '0');

-- ----------------------------
-- Table structure for `exam`
-- ----------------------------
DROP TABLE IF EXISTS `exam`;
CREATE TABLE `exam` (
  `exam_id` varchar(32) COLLATE utf8_bin NOT NULL COMMENT '考试表的主键',
  `exam_name` varchar(128) COLLATE utf8_bin NOT NULL COMMENT '考试名称',
  `exam_avatar` varchar(512) COLLATE utf8_bin DEFAULT NULL COMMENT '考试的预览图',
  `exam_description` varchar(256) COLLATE utf8_bin DEFAULT NULL COMMENT '考试描述',
  `exam_question_ids` varchar(2048) COLLATE utf8_bin DEFAULT NULL COMMENT '当前考试下的题目的id用-连在一起地字符串',
  `exam_question_ids_radio` varchar(512) COLLATE utf8_bin DEFAULT NULL COMMENT '当前考试下的题目单选题的id用-连在一起地字符串',
  `exam_question_ids_check` varchar(512) COLLATE utf8_bin DEFAULT NULL COMMENT '当前考试下的题目多选题的id用-连在一起地字符串',
  `exam_question_ids_judge` varchar(512) COLLATE utf8_bin DEFAULT NULL COMMENT '当前考试下的题目判断题的id用-连在一起地字符串',
  `exam_score` int(11) NOT NULL DEFAULT '0' COMMENT '当前考试的总分数',
  `exam_score_radio` int(11) NOT NULL DEFAULT '0' COMMENT '当前考试每个单选题的分数',
  `exam_score_check` int(11) NOT NULL DEFAULT '0' COMMENT '当前考试每个多选题的分数',
  `exam_score_judge` int(11) NOT NULL DEFAULT '0' COMMENT '当前考试每个判断题的分数',
  `exam_creator_id` varchar(32) COLLATE utf8_bin NOT NULL COMMENT '考试创建者的用户id',
  `exam_time_limit` int(11) NOT NULL DEFAULT '0' COMMENT '考试的时间限制，单位为分钟',
  `exam_start_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '考试有效期开始时间',
  `exam_end_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '考试有效期结束时间',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  PRIMARY KEY (`exam_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin ROW_FORMAT=DYNAMIC COMMENT='考试的详细信息表';

-- ----------------------------
-- Records of exam
-- ----------------------------
INSERT INTO `exam` VALUES ('0059de57d17d4342b269da97483bc426', '1', 'pp', '1', '25ec2980dd544b4ca70328a0733ce69f-334cfcd5ce47468a9babdce5c97def28-5bf59e82cae24b67879119571c022018-6bba5e6bff4a402aa2345a84949b39b0-38085807d06948ca8ad6d8eaca522c85-311e5bf4b7dc4f15bae52e2f5caf4800-4247752901bd47fba86379a1cd4b87d4-698def9f99b343e9b74cd7513f9efe61-a61d6ef2c160420e9f585a7da149fbfc-dc755e13552f4271a6f8c664708a1212-dc91198c27dc4ab5942ffc924f282367', '25ec2980dd544b4ca70328a0733ce69f-334cfcd5ce47468a9babdce5c97def28-5bf59e82cae24b67879119571c022018-6bba5e6bff4a402aa2345a84949b39b0', '38085807d06948ca8ad6d8eaca522c85', '311e5bf4b7dc4f15bae52e2f5caf4800-4247752901bd47fba86379a1cd4b87d4-698def9f99b343e9b74cd7513f9efe61-a61d6ef2c160420e9f585a7da149fbfc-dc755e13552f4271a6f8c664708a1212-dc91198c27dc4ab5942ffc924f282367', '55', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-04-18 21:14:27', '2020-04-18 21:14:27', '2020-04-18 21:14:27', '2020-04-18 21:14:27');
INSERT INTO `exam` VALUES ('00de2c86b6304b96b2288a0716e34829', '1', '20', '.30', '018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-1003b43b03934068973f67d199565dce-1eaff8deac0041ed857d16461a290985-313a3c23d119451d9f3f82bb47401b9f-3864178819534aa7862b26e893aa2e62-3da95e8dc779416689d913f8b68c48b2-3f31e3edcea24aebb1f3ff1556917141-46b74ddb133a4f20ac30d2c92de6902c-5bf59e82cae24b67879119571c022018-224ae57b9c1749bdbfab51b2284789ce-0f228882c0fe462db958be54df6a1142', '018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-1003b43b03934068973f67d199565dce-1eaff8deac0041ed857d16461a290985-313a3c23d119451d9f3f82bb47401b9f-3864178819534aa7862b26e893aa2e62-3da95e8dc779416689d913f8b68c48b2-3f31e3edcea24aebb1f3ff1556917141-46b74ddb133a4f20ac30d2c92de6902c-5bf59e82cae24b67879119571c022018', '224ae57b9c1749bdbfab51b2284789ce', '0f228882c0fe462db958be54df6a1142', '60', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-09-22 14:31:23', '2020-09-22 14:31:23', '2020-09-22 14:31:23', '2020-09-22 14:31:23');
INSERT INTO `exam` VALUES ('0322de3f0b214116b73419ae2a602b67', '考试名称1', '考试小图1', '考试描述1', '14cc31707d53433f81841058a97575da-1e0cc8f913134006a2a861f17ec14b6c-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2929d07f28a54c81931701d2b162fd70-38085807d06948ca8ad6d8eaca522c85-6cabac6ec4ef44068e66cf2547543658', '14cc31707d53433f81841058a97575da-1e0cc8f913134006a2a861f17ec14b6c-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92', '2929d07f28a54c81931701d2b162fd70-38085807d06948ca8ad6d8eaca522c85', '6cabac6ec4ef44068e66cf2547543658', '35', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-04-14 10:35:37', '2020-04-14 10:35:37', '2020-04-14 10:35:37', '2020-04-14 10:35:37');
INSERT INTO `exam` VALUES ('038a7a765e3f4afb90b8747249d6a624', '12312', '123', '1231', '14cc31707d53433f81841058a97575da-38085807d06948ca8ad6d8eaca522c85-305f726e7f1f4636b88bf20de0093745', '14cc31707d53433f81841058a97575da', '38085807d06948ca8ad6d8eaca522c85', '305f726e7f1f4636b88bf20de0093745', '15', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-02-28 17:55:22', '2020-02-28 17:55:22', '2020-02-28 17:55:22', '2020-02-28 17:55:22');
INSERT INTO `exam` VALUES ('07bcd5b8507c42909e0b3212ec72b832', 'ere', 'werew', 'wer', '23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-334cfcd5ce47468a9babdce5c97def28-38085807d06948ca8ad6d8eaca522c85-495fce658bc4409aac2e14657d8e7e8d', '23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-334cfcd5ce47468a9babdce5c97def28', '38085807d06948ca8ad6d8eaca522c85', '495fce658bc4409aac2e14657d8e7e8d', '25', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-03-26 19:43:35', '2020-03-26 19:43:35', '2020-03-26 19:43:35', '2020-03-26 19:43:35');
INSERT INTO `exam` VALUES ('0966472391474b909adbaa15115d56aa', 'qqq', 'ww', 'ww', '14cc31707d53433f81841058a97575da-1e0cc8f913134006a2a861f17ec14b6c-25ec2980dd544b4ca70328a0733ce69f-2f8b20630b10471395b6c379a465cca8-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-3864178819534aa7862b26e893aa2e62-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-79b4e7a9a7e144ba8d5af83c39f9b13a-85047be0b2cf4077a5ec66e92ebf442b-340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4-495fce658bc4409aac2e14657d8e7e8d', '14cc31707d53433f81841058a97575da-1e0cc8f913134006a2a861f17ec14b6c-25ec2980dd544b4ca70328a0733ce69f-2f8b20630b10471395b6c379a465cca8-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-3864178819534aa7862b26e893aa2e62', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-79b4e7a9a7e144ba8d5af83c39f9b13a-85047be0b2cf4077a5ec66e92ebf442b', '340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4-495fce658bc4409aac2e14657d8e7e8d', '70', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '50', '2020-04-20 18:56:47', '2020-04-20 18:56:47', '2020-04-20 18:56:47', '2020-04-20 18:56:47');
INSERT INTO `exam` VALUES ('0cd280c5a6a54769a76633e16545c7f9', '22222222222222222', '222222', '22222', '14cc31707d53433f81841058a97575da-2f8b20630b10471395b6c379a465cca8-5bf59e82cae24b67879119571c022018-6d679282cdc649f8b4d185e47026dcca-75e0196b943a47f59d246557dc7c30dd-847da264b1334e1290e028e51fd6d04d-85047be0b2cf4077a5ec66e92ebf442b-6cabac6ec4ef44068e66cf2547543658', '14cc31707d53433f81841058a97575da-2f8b20630b10471395b6c379a465cca8-5bf59e82cae24b67879119571c022018-6d679282cdc649f8b4d185e47026dcca-75e0196b943a47f59d246557dc7c30dd-847da264b1334e1290e028e51fd6d04d', '85047be0b2cf4077a5ec66e92ebf442b', '6cabac6ec4ef44068e66cf2547543658', '40', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-04-13 16:18:06', '2020-04-13 16:18:06', '2020-04-13 16:18:06', '2020-04-13 16:18:06');
INSERT INTO `exam` VALUES ('0efedb29fbbe4dac97d36e73997d2480', '测试123123', '132', '123', '018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-1003b43b03934068973f67d199565dce-1e0cc8f913134006a2a861f17ec14b6c-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-25ec2980dd544b4ca70328a0733ce69f-f3333b1a9dfb49638ef3b02df90cadb5-fdff95bd64994abc876c3872b7bc9aa3-11ae50c372c64e7ca59691c435c91239-31ab7a49aa254240935d1e871d7f2f09-473ecef6048d4d1a91b8100eb7a176e0-7d535a2008b4423bae96c8b4ad90378f', '018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-1003b43b03934068973f67d199565dce-1e0cc8f913134006a2a861f17ec14b6c-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-25ec2980dd544b4ca70328a0733ce69f', 'f3333b1a9dfb49638ef3b02df90cadb5-fdff95bd64994abc876c3872b7bc9aa3', '11ae50c372c64e7ca59691c435c91239-31ab7a49aa254240935d1e871d7f2f09-473ecef6048d4d1a91b8100eb7a176e0-7d535a2008b4423bae96c8b4ad90378f', '65', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-04-25 23:18:26', '2020-04-25 23:18:26', '2020-04-25 23:18:26', '2020-04-25 23:18:26');
INSERT INTO `exam` VALUES ('11d03caf53ef4e43b66bca8564c8c0f5', 'dd', 'ddd', 'ddd', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-17ad274d9a6446688013586abf2deed4-224ae57b9c1749bdbfab51b2284789ce-2929d07f28a54c81931701d2b162fd70-2b4df8f9333741ef9f56bc188ec8a147-34ac0eba5d5548599086f7439b837d85-0f228882c0fe462db958be54df6a1142-14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-17ad274d9a6446688013586abf2deed4', '224ae57b9c1749bdbfab51b2284789ce-2929d07f28a54c81931701d2b162fd70-2b4df8f9333741ef9f56bc188ec8a147-34ac0eba5d5548599086f7439b837d85', '0f228882c0fe462db958be54df6a1142-14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d', '55', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-10-09 15:00:23', '2020-10-09 15:00:23', '2020-10-09 15:00:23', '2020-10-09 15:00:23');
INSERT INTO `exam` VALUES ('11e43c39761a463db8407cde15a67693', 'mhdxndkv', '水水水水', '简单操作', 'a12eb101321b451bbc54a136e98acfd0-b95a0546fcc8418e84185137d14b1b50-bb22f19338174d1f9333f9aebd6ffeb6-cba6ce4038b5401fb4cb43205557ccf9-cff7d16da6ab428e893c748d5c759cb2-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-8f3e02d0f2a1402abd3278adc05ffb10', 'a12eb101321b451bbc54a136e98acfd0-b95a0546fcc8418e84185137d14b1b50-bb22f19338174d1f9333f9aebd6ffeb6-cba6ce4038b5401fb4cb43205557ccf9-cff7d16da6ab428e893c748d5c759cb2', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc', '8f3e02d0f2a1402abd3278adc05ffb10', '40', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-03-07 14:33:55', '2020-03-07 14:33:55', '2020-03-07 14:33:55', '2020-03-07 14:33:55');
INSERT INTO `exam` VALUES ('1214de71321e4b1d8b6bb86b5edadee3', '6666', '6', '66', '03ba87a6ca3a4075bd983ca799d518d8-38085807d06948ca8ad6d8eaca522c85-305f726e7f1f4636b88bf20de0093745', '03ba87a6ca3a4075bd983ca799d518d8', '38085807d06948ca8ad6d8eaca522c85', '305f726e7f1f4636b88bf20de0093745', '15', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-04-26 00:11:35', '2020-04-26 00:11:35', '2020-04-26 00:11:35', '2020-04-26 00:11:35');
INSERT INTO `exam` VALUES ('139883c96ec44c6c9c5c2b4b85a7b54a', 'Angular学习', 'https://i.loli.net/2019/11/02/Pda9TEVIXyeptZo.gif', 'Angular小测验', '', '23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8', '85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f', '6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10', '90', '5', '10', '20', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-11-02 16:23:36');
INSERT INTO `exam` VALUES ('13e00f069eef47b2b76e4ab941b32cce', 'gfdsgfsdggf', 'gfdgfd', 'gfgg', '1003b43b03934068973f67d199565dce-14cc31707d53433f81841058a97575da-2929d07f28a54c81931701d2b162fd70-34ac0eba5d5548599086f7439b837d85-340e5189877a4eb58492c7bb7a3c094d', '1003b43b03934068973f67d199565dce-14cc31707d53433f81841058a97575da', '2929d07f28a54c81931701d2b162fd70-34ac0eba5d5548599086f7439b837d85', '340e5189877a4eb58492c7bb7a3c094d', '25', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-04-29 12:03:40', '2020-04-29 12:03:40', '2020-04-29 12:03:40', '2020-04-29 12:03:40');
INSERT INTO `exam` VALUES ('1435d0e86576487d819b41f33082f441', '这是一次考试', '顶顶顶', '这是一次考试', 'cff7d16da6ab428e893c748d5c759cb2-38085807d06948ca8ad6d8eaca522c85-590889adc7994fbdbd895f3f8f4cd1f4-85047be0b2cf4077a5ec66e92ebf442b-311e5bf4b7dc4f15bae52e2f5caf4800-4247752901bd47fba86379a1cd4b87d4-698def9f99b343e9b74cd7513f9efe61-dc91198c27dc4ab5942ffc924f282367', 'cff7d16da6ab428e893c748d5c759cb2', '38085807d06948ca8ad6d8eaca522c85-590889adc7994fbdbd895f3f8f4cd1f4-85047be0b2cf4077a5ec66e92ebf442b', '311e5bf4b7dc4f15bae52e2f5caf4800-4247752901bd47fba86379a1cd4b87d4-698def9f99b343e9b74cd7513f9efe61-dc91198c27dc4ab5942ffc924f282367', '40', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-04-18 10:42:15', '2020-04-18 10:42:15', '2020-04-18 10:42:15', '2020-04-18 10:42:15');
INSERT INTO `exam` VALUES ('14a96aaed3c14ceda09841e1f8655405', '222', '2', '1', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-17ad274d9a6446688013586abf2deed4-224ae57b9c1749bdbfab51b2284789ce-2b4df8f9333741ef9f56bc188ec8a147-14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-17ad274d9a6446688013586abf2deed4', '224ae57b9c1749bdbfab51b2284789ce-2b4df8f9333741ef9f56bc188ec8a147', '14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d', '50', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-10-05 23:09:17', '2020-10-05 23:09:17', '2020-10-05 23:09:17', '2020-10-05 23:09:17');
INSERT INTO `exam` VALUES ('151921d7925f49ddb574a5134fac3b95', 'liuxm1210', '谁', '是', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-f3333b1a9dfb49638ef3b02df90cadb5-6cabac6ec4ef44068e66cf2547543658-a61d6ef2c160420e9f585a7da149fbfc-dc755e13552f4271a6f8c664708a1212', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8', '85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-f3333b1a9dfb49638ef3b02df90cadb5', '6cabac6ec4ef44068e66cf2547543658-a61d6ef2c160420e9f585a7da149fbfc-dc755e13552f4271a6f8c664708a1212', '50', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-03-18 17:29:52', '2020-03-18 17:29:52', '2020-03-18 17:29:52', '2020-03-18 17:29:52');
INSERT INTO `exam` VALUES ('16081a246f004bb2888aad0320628340', '高等数学', '1', '期末考试', '004c8b75a1a2421986fa05c89d0a903d-38085807d06948ca8ad6d8eaca522c85-305f726e7f1f4636b88bf20de0093745', '004c8b75a1a2421986fa05c89d0a903d', '38085807d06948ca8ad6d8eaca522c85', '305f726e7f1f4636b88bf20de0093745', '15', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-05-31 09:11:54', '2020-05-31 09:11:54', '2020-05-31 09:11:54', '2020-05-31 09:11:54');
INSERT INTO `exam` VALUES ('16b80bd1208148bf8d862b58b8042ede', 'custquery', 'sfsdfsd', 'ddsf', '313a3c23d119451d9f3f82bb47401b9f-31e9ad43e84e484eb8b77b7e7a76de91-34709b873e3e4b979b2ba2c7aed499a7-34fe861fdc8a4b13b7455d4f512a2a07-2929d07f28a54c81931701d2b162fd70-34ac0eba5d5548599086f7439b837d85-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d', '313a3c23d119451d9f3f82bb47401b9f-31e9ad43e84e484eb8b77b7e7a76de91-34709b873e3e4b979b2ba2c7aed499a7-34fe861fdc8a4b13b7455d4f512a2a07', '2929d07f28a54c81931701d2b162fd70-34ac0eba5d5548599086f7439b837d85', '157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d', '40', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-09-02 16:11:08', '2020-09-02 16:11:08', '2020-09-02 16:11:08', '2020-09-02 16:11:08');
INSERT INTO `exam` VALUES ('16eb39208bcf474e81f35d31ae8a0d30', 'yannis', '1', '模拟考试', '2e88077d899948c3905e6f501543360c-31e9ad43e84e484eb8b77b7e7a76de91-5396e258c48e467fbdf904701aa85840-7ac7e784ddee4a6db47fee9f310a4674-224ae57b9c1749bdbfab51b2284789ce-2929d07f28a54c81931701d2b162fd70-2b4df8f9333741ef9f56bc188ec8a147-157767faab1e459fbb63eddef08f1a0d-23ac2394b14f4e338ec22adba349eb62-23c0e0e98d04425ab2de3e7fec54971d', '2e88077d899948c3905e6f501543360c-31e9ad43e84e484eb8b77b7e7a76de91-5396e258c48e467fbdf904701aa85840-7ac7e784ddee4a6db47fee9f310a4674', '224ae57b9c1749bdbfab51b2284789ce-2929d07f28a54c81931701d2b162fd70-2b4df8f9333741ef9f56bc188ec8a147', '157767faab1e459fbb63eddef08f1a0d-23ac2394b14f4e338ec22adba349eb62-23c0e0e98d04425ab2de3e7fec54971d', '200', '20', '20', '20', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-09-12 19:48:37', '2020-09-12 19:48:37', '2020-09-12 19:48:37', '2020-09-12 19:48:37');
INSERT INTO `exam` VALUES ('17fd99fac47440ef8f79cc10d8d638f2', '55', 'k', 'j', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b-8f3e02d0f2a1402abd3278adc05ffb10-e283ac11c7064ccf976f9c48d68c6a67', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8', '396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b', '8f3e02d0f2a1402abd3278adc05ffb10-e283ac11c7064ccf976f9c48d68c6a67', '40', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-02-25 22:20:27', '2020-02-25 22:20:27', '2020-02-25 22:20:27', '2020-02-25 22:20:27');
INSERT INTO `exam` VALUES ('1977e53802e143719aa5f28f2b0a01ab', 'JavaSctip', 'wdas', 'jjjj', '018c0f44bfd54bb8a6b0f2e91da3f3b0-14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-25ec2980dd544b4ca70328a0733ce69f-2f8b20630b10471395b6c379a465cca8-31e9ad43e84e484eb8b77b7e7a76de91-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-517621a3c6b745459a5606c65cd38e27-9fe1cafeebf44e20a80f504cff60ef3f-340e5189877a4eb58492c7bb7a3c094d-495fce658bc4409aac2e14657d8e7e8d-6cabac6ec4ef44068e66cf2547543658', '018c0f44bfd54bb8a6b0f2e91da3f3b0-14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-25ec2980dd544b4ca70328a0733ce69f-2f8b20630b10471395b6c379a465cca8-31e9ad43e84e484eb8b77b7e7a76de91', '34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-517621a3c6b745459a5606c65cd38e27-9fe1cafeebf44e20a80f504cff60ef3f', '340e5189877a4eb58492c7bb7a3c094d-495fce658bc4409aac2e14657d8e7e8d-6cabac6ec4ef44068e66cf2547543658', '75', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-03-23 21:59:57', '2020-03-23 21:59:57', '2020-03-23 21:59:57', '2020-03-23 21:59:57');
INSERT INTO `exam` VALUES ('1a02c31082fa46e7901e95ff92d6a641', 'cmd_风中有朵云', 'wq', 'qwwwwwww', '14cc31707d53433f81841058a97575da-1e0cc8f913134006a2a861f17ec14b6c-1e9521efc6bb469ba9bd98c76f6ba53d-1eaff8deac0041ed857d16461a290985-30a7598bc91346478027795679cd71c3-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-11ae50c372c64e7ca59691c435c91239-14908e5711f74c67924d6b1ceaeb92d0-25bf7d1a791f4cf39d85e26b113001e8-305f726e7f1f4636b88bf20de0093745-473ecef6048d4d1a91b8100eb7a176e0-7d535a2008b4423bae96c8b4ad90378f', '14cc31707d53433f81841058a97575da-1e0cc8f913134006a2a861f17ec14b6c-1e9521efc6bb469ba9bd98c76f6ba53d-1eaff8deac0041ed857d16461a290985', '30a7598bc91346478027795679cd71c3-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85', '11ae50c372c64e7ca59691c435c91239-14908e5711f74c67924d6b1ceaeb92d0-25bf7d1a791f4cf39d85e26b113001e8-305f726e7f1f4636b88bf20de0093745-473ecef6048d4d1a91b8100eb7a176e0-7d535a2008b4423bae96c8b4ad90378f', '65', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-05-19 14:46:45', '2020-05-19 14:46:45', '2020-05-19 14:46:45', '2020-05-19 14:46:45');
INSERT INTO `exam` VALUES ('1b675c9ccad54c15bcd805db43538a37', '海洋', '这里是小图', '这里是简述', '23491b7dbbdf47dcb09ece779ff44c92-396b55534851427590e089fb9cc040cc-ecdfbdd2a9f24017b3fe1aa0947ca146', '23491b7dbbdf47dcb09ece779ff44c92', '396b55534851427590e089fb9cc040cc', 'ecdfbdd2a9f24017b3fe1aa0947ca146', '15', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-02-28 08:51:29', '2020-02-28 08:51:29', '2020-02-28 08:51:29', '2020-02-28 08:51:29');
INSERT INTO `exam` VALUES ('1b989eb399b243b49be371a6fb6292ca', 'sd', 'ds', 'ds', '1003b43b03934068973f67d199565dce-1e0cc8f913134006a2a861f17ec14b6c-23491b7dbbdf47dcb09ece779ff44c92-25ec2980dd544b4ca70328a0733ce69f-2f8b20630b10471395b6c379a465cca8-5396e258c48e467fbdf904701aa85840-5e0389903aa94524bcae09ca457ecdaa-6bba5e6bff4a402aa2345a84949b39b0-396b55534851427590e089fb9cc040cc-517621a3c6b745459a5606c65cd38e27-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-f0431d061ee240b681999dcdc7b390cf-340e5189877a4eb58492c7bb7a3c094d-495fce658bc4409aac2e14657d8e7e8d-6cabac6ec4ef44068e66cf2547543658', '1003b43b03934068973f67d199565dce-1e0cc8f913134006a2a861f17ec14b6c-23491b7dbbdf47dcb09ece779ff44c92-25ec2980dd544b4ca70328a0733ce69f-2f8b20630b10471395b6c379a465cca8-5396e258c48e467fbdf904701aa85840-5e0389903aa94524bcae09ca457ecdaa-6bba5e6bff4a402aa2345a84949b39b0', '396b55534851427590e089fb9cc040cc-517621a3c6b745459a5606c65cd38e27-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-f0431d061ee240b681999dcdc7b390cf', '340e5189877a4eb58492c7bb7a3c094d-495fce658bc4409aac2e14657d8e7e8d-6cabac6ec4ef44068e66cf2547543658', '80', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-04-10 16:47:40', '2020-04-10 16:47:40', '2020-04-10 16:47:40', '2020-04-10 16:47:40');
INSERT INTO `exam` VALUES ('1b9df76d0f68462e84e8f2310be4ad9a', '12e12', '21412', '21432', '03ba87a6ca3a4075bd983ca799d518d8-1003b43b03934068973f67d199565dce-14cc31707d53433f81841058a97575da-1e0cc8f913134006a2a861f17ec14b6c-1e9521efc6bb469ba9bd98c76f6ba53d-23491b7dbbdf47dcb09ece779ff44c92-25ec2980dd544b4ca70328a0733ce69f-2f8b20630b10471395b6c379a465cca8-30a7598bc91346478027795679cd71c3-0f228882c0fe462db958be54df6a1142', '03ba87a6ca3a4075bd983ca799d518d8-1003b43b03934068973f67d199565dce-14cc31707d53433f81841058a97575da-1e0cc8f913134006a2a861f17ec14b6c-1e9521efc6bb469ba9bd98c76f6ba53d-23491b7dbbdf47dcb09ece779ff44c92-25ec2980dd544b4ca70328a0733ce69f-2f8b20630b10471395b6c379a465cca8', '30a7598bc91346478027795679cd71c3', '0f228882c0fe462db958be54df6a1142', '50', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-05-13 10:47:57', '2020-05-13 10:47:57', '2020-05-13 10:47:57', '2020-05-13 10:47:57');
INSERT INTO `exam` VALUES ('1d524c716db140c8bc851c472b14f6af', '34234', '234', '234', '9bab31ed75c94be292e3d3908d834036-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-9fe1cafeebf44e20a80f504cff60ef3f-311e5bf4b7dc4f15bae52e2f5caf4800-31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d-495fce658bc4409aac2e14657d8e7e8d-698def9f99b343e9b74cd7513f9efe61-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10-a61d6ef2c160420e9f585a7da149fbfc-dc755e13552f4271a6f8c664708a1212-dc91198c27dc4ab5942ffc924f282367', '9bab31ed75c94be292e3d3908d834036', '34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-9fe1cafeebf44e20a80f504cff60ef3f', '311e5bf4b7dc4f15bae52e2f5caf4800-31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d-495fce658bc4409aac2e14657d8e7e8d-698def9f99b343e9b74cd7513f9efe61-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10-a61d6ef2c160420e9f585a7da149fbfc-dc755e13552f4271a6f8c664708a1212-dc91198c27dc4ab5942ffc924f282367', '70', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-04-09 09:19:28', '2020-04-09 09:19:28', '2020-04-09 09:19:28', '2020-04-09 09:19:28');
INSERT INTO `exam` VALUES ('1eef6903fe764abd9c1fe8b0aeb4a1c5', '点击选择学校', 'b', 'b', '2f8b20630b10471395b6c379a465cca8-76049b0d9a254178887a4c3c65ba59b7-7b324941a5514833a06c4561c1af3b41-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-517621a3c6b745459a5606c65cd38e27-590889adc7994fbdbd895f3f8f4cd1f4-79b4e7a9a7e144ba8d5af83c39f9b13a-9fe1cafeebf44e20a80f504cff60ef3f-b5c407439ba845a6be314b6f47650f4d-f0431d061ee240b681999dcdc7b390cf-f10dd6ce6f964a5db45c4bdb89d9e17a-f3333b1a9dfb49638ef3b02df90cadb5-f3bf3c8f321344f381b2a5ee34c480aa-f71add41e8cb44318e1ac381056b649d-fdff95bd64994abc876c3872b7bc9aa3-11ae50c372c64e7ca59691c435c91239-31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d-473ecef6048d4d1a91b8100eb7a176e0-7d535a2008b4423bae96c8b4ad90378f', '2f8b20630b10471395b6c379a465cca8-76049b0d9a254178887a4c3c65ba59b7-7b324941a5514833a06c4561c1af3b41', '34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-517621a3c6b745459a5606c65cd38e27-590889adc7994fbdbd895f3f8f4cd1f4-79b4e7a9a7e144ba8d5af83c39f9b13a-9fe1cafeebf44e20a80f504cff60ef3f-b5c407439ba845a6be314b6f47650f4d-f0431d061ee240b681999dcdc7b390cf-f10dd6ce6f964a5db45c4bdb89d9e17a-f3333b1a9dfb49638ef3b02df90cadb5-f3bf3c8f321344f381b2a5ee34c480aa-f71add41e8cb44318e1ac381056b649d-fdff95bd64994abc876c3872b7bc9aa3', '11ae50c372c64e7ca59691c435c91239-31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d-473ecef6048d4d1a91b8100eb7a176e0-7d535a2008b4423bae96c8b4ad90378f', '110', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-04-24 21:57:58', '2020-04-24 21:57:58', '2020-04-24 21:57:58', '2020-04-24 21:57:58');
INSERT INTO `exam` VALUES ('2013c85f291841f7bd1dbda732fecde2', '学霸', '学霸', '学霸', '018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-1003b43b03934068973f67d199565dce-1e0cc8f913134006a2a861f17ec14b6c-1e9521efc6bb469ba9bd98c76f6ba53d-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-30a7598bc91346478027795679cd71c3-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4-56ed36d358d44d43834ce1146bf4303d', '018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-1003b43b03934068973f67d199565dce-1e0cc8f913134006a2a861f17ec14b6c-1e9521efc6bb469ba9bd98c76f6ba53d-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92', '30a7598bc91346478027795679cd71c3-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85', '340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4-56ed36d358d44d43834ce1146bf4303d', '65', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '2020-05-12 15:09:31', '2020-05-12 15:09:31', '2020-05-12 15:09:31', '2020-05-12 15:09:31');
INSERT INTO `exam` VALUES ('20c87e6f7055474f8a02b90b61fa66db', '考试', '1', '1', '3da95e8dc779416689d913f8b68c48b2-3f2128829879470ea97dc3a5fd8d8f0e-5396e258c48e467fbdf904701aa85840-6bba5e6bff4a402aa2345a84949b39b0-2929d07f28a54c81931701d2b162fd70-38085807d06948ca8ad6d8eaca522c85-25bf7d1a791f4cf39d85e26b113001e8', '3da95e8dc779416689d913f8b68c48b2-3f2128829879470ea97dc3a5fd8d8f0e-5396e258c48e467fbdf904701aa85840-6bba5e6bff4a402aa2345a84949b39b0', '2929d07f28a54c81931701d2b162fd70-38085807d06948ca8ad6d8eaca522c85', '25bf7d1a791f4cf39d85e26b113001e8', '29', '4', '4', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-05-15 16:13:37', '2020-05-15 16:13:37', '2020-05-15 16:13:37', '2020-05-15 16:13:37');
INSERT INTO `exam` VALUES ('24da895d47ae4ecc857363216ae49a05', '1', '1', '1', 'd42d9faa517146329a458550ec06262c-eb2080605ab44cac8a7a5428294de36a-0a32e228e2464beda23b90c7832d29d2-078a8fed0cc649f8a864a430b4e7188c', 'd42d9faa517146329a458550ec06262c-eb2080605ab44cac8a7a5428294de36a', '0a32e228e2464beda23b90c7832d29d2', '078a8fed0cc649f8a864a430b4e7188c', '20', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-07-07 14:15:51', '2020-07-07 14:15:51', '2020-07-07 14:15:51', '2020-07-07 14:15:51');
INSERT INTO `exam` VALUES ('258bf9410e854f34bba9c9a08f4dd313', 'Ant Design Pro，Ant最佳实践', 'https://i.loli.net/2019/11/02/sVrTotyQUXEx6ic.jpg', 'Ant最佳实践', '', '3864178819534aa7862b26e893aa2e62-9199009718ec4685a0a500d23ab814c5', '85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f', '305f726e7f1f4636b88bf20de0093745-8f3e02d0f2a1402abd3278adc05ffb10', '100', '10', '10', '10', '68042014e23c4ebea7234cb9c77cee5c', '150', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-11-02 16:23:58');
INSERT INTO `exam` VALUES ('26c255ac1cc048438f7c669dfce743cb', 'HVJHI ', 'HHJ', 'CHGV', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-1003b43b03934068973f67d199565dce-14cc31707d53433f81841058a97575da-30a7598bc91346478027795679cd71c3-38085807d06948ca8ad6d8eaca522c85-25bf7d1a791f4cf39d85e26b113001e8-495fce658bc4409aac2e14657d8e7e8d', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-1003b43b03934068973f67d199565dce-14cc31707d53433f81841058a97575da', '30a7598bc91346478027795679cd71c3-38085807d06948ca8ad6d8eaca522c85', '25bf7d1a791f4cf39d85e26b113001e8-495fce658bc4409aac2e14657d8e7e8d', '50', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-05-27 19:08:59', '2020-05-27 19:08:59', '2020-05-27 19:08:59', '2020-05-27 19:08:59');
INSERT INTO `exam` VALUES ('270e73439a0b4fb4bae3f190c01838b4', '213231', '45123452', '34241', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-0a32e228e2464beda23b90c7832d29d2-224ae57b9c1749bdbfab51b2284789ce-14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23ac2394b14f4e338ec22adba349eb62-23c0e0e98d04425ab2de3e7fec54971d', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0', '0a32e228e2464beda23b90c7832d29d2-224ae57b9c1749bdbfab51b2284789ce', '14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23ac2394b14f4e338ec22adba349eb62-23c0e0e98d04425ab2de3e7fec54971d', '40', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-09-27 23:42:56', '2020-09-27 23:42:56', '2020-09-27 23:42:56', '2020-09-27 23:42:56');
INSERT INTO `exam` VALUES ('274d37839d1742b8ac0ac2f549f9d599', 'Reading', 'nah', 'IELTS Style Reading', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-3864178819534aa7862b26e893aa2e62-b95a0546fcc8418e84185137d14b1b50-bb22f19338174d1f9333f9aebd6ffeb6-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-305f726e7f1f4636b88bf20de0093745-4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10-e283ac11c7064ccf976f9c48d68c6a67-ecdfbdd2a9f24017b3fe1aa0947ca146', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-3864178819534aa7862b26e893aa2e62-b95a0546fcc8418e84185137d14b1b50-bb22f19338174d1f9333f9aebd6ffeb6', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f', '305f726e7f1f4636b88bf20de0093745-4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10-e283ac11c7064ccf976f9c48d68c6a67-ecdfbdd2a9f24017b3fe1aa0947ca146', '95', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '60', '2020-03-02 04:00:00', '2020-03-02 04:00:00', '2020-03-02 04:00:00', '2020-03-02 04:00:00');
INSERT INTO `exam` VALUES ('28b9427a58f148269c6b0d9e1abac3ee', '1', '3', '2', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-2929d07f28a54c81931701d2b162fd70-34ac0eba5d5548599086f7439b837d85-0f228882c0fe462db958be54df6a1142-14908e5711f74c67924d6b1ceaeb92d0-23ac2394b14f4e338ec22adba349eb62', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8', '2929d07f28a54c81931701d2b162fd70-34ac0eba5d5548599086f7439b837d85', '0f228882c0fe462db958be54df6a1142-14908e5711f74c67924d6b1ceaeb92d0-23ac2394b14f4e338ec22adba349eb62', '40', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-09-21 10:36:10', '2020-09-21 10:36:10', '2020-09-21 10:36:10', '2020-09-21 10:36:10');
INSERT INTO `exam` VALUES ('291c983e8e0345189c5d2971a273f201', 'fdghfsdg ', 'gdfg fd', 'gfdg sd', '018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-0885c830022746cf8972c97eba9f5b15-224ae57b9c1749bdbfab51b2284789ce-2929d07f28a54c81931701d2b162fd70-30a7598bc91346478027795679cd71c3-34ac0eba5d5548599086f7439b837d85-31ab7a49aa254240935d1e871d7f2f09-53ae8db083134adb8428403b6a50620e', '018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-0885c830022746cf8972c97eba9f5b15', '224ae57b9c1749bdbfab51b2284789ce-2929d07f28a54c81931701d2b162fd70-30a7598bc91346478027795679cd71c3-34ac0eba5d5548599086f7439b837d85', '31ab7a49aa254240935d1e871d7f2f09-53ae8db083134adb8428403b6a50620e', '50', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-06-24 21:58:47', '2020-06-24 21:58:47', '2020-06-24 21:58:47', '2020-06-24 21:58:47');
INSERT INTO `exam` VALUES ('29a5f4accd1f450e91cbc75e79eec47e', '测试', '测试', '测试', '2223b2eb8c2942459344c06ce1d3ed1d-2f8b20630b10471395b6c379a465cca8-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-3864178819534aa7862b26e893aa2e62-38085807d06948ca8ad6d8eaca522c85-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-f3333b1a9dfb49638ef3b02df90cadb5-31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4-8f3e02d0f2a1402abd3278adc05ffb10-a61d6ef2c160420e9f585a7da149fbfc-dc755e13552f4271a6f8c664708a1212', '2223b2eb8c2942459344c06ce1d3ed1d-2f8b20630b10471395b6c379a465cca8-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-3864178819534aa7862b26e893aa2e62', '38085807d06948ca8ad6d8eaca522c85-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-f3333b1a9dfb49638ef3b02df90cadb5', '31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4-8f3e02d0f2a1402abd3278adc05ffb10-a61d6ef2c160420e9f585a7da149fbfc-dc755e13552f4271a6f8c664708a1212', '75', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-03-09 08:22:54', '2020-03-09 08:22:54', '2020-03-09 08:22:54', '2020-03-09 08:22:54');
INSERT INTO `exam` VALUES ('2a48a11933a04056a6f5400c1b12f80f', '服服服', '4', '归属感', '23491b7dbbdf47dcb09ece779ff44c92-25ec2980dd544b4ca70328a0733ce69f-2f8b20630b10471395b6c379a465cca8-31e9ad43e84e484eb8b77b7e7a76de91-3864178819534aa7862b26e893aa2e62-34ac0eba5d5548599086f7439b837d85-396b55534851427590e089fb9cc040cc-590889adc7994fbdbd895f3f8f4cd1f4-305f726e7f1f4636b88bf20de0093745', '23491b7dbbdf47dcb09ece779ff44c92-25ec2980dd544b4ca70328a0733ce69f-2f8b20630b10471395b6c379a465cca8-31e9ad43e84e484eb8b77b7e7a76de91-3864178819534aa7862b26e893aa2e62', '34ac0eba5d5548599086f7439b837d85-396b55534851427590e089fb9cc040cc-590889adc7994fbdbd895f3f8f4cd1f4', '305f726e7f1f4636b88bf20de0093745', '45', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '5', '2020-04-17 22:25:23', '2020-04-17 22:25:23', '2020-04-17 22:25:23', '2020-04-17 22:25:23');
INSERT INTO `exam` VALUES ('2b464a7db7484f21bd34e297c048886a', 'HASAN MURAT', 'ssd', 'sdfs', '018c0f44bfd54bb8a6b0f2e91da3f3b0-0cae9d2a09824bacb660d21aa550e599-2b4df8f9333741ef9f56bc188ec8a147-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d', '018c0f44bfd54bb8a6b0f2e91da3f3b0-0cae9d2a09824bacb660d21aa550e599', '2b4df8f9333741ef9f56bc188ec8a147', '157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d', '25', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-09-14 19:14:50', '2020-09-14 19:14:50', '2020-09-14 19:14:50', '2020-09-14 19:14:50');
INSERT INTO `exam` VALUES ('2ddf27e1852f4de0930f1e3181f09f0c', '老罗臭傻逼', '傻', '傻不傻', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-0885c830022746cf8972c97eba9f5b15-0cae9d2a09824bacb660d21aa550e599-1003b43b03934068973f67d199565dce-14cc31707d53433f81841058a97575da-17ad274d9a6446688013586abf2deed4-1e0cc8f913134006a2a861f17ec14b6c-1e6268528ea14ad78f8024b9f7cf7207-1e9521efc6bb469ba9bd98c76f6ba53d-1eaff8deac0041ed857d16461a290985-2223b2eb8c2942459344c06ce1d3ed1d-224ae57b9c1749bdbfab51b2284789ce-2929d07f28a54c81931701d2b162fd70-078a8fed0cc649f8a864a430b4e7188c-11ae50c372c64e7ca59691c435c91239-14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d-473ecef6048d4d1a91b8100eb7a176e0-7d535a2008b4423bae96c8b4ad90378f', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-0885c830022746cf8972c97eba9f5b15-0cae9d2a09824bacb660d21aa550e599-1003b43b03934068973f67d199565dce-14cc31707d53433f81841058a97575da-17ad274d9a6446688013586abf2deed4-1e0cc8f913134006a2a861f17ec14b6c-1e6268528ea14ad78f8024b9f7cf7207-1e9521efc6bb469ba9bd98c76f6ba53d-1eaff8deac0041ed857d16461a290985-2223b2eb8c2942459344c06ce1d3ed1d', '224ae57b9c1749bdbfab51b2284789ce-2929d07f28a54c81931701d2b162fd70', '078a8fed0cc649f8a864a430b4e7188c-11ae50c372c64e7ca59691c435c91239-14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d-473ecef6048d4d1a91b8100eb7a176e0-7d535a2008b4423bae96c8b4ad90378f', '115', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-07-28 14:23:41', '2020-07-28 14:23:41', '2020-07-28 14:23:41', '2020-07-28 14:23:41');
INSERT INTO `exam` VALUES ('2ef88a8af61a47989cce4c849596db23', 'a', 'A', 'A', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-30a7598bc91346478027795679cd71c3-38085807d06948ca8ad6d8eaca522c85-517621a3c6b745459a5606c65cd38e27-0f228882c0fe462db958be54df6a1142-305f726e7f1f4636b88bf20de0093745', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8', '30a7598bc91346478027795679cd71c3-38085807d06948ca8ad6d8eaca522c85-517621a3c6b745459a5606c65cd38e27', '0f228882c0fe462db958be54df6a1142-305f726e7f1f4636b88bf20de0093745', '40', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-06-03 17:17:10', '2020-06-03 17:17:10', '2020-06-03 17:17:10', '2020-06-03 17:17:10');
INSERT INTO `exam` VALUES ('2f6c959f86504e07882a89a924532ad4', 'test', 'tetst', 'tete', '02d67d11512e490c9a4e1ac152abb9f9-03ba87a6ca3a4075bd983ca799d518d8-0885c830022746cf8972c97eba9f5b15-265b78c96fb94504991ffcf8e5bd6074-2b77e798372f4465882ccf619ce55657-3f2128829879470ea97dc3a5fd8d8f0e-5bf59e82cae24b67879119571c022018-2929d07f28a54c81931701d2b162fd70-5d6c1528fc9a41c7929082d586260d2c-676d834bdf844fbeb7c39fefe0069066-76a0b4b6d6c44d7099ab9f4605e35085-9fe1cafeebf44e20a80f504cff60ef3f-14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d-31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d-371450fbb05a49a5b83bce0f9a33b7fd-495fce658bc4409aac2e14657d8e7e8d-56ed36d358d44d43834ce1146bf4303d-6c261016135a4949bbc301cfe8ea81d6-95221e98e365420f8e967f4460006995-e283ac11c7064ccf976f9c48d68c6a67', '02d67d11512e490c9a4e1ac152abb9f9-03ba87a6ca3a4075bd983ca799d518d8-0885c830022746cf8972c97eba9f5b15-265b78c96fb94504991ffcf8e5bd6074-2b77e798372f4465882ccf619ce55657-3f2128829879470ea97dc3a5fd8d8f0e-5bf59e82cae24b67879119571c022018', '2929d07f28a54c81931701d2b162fd70-5d6c1528fc9a41c7929082d586260d2c-676d834bdf844fbeb7c39fefe0069066-76a0b4b6d6c44d7099ab9f4605e35085-9fe1cafeebf44e20a80f504cff60ef3f', '14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d-31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d-371450fbb05a49a5b83bce0f9a33b7fd-495fce658bc4409aac2e14657d8e7e8d-56ed36d358d44d43834ce1146bf4303d-6c261016135a4949bbc301cfe8ea81d6-95221e98e365420f8e967f4460006995-e283ac11c7064ccf976f9c48d68c6a67', '23', '1', '1', '1', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-09-21 13:12:08', '2020-09-21 13:12:08', '2020-09-21 13:12:08', '2020-09-21 13:12:08');
INSERT INTO `exam` VALUES ('300abb08f0ab46409b1e37e6ce918655', 'bbbbbb', 'bb', 'bbb', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-0a32e228e2464beda23b90c7832d29d2-224ae57b9c1749bdbfab51b2284789ce-157767faab1e459fbb63eddef08f1a0d-23ac2394b14f4e338ec22adba349eb62-23c0e0e98d04425ab2de3e7fec54971d', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0', '0a32e228e2464beda23b90c7832d29d2-224ae57b9c1749bdbfab51b2284789ce', '157767faab1e459fbb63eddef08f1a0d-23ac2394b14f4e338ec22adba349eb62-23c0e0e98d04425ab2de3e7fec54971d', '35', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-08-31 14:56:45', '2020-08-31 14:56:45', '2020-08-31 14:56:45', '2020-08-31 14:56:45');
INSERT INTO `exam` VALUES ('303efbfe2e5f460c909e935345424244', '梁山广创建的考试1', 'https://i.loli.net/2019/11/02/gIqpGQ8J5B4rVYD.gif', '就是測試下', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b-4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-e283ac11c7064ccf976f9c48d68c6a67', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8', '396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b', '4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-e283ac11c7064ccf976f9c48d68c6a67', '45', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-10-19 12:08:53', '2019-10-19 12:08:53', '2019-10-19 12:08:53', '2019-11-02 16:24:00');
INSERT INTO `exam` VALUES ('3067641af3ef4e6c8813abdb1ea8e238', '大魔神的考试', '是是是', '阿斯蒂芬', '3f31e3edcea24aebb1f3ff1556917141-224ae57b9c1749bdbfab51b2284789ce-2929d07f28a54c81931701d2b162fd70-38085807d06948ca8ad6d8eaca522c85-126c3a14b1ec4a7b9b5fe18914c0c19d-14908e5711f74c67924d6b1ceaeb92d0', '3f31e3edcea24aebb1f3ff1556917141', '224ae57b9c1749bdbfab51b2284789ce-2929d07f28a54c81931701d2b162fd70-38085807d06948ca8ad6d8eaca522c85', '126c3a14b1ec4a7b9b5fe18914c0c19d-14908e5711f74c67924d6b1ceaeb92d0', '30', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '5', '2020-09-01 20:37:26', '2020-09-01 20:37:26', '2020-09-01 20:37:26', '2020-09-01 20:37:26');
INSERT INTO `exam` VALUES ('30fbdf37775440fcaffb3bfdd88dd6fd', 'test', '考试', '考试', '004c8b75a1a2421986fa05c89d0a903d-0885c830022746cf8972c97eba9f5b15-23491b7dbbdf47dcb09ece779ff44c92-2929d07f28a54c81931701d2b162fd70-38085807d06948ca8ad6d8eaca522c85-4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658', '004c8b75a1a2421986fa05c89d0a903d-0885c830022746cf8972c97eba9f5b15-23491b7dbbdf47dcb09ece779ff44c92', '2929d07f28a54c81931701d2b162fd70-38085807d06948ca8ad6d8eaca522c85', '4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658', '35', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-09-13 09:59:48', '2020-09-13 09:59:48', '2020-09-13 09:59:48', '2020-09-13 09:59:48');
INSERT INTO `exam` VALUES ('31f5539d563a4d50a0e9a344b3603730', '安全考试', '啊', '安全考试', '2223b2eb8c2942459344c06ce1d3ed1d-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-3864178819534aa7862b26e893aa2e62-38085807d06948ca8ad6d8eaca522c85-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-f3333b1a9dfb49638ef3b02df90cadb5-31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d-8f3e02d0f2a1402abd3278adc05ffb10-a61d6ef2c160420e9f585a7da149fbfc-dc755e13552f4271a6f8c664708a1212-e283ac11c7064ccf976f9c48d68c6a67', '2223b2eb8c2942459344c06ce1d3ed1d-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-3864178819534aa7862b26e893aa2e62', '38085807d06948ca8ad6d8eaca522c85-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-f3333b1a9dfb49638ef3b02df90cadb5', '31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d-8f3e02d0f2a1402abd3278adc05ffb10-a61d6ef2c160420e9f585a7da149fbfc-dc755e13552f4271a6f8c664708a1212-e283ac11c7064ccf976f9c48d68c6a67', '70', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-03-08 20:57:25', '2020-03-08 20:57:25', '2020-03-08 20:57:25', '2020-03-08 20:57:25');
INSERT INTO `exam` VALUES ('32c44ac3f24645a7b66b00060a52e29c', 'Live~~~~', 'Live~~~~', 'Live~~~~', '03ba87a6ca3a4075bd983ca799d518d8-1e0cc8f913134006a2a861f17ec14b6c-1e9521efc6bb469ba9bd98c76f6ba53d-1eaff8deac0041ed857d16461a290985-5bf59e82cae24b67879119571c022018-5e0389903aa94524bcae09ca457ecdaa-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-b5c407439ba845a6be314b6f47650f4d-caac198257444ae2a7f6b6d9f8399f8b-f0431d061ee240b681999dcdc7b390cf-f10dd6ce6f964a5db45c4bdb89d9e17a-f3333b1a9dfb49638ef3b02df90cadb5-f3bf3c8f321344f381b2a5ee34c480aa-495fce658bc4409aac2e14657d8e7e8d-53ae8db083134adb8428403b6a50620e', '03ba87a6ca3a4075bd983ca799d518d8-1e0cc8f913134006a2a861f17ec14b6c-1e9521efc6bb469ba9bd98c76f6ba53d-1eaff8deac0041ed857d16461a290985-5bf59e82cae24b67879119571c022018-5e0389903aa94524bcae09ca457ecdaa', '34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-b5c407439ba845a6be314b6f47650f4d-caac198257444ae2a7f6b6d9f8399f8b-f0431d061ee240b681999dcdc7b390cf-f10dd6ce6f964a5db45c4bdb89d9e17a-f3333b1a9dfb49638ef3b02df90cadb5-f3bf3c8f321344f381b2a5ee34c480aa', '495fce658bc4409aac2e14657d8e7e8d-53ae8db083134adb8428403b6a50620e', '85', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-05-22 10:06:14', '2020-05-22 10:06:14', '2020-05-22 10:06:14', '2020-05-22 10:06:14');
INSERT INTO `exam` VALUES ('32cd0d921bbd4693a0b961da32043d8e', 'sssss', 'bbb', 'sss', '018c0f44bfd54bb8a6b0f2e91da3f3b0-224ae57b9c1749bdbfab51b2284789ce-305f726e7f1f4636b88bf20de0093745', '018c0f44bfd54bb8a6b0f2e91da3f3b0', '224ae57b9c1749bdbfab51b2284789ce', '305f726e7f1f4636b88bf20de0093745', '15', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-07-13 11:19:14', '2020-07-13 11:19:14', '2020-07-13 11:19:14', '2020-07-13 11:19:14');
INSERT INTO `exam` VALUES ('33cf9e5e329c4fd08a080725b3cf045f', 'admin', '额v', '4t', '004c8b75a1a2421986fa05c89d0a903d-224ae57b9c1749bdbfab51b2284789ce-14908e5711f74c67924d6b1ceaeb92d0', '004c8b75a1a2421986fa05c89d0a903d', '224ae57b9c1749bdbfab51b2284789ce', '14908e5711f74c67924d6b1ceaeb92d0', '15', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-08-31 14:46:03', '2020-08-31 14:46:03', '2020-08-31 14:46:03', '2020-08-31 14:46:03');
INSERT INTO `exam` VALUES ('3558629c4d504bfa9f9b61a9211b36f0', '55555555', '77777', '6666666', '018c0f44bfd54bb8a6b0f2e91da3f3b0-14cc31707d53433f81841058a97575da-23491b7dbbdf47dcb09ece779ff44c92-34ac0eba5d5548599086f7439b837d85-9fe1cafeebf44e20a80f504cff60ef3f-f3333b1a9dfb49638ef3b02df90cadb5-31ab7a49aa254240935d1e871d7f2f09-495fce658bc4409aac2e14657d8e7e8d-8f3e02d0f2a1402abd3278adc05ffb10', '018c0f44bfd54bb8a6b0f2e91da3f3b0-14cc31707d53433f81841058a97575da-23491b7dbbdf47dcb09ece779ff44c92', '34ac0eba5d5548599086f7439b837d85-9fe1cafeebf44e20a80f504cff60ef3f-f3333b1a9dfb49638ef3b02df90cadb5', '31ab7a49aa254240935d1e871d7f2f09-495fce658bc4409aac2e14657d8e7e8d-8f3e02d0f2a1402abd3278adc05ffb10', '45', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-03-21 17:49:34', '2020-03-21 17:49:34', '2020-03-21 17:49:34', '2020-03-21 17:49:34');
INSERT INTO `exam` VALUES ('36d3acfdd42845b2969c5a209653530b', 'TIM', '1', '1', '018c0f44bfd54bb8a6b0f2e91da3f3b0-14cc31707d53433f81841058a97575da-1eaff8deac0041ed857d16461a290985-30a7598bc91346478027795679cd71c3-0f228882c0fe462db958be54df6a1142-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d', '018c0f44bfd54bb8a6b0f2e91da3f3b0-14cc31707d53433f81841058a97575da-1eaff8deac0041ed857d16461a290985', '30a7598bc91346478027795679cd71c3', '0f228882c0fe462db958be54df6a1142-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d', '35', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-07-13 10:52:36', '2020-07-13 10:52:36', '2020-07-13 10:52:36', '2020-07-13 10:52:36');
INSERT INTO `exam` VALUES ('384430bb111a469aa48ac60ad21fcc29', 'sa', '三大', 'asd', '2b8b0f8748e24460b461047366d37ecb-31e9ad43e84e484eb8b77b7e7a76de91-336581f3079140328f5e71a1594d7500-34709b873e3e4b979b2ba2c7aed499a7-34fe861fdc8a4b13b7455d4f512a2a07-6d679282cdc649f8b4d185e47026dcca-cee1bf2e88da4278add93f1db111a586-f83af858c0554241bf96205dc9dd9882-224ae57b9c1749bdbfab51b2284789ce-14908e5711f74c67924d6b1ceaeb92d0', '2b8b0f8748e24460b461047366d37ecb-31e9ad43e84e484eb8b77b7e7a76de91-336581f3079140328f5e71a1594d7500-34709b873e3e4b979b2ba2c7aed499a7-34fe861fdc8a4b13b7455d4f512a2a07-6d679282cdc649f8b4d185e47026dcca-cee1bf2e88da4278add93f1db111a586-f83af858c0554241bf96205dc9dd9882', '224ae57b9c1749bdbfab51b2284789ce', '14908e5711f74c67924d6b1ceaeb92d0', '170', '20', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-10-05 21:39:13', '2020-10-05 21:39:13', '2020-10-05 21:39:13', '2020-10-05 21:39:13');
INSERT INTO `exam` VALUES ('3a1bf5bc9dfc4d78a431ee692501ccb4', 'English', '123', '123456', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-1003b43b03934068973f67d199565dce-14cc31707d53433f81841058a97575da-2929d07f28a54c81931701d2b162fd70-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-517621a3c6b745459a5606c65cd38e27-590889adc7994fbdbd895f3f8f4cd1f4-0f228882c0fe462db958be54df6a1142-25bf7d1a791f4cf39d85e26b113001e8-305f726e7f1f4636b88bf20de0093745-31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4-53ae8db083134adb8428403b6a50620e', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-1003b43b03934068973f67d199565dce-14cc31707d53433f81841058a97575da', '2929d07f28a54c81931701d2b162fd70-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-517621a3c6b745459a5606c65cd38e27-590889adc7994fbdbd895f3f8f4cd1f4', '0f228882c0fe462db958be54df6a1142-25bf7d1a791f4cf39d85e26b113001e8-305f726e7f1f4636b88bf20de0093745-31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4-53ae8db083134adb8428403b6a50620e', '90', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-05-27 16:28:25', '2020-05-27 16:28:25', '2020-05-27 16:28:25', '2020-05-27 16:28:25');
INSERT INTO `exam` VALUES ('3b7df15fded044f4a4520dfc23c6e4ec', '测试', 'n\'n', '笔试部分考试，请勿作弊抄袭。', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-3864178819534aa7862b26e893aa2e62-6d679282cdc649f8b4d185e47026dcca-7b324941a5514833a06c4561c1af3b41-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-f3333b1a9dfb49638ef3b02df90cadb5-305f726e7f1f4636b88bf20de0093745-340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10-e283ac11c7064ccf976f9c48d68c6a67-ecdfbdd2a9f24017b3fe1aa0947ca146', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-3864178819534aa7862b26e893aa2e62-6d679282cdc649f8b4d185e47026dcca-7b324941a5514833a06c4561c1af3b41', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-f3333b1a9dfb49638ef3b02df90cadb5', '305f726e7f1f4636b88bf20de0093745-340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10-e283ac11c7064ccf976f9c48d68c6a67-ecdfbdd2a9f24017b3fe1aa0947ca146', '45', '2', '4', '1', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-03-06 20:21:28', '2020-03-06 20:21:28', '2020-03-06 20:21:28', '2020-03-06 20:21:28');
INSERT INTO `exam` VALUES ('3cf0b79c367a4448af8eef6737a5d0b3', 'Ant Design，阿里前端框架', 'https://i.loli.net/2019/11/02/tTUpCbSk6MaADQv.jpg', 'Ant前端学习', '', '31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc', 'e283ac11c7064ccf976f9c48d68c6a67-ecdfbdd2a9f24017b3fe1aa0947ca146', '70', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '100', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-11-02 16:24:07');
INSERT INTO `exam` VALUES ('400ffddba49e41bdbdd647f795d7ee1f', 'test', '111', '111', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-02d67d11512e490c9a4e1ac152abb9f9-0885c830022746cf8972c97eba9f5b15-1003b43b03934068973f67d199565dce-14cc31707d53433f81841058a97575da-17ad274d9a6446688013586abf2deed4-1e6268528ea14ad78f8024b9f7cf7207-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2929d07f28a54c81931701d2b162fd70-2b4df8f9333741ef9f56bc188ec8a147-11ae50c372c64e7ca59691c435c91239-126c3a14b1ec4a7b9b5fe18914c0c19d-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d-4247752901bd47fba86379a1cd4b87d4-473ecef6048d4d1a91b8100eb7a176e0-7d535a2008b4423bae96c8b4ad90378f', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-02d67d11512e490c9a4e1ac152abb9f9-0885c830022746cf8972c97eba9f5b15-1003b43b03934068973f67d199565dce-14cc31707d53433f81841058a97575da-17ad274d9a6446688013586abf2deed4-1e6268528ea14ad78f8024b9f7cf7207-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92', '2929d07f28a54c81931701d2b162fd70-2b4df8f9333741ef9f56bc188ec8a147', '11ae50c372c64e7ca59691c435c91239-126c3a14b1ec4a7b9b5fe18914c0c19d-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d-4247752901bd47fba86379a1cd4b87d4-473ecef6048d4d1a91b8100eb7a176e0-7d535a2008b4423bae96c8b4ad90378f', '95', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-09-29 08:56:39', '2020-09-29 08:56:39', '2020-09-29 08:56:39', '2020-09-29 08:56:39');
INSERT INTO `exam` VALUES ('40407bcd8ec346ecb5d65476d34eb6e3', 'liutest', 'aa', 'fds', '1003b43b03934068973f67d199565dce-14cc31707d53433f81841058a97575da-1e0cc8f913134006a2a861f17ec14b6c-334cfcd5ce47468a9babdce5c97def28-3864178819534aa7862b26e893aa2e62-3da95e8dc779416689d913f8b68c48b2-3f2128829879470ea97dc3a5fd8d8f0e-85047be0b2cf4077a5ec66e92ebf442b-a8c76c5a302f4d0591fb1d32f9dce975-b5c407439ba845a6be314b6f47650f4d-f0431d061ee240b681999dcdc7b390cf-0f228882c0fe462db958be54df6a1142-4247752901bd47fba86379a1cd4b87d4', '1003b43b03934068973f67d199565dce-14cc31707d53433f81841058a97575da-1e0cc8f913134006a2a861f17ec14b6c-334cfcd5ce47468a9babdce5c97def28-3864178819534aa7862b26e893aa2e62-3da95e8dc779416689d913f8b68c48b2-3f2128829879470ea97dc3a5fd8d8f0e', '85047be0b2cf4077a5ec66e92ebf442b-a8c76c5a302f4d0591fb1d32f9dce975-b5c407439ba845a6be314b6f47650f4d-f0431d061ee240b681999dcdc7b390cf', '0f228882c0fe462db958be54df6a1142-4247752901bd47fba86379a1cd4b87d4', '65', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-05-06 09:38:57', '2020-05-06 09:38:57', '2020-05-06 09:38:57', '2020-05-06 09:38:57');
INSERT INTO `exam` VALUES ('409f6d215ac64bbc837ddce60f6898a7', '测试', '是', '是', '018c0f44bfd54bb8a6b0f2e91da3f3b0-07441a6a40d44196a1e67fe344ac57a9-0885c830022746cf8972c97eba9f5b15-0cae9d2a09824bacb660d21aa550e599-2929d07f28a54c81931701d2b162fd70-34ac0eba5d5548599086f7439b837d85-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d-305f726e7f1f4636b88bf20de0093745', '018c0f44bfd54bb8a6b0f2e91da3f3b0-07441a6a40d44196a1e67fe344ac57a9-0885c830022746cf8972c97eba9f5b15-0cae9d2a09824bacb660d21aa550e599', '2929d07f28a54c81931701d2b162fd70-34ac0eba5d5548599086f7439b837d85', '157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d-305f726e7f1f4636b88bf20de0093745', '45', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-07-22 08:37:28', '2020-07-22 08:37:28', '2020-07-22 08:37:28', '2020-07-22 08:37:28');
INSERT INTO `exam` VALUES ('41345edd2b644c7daa7fb79732b05a5e', '热工', '111', '111', '018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-1003b43b03934068973f67d199565dce-2929d07f28a54c81931701d2b162fd70-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-0f228882c0fe462db958be54df6a1142-305f726e7f1f4636b88bf20de0093745-495fce658bc4409aac2e14657d8e7e8d', '018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-1003b43b03934068973f67d199565dce', '2929d07f28a54c81931701d2b162fd70-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc', '0f228882c0fe462db958be54df6a1142-305f726e7f1f4636b88bf20de0093745-495fce658bc4409aac2e14657d8e7e8d', '55', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-05-27 16:19:38', '2020-05-27 16:19:38', '2020-05-27 16:19:38', '2020-05-27 16:19:38');
INSERT INTO `exam` VALUES ('413de781432b4518aaf3635846884a74', '辅导费', '动如脱兔拖拖拖拖拖拖拖拖拖拖', '付广告费', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-02d67d11512e490c9a4e1ac152abb9f9-224ae57b9c1749bdbfab51b2284789ce-2929d07f28a54c81931701d2b162fd70-38085807d06948ca8ad6d8eaca522c85-0f228882c0fe462db958be54df6a1142-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d-371450fbb05a49a5b83bce0f9a33b7fd', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-02d67d11512e490c9a4e1ac152abb9f9', '224ae57b9c1749bdbfab51b2284789ce-2929d07f28a54c81931701d2b162fd70-38085807d06948ca8ad6d8eaca522c85', '0f228882c0fe462db958be54df6a1142-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d-371450fbb05a49a5b83bce0f9a33b7fd', '50', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-10-09 09:35:58', '2020-10-09 09:35:58', '2020-10-09 09:35:58', '2020-10-09 09:35:58');
INSERT INTO `exam` VALUES ('42931c9bb6d84e13bdb5c47e0fccdc22', 'Reading', 'nah', 'IELTS Style Reading', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-3864178819534aa7862b26e893aa2e62-b95a0546fcc8418e84185137d14b1b50-bb22f19338174d1f9333f9aebd6ffeb6-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-305f726e7f1f4636b88bf20de0093745-4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10-e283ac11c7064ccf976f9c48d68c6a67-ecdfbdd2a9f24017b3fe1aa0947ca146', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-3864178819534aa7862b26e893aa2e62-b95a0546fcc8418e84185137d14b1b50-bb22f19338174d1f9333f9aebd6ffeb6', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f', '305f726e7f1f4636b88bf20de0093745-4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10-e283ac11c7064ccf976f9c48d68c6a67-ecdfbdd2a9f24017b3fe1aa0947ca146', '95', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '60', '2020-03-02 04:00:00', '2020-03-02 04:00:00', '2020-03-02 04:00:00', '2020-03-02 04:00:00');
INSERT INTO `exam` VALUES ('44fff831a506483a97702b48569e9c44', 'aaaa', 'aaaa', 'aaaa', '004c8b75a1a2421986fa05c89d0a903d-224ae57b9c1749bdbfab51b2284789ce-22d201cd2e5c4558bbbdf4cb5d7ea717-388dd246953945569e3617b268629ee4-0f228882c0fe462db958be54df6a1142', '004c8b75a1a2421986fa05c89d0a903d', '224ae57b9c1749bdbfab51b2284789ce-22d201cd2e5c4558bbbdf4cb5d7ea717-388dd246953945569e3617b268629ee4', '0f228882c0fe462db958be54df6a1142', '25', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-08-26 21:24:50', '2020-08-26 21:24:50', '2020-08-26 21:24:50', '2020-08-26 21:24:50');
INSERT INTO `exam` VALUES ('47ba10c81b8543e38e20b9eedde86208', '考试名称', '考试小图', '考试简述', '40ee7b36298d4568aad20e2db36ddbb5-34ac0eba5d5548599086f7439b837d85-305f726e7f1f4636b88bf20de0093745', '40ee7b36298d4568aad20e2db36ddbb5', '34ac0eba5d5548599086f7439b837d85', '305f726e7f1f4636b88bf20de0093745', '15', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-04-09 15:01:21', '2020-04-09 15:01:21', '2020-04-09 15:01:21', '2020-04-09 15:01:21');
INSERT INTO `exam` VALUES ('47d9908c4767426180554d7dee1ba275', '1', '1', '11', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-07441a6a40d44196a1e67fe344ac57a9-0cae9d2a09824bacb660d21aa550e599-1003b43b03934068973f67d199565dce-313a3c23d119451d9f3f82bb47401b9f-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-5e0389903aa94524bcae09ca457ecdaa-22d201cd2e5c4558bbbdf4cb5d7ea717-2929d07f28a54c81931701d2b162fd70-388dd246953945569e3617b268629ee4-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d-25bf7d1a791f4cf39d85e26b113001e8-305f726e7f1f4636b88bf20de0093745', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-07441a6a40d44196a1e67fe344ac57a9-0cae9d2a09824bacb660d21aa550e599-1003b43b03934068973f67d199565dce-313a3c23d119451d9f3f82bb47401b9f-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-5e0389903aa94524bcae09ca457ecdaa', '22d201cd2e5c4558bbbdf4cb5d7ea717-2929d07f28a54c81931701d2b162fd70-388dd246953945569e3617b268629ee4', '157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d-25bf7d1a791f4cf39d85e26b113001e8-305f726e7f1f4636b88bf20de0093745', '80', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-08-04 12:06:38', '2020-08-04 12:06:38', '2020-08-04 12:06:38', '2020-08-04 12:06:38');
INSERT INTO `exam` VALUES ('4af99ae4d9e6480497c61f558a6e194a', '网线', '无', '网线相关', '14cc31707d53433f81841058a97575da-1e0cc8f913134006a2a861f17ec14b6c-5e0389903aa94524bcae09ca457ecdaa-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-517621a3c6b745459a5606c65cd38e27-311e5bf4b7dc4f15bae52e2f5caf4800-340e5189877a4eb58492c7bb7a3c094d-495fce658bc4409aac2e14657d8e7e8d-698def9f99b343e9b74cd7513f9efe61-dc91198c27dc4ab5942ffc924f282367', '14cc31707d53433f81841058a97575da-1e0cc8f913134006a2a861f17ec14b6c-5e0389903aa94524bcae09ca457ecdaa', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-517621a3c6b745459a5606c65cd38e27', '311e5bf4b7dc4f15bae52e2f5caf4800-340e5189877a4eb58492c7bb7a3c094d-495fce658bc4409aac2e14657d8e7e8d-698def9f99b343e9b74cd7513f9efe61-dc91198c27dc4ab5942ffc924f282367', '55', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-04-07 09:37:25', '2020-04-07 09:37:25', '2020-04-07 09:37:25', '2020-04-07 09:37:25');
INSERT INTO `exam` VALUES ('4b835cf8685f432398146cb379e7c3e4', '测试', '12', '12', '018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-0cae9d2a09824bacb660d21aa550e599-224ae57b9c1749bdbfab51b2284789ce-2929d07f28a54c81931701d2b162fd70-14908e5711f74c67924d6b1ceaeb92d0-23ac2394b14f4e338ec22adba349eb62', '018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-0cae9d2a09824bacb660d21aa550e599', '224ae57b9c1749bdbfab51b2284789ce-2929d07f28a54c81931701d2b162fd70', '14908e5711f74c67924d6b1ceaeb92d0-23ac2394b14f4e338ec22adba349eb62', '40', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-08-07 16:32:13', '2020-08-07 16:32:13', '2020-08-07 16:32:13', '2020-08-07 16:32:13');
INSERT INTO `exam` VALUES ('4b90e19967594a36be6f1b44053025b1', 'haotian', '123', '考试测试', '018c0f44bfd54bb8a6b0f2e91da3f3b0-313a3c23d119451d9f3f82bb47401b9f-31e9ad43e84e484eb8b77b7e7a76de91-224ae57b9c1749bdbfab51b2284789ce-0f228882c0fe462db958be54df6a1142-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d', '018c0f44bfd54bb8a6b0f2e91da3f3b0-313a3c23d119451d9f3f82bb47401b9f-31e9ad43e84e484eb8b77b7e7a76de91', '224ae57b9c1749bdbfab51b2284789ce', '0f228882c0fe462db958be54df6a1142-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d', '35', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '45', '2020-07-16 17:07:33', '2020-07-16 17:07:33', '2020-07-16 17:07:33', '2020-07-16 17:07:33');
INSERT INTO `exam` VALUES ('4bae6bf801f1426584ccb404bf9eff4a', '33132', '3150', '36153', '334cfcd5ce47468a9babdce5c97def28-3864178819534aa7862b26e893aa2e62-3da95e8dc779416689d913f8b68c48b2-40ee7b36298d4568aad20e2db36ddbb5-5396e258c48e467fbdf904701aa85840-551677f9e25441bbade1d48fb9f76a01-5bf59e82cae24b67879119571c022018-5e0389903aa94524bcae09ca457ecdaa-6bba5e6bff4a402aa2345a84949b39b0-736a5bdfc44d4bed99cb43cd4ee0fe03-75e0196b943a47f59d246557dc7c30dd-2929d07f28a54c81931701d2b162fd70-396b55534851427590e089fb9cc040cc-517621a3c6b745459a5606c65cd38e27-590889adc7994fbdbd895f3f8f4cd1f4-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-b5c407439ba845a6be314b6f47650f4d-311e5bf4b7dc4f15bae52e2f5caf4800-31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d-698def9f99b343e9b74cd7513f9efe61-6cabac6ec4ef44068e66cf2547543658-dc91198c27dc4ab5942ffc924f282367', '334cfcd5ce47468a9babdce5c97def28-3864178819534aa7862b26e893aa2e62-3da95e8dc779416689d913f8b68c48b2-40ee7b36298d4568aad20e2db36ddbb5-5396e258c48e467fbdf904701aa85840-551677f9e25441bbade1d48fb9f76a01-5bf59e82cae24b67879119571c022018-5e0389903aa94524bcae09ca457ecdaa-6bba5e6bff4a402aa2345a84949b39b0-736a5bdfc44d4bed99cb43cd4ee0fe03-75e0196b943a47f59d246557dc7c30dd', '2929d07f28a54c81931701d2b162fd70-396b55534851427590e089fb9cc040cc-517621a3c6b745459a5606c65cd38e27-590889adc7994fbdbd895f3f8f4cd1f4-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-b5c407439ba845a6be314b6f47650f4d', '311e5bf4b7dc4f15bae52e2f5caf4800-31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d-698def9f99b343e9b74cd7513f9efe61-6cabac6ec4ef44068e66cf2547543658-dc91198c27dc4ab5942ffc924f282367', '120', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-04-14 17:30:31', '2020-04-14 17:30:31', '2020-04-14 17:30:31', '2020-04-14 17:30:31');
INSERT INTO `exam` VALUES ('4be45c365eca44a3a3cbdaa63680ca7e', '啊最后的疯狂', '贝多芬', '多瑞咪', '004c8b75a1a2421986fa05c89d0a903d-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-0885c830022746cf8972c97eba9f5b15-458475653213478e9b69e2f1bb063ffc-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-85047be0b2cf4077a5ec66e92ebf442b-f10dd6ce6f964a5db45c4bdb89d9e17a-f3bf3c8f321344f381b2a5ee34c480aa-311e5bf4b7dc4f15bae52e2f5caf4800-340e5189877a4eb58492c7bb7a3c094d-495fce658bc4409aac2e14657d8e7e8d-698def9f99b343e9b74cd7513f9efe61-d5c410448b5f4057b27de8e0e4d6bf43-dc91198c27dc4ab5942ffc924f282367', '004c8b75a1a2421986fa05c89d0a903d-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-0885c830022746cf8972c97eba9f5b15-458475653213478e9b69e2f1bb063ffc', '34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-85047be0b2cf4077a5ec66e92ebf442b-f10dd6ce6f964a5db45c4bdb89d9e17a-f3bf3c8f321344f381b2a5ee34c480aa', '311e5bf4b7dc4f15bae52e2f5caf4800-340e5189877a4eb58492c7bb7a3c094d-495fce658bc4409aac2e14657d8e7e8d-698def9f99b343e9b74cd7513f9efe61-d5c410448b5f4057b27de8e0e4d6bf43-dc91198c27dc4ab5942ffc924f282367', '80', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-05-27 22:21:25', '2020-05-27 22:21:25', '2020-05-27 22:21:25', '2020-05-27 22:21:25');
INSERT INTO `exam` VALUES ('4e6b79485f3441b7a3c0f8f4c62d2b27', '大都多大', '呜呜呜呜', '呜呜呜呜', '004c8b75a1a2421986fa05c89d0a903d-224ae57b9c1749bdbfab51b2284789ce-23ac2394b14f4e338ec22adba349eb62', '004c8b75a1a2421986fa05c89d0a903d', '224ae57b9c1749bdbfab51b2284789ce', '23ac2394b14f4e338ec22adba349eb62', '15', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-09-01 10:53:05', '2020-09-01 10:53:05', '2020-09-01 10:53:05', '2020-09-01 10:53:05');
INSERT INTO `exam` VALUES ('4f451907c7a14322a67209b00357c106', 'test', 'test', 'test', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-2929d07f28a54c81931701d2b162fd70-30a7598bc91346478027795679cd71c3-078a8fed0cc649f8a864a430b4e7188c-0f228882c0fe462db958be54df6a1142', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0', '2929d07f28a54c81931701d2b162fd70-30a7598bc91346478027795679cd71c3', '078a8fed0cc649f8a864a430b4e7188c-0f228882c0fe462db958be54df6a1142', '30', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-06-12 11:32:43', '2020-06-12 11:32:43', '2020-06-12 11:32:43', '2020-06-12 11:32:43');
INSERT INTO `exam` VALUES ('4fceabedb35c4cbaba1f0522fa3bdde0', '3', '1', '1', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-02d67d11512e490c9a4e1ac152abb9f9-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-0885c830022746cf8972c97eba9f5b15-1eaff8deac0041ed857d16461a290985-23491b7dbbdf47dcb09ece779ff44c92-224ae57b9c1749bdbfab51b2284789ce-22d201cd2e5c4558bbbdf4cb5d7ea717-388dd246953945569e3617b268629ee4-0f228882c0fe462db958be54df6a1142-126c3a14b1ec4a7b9b5fe18914c0c19d', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-02d67d11512e490c9a4e1ac152abb9f9-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-0885c830022746cf8972c97eba9f5b15-1eaff8deac0041ed857d16461a290985-23491b7dbbdf47dcb09ece779ff44c92', '224ae57b9c1749bdbfab51b2284789ce-22d201cd2e5c4558bbbdf4cb5d7ea717-388dd246953945569e3617b268629ee4', '0f228882c0fe462db958be54df6a1142-126c3a14b1ec4a7b9b5fe18914c0c19d', '65', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-09-01 08:56:38', '2020-09-01 08:56:38', '2020-09-01 08:56:38', '2020-09-01 08:56:38');
INSERT INTO `exam` VALUES ('514de1932cf14d2b9defc4210f5c8cf8', '老罗臭傻逼', '傻', '傻不傻', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-0885c830022746cf8972c97eba9f5b15-0cae9d2a09824bacb660d21aa550e599-1003b43b03934068973f67d199565dce-14cc31707d53433f81841058a97575da-17ad274d9a6446688013586abf2deed4-1e0cc8f913134006a2a861f17ec14b6c-1e6268528ea14ad78f8024b9f7cf7207-1e9521efc6bb469ba9bd98c76f6ba53d-1eaff8deac0041ed857d16461a290985-2223b2eb8c2942459344c06ce1d3ed1d-224ae57b9c1749bdbfab51b2284789ce-2929d07f28a54c81931701d2b162fd70-078a8fed0cc649f8a864a430b4e7188c-11ae50c372c64e7ca59691c435c91239-14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d-473ecef6048d4d1a91b8100eb7a176e0-7d535a2008b4423bae96c8b4ad90378f', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-0885c830022746cf8972c97eba9f5b15-0cae9d2a09824bacb660d21aa550e599-1003b43b03934068973f67d199565dce-14cc31707d53433f81841058a97575da-17ad274d9a6446688013586abf2deed4-1e0cc8f913134006a2a861f17ec14b6c-1e6268528ea14ad78f8024b9f7cf7207-1e9521efc6bb469ba9bd98c76f6ba53d-1eaff8deac0041ed857d16461a290985-2223b2eb8c2942459344c06ce1d3ed1d', '224ae57b9c1749bdbfab51b2284789ce-2929d07f28a54c81931701d2b162fd70', '078a8fed0cc649f8a864a430b4e7188c-11ae50c372c64e7ca59691c435c91239-14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d-473ecef6048d4d1a91b8100eb7a176e0-7d535a2008b4423bae96c8b4ad90378f', '115', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-07-28 14:23:41', '2020-07-28 14:23:41', '2020-07-28 14:23:41', '2020-07-28 14:23:41');
INSERT INTO `exam` VALUES ('52d672f6317446f6b89896a9f36d912a', 'css', '1', '1', '004c8b75a1a2421986fa05c89d0a903d-224ae57b9c1749bdbfab51b2284789ce-0f228882c0fe462db958be54df6a1142', '004c8b75a1a2421986fa05c89d0a903d', '224ae57b9c1749bdbfab51b2284789ce', '0f228882c0fe462db958be54df6a1142', '15', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-10-07 09:47:49', '2020-10-07 09:47:49', '2020-10-07 09:47:49', '2020-10-07 09:47:49');
INSERT INTO `exam` VALUES ('54f9181eb04141c083f2a7889bbac8cc', '保温杯', '09', '09', '004c8b75a1a2421986fa05c89d0a903d-2929d07f28a54c81931701d2b162fd70-340e5189877a4eb58492c7bb7a3c094d', '004c8b75a1a2421986fa05c89d0a903d', '2929d07f28a54c81931701d2b162fd70', '340e5189877a4eb58492c7bb7a3c094d', '15', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-09-03 16:09:45', '2020-09-03 16:09:45', '2020-09-03 16:09:45', '2020-09-03 16:09:45');
INSERT INTO `exam` VALUES ('56c87ee3b67c484ebf0f9802c59aada2', '2+2=?', '2', '2', '004c8b75a1a2421986fa05c89d0a903d-2929d07f28a54c81931701d2b162fd70-078a8fed0cc649f8a864a430b4e7188c', '004c8b75a1a2421986fa05c89d0a903d', '2929d07f28a54c81931701d2b162fd70', '078a8fed0cc649f8a864a430b4e7188c', '15', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-07-07 14:20:09', '2020-07-07 14:20:09', '2020-07-07 14:20:09', '2020-07-07 14:20:09');
INSERT INTO `exam` VALUES ('5741b70e887644ac98c074f4db679ddf', '国保情报信息', 'what ', 'this is a test', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-25ec2980dd544b4ca70328a0733ce69f-2f8b20630b10471395b6c379a465cca8-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-38085807d06948ca8ad6d8eaca522c85-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-b5c407439ba845a6be314b6f47650f4d-305f726e7f1f4636b88bf20de0093745-31ab7a49aa254240935d1e871d7f2f09-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10-a61d6ef2c160420e9f585a7da149fbfc-dc755e13552f4271a6f8c664708a1212', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-25ec2980dd544b4ca70328a0733ce69f-2f8b20630b10471395b6c379a465cca8-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28', '38085807d06948ca8ad6d8eaca522c85-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-b5c407439ba845a6be314b6f47650f4d', '305f726e7f1f4636b88bf20de0093745-31ab7a49aa254240935d1e871d7f2f09-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10-a61d6ef2c160420e9f585a7da149fbfc-dc755e13552f4271a6f8c664708a1212', '80', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-04-02 14:39:25', '2020-04-02 14:39:25', '2020-04-02 14:39:25', '2020-04-02 14:39:25');
INSERT INTO `exam` VALUES ('581226454b9d4341be58ebf9f24c5a87', 'Shibo Wei', 's', 's', '23491b7dbbdf47dcb09ece779ff44c92-31e9ad43e84e484eb8b77b7e7a76de91-38085807d06948ca8ad6d8eaca522c85-340e5189877a4eb58492c7bb7a3c094d', '23491b7dbbdf47dcb09ece779ff44c92-31e9ad43e84e484eb8b77b7e7a76de91', '38085807d06948ca8ad6d8eaca522c85', '340e5189877a4eb58492c7bb7a3c094d', '20', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-03-08 18:58:19', '2020-03-08 18:58:19', '2020-03-08 18:58:19', '2020-03-08 18:58:19');
INSERT INTO `exam` VALUES ('59302d7de9ab466b93cbabdb9b8f9f07', 'ch123', '000000', 'test01', '2b8b0f8748e24460b461047366d37ecb-313a3c23d119451d9f3f82bb47401b9f-336581f3079140328f5e71a1594d7500-5bc570c6662c41d99bd9859cecff90c4-5e0389903aa94524bcae09ca457ecdaa-6d679282cdc649f8b4d185e47026dcca-76049b0d9a254178887a4c3c65ba59b7-7b324941a5514833a06c4561c1af3b41-f83af858c0554241bf96205dc9dd9882-2929d07f28a54c81931701d2b162fd70-30a7598bc91346478027795679cd71c3-14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23ac2394b14f4e338ec22adba349eb62-23c0e0e98d04425ab2de3e7fec54971d-31ab7a49aa254240935d1e871d7f2f09', '2b8b0f8748e24460b461047366d37ecb-313a3c23d119451d9f3f82bb47401b9f-336581f3079140328f5e71a1594d7500-5bc570c6662c41d99bd9859cecff90c4-5e0389903aa94524bcae09ca457ecdaa-6d679282cdc649f8b4d185e47026dcca-76049b0d9a254178887a4c3c65ba59b7-7b324941a5514833a06c4561c1af3b41-f83af858c0554241bf96205dc9dd9882', '2929d07f28a54c81931701d2b162fd70-30a7598bc91346478027795679cd71c3', '14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23ac2394b14f4e338ec22adba349eb62-23c0e0e98d04425ab2de3e7fec54971d-31ab7a49aa254240935d1e871d7f2f09', '80', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-08-31 14:35:42', '2020-08-31 14:35:42', '2020-08-31 14:35:42', '2020-08-31 14:35:42');
INSERT INTO `exam` VALUES ('59a3cb205f3745338c0b7e9d26ce2fe5', 'Angular学习', 'https://i.loli.net/2019/11/02/DvPiSRJrzoH1tkZ.gif', 'Angular小测验', '', '23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8', '85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f', '6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10', '90', '5', '10', '20', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-11-02 16:24:17');
INSERT INTO `exam` VALUES ('5a5bd6fe24fe41afb2711991eafbdd88', 'math', 'heheh ', 'hehhe', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-25ec2980dd544b4ca70328a0733ce69f-2f8b20630b10471395b6c379a465cca8-31e9ad43e84e484eb8b77b7e7a76de91-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-340e5189877a4eb58492c7bb7a3c094d-6cabac6ec4ef44068e66cf2547543658', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-25ec2980dd544b4ca70328a0733ce69f-2f8b20630b10471395b6c379a465cca8-31e9ad43e84e484eb8b77b7e7a76de91', '34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85', '340e5189877a4eb58492c7bb7a3c094d-6cabac6ec4ef44068e66cf2547543658', '50', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '20', '2020-03-25 15:40:09', '2020-03-25 15:40:09', '2020-03-25 15:40:09', '2020-03-25 15:40:09');
INSERT INTO `exam` VALUES ('5b45a0b2a15a43c2b543bde4650ac29b', '测试8/13', 'dfdf', 'dfdf', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-0885c830022746cf8972c97eba9f5b15-0cae9d2a09824bacb660d21aa550e599-1003b43b03934068973f67d199565dce-224ae57b9c1749bdbfab51b2284789ce-22d201cd2e5c4558bbbdf4cb5d7ea717-2929d07f28a54c81931701d2b162fd70-30a7598bc91346478027795679cd71c3-388dd246953945569e3617b268629ee4-157767faab1e459fbb63eddef08f1a0d-23ac2394b14f4e338ec22adba349eb62-23c0e0e98d04425ab2de3e7fec54971d-25bf7d1a791f4cf39d85e26b113001e8', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-0885c830022746cf8972c97eba9f5b15-0cae9d2a09824bacb660d21aa550e599-1003b43b03934068973f67d199565dce', '224ae57b9c1749bdbfab51b2284789ce-22d201cd2e5c4558bbbdf4cb5d7ea717-2929d07f28a54c81931701d2b162fd70-30a7598bc91346478027795679cd71c3-388dd246953945569e3617b268629ee4', '157767faab1e459fbb63eddef08f1a0d-23ac2394b14f4e338ec22adba349eb62-23c0e0e98d04425ab2de3e7fec54971d-25bf7d1a791f4cf39d85e26b113001e8', '80', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-08-13 20:52:19', '2020-08-13 20:52:19', '2020-08-13 20:52:19', '2020-08-13 20:52:19');
INSERT INTO `exam` VALUES ('5be639dd97e6482a81feb047cc64f29e', 'test', 'ffff', 'ffff', '1003b43b03934068973f67d199565dce-34ac0eba5d5548599086f7439b837d85-517621a3c6b745459a5606c65cd38e27-340e5189877a4eb58492c7bb7a3c094d', '1003b43b03934068973f67d199565dce', '34ac0eba5d5548599086f7439b837d85-517621a3c6b745459a5606c65cd38e27', '340e5189877a4eb58492c7bb7a3c094d', '20', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-04-08 11:15:11', '2020-04-08 11:15:11', '2020-04-08 11:15:11', '2020-04-08 11:15:11');
INSERT INTO `exam` VALUES ('5d9f3ce7cf81460cae209fcd381395db', '高剑兵', 'S', 'S', '018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-caac198257444ae2a7f6b6d9f8399f8b-078a8fed0cc649f8a864a430b4e7188c', '018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8', 'caac198257444ae2a7f6b6d9f8399f8b', '078a8fed0cc649f8a864a430b4e7188c', '20', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-05-12 20:14:59', '2020-05-12 20:14:59', '2020-05-12 20:14:59', '2020-05-12 20:14:59');
INSERT INTO `exam` VALUES ('5f08a610b6e3463691a511e5c037b62d', 'demo', 'demo', 'demo', '2f8b20630b10471395b6c379a465cca8-313a3c23d119451d9f3f82bb47401b9f-224ae57b9c1749bdbfab51b2284789ce-2929d07f28a54c81931701d2b162fd70-14908e5711f74c67924d6b1ceaeb92d0-23ac2394b14f4e338ec22adba349eb62', '2f8b20630b10471395b6c379a465cca8-313a3c23d119451d9f3f82bb47401b9f', '224ae57b9c1749bdbfab51b2284789ce-2929d07f28a54c81931701d2b162fd70', '14908e5711f74c67924d6b1ceaeb92d0-23ac2394b14f4e338ec22adba349eb62', '30', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-09-02 16:16:52', '2020-09-02 16:16:52', '2020-09-02 16:16:52', '2020-09-02 16:16:52');
INSERT INTO `exam` VALUES ('5f231a83716742d0ba4af9448be9ed63', '1234567', '123', '123', '25ec2980dd544b4ca70328a0733ce69f-313a3c23d119451d9f3f82bb47401b9f-334cfcd5ce47468a9babdce5c97def28-3864178819534aa7862b26e893aa2e62-3da95e8dc779416689d913f8b68c48b2-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-517621a3c6b745459a5606c65cd38e27-79b4e7a9a7e144ba8d5af83c39f9b13a-31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4', '25ec2980dd544b4ca70328a0733ce69f-313a3c23d119451d9f3f82bb47401b9f-334cfcd5ce47468a9babdce5c97def28-3864178819534aa7862b26e893aa2e62-3da95e8dc779416689d913f8b68c48b2', '34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-517621a3c6b745459a5606c65cd38e27-79b4e7a9a7e144ba8d5af83c39f9b13a', '31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4', '65', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-04-26 21:19:24', '2020-04-26 21:19:24', '2020-04-26 21:19:24', '2020-04-26 21:19:24');
INSERT INTO `exam` VALUES ('6158a3a19f71435cb39ef90b7e62a4be', '2323', 'dsd', 'dsd', '018c0f44bfd54bb8a6b0f2e91da3f3b0-2929d07f28a54c81931701d2b162fd70-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d', '018c0f44bfd54bb8a6b0f2e91da3f3b0', '2929d07f28a54c81931701d2b162fd70', '157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d', '20', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-09-17 11:20:15', '2020-09-17 11:20:15', '2020-09-17 11:20:15', '2020-09-17 11:20:15');
INSERT INTO `exam` VALUES ('61f6198b88a744aead6f25d04200025e', '阿里考试', 'https://i.loli.net/2019/11/02/iltU4CbvOnsg5G2.gif', '阿里巴巴2019校招', '', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc', '305f726e7f1f4636b88bf20de0093745-4247752901bd47fba86379a1cd4b87d4', '100', '5', '6', '7', 'a1b661031adf4a8f969f1869d479fe74', '60', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-11-02 16:24:19');
INSERT INTO `exam` VALUES ('63195182d70141d4ba7371c7516eb6f2', '市辖区公司1', 'gg', 'gg', '1e9521efc6bb469ba9bd98c76f6ba53d-1eaff8deac0041ed857d16461a290985-23491b7dbbdf47dcb09ece779ff44c92-25ec2980dd544b4ca70328a0733ce69f-2929d07f28a54c81931701d2b162fd70-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d-25bf7d1a791f4cf39d85e26b113001e8-305f726e7f1f4636b88bf20de0093745', '1e9521efc6bb469ba9bd98c76f6ba53d-1eaff8deac0041ed857d16461a290985-23491b7dbbdf47dcb09ece779ff44c92-25ec2980dd544b4ca70328a0733ce69f', '2929d07f28a54c81931701d2b162fd70', '157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d-25bf7d1a791f4cf39d85e26b113001e8-305f726e7f1f4636b88bf20de0093745', '45', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-07-24 14:43:01', '2020-07-24 14:43:01', '2020-07-24 14:43:01', '2020-07-24 14:43:01');
INSERT INTO `exam` VALUES ('63c152c2d8574af7957aa21cf05fff23', '2020高考试卷 全国卷I 语文', '什么小兔？？', ' 适用地区：安徽、湖北、福建、湖南、山西、河北、江西、广东、河南', '2f8b20630b10471395b6c379a465cca8-313a3c23d119451d9f3f82bb47401b9f-31e9ad43e84e484eb8b77b7e7a76de91-34709b873e3e4b979b2ba2c7aed499a7-34fe861fdc8a4b13b7455d4f512a2a07-3864178819534aa7862b26e893aa2e62-3da95e8dc779416689d913f8b68c48b2-458475653213478e9b69e2f1bb063ffc-5bf59e82cae24b67879119571c022018-76049b0d9a254178887a4c3c65ba59b7-7b324941a5514833a06c4561c1af3b41-7b468fb6cfab474fb11176fb3f45ab81-0a32e228e2464beda23b90c7832d29d2-22d201cd2e5c4558bbbdf4cb5d7ea717-30a7598bc91346478027795679cd71c3-34ac0eba5d5548599086f7439b837d85-388dd246953945569e3617b268629ee4-590889adc7994fbdbd895f3f8f4cd1f4-5b796234b1df47c78f614d2f76b91467-5d6c1528fc9a41c7929082d586260d2c-676d834bdf844fbeb7c39fefe0069066-8ea36cd7b97241018fc44eb9773d5397-a8c76c5a302f4d0591fb1d32f9dce975-126c3a14b1ec4a7b9b5fe18914c0c19d-14908e5711f74c67924d6b1ceaeb92d0-23ac2394b14f4e338ec22adba349eb62-340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4-495fce658bc4409aac2e14657d8e7e8d-d5c410448b5f4057b27de8e0e4d6bf43-e283ac11c7064ccf976f9c48d68c6a67-ecdfbdd2a9f24017b3fe1aa0947ca146', '2f8b20630b10471395b6c379a465cca8-313a3c23d119451d9f3f82bb47401b9f-31e9ad43e84e484eb8b77b7e7a76de91-34709b873e3e4b979b2ba2c7aed499a7-34fe861fdc8a4b13b7455d4f512a2a07-3864178819534aa7862b26e893aa2e62-3da95e8dc779416689d913f8b68c48b2-458475653213478e9b69e2f1bb063ffc-5bf59e82cae24b67879119571c022018-76049b0d9a254178887a4c3c65ba59b7-7b324941a5514833a06c4561c1af3b41-7b468fb6cfab474fb11176fb3f45ab81', '0a32e228e2464beda23b90c7832d29d2-22d201cd2e5c4558bbbdf4cb5d7ea717-30a7598bc91346478027795679cd71c3-34ac0eba5d5548599086f7439b837d85-388dd246953945569e3617b268629ee4-590889adc7994fbdbd895f3f8f4cd1f4-5b796234b1df47c78f614d2f76b91467-5d6c1528fc9a41c7929082d586260d2c-676d834bdf844fbeb7c39fefe0069066-8ea36cd7b97241018fc44eb9773d5397-a8c76c5a302f4d0591fb1d32f9dce975', '126c3a14b1ec4a7b9b5fe18914c0c19d-14908e5711f74c67924d6b1ceaeb92d0-23ac2394b14f4e338ec22adba349eb62-340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4-495fce658bc4409aac2e14657d8e7e8d-d5c410448b5f4057b27de8e0e4d6bf43-e283ac11c7064ccf976f9c48d68c6a67-ecdfbdd2a9f24017b3fe1aa0947ca146', '64', '2', '2', '2', '68042014e23c4ebea7234cb9c77cee5c', '9', '2020-08-31 21:39:15', '2020-08-31 21:39:15', '2020-08-31 21:39:15', '2020-08-31 21:39:15');
INSERT INTO `exam` VALUES ('654d09766c9d421196b660d05aff4ab0', 'yy', 's', 's', '14cc31707d53433f81841058a97575da-23491b7dbbdf47dcb09ece779ff44c92-25ec2980dd544b4ca70328a0733ce69f-2f8b20630b10471395b6c379a465cca8-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-85047be0b2cf4077a5ec66e92ebf442b-340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4-495fce658bc4409aac2e14657d8e7e8d', '14cc31707d53433f81841058a97575da-23491b7dbbdf47dcb09ece779ff44c92-25ec2980dd544b4ca70328a0733ce69f-2f8b20630b10471395b6c379a465cca8', '34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-85047be0b2cf4077a5ec66e92ebf442b', '340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4-495fce658bc4409aac2e14657d8e7e8d', '50', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-04-02 14:40:07', '2020-04-02 14:40:07', '2020-04-02 14:40:07', '2020-04-02 14:40:07');
INSERT INTO `exam` VALUES ('672f399990ef4d419550fcfd1c428075', '缺陷', '1', '1', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-1003b43b03934068973f67d199565dce-1e6268528ea14ad78f8024b9f7cf7207-25ec2980dd544b4ca70328a0733ce69f-3864178819534aa7862b26e893aa2e62-5bc570c6662c41d99bd9859cecff90c4-396b55534851427590e089fb9cc040cc-517621a3c6b745459a5606c65cd38e27-5495afd392314658960c3911fd6c1b84-31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-1003b43b03934068973f67d199565dce-1e6268528ea14ad78f8024b9f7cf7207-25ec2980dd544b4ca70328a0733ce69f-3864178819534aa7862b26e893aa2e62-5bc570c6662c41d99bd9859cecff90c4', '396b55534851427590e089fb9cc040cc-517621a3c6b745459a5606c65cd38e27-5495afd392314658960c3911fd6c1b84', '31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4', '70', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-06-15 16:54:22', '2020-06-15 16:54:22', '2020-06-15 16:54:22', '2020-06-15 16:54:22');
INSERT INTO `exam` VALUES ('6931371e54984683a623608d445cf568', 'card', '多舒服', '都是', '018c0f44bfd54bb8a6b0f2e91da3f3b0-34ac0eba5d5548599086f7439b837d85-517621a3c6b745459a5606c65cd38e27-340e5189877a4eb58492c7bb7a3c094d-495fce658bc4409aac2e14657d8e7e8d', '018c0f44bfd54bb8a6b0f2e91da3f3b0', '34ac0eba5d5548599086f7439b837d85-517621a3c6b745459a5606c65cd38e27', '340e5189877a4eb58492c7bb7a3c094d-495fce658bc4409aac2e14657d8e7e8d', '25', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-03-22 12:51:51', '2020-03-22 12:51:51', '2020-03-22 12:51:51', '2020-03-22 12:51:51');
INSERT INTO `exam` VALUES ('694f2feb57a14686bd7ffc12f99a23a4', 'java', '12', '12', '2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-3864178819534aa7862b26e893aa2e62-bb22f19338174d1f9333f9aebd6ffeb6-cff7d16da6ab428e893c748d5c759cb2-396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b-305f726e7f1f4636b88bf20de0093745-4247752901bd47fba86379a1cd4b87d4', '2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-3864178819534aa7862b26e893aa2e62-bb22f19338174d1f9333f9aebd6ffeb6-cff7d16da6ab428e893c748d5c759cb2', '396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b', '305f726e7f1f4636b88bf20de0093745-4247752901bd47fba86379a1cd4b87d4', '45', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-03-03 17:04:48', '2020-03-03 17:04:48', '2020-03-03 17:04:48', '2020-03-03 17:04:48');
INSERT INTO `exam` VALUES ('6ae23fb0df95403f81ab90cbc42572f9', 'kad', 'asd', 'asd', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-07441a6a40d44196a1e67fe344ac57a9-0885c830022746cf8972c97eba9f5b15-0cae9d2a09824bacb660d21aa550e599-1003b43b03934068973f67d199565dce-14cc31707d53433f81841058a97575da-2e88077d899948c3905e6f501543360c-2f8b20630b10471395b6c379a465cca8-5396e258c48e467fbdf904701aa85840-7ac7e784ddee4a6db47fee9f310a4674-224ae57b9c1749bdbfab51b2284789ce-22d201cd2e5c4558bbbdf4cb5d7ea717-30a7598bc91346478027795679cd71c3-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-388dd246953945569e3617b268629ee4-396b55534851427590e089fb9cc040cc-11ae50c372c64e7ca59691c435c91239-14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23ac2394b14f4e338ec22adba349eb62-23c0e0e98d04425ab2de3e7fec54971d-25bf7d1a791f4cf39d85e26b113001e8-305f726e7f1f4636b88bf20de0093745-340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4-473ecef6048d4d1a91b8100eb7a176e0-495fce658bc4409aac2e14657d8e7e8d-7d535a2008b4423bae96c8b4ad90378f', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-07441a6a40d44196a1e67fe344ac57a9-0885c830022746cf8972c97eba9f5b15-0cae9d2a09824bacb660d21aa550e599-1003b43b03934068973f67d199565dce-14cc31707d53433f81841058a97575da-2e88077d899948c3905e6f501543360c-2f8b20630b10471395b6c379a465cca8-5396e258c48e467fbdf904701aa85840-7ac7e784ddee4a6db47fee9f310a4674', '224ae57b9c1749bdbfab51b2284789ce-22d201cd2e5c4558bbbdf4cb5d7ea717-30a7598bc91346478027795679cd71c3-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-388dd246953945569e3617b268629ee4-396b55534851427590e089fb9cc040cc', '11ae50c372c64e7ca59691c435c91239-14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23ac2394b14f4e338ec22adba349eb62-23c0e0e98d04425ab2de3e7fec54971d-25bf7d1a791f4cf39d85e26b113001e8-305f726e7f1f4636b88bf20de0093745-340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4-473ecef6048d4d1a91b8100eb7a176e0-495fce658bc4409aac2e14657d8e7e8d-7d535a2008b4423bae96c8b4ad90378f', '30', '1', '1', '1', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-08-03 16:24:53', '2020-08-03 16:24:53', '2020-08-03 16:24:53', '2020-08-03 16:24:53');
INSERT INTO `exam` VALUES ('6c14bb036c8f4bcea269d0fee3720749', 'cirros-snapshot', 'afsd', 'afsd', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-0885c830022746cf8972c97eba9f5b15-1003b43b03934068973f67d199565dce-14cc31707d53433f81841058a97575da-2f8b20630b10471395b6c379a465cca8-31e9ad43e84e484eb8b77b7e7a76de91-2929d07f28a54c81931701d2b162fd70-30a7598bc91346478027795679cd71c3-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-517621a3c6b745459a5606c65cd38e27-5495afd392314658960c3911fd6c1b84-fe75613b9a8447ffacfdc23d8440faa8-0f228882c0fe462db958be54df6a1142-305f726e7f1f4636b88bf20de0093745-495fce658bc4409aac2e14657d8e7e8d-53ae8db083134adb8428403b6a50620e', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-0885c830022746cf8972c97eba9f5b15-1003b43b03934068973f67d199565dce-14cc31707d53433f81841058a97575da-2f8b20630b10471395b6c379a465cca8-31e9ad43e84e484eb8b77b7e7a76de91', '2929d07f28a54c81931701d2b162fd70-30a7598bc91346478027795679cd71c3-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-517621a3c6b745459a5606c65cd38e27-5495afd392314658960c3911fd6c1b84-fe75613b9a8447ffacfdc23d8440faa8', '0f228882c0fe462db958be54df6a1142-305f726e7f1f4636b88bf20de0093745-495fce658bc4409aac2e14657d8e7e8d-53ae8db083134adb8428403b6a50620e', '105', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-06-17 15:57:05', '2020-06-17 15:57:05', '2020-06-17 15:57:05', '2020-06-17 15:57:05');
INSERT INTO `exam` VALUES ('6c7f89edc4cc4b9da66059d6136435c2', '嘎嘎嘎嘎嘎', '嘎嘎嘎嘎嘎', '嘎嘎嘎嘎嘎', '1eaff8deac0041ed857d16461a290985-38085807d06948ca8ad6d8eaca522c85-14908e5711f74c67924d6b1ceaeb92d0', '1eaff8deac0041ed857d16461a290985', '38085807d06948ca8ad6d8eaca522c85', '14908e5711f74c67924d6b1ceaeb92d0', '15', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-09-30 11:59:09', '2020-09-30 11:59:09', '2020-09-30 11:59:09', '2020-09-30 11:59:09');
INSERT INTO `exam` VALUES ('6d79ac5dcf354552ae12ec6dfe6a788c', '11', '11', '11', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-02d67d11512e490c9a4e1ac152abb9f9-03ba87a6ca3a4075bd983ca799d518d8-0a32e228e2464beda23b90c7832d29d2-224ae57b9c1749bdbfab51b2284789ce-2929d07f28a54c81931701d2b162fd70-2b4df8f9333741ef9f56bc188ec8a147-14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23ac2394b14f4e338ec22adba349eb62-23c0e0e98d04425ab2de3e7fec54971d-340e5189877a4eb58492c7bb7a3c094d', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-02d67d11512e490c9a4e1ac152abb9f9-03ba87a6ca3a4075bd983ca799d518d8', '0a32e228e2464beda23b90c7832d29d2-224ae57b9c1749bdbfab51b2284789ce-2929d07f28a54c81931701d2b162fd70-2b4df8f9333741ef9f56bc188ec8a147', '14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23ac2394b14f4e338ec22adba349eb62-23c0e0e98d04425ab2de3e7fec54971d-340e5189877a4eb58492c7bb7a3c094d', '65', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-09-14 11:15:48', '2020-09-14 11:15:48', '2020-09-14 11:15:48', '2020-09-14 11:15:48');
INSERT INTO `exam` VALUES ('6ee481a12a904132ac28af848a611121', 'qa<script>alert(document.cookie)</script>', '.', ',', '2223b2eb8c2942459344c06ce1d3ed1d-2f8b20630b10471395b6c379a465cca8-334cfcd5ce47468a9babdce5c97def28-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-f3333b1a9dfb49638ef3b02df90cadb5-305f726e7f1f4636b88bf20de0093745-340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10-e283ac11c7064ccf976f9c48d68c6a67-ecdfbdd2a9f24017b3fe1aa0947ca146', '2223b2eb8c2942459344c06ce1d3ed1d-2f8b20630b10471395b6c379a465cca8-334cfcd5ce47468a9babdce5c97def28', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-f3333b1a9dfb49638ef3b02df90cadb5', '305f726e7f1f4636b88bf20de0093745-340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10-e283ac11c7064ccf976f9c48d68c6a67-ecdfbdd2a9f24017b3fe1aa0947ca146', '75', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '89', '2020-03-06 20:48:47', '2020-03-06 20:48:47', '2020-03-06 20:48:47', '2020-03-06 20:48:47');
INSERT INTO `exam` VALUES ('6f546b67aedb4050a8fc7ccbfd3c438f', 'dcd', 'dd', 'dd', '25ec2980dd544b4ca70328a0733ce69f-224ae57b9c1749bdbfab51b2284789ce-0f228882c0fe462db958be54df6a1142', '25ec2980dd544b4ca70328a0733ce69f', '224ae57b9c1749bdbfab51b2284789ce', '0f228882c0fe462db958be54df6a1142', '15', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-08-31 16:30:51', '2020-08-31 16:30:51', '2020-08-31 16:30:51', '2020-08-31 16:30:51');
INSERT INTO `exam` VALUES ('6f6f53edd14c415a82156a52a2d481d3', 'lisi', '1', '1', '2f8b20630b10471395b6c379a465cca8-313a3c23d119451d9f3f82bb47401b9f-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-42e97c38185349a6b83b396922357271-4b8863f7a26747219f9d1e59165c08a6-0a32e228e2464beda23b90c7832d29d2-224ae57b9c1749bdbfab51b2284789ce-305f726e7f1f4636b88bf20de0093745', '2f8b20630b10471395b6c379a465cca8-313a3c23d119451d9f3f82bb47401b9f-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-42e97c38185349a6b83b396922357271-4b8863f7a26747219f9d1e59165c08a6', '0a32e228e2464beda23b90c7832d29d2-224ae57b9c1749bdbfab51b2284789ce', '305f726e7f1f4636b88bf20de0093745', '45', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-07-17 16:01:09', '2020-07-17 16:01:09', '2020-07-17 16:01:09', '2020-07-17 16:01:09');
INSERT INTO `exam` VALUES ('6f91c658ed4543bcb641a3b32d551330', '<script>alert(1)</script>', 'fsfs', 'fsfds', '018c0f44bfd54bb8a6b0f2e91da3f3b0-0885c830022746cf8972c97eba9f5b15-0cae9d2a09824bacb660d21aa550e599-14cc31707d53433f81841058a97575da-224ae57b9c1749bdbfab51b2284789ce-25bf7d1a791f4cf39d85e26b113001e8', '018c0f44bfd54bb8a6b0f2e91da3f3b0-0885c830022746cf8972c97eba9f5b15-0cae9d2a09824bacb660d21aa550e599-14cc31707d53433f81841058a97575da', '224ae57b9c1749bdbfab51b2284789ce', '25bf7d1a791f4cf39d85e26b113001e8', '30', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-08-17 10:53:29', '2020-08-17 10:53:29', '2020-08-17 10:53:29', '2020-08-17 10:53:29');
INSERT INTO `exam` VALUES ('70b51ea397d543d4890aff1be79eed08', '123', '123123', '123123', '14cc31707d53433f81841058a97575da-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-590889adc7994fbdbd895f3f8f4cd1f4-340e5189877a4eb58492c7bb7a3c094d', '14cc31707d53433f81841058a97575da', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-590889adc7994fbdbd895f3f8f4cd1f4', '340e5189877a4eb58492c7bb7a3c094d', '25', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-04-27 11:05:53', '2020-04-27 11:05:53', '2020-04-27 11:05:53', '2020-04-27 11:05:53');
INSERT INTO `exam` VALUES ('718b11bd331148f2a1601a57dcafa750', 'AA', 'AAA', 'AAA', '40ee7b36298d4568aad20e2db36ddbb5-5396e258c48e467fbdf904701aa85840-5bf59e82cae24b67879119571c022018-5e0389903aa94524bcae09ca457ecdaa-38085807d06948ca8ad6d8eaca522c85-517621a3c6b745459a5606c65cd38e27-590889adc7994fbdbd895f3f8f4cd1f4-31ab7a49aa254240935d1e871d7f2f09', '40ee7b36298d4568aad20e2db36ddbb5-5396e258c48e467fbdf904701aa85840-5bf59e82cae24b67879119571c022018-5e0389903aa94524bcae09ca457ecdaa', '38085807d06948ca8ad6d8eaca522c85-517621a3c6b745459a5606c65cd38e27-590889adc7994fbdbd895f3f8f4cd1f4', '31ab7a49aa254240935d1e871d7f2f09', '40', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-04-29 15:21:57', '2020-04-29 15:21:57', '2020-04-29 15:21:57', '2020-04-29 15:21:57');
INSERT INTO `exam` VALUES ('7234fac5feeb48adbbc7504b9f83f8c0', 'ss', 'dd', 'ass', '018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-1003b43b03934068973f67d199565dce-14cc31707d53433f81841058a97575da-1e0cc8f913134006a2a861f17ec14b6c-1eaff8deac0041ed857d16461a290985-30a7598bc91346478027795679cd71c3-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-517621a3c6b745459a5606c65cd38e27-590889adc7994fbdbd895f3f8f4cd1f4-0f228882c0fe462db958be54df6a1142-25bf7d1a791f4cf39d85e26b113001e8-305f726e7f1f4636b88bf20de0093745', '018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-1003b43b03934068973f67d199565dce-14cc31707d53433f81841058a97575da-1e0cc8f913134006a2a861f17ec14b6c-1eaff8deac0041ed857d16461a290985', '30a7598bc91346478027795679cd71c3-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-517621a3c6b745459a5606c65cd38e27-590889adc7994fbdbd895f3f8f4cd1f4', '0f228882c0fe462db958be54df6a1142-25bf7d1a791f4cf39d85e26b113001e8-305f726e7f1f4636b88bf20de0093745', '70', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-05-12 07:05:13', '2020-05-12 07:05:13', '2020-05-12 07:05:13', '2020-05-12 07:05:13');
INSERT INTO `exam` VALUES ('7249071d10ba4ae686c1dbc4b60934bc', 'jack', '1212', '12', '018c0f44bfd54bb8a6b0f2e91da3f3b0-07441a6a40d44196a1e67fe344ac57a9-14cc31707d53433f81841058a97575da-23491b7dbbdf47dcb09ece779ff44c92-313a3c23d119451d9f3f82bb47401b9f-334cfcd5ce47468a9babdce5c97def28-30a7598bc91346478027795679cd71c3-517621a3c6b745459a5606c65cd38e27-76a0b4b6d6c44d7099ab9f4605e35085-85047be0b2cf4077a5ec66e92ebf442b-f10dd6ce6f964a5db45c4bdb89d9e17a-f3333b1a9dfb49638ef3b02df90cadb5-f3bf3c8f321344f381b2a5ee34c480aa-f71add41e8cb44318e1ac381056b649d-fe75613b9a8447ffacfdc23d8440faa8-0f228882c0fe462db958be54df6a1142-305f726e7f1f4636b88bf20de0093745', '018c0f44bfd54bb8a6b0f2e91da3f3b0-07441a6a40d44196a1e67fe344ac57a9-14cc31707d53433f81841058a97575da-23491b7dbbdf47dcb09ece779ff44c92-313a3c23d119451d9f3f82bb47401b9f-334cfcd5ce47468a9babdce5c97def28', '30a7598bc91346478027795679cd71c3-517621a3c6b745459a5606c65cd38e27-76a0b4b6d6c44d7099ab9f4605e35085-85047be0b2cf4077a5ec66e92ebf442b-f10dd6ce6f964a5db45c4bdb89d9e17a-f3333b1a9dfb49638ef3b02df90cadb5-f3bf3c8f321344f381b2a5ee34c480aa-f71add41e8cb44318e1ac381056b649d-fe75613b9a8447ffacfdc23d8440faa8', '0f228882c0fe462db958be54df6a1142-305f726e7f1f4636b88bf20de0093745', '85', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-06-11 17:06:31', '2020-06-11 17:06:31', '2020-06-11 17:06:31', '2020-06-11 17:06:31');
INSERT INTO `exam` VALUES ('72ae33a7038647cb96c454c33b35c22f', '热工管理', '和欢呼声', '减记帐', '1e9521efc6bb469ba9bd98c76f6ba53d-1eaff8deac0041ed857d16461a290985-2223b2eb8c2942459344c06ce1d3ed1d-3f2128829879470ea97dc3a5fd8d8f0e-30a7598bc91346478027795679cd71c3-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-11ae50c372c64e7ca59691c435c91239-305f726e7f1f4636b88bf20de0093745-473ecef6048d4d1a91b8100eb7a176e0-7d535a2008b4423bae96c8b4ad90378f', '1e9521efc6bb469ba9bd98c76f6ba53d-1eaff8deac0041ed857d16461a290985-2223b2eb8c2942459344c06ce1d3ed1d-3f2128829879470ea97dc3a5fd8d8f0e', '30a7598bc91346478027795679cd71c3-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc', '11ae50c372c64e7ca59691c435c91239-305f726e7f1f4636b88bf20de0093745-473ecef6048d4d1a91b8100eb7a176e0-7d535a2008b4423bae96c8b4ad90378f', '71', '7', '5', '7', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-05-27 19:09:03', '2020-05-27 19:09:03', '2020-05-27 19:09:03', '2020-05-27 19:09:03');
INSERT INTO `exam` VALUES ('7473398cff0f43e8bb4e360ed818d636', 'enes', 'SADASD', 'SADSAD', '14cc31707d53433f81841058a97575da-34ac0eba5d5548599086f7439b837d85-11ae50c372c64e7ca59691c435c91239-473ecef6048d4d1a91b8100eb7a176e0-7d535a2008b4423bae96c8b4ad90378f', '14cc31707d53433f81841058a97575da', '34ac0eba5d5548599086f7439b837d85', '11ae50c372c64e7ca59691c435c91239-473ecef6048d4d1a91b8100eb7a176e0-7d535a2008b4423bae96c8b4ad90378f', '25', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-04-26 23:30:11', '2020-04-26 23:30:11', '2020-04-26 23:30:11', '2020-04-26 23:30:11');
INSERT INTO `exam` VALUES ('754120d33a124bdbb341450c1b2b760c', '08.03', '这是什么', 'shiyixia ', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-0885c830022746cf8972c97eba9f5b15-1003b43b03934068973f67d199565dce-31e9ad43e84e484eb8b77b7e7a76de91-224ae57b9c1749bdbfab51b2284789ce-11ae50c372c64e7ca59691c435c91239-473ecef6048d4d1a91b8100eb7a176e0-7d535a2008b4423bae96c8b4ad90378f', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-0885c830022746cf8972c97eba9f5b15-1003b43b03934068973f67d199565dce-31e9ad43e84e484eb8b77b7e7a76de91', '224ae57b9c1749bdbfab51b2284789ce', '11ae50c372c64e7ca59691c435c91239-473ecef6048d4d1a91b8100eb7a176e0-7d535a2008b4423bae96c8b4ad90378f', '55', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-08-03 16:46:02', '2020-08-03 16:46:02', '2020-08-03 16:46:02', '2020-08-03 16:46:02');
INSERT INTO `exam` VALUES ('757faa8add0341aeb581bdcd89209740', 'qweq ', 'qweqwr', 'qweqr', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-590889adc7994fbdbd895f3f8f4cd1f4-5b796234b1df47c78f614d2f76b91467-31ab7a49aa254240935d1e871d7f2f09', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0', '590889adc7994fbdbd895f3f8f4cd1f4-5b796234b1df47c78f614d2f76b91467', '31ab7a49aa254240935d1e871d7f2f09', '25', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-06-15 23:25:11', '2020-06-15 23:25:11', '2020-06-15 23:25:11', '2020-06-15 23:25:11');
INSERT INTO `exam` VALUES ('75f4368f3ff64425b01fb5e4960ba083', '123123d', '123', '123', '018c0f44bfd54bb8a6b0f2e91da3f3b0-2223b2eb8c2942459344c06ce1d3ed1d-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-590889adc7994fbdbd895f3f8f4cd1f4-305f726e7f1f4636b88bf20de0093745-4247752901bd47fba86379a1cd4b87d4-56ed36d358d44d43834ce1146bf4303d', '018c0f44bfd54bb8a6b0f2e91da3f3b0-2223b2eb8c2942459344c06ce1d3ed1d', '34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-590889adc7994fbdbd895f3f8f4cd1f4', '305f726e7f1f4636b88bf20de0093745-4247752901bd47fba86379a1cd4b87d4-56ed36d358d44d43834ce1146bf4303d', '40', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-05-14 18:03:28', '2020-05-14 18:03:28', '2020-05-14 18:03:28', '2020-05-14 18:03:28');
INSERT INTO `exam` VALUES ('76f4626b70864d36b23bee5b445cd041', '222', '22', '22', '004c8b75a1a2421986fa05c89d0a903d-03ba87a6ca3a4075bd983ca799d518d8-1003b43b03934068973f67d199565dce-1e6268528ea14ad78f8024b9f7cf7207-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-265b78c96fb94504991ffcf8e5bd6074-2b77e798372f4465882ccf619ce55657-224ae57b9c1749bdbfab51b2284789ce-2929d07f28a54c81931701d2b162fd70-2b4df8f9333741ef9f56bc188ec8a147-126c3a14b1ec4a7b9b5fe18914c0c19d-14908e5711f74c67924d6b1ceaeb92d0', '004c8b75a1a2421986fa05c89d0a903d-03ba87a6ca3a4075bd983ca799d518d8-1003b43b03934068973f67d199565dce-1e6268528ea14ad78f8024b9f7cf7207-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-265b78c96fb94504991ffcf8e5bd6074-2b77e798372f4465882ccf619ce55657', '224ae57b9c1749bdbfab51b2284789ce-2929d07f28a54c81931701d2b162fd70-2b4df8f9333741ef9f56bc188ec8a147', '126c3a14b1ec4a7b9b5fe18914c0c19d-14908e5711f74c67924d6b1ceaeb92d0', '65', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-09-07 08:33:50', '2020-09-07 08:33:50', '2020-09-07 08:33:50', '2020-09-07 08:33:50');
INSERT INTO `exam` VALUES ('77410b2d2c4a41418e6820a3c274a5be', '热工考试', '如图', '考察前五章学习情况', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-07441a6a40d44196a1e67fe344ac57a9-0885c830022746cf8972c97eba9f5b15-2929d07f28a54c81931701d2b162fd70-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-07441a6a40d44196a1e67fe344ac57a9-0885c830022746cf8972c97eba9f5b15', '2929d07f28a54c81931701d2b162fd70-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85', '31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d', '45', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-05-27 18:50:07', '2020-05-27 18:50:07', '2020-05-27 18:50:07', '2020-05-27 18:50:07');
INSERT INTO `exam` VALUES ('794be5b9553f4d54b9c38e335810bd1c', '464646', '5465464', '64641', '07441a6a40d44196a1e67fe344ac57a9-0a32e228e2464beda23b90c7832d29d2-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d', '07441a6a40d44196a1e67fe344ac57a9', '0a32e228e2464beda23b90c7832d29d2', '157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d', '20', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '30', '2020-08-11 09:31:23', '2020-08-11 09:31:23', '2020-08-11 09:31:23', '2020-08-11 09:31:23');
INSERT INTO `exam` VALUES ('7a2031b4ff3140dd8b5f7223d5890ec4', 'shadowsocks', 'asdada', 'ada', '14cc31707d53433f81841058a97575da-2f8b20630b10471395b6c379a465cca8-334cfcd5ce47468a9babdce5c97def28-5bf59e82cae24b67879119571c022018-38085807d06948ca8ad6d8eaca522c85-517621a3c6b745459a5606c65cd38e27-85047be0b2cf4077a5ec66e92ebf442b-305f726e7f1f4636b88bf20de0093745-31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d', '14cc31707d53433f81841058a97575da-2f8b20630b10471395b6c379a465cca8-334cfcd5ce47468a9babdce5c97def28-5bf59e82cae24b67879119571c022018', '38085807d06948ca8ad6d8eaca522c85-517621a3c6b745459a5606c65cd38e27-85047be0b2cf4077a5ec66e92ebf442b', '305f726e7f1f4636b88bf20de0093745-31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d', '50', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-03-11 17:49:13', '2020-03-11 17:49:13', '2020-03-11 17:49:13', '2020-03-11 17:49:13');
INSERT INTO `exam` VALUES ('7b2683c3d8774e4c9451dba500bfa895', '123123d', '123', '123', '018c0f44bfd54bb8a6b0f2e91da3f3b0-2223b2eb8c2942459344c06ce1d3ed1d-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-590889adc7994fbdbd895f3f8f4cd1f4-305f726e7f1f4636b88bf20de0093745-4247752901bd47fba86379a1cd4b87d4-56ed36d358d44d43834ce1146bf4303d', '018c0f44bfd54bb8a6b0f2e91da3f3b0-2223b2eb8c2942459344c06ce1d3ed1d', '34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-590889adc7994fbdbd895f3f8f4cd1f4', '305f726e7f1f4636b88bf20de0093745-4247752901bd47fba86379a1cd4b87d4-56ed36d358d44d43834ce1146bf4303d', '40', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-05-14 18:03:28', '2020-05-14 18:03:28', '2020-05-14 18:03:28', '2020-05-14 18:03:28');
INSERT INTO `exam` VALUES ('7c25650a7f7242b7b90f9146e7c3b3c6', '21', '12', '2', '018c0f44bfd54bb8a6b0f2e91da3f3b0-2929d07f28a54c81931701d2b162fd70-34ac0eba5d5548599086f7439b837d85-495fce658bc4409aac2e14657d8e7e8d', '018c0f44bfd54bb8a6b0f2e91da3f3b0', '2929d07f28a54c81931701d2b162fd70-34ac0eba5d5548599086f7439b837d85', '495fce658bc4409aac2e14657d8e7e8d', '20', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-04-23 17:09:38', '2020-04-23 17:09:38', '2020-04-23 17:09:38', '2020-04-23 17:09:38');
INSERT INTO `exam` VALUES ('7ce3e0cdb4834046a946b6b64bcf1189', '芜湖起飞', '1', '1', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-224ae57b9c1749bdbfab51b2284789ce-126c3a14b1ec4a7b9b5fe18914c0c19d', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0', '224ae57b9c1749bdbfab51b2284789ce', '126c3a14b1ec4a7b9b5fe18914c0c19d', '20', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-09-25 08:21:44', '2020-09-25 08:21:44', '2020-09-25 08:21:44', '2020-09-25 08:21:44');
INSERT INTO `exam` VALUES ('7d25a6ec5f6e4bd99c0c79ddab3c659c', 'test', 'redgtser', 'tewsfge', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-0885c830022746cf8972c97eba9f5b15-0cae9d2a09824bacb660d21aa550e599-1e6268528ea14ad78f8024b9f7cf7207-1e9521efc6bb469ba9bd98c76f6ba53d-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-224ae57b9c1749bdbfab51b2284789ce-2929d07f28a54c81931701d2b162fd70-31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-0885c830022746cf8972c97eba9f5b15-0cae9d2a09824bacb660d21aa550e599-1e6268528ea14ad78f8024b9f7cf7207-1e9521efc6bb469ba9bd98c76f6ba53d-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92', '224ae57b9c1749bdbfab51b2284789ce-2929d07f28a54c81931701d2b162fd70', '31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d', '70', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-06-30 22:52:53', '2020-06-30 22:52:53', '2020-06-30 22:52:53', '2020-06-30 22:52:53');
INSERT INTO `exam` VALUES ('7d3fdab64adb4f988c83cad8e2d4f7c6', '123', 'https://timgsa.baidu.com/timg?image&quality=80&size=b9999_10000&sec=1591267703498&di=328112f2217f5bc146a794c6f962876e&imgtype=0&src=http%3A%2F%2Fgss0.baidu.com%2F7Po3dSag_xI4khGko9WTAnF6hhy%2Fzhidao%2Fpic%2Fitem%2Fb999a9014c086e06b273602204087bf40bd1cb84.jpg', '12314', '004c8b75a1a2421986fa05c89d0a903d-30a7598bc91346478027795679cd71c3-0f228882c0fe462db958be54df6a1142', '004c8b75a1a2421986fa05c89d0a903d', '30a7598bc91346478027795679cd71c3', '0f228882c0fe462db958be54df6a1142', '15', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-06-04 16:01:02', '2020-06-04 16:01:02', '2020-06-04 16:01:02', '2020-06-04 16:01:02');
INSERT INTO `exam` VALUES ('7e553deb1eb34750adb293aa54b41054', '1', '1', '1', '5bf59e82cae24b67879119571c022018-517621a3c6b745459a5606c65cd38e27-6cabac6ec4ef44068e66cf2547543658', '5bf59e82cae24b67879119571c022018', '517621a3c6b745459a5606c65cd38e27', '6cabac6ec4ef44068e66cf2547543658', '15', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-04-16 20:40:43', '2020-04-16 20:40:43', '2020-04-16 20:40:43', '2020-04-16 20:40:43');
INSERT INTO `exam` VALUES ('7e8ee43154b043b5bde4bc897884b7bf', '我的考试题', '看看谁的高', '测试一下', '004c8b75a1a2421986fa05c89d0a903d-224ae57b9c1749bdbfab51b2284789ce-14908e5711f74c67924d6b1ceaeb92d0', '004c8b75a1a2421986fa05c89d0a903d', '224ae57b9c1749bdbfab51b2284789ce', '14908e5711f74c67924d6b1ceaeb92d0', '5', '1', '3', '1', 'a1b661031adf4a8f969f1869d479fe74', '1', '2020-07-10 20:10:23', '2020-07-10 20:10:23', '2020-07-10 20:10:23', '2020-07-10 20:10:23');
INSERT INTO `exam` VALUES ('7f183bd009d54fd69922116a971a86f9', '11111', '11111', '11111', '004c8b75a1a2421986fa05c89d0a903d-0885c830022746cf8972c97eba9f5b15-14cc31707d53433f81841058a97575da-2929d07f28a54c81931701d2b162fd70-340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4', '004c8b75a1a2421986fa05c89d0a903d-0885c830022746cf8972c97eba9f5b15-14cc31707d53433f81841058a97575da', '2929d07f28a54c81931701d2b162fd70', '340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4', '30', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-06-30 14:27:23', '2020-06-30 14:27:23', '2020-06-30 14:27:23', '2020-06-30 14:27:23');
INSERT INTO `exam` VALUES ('7f36f47a75184adeb3df4fb8c4058a5a', '阿里考试', 'https://i.loli.net/2019/11/02/fDXxsqSg8KtE1Vi.gif', '阿里巴巴2019校招', '', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc', '305f726e7f1f4636b88bf20de0093745-4247752901bd47fba86379a1cd4b87d4', '100', '5', '6', '7', 'a1b661031adf4a8f969f1869d479fe74', '60', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-11-02 16:25:23');
INSERT INTO `exam` VALUES ('8112f71b21734607b8706648f070b048', 'Ant Design，阿里前端框架', 'https://i.loli.net/2019/11/02/iGMtpCaZnyb2c4X.gif', 'Ant前端学习', '', '31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc', 'e283ac11c7064ccf976f9c48d68c6a67-ecdfbdd2a9f24017b3fe1aa0947ca146', '70', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '100', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-11-02 16:25:29');
INSERT INTO `exam` VALUES ('8145d8578aa44601bce5ab07ee39e650', 'test', 'dfs', 's', '2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-31e9ad43e84e484eb8b77b7e7a76de91-3864178819534aa7862b26e893aa2e62-bb22f19338174d1f9333f9aebd6ffeb6-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-305f726e7f1f4636b88bf20de0093745-4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-e283ac11c7064ccf976f9c48d68c6a67', '2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-31e9ad43e84e484eb8b77b7e7a76de91-3864178819534aa7862b26e893aa2e62-bb22f19338174d1f9333f9aebd6ffeb6', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f', '305f726e7f1f4636b88bf20de0093745-4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-e283ac11c7064ccf976f9c48d68c6a67', '65', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-02-27 15:32:41', '2020-02-27 15:32:41', '2020-02-27 15:32:41', '2020-02-27 15:32:41');
INSERT INTO `exam` VALUES ('8355e3772f9d49e3aa07006ad850e5b3', '从', '12', '12', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-0a32e228e2464beda23b90c7832d29d2-224ae57b9c1749bdbfab51b2284789ce-22d201cd2e5c4558bbbdf4cb5d7ea717-388dd246953945569e3617b268629ee4-078a8fed0cc649f8a864a430b4e7188c-0f228882c0fe462db958be54df6a1142', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8', '0a32e228e2464beda23b90c7832d29d2-224ae57b9c1749bdbfab51b2284789ce-22d201cd2e5c4558bbbdf4cb5d7ea717-388dd246953945569e3617b268629ee4', '078a8fed0cc649f8a864a430b4e7188c-0f228882c0fe462db958be54df6a1142', '45', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-08-07 16:39:52', '2020-08-07 16:39:52', '2020-08-07 16:39:52', '2020-08-07 16:39:52');
INSERT INTO `exam` VALUES ('83eea216359b45209ccfb02ef844faa1', '昆明楚轮商贸有限公司', '1', '1', '5bf59e82cae24b67879119571c022018-75e0196b943a47f59d246557dc7c30dd-76049b0d9a254178887a4c3c65ba59b7-7b324941a5514833a06c4561c1af3b41-cba6ce4038b5401fb4cb43205557ccf9-cff7d16da6ab428e893c748d5c759cb2-d42d9faa517146329a458550ec06262c-e1d16aebc4124790bb9435973b89f105-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-517621a3c6b745459a5606c65cd38e27-31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d', '5bf59e82cae24b67879119571c022018-75e0196b943a47f59d246557dc7c30dd-76049b0d9a254178887a4c3c65ba59b7-7b324941a5514833a06c4561c1af3b41-cba6ce4038b5401fb4cb43205557ccf9-cff7d16da6ab428e893c748d5c759cb2-d42d9faa517146329a458550ec06262c-e1d16aebc4124790bb9435973b89f105', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-517621a3c6b745459a5606c65cd38e27', '31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d', '65', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-04-03 15:27:24', '2020-04-03 15:27:24', '2020-04-03 15:27:24', '2020-04-03 15:27:24');
INSERT INTO `exam` VALUES ('83fcdf49e0d044c68bc1c19c715cb225', '圆', '1', '1', '1e9521efc6bb469ba9bd98c76f6ba53d-1eaff8deac0041ed857d16461a290985-23491b7dbbdf47dcb09ece779ff44c92-25ec2980dd544b4ca70328a0733ce69f-265b78c96fb94504991ffcf8e5bd6074-224ae57b9c1749bdbfab51b2284789ce-22d201cd2e5c4558bbbdf4cb5d7ea717-2929d07f28a54c81931701d2b162fd70-30a7598bc91346478027795679cd71c3-34ac0eba5d5548599086f7439b837d85-388dd246953945569e3617b268629ee4-14908e5711f74c67924d6b1ceaeb92d0-23ac2394b14f4e338ec22adba349eb62', '1e9521efc6bb469ba9bd98c76f6ba53d-1eaff8deac0041ed857d16461a290985-23491b7dbbdf47dcb09ece779ff44c92-25ec2980dd544b4ca70328a0733ce69f-265b78c96fb94504991ffcf8e5bd6074', '224ae57b9c1749bdbfab51b2284789ce-22d201cd2e5c4558bbbdf4cb5d7ea717-2929d07f28a54c81931701d2b162fd70-30a7598bc91346478027795679cd71c3-34ac0eba5d5548599086f7439b837d85-388dd246953945569e3617b268629ee4', '14908e5711f74c67924d6b1ceaeb92d0-23ac2394b14f4e338ec22adba349eb62', '65', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-09-03 14:39:15', '2020-09-03 14:39:15', '2020-09-03 14:39:15', '2020-09-03 14:39:15');
INSERT INTO `exam` VALUES ('851efee8155447afb42aa3083cb1e2cc', '会计电算化', 'gf gfd ', 'fg df', '14cc31707d53433f81841058a97575da-38085807d06948ca8ad6d8eaca522c85-305f726e7f1f4636b88bf20de0093745', '14cc31707d53433f81841058a97575da', '38085807d06948ca8ad6d8eaca522c85', '305f726e7f1f4636b88bf20de0093745', '15', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-03-02 12:22:44', '2020-03-02 12:22:44', '2020-03-02 12:22:44', '2020-03-02 12:22:44');
INSERT INTO `exam` VALUES ('865c8de9d5be420b9f5b14a390cc4ba5', 'mtest', '没图', '测试', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-2929d07f28a54c81931701d2b162fd70-30a7598bc91346478027795679cd71c3-34ac0eba5d5548599086f7439b837d85-11ae50c372c64e7ca59691c435c91239-14908e5711f74c67924d6b1ceaeb92d0-25bf7d1a791f4cf39d85e26b113001e8-473ecef6048d4d1a91b8100eb7a176e0-7d535a2008b4423bae96c8b4ad90378f', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8', '2929d07f28a54c81931701d2b162fd70-30a7598bc91346478027795679cd71c3-34ac0eba5d5548599086f7439b837d85', '11ae50c372c64e7ca59691c435c91239-14908e5711f74c67924d6b1ceaeb92d0-25bf7d1a791f4cf39d85e26b113001e8-473ecef6048d4d1a91b8100eb7a176e0-7d535a2008b4423bae96c8b4ad90378f', '70', '5', '10', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-06-29 14:43:59', '2020-06-29 14:43:59', '2020-06-29 14:43:59', '2020-06-29 14:43:59');
INSERT INTO `exam` VALUES ('869670911184494dacc4ea0c31773b50', '测试一下', '1111', '111 ', '31e9ad43e84e484eb8b77b7e7a76de91-2929d07f28a54c81931701d2b162fd70-305f726e7f1f4636b88bf20de0093745', '31e9ad43e84e484eb8b77b7e7a76de91', '2929d07f28a54c81931701d2b162fd70', '305f726e7f1f4636b88bf20de0093745', '20', '5', '10', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-07-13 17:43:31', '2020-07-13 17:43:31', '2020-07-13 17:43:31', '2020-07-13 17:43:31');
INSERT INTO `exam` VALUES ('86daa981d4954751b754b276325d1348', 'adj', 'jjjj', 'jnjj', '23491b7dbbdf47dcb09ece779ff44c92-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-3864178819534aa7862b26e893aa2e62-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4-8f3e02d0f2a1402abd3278adc05ffb10', '23491b7dbbdf47dcb09ece779ff44c92-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-3864178819534aa7862b26e893aa2e62', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc', '340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4-8f3e02d0f2a1402abd3278adc05ffb10', '45', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-03-10 23:14:29', '2020-03-10 23:14:29', '2020-03-10 23:14:29', '2020-03-10 23:14:29');
INSERT INTO `exam` VALUES ('871775f9762344608bf5f509eea2bc87', 'vvv', '都撒到', '到处撒到', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-25ec2980dd544b4ca70328a0733ce69f-2f8b20630b10471395b6c379a465cca8-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-34ac0eba5d5548599086f7439b837d85-396b55534851427590e089fb9cc040cc-517621a3c6b745459a5606c65cd38e27-85047be0b2cf4077a5ec66e92ebf442b-31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4-495fce658bc4409aac2e14657d8e7e8d-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-25ec2980dd544b4ca70328a0733ce69f-2f8b20630b10471395b6c379a465cca8-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28', '34ac0eba5d5548599086f7439b837d85-396b55534851427590e089fb9cc040cc-517621a3c6b745459a5606c65cd38e27-85047be0b2cf4077a5ec66e92ebf442b', '31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4-495fce658bc4409aac2e14657d8e7e8d-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10', '85', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-03-22 22:11:25', '2020-03-22 22:11:25', '2020-03-22 22:11:25', '2020-03-22 22:11:25');
INSERT INTO `exam` VALUES ('88454c937fb9431dbede6fea9530d853', '1', '1', '1', '6d679282cdc649f8b4d185e47026dcca-396b55534851427590e089fb9cc040cc-4247752901bd47fba86379a1cd4b87d4', '6d679282cdc649f8b4d185e47026dcca', '396b55534851427590e089fb9cc040cc', '4247752901bd47fba86379a1cd4b87d4', '15', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-03-05 14:57:00', '2020-03-05 14:57:00', '2020-03-05 14:57:00', '2020-03-05 14:57:00');
INSERT INTO `exam` VALUES ('8a2e373a1b3e4b06b0b343aba742c224', 'BootStrap实践', 'https://i.loli.net/2019/11/02/MWmqZDvOuk6NHKl.gif', '前端鼻祖', '', 'a12eb101321b451bbc54a136e98acfd0-bb22f19338174d1f9333f9aebd6ffeb6', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc', '4247752901bd47fba86379a1cd4b87d4-e283ac11c7064ccf976f9c48d68c6a67', '120', '15', '5', '10', '79392778a90d4639a297dbd0bae0f779', '120', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-11-02 16:25:35');
INSERT INTO `exam` VALUES ('8ab3539932d047b38b76c51be442f15d', 'ewe', 'we', 'we', '03ba87a6ca3a4075bd983ca799d518d8-14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-79b4e7a9a7e144ba8d5af83c39f9b13a-4247752901bd47fba86379a1cd4b87d4', '03ba87a6ca3a4075bd983ca799d518d8-14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28', '79b4e7a9a7e144ba8d5af83c39f9b13a', '4247752901bd47fba86379a1cd4b87d4', '34', '4', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-04-20 16:08:04', '2020-04-20 16:08:04', '2020-04-20 16:08:04', '2020-04-20 16:08:04');
INSERT INTO `exam` VALUES ('8b1d2293224c47f594aa56d4ccc55280', '知识问答', '1', '百科向', '004c8b75a1a2421986fa05c89d0a903d-0885c830022746cf8972c97eba9f5b15-2929d07f28a54c81931701d2b162fd70-34ac0eba5d5548599086f7439b837d85-305f726e7f1f4636b88bf20de0093745', '004c8b75a1a2421986fa05c89d0a903d-0885c830022746cf8972c97eba9f5b15', '2929d07f28a54c81931701d2b162fd70-34ac0eba5d5548599086f7439b837d85', '305f726e7f1f4636b88bf20de0093745', '25', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-05-31 09:45:35', '2020-05-31 09:45:35', '2020-05-31 09:45:35', '2020-05-31 09:45:35');
INSERT INTO `exam` VALUES ('8b821502f9ff463082ce2ea629fd37f5', '1212', '121221', '1212', '018c0f44bfd54bb8a6b0f2e91da3f3b0-224ae57b9c1749bdbfab51b2284789ce-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d', '018c0f44bfd54bb8a6b0f2e91da3f3b0', '224ae57b9c1749bdbfab51b2284789ce', '157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d', '20', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-08-31 14:33:44', '2020-08-31 14:33:44', '2020-08-31 14:33:44', '2020-08-31 14:33:44');
INSERT INTO `exam` VALUES ('8c1b5ab3089547e8bd8a1f7c6788593d', '刘亭', 'AAA', 'AA', '1e0cc8f913134006a2a861f17ec14b6c-1e6268528ea14ad78f8024b9f7cf7207-1e9521efc6bb469ba9bd98c76f6ba53d-1eaff8deac0041ed857d16461a290985-2223b2eb8c2942459344c06ce1d3ed1d-334cfcd5ce47468a9babdce5c97def28-224ae57b9c1749bdbfab51b2284789ce-38085807d06948ca8ad6d8eaca522c85-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d', '1e0cc8f913134006a2a861f17ec14b6c-1e6268528ea14ad78f8024b9f7cf7207-1e9521efc6bb469ba9bd98c76f6ba53d-1eaff8deac0041ed857d16461a290985-2223b2eb8c2942459344c06ce1d3ed1d-334cfcd5ce47468a9babdce5c97def28', '224ae57b9c1749bdbfab51b2284789ce-38085807d06948ca8ad6d8eaca522c85', '157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d', '50', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-08-03 11:31:26', '2020-08-03 11:31:26', '2020-08-03 11:31:26', '2020-08-03 11:31:26');
INSERT INTO `exam` VALUES ('8d810a3aca3d43e5961997d37dfe8f9f', 'BootStrap实践', 'https://i.loli.net/2019/11/02/T3sG41fKWIdL8Db.gif', '前端鼻祖', '', 'a12eb101321b451bbc54a136e98acfd0-bb22f19338174d1f9333f9aebd6ffeb6', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc', '4247752901bd47fba86379a1cd4b87d4-e283ac11c7064ccf976f9c48d68c6a67', '120', '15', '5', '10', '79392778a90d4639a297dbd0bae0f779', '120', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-11-02 16:25:41');
INSERT INTO `exam` VALUES ('8e51b3073779404c910959eded41ecfa', '123', '123', '123', '0885c830022746cf8972c97eba9f5b15-0cae9d2a09824bacb660d21aa550e599-1003b43b03934068973f67d199565dce-2223b2eb8c2942459344c06ce1d3ed1d-334cfcd5ce47468a9babdce5c97def28-34709b873e3e4b979b2ba2c7aed499a7-34fe861fdc8a4b13b7455d4f512a2a07-458475653213478e9b69e2f1bb063ffc-6a20e7a3fbaf4031a47d2426740b81ea-7b324941a5514833a06c4561c1af3b41-7b468fb6cfab474fb11176fb3f45ab81-847da264b1334e1290e028e51fd6d04d-8fd31bbbd3194504a6dc5688ca39dccc-224ae57b9c1749bdbfab51b2284789ce-517621a3c6b745459a5606c65cd38e27-85047be0b2cf4077a5ec66e92ebf442b-9de70494076e447cb3e68c27b0cbfa1f-f10dd6ce6f964a5db45c4bdb89d9e17a-f3333b1a9dfb49638ef3b02df90cadb5-f3bf3c8f321344f381b2a5ee34c480aa-f71add41e8cb44318e1ac381056b649d-11ae50c372c64e7ca59691c435c91239-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d-25bf7d1a791f4cf39d85e26b113001e8-31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d-473ecef6048d4d1a91b8100eb7a176e0-53ae8db083134adb8428403b6a50620e-56ed36d358d44d43834ce1146bf4303d-7d535a2008b4423bae96c8b4ad90378f-e283ac11c7064ccf976f9c48d68c6a67', '0885c830022746cf8972c97eba9f5b15-0cae9d2a09824bacb660d21aa550e599-1003b43b03934068973f67d199565dce-2223b2eb8c2942459344c06ce1d3ed1d-334cfcd5ce47468a9babdce5c97def28-34709b873e3e4b979b2ba2c7aed499a7-34fe861fdc8a4b13b7455d4f512a2a07-458475653213478e9b69e2f1bb063ffc-6a20e7a3fbaf4031a47d2426740b81ea-7b324941a5514833a06c4561c1af3b41-7b468fb6cfab474fb11176fb3f45ab81-847da264b1334e1290e028e51fd6d04d-8fd31bbbd3194504a6dc5688ca39dccc', '224ae57b9c1749bdbfab51b2284789ce-517621a3c6b745459a5606c65cd38e27-85047be0b2cf4077a5ec66e92ebf442b-9de70494076e447cb3e68c27b0cbfa1f-f10dd6ce6f964a5db45c4bdb89d9e17a-f3333b1a9dfb49638ef3b02df90cadb5-f3bf3c8f321344f381b2a5ee34c480aa-f71add41e8cb44318e1ac381056b649d', '11ae50c372c64e7ca59691c435c91239-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d-25bf7d1a791f4cf39d85e26b113001e8-31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d-473ecef6048d4d1a91b8100eb7a176e0-53ae8db083134adb8428403b6a50620e-56ed36d358d44d43834ce1146bf4303d-7d535a2008b4423bae96c8b4ad90378f-e283ac11c7064ccf976f9c48d68c6a67', '80', '2', '4', '2', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-07-24 09:18:32', '2020-07-24 09:18:32', '2020-07-24 09:18:32', '2020-07-24 09:18:32');
INSERT INTO `exam` VALUES ('8e999b5957a349c48b84c2f2d3f9c2ef', 'english', '123', '123', '02d67d11512e490c9a4e1ac152abb9f9-0885c830022746cf8972c97eba9f5b15-0cae9d2a09824bacb660d21aa550e599-1003b43b03934068973f67d199565dce-17ad274d9a6446688013586abf2deed4-313a3c23d119451d9f3f82bb47401b9f-31e9ad43e84e484eb8b77b7e7a76de91-22d201cd2e5c4558bbbdf4cb5d7ea717-2929d07f28a54c81931701d2b162fd70-38085807d06948ca8ad6d8eaca522c85-388dd246953945569e3617b268629ee4-14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d-6c261016135a4949bbc301cfe8ea81d6-6dfb93980e0a4c68badff94e9e1b3349-77ee8436697b478194eba8d3c7417d16', '02d67d11512e490c9a4e1ac152abb9f9-0885c830022746cf8972c97eba9f5b15-0cae9d2a09824bacb660d21aa550e599-1003b43b03934068973f67d199565dce-17ad274d9a6446688013586abf2deed4-313a3c23d119451d9f3f82bb47401b9f-31e9ad43e84e484eb8b77b7e7a76de91', '22d201cd2e5c4558bbbdf4cb5d7ea717-2929d07f28a54c81931701d2b162fd70-38085807d06948ca8ad6d8eaca522c85-388dd246953945569e3617b268629ee4', '14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d-6c261016135a4949bbc301cfe8ea81d6-6dfb93980e0a4c68badff94e9e1b3349-77ee8436697b478194eba8d3c7417d16', '195', '5', '10', '20', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-09-30 10:17:24', '2020-09-30 10:17:24', '2020-09-30 10:17:24', '2020-09-30 10:17:24');
INSERT INTO `exam` VALUES ('8f6134e1ee6f47559f7bc2f7567d1b58', '华为新员工入职测试', 'https://i.loli.net/2019/11/02/fKb2qkH1riUsu6p.gif', '新员工入职必考', '2223b2eb8c2942459344c06ce1d3ed1d-31e9ad43e84e484eb8b77b7e7a76de91-3864178819534aa7862b26e893aa2e62-a12eb101321b451bbc54a136e98acfd0-cff7d16da6ab428e893c748d5c759cb2-396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10-e283ac11c7064ccf976f9c48d68c6a67-ecdfbdd2a9f24017b3fe1aa0947ca146', '2223b2eb8c2942459344c06ce1d3ed1d-31e9ad43e84e484eb8b77b7e7a76de91-3864178819534aa7862b26e893aa2e62-a12eb101321b451bbc54a136e98acfd0-cff7d16da6ab428e893c748d5c759cb2', '396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f', '4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10-e283ac11c7064ccf976f9c48d68c6a67-ecdfbdd2a9f24017b3fe1aa0947ca146', '52', '3', '4', '5', 'a1b661031adf4a8f969f1869d479fe74', '120', '2019-10-30 07:50:53', '2019-10-30 07:50:53', '2019-10-30 07:50:53', '2019-11-02 16:25:47');
INSERT INTO `exam` VALUES ('9209867f6423434b9b4efaa3b576150f', 'TestTestTest', 'Test', 'Test', '2223b2eb8c2942459344c06ce1d3ed1d-25ec2980dd544b4ca70328a0733ce69f-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-31ab7a49aa254240935d1e871d7f2f09-495fce658bc4409aac2e14657d8e7e8d', '2223b2eb8c2942459344c06ce1d3ed1d-25ec2980dd544b4ca70328a0733ce69f', '34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85', '31ab7a49aa254240935d1e871d7f2f09-495fce658bc4409aac2e14657d8e7e8d', '30', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-03-23 14:02:29', '2020-03-23 14:02:29', '2020-03-23 14:02:29', '2020-03-23 14:02:29');
INSERT INTO `exam` VALUES ('9277daa2faf741a8a15c1b8944731d83', '让他航天人和人', '柔荑花', '润体乳', '1003b43b03934068973f67d199565dce-517621a3c6b745459a5606c65cd38e27-4247752901bd47fba86379a1cd4b87d4', '1003b43b03934068973f67d199565dce', '517621a3c6b745459a5606c65cd38e27', '4247752901bd47fba86379a1cd4b87d4', '15', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-04-18 15:22:17', '2020-04-18 15:22:17', '2020-04-18 15:22:17', '2020-04-18 15:22:17');
INSERT INTO `exam` VALUES ('93631ac779cf4189a508f72b6190b126', '这就是一场考试', '这就是一场考试', '这就是一场考试', '004c8b75a1a2421986fa05c89d0a903d-0a32e228e2464beda23b90c7832d29d2-55b90af51078486a804055c1052c8688', '004c8b75a1a2421986fa05c89d0a903d', '0a32e228e2464beda23b90c7832d29d2', '55b90af51078486a804055c1052c8688', '15', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-09-02 14:32:05', '2020-09-02 14:32:05', '2020-09-02 14:32:05', '2020-09-02 14:32:05');
INSERT INTO `exam` VALUES ('96cf312ae4164394a8766f2666c66d36', '王耀聪', 'A', 'A1', '3864178819534aa7862b26e893aa2e62-9199009718ec4685a0a500d23ab814c5-bb22f19338174d1f9333f9aebd6ffeb6-cff7d16da6ab428e893c748d5c759cb2-e1d16aebc4124790bb9435973b89f105-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b-305f726e7f1f4636b88bf20de0093745-6cabac6ec4ef44068e66cf2547543658-e283ac11c7064ccf976f9c48d68c6a67', '3864178819534aa7862b26e893aa2e62-9199009718ec4685a0a500d23ab814c5-bb22f19338174d1f9333f9aebd6ffeb6-cff7d16da6ab428e893c748d5c759cb2-e1d16aebc4124790bb9435973b89f105', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b', '305f726e7f1f4636b88bf20de0093745-6cabac6ec4ef44068e66cf2547543658-e283ac11c7064ccf976f9c48d68c6a67', '55', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-02-25 16:19:36', '2020-02-25 16:19:36', '2020-02-25 16:19:36', '2020-02-25 16:19:36');
INSERT INTO `exam` VALUES ('98f867487f514a908a1676cc20b085f2', '1111', '11', '111', '03ba87a6ca3a4075bd983ca799d518d8-14cc31707d53433f81841058a97575da-1e0cc8f913134006a2a861f17ec14b6c-34ac0eba5d5548599086f7439b837d85-517621a3c6b745459a5606c65cd38e27-590889adc7994fbdbd895f3f8f4cd1f4-25bf7d1a791f4cf39d85e26b113001e8', '03ba87a6ca3a4075bd983ca799d518d8-14cc31707d53433f81841058a97575da-1e0cc8f913134006a2a861f17ec14b6c', '34ac0eba5d5548599086f7439b837d85-517621a3c6b745459a5606c65cd38e27-590889adc7994fbdbd895f3f8f4cd1f4', '25bf7d1a791f4cf39d85e26b113001e8', '35', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-05-06 11:38:07', '2020-05-06 11:38:07', '2020-05-06 11:38:07', '2020-05-06 11:38:07');
INSERT INTO `exam` VALUES ('9a4edbe7a4724884a05712127b736c90', '1', '131', '13', '14cc31707d53433f81841058a97575da-23491b7dbbdf47dcb09ece779ff44c92-396b55534851427590e089fb9cc040cc-31ab7a49aa254240935d1e871d7f2f09', '14cc31707d53433f81841058a97575da-23491b7dbbdf47dcb09ece779ff44c92', '396b55534851427590e089fb9cc040cc', '31ab7a49aa254240935d1e871d7f2f09', '20', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-04-01 20:43:55', '2020-04-01 20:43:55', '2020-04-01 20:43:55', '2020-04-01 20:43:55');
INSERT INTO `exam` VALUES ('9a5be611167f418da11cae8ab0abfa8d', 'test11', 'asdfasdfasd', 'ceshi ', '14cc31707d53433f81841058a97575da-2929d07f28a54c81931701d2b162fd70-311e5bf4b7dc4f15bae52e2f5caf4800-698def9f99b343e9b74cd7513f9efe61-dc91198c27dc4ab5942ffc924f282367', '14cc31707d53433f81841058a97575da', '2929d07f28a54c81931701d2b162fd70', '311e5bf4b7dc4f15bae52e2f5caf4800-698def9f99b343e9b74cd7513f9efe61-dc91198c27dc4ab5942ffc924f282367', '25', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-04-15 15:36:01', '2020-04-15 15:36:01', '2020-04-15 15:36:01', '2020-04-15 15:36:01');
INSERT INTO `exam` VALUES ('9ab02a51fdac405ba442b611e5490c45', '实施完毕', 'dfd', 'dd', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-31ab7a49aa254240935d1e871d7f2f09', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d', '396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f', '31ab7a49aa254240935d1e871d7f2f09', '6', '1', '1', '1', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-03-08 15:46:15', '2020-03-08 15:46:15', '2020-03-08 15:46:15', '2020-03-08 15:46:15');
INSERT INTO `exam` VALUES ('9d511bf4c0d94160a23dacfab95d0286', 'testttttt', 'ssssss', 'estsss', '018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-0cae9d2a09824bacb660d21aa550e599-25ec2980dd544b4ca70328a0733ce69f-224ae57b9c1749bdbfab51b2284789ce-14908e5711f74c67924d6b1ceaeb92d0-23ac2394b14f4e338ec22adba349eb62', '018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-0cae9d2a09824bacb660d21aa550e599-25ec2980dd544b4ca70328a0733ce69f', '224ae57b9c1749bdbfab51b2284789ce', '14908e5711f74c67924d6b1ceaeb92d0-23ac2394b14f4e338ec22adba349eb62', '35', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-09-24 17:12:25', '2020-09-24 17:12:25', '2020-09-24 17:12:25', '2020-09-24 17:12:25');
INSERT INTO `exam` VALUES ('a0e02a53c28a449896847ae476100eb9', 'postman', '111', '111', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-224ae57b9c1749bdbfab51b2284789ce-0f228882c0fe462db958be54df6a1142', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0', '224ae57b9c1749bdbfab51b2284789ce', '0f228882c0fe462db958be54df6a1142', '20', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-08-21 15:29:12', '2020-08-21 15:29:12', '2020-08-21 15:29:12', '2020-08-21 15:29:12');
INSERT INTO `exam` VALUES ('a1195dfe97f043f3b875c790b3fc93bb', '12j3123123yy', '12e121', '21212', '551677f9e25441bbade1d48fb9f76a01-736a5bdfc44d4bed99cb43cd4ee0fe03-9bab31ed75c94be292e3d3908d834036-cba6ce4038b5401fb4cb43205557ccf9-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-f3333b1a9dfb49638ef3b02df90cadb5-340e5189877a4eb58492c7bb7a3c094d', '551677f9e25441bbade1d48fb9f76a01-736a5bdfc44d4bed99cb43cd4ee0fe03-9bab31ed75c94be292e3d3908d834036-cba6ce4038b5401fb4cb43205557ccf9', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-f3333b1a9dfb49638ef3b02df90cadb5', '340e5189877a4eb58492c7bb7a3c094d', '50', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-03-10 11:37:16', '2020-03-10 11:37:16', '2020-03-10 11:37:16', '2020-03-10 11:37:16');
INSERT INTO `exam` VALUES ('a22b7091c94342b3b14a71d37b7f0f3b', '测试考试', '测试考试', '这是测试考试', '458475653213478e9b69e2f1bb063ffc-4a8c0cd2a67e4bb3aa51662146444f0d-4e3debde18a84a4fbe9baf83cb7cbd61-5bc570c6662c41d99bd9859cecff90c4-5bf59e82cae24b67879119571c022018-5e4913644c9a4bfb89e1e92ca54baa07-6f95eb26b4bf46c093e60887bae869af-224ae57b9c1749bdbfab51b2284789ce-22d201cd2e5c4558bbbdf4cb5d7ea717-2929d07f28a54c81931701d2b162fd70-30a7598bc91346478027795679cd71c3-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-388dd246953945569e3617b268629ee4-0f228882c0fe462db958be54df6a1142-126c3a14b1ec4a7b9b5fe18914c0c19d-14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23ac2394b14f4e338ec22adba349eb62-23c0e0e98d04425ab2de3e7fec54971d', '458475653213478e9b69e2f1bb063ffc-4a8c0cd2a67e4bb3aa51662146444f0d-4e3debde18a84a4fbe9baf83cb7cbd61-5bc570c6662c41d99bd9859cecff90c4-5bf59e82cae24b67879119571c022018-5e4913644c9a4bfb89e1e92ca54baa07-6f95eb26b4bf46c093e60887bae869af', '224ae57b9c1749bdbfab51b2284789ce-22d201cd2e5c4558bbbdf4cb5d7ea717-2929d07f28a54c81931701d2b162fd70-30a7598bc91346478027795679cd71c3-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-388dd246953945569e3617b268629ee4', '0f228882c0fe462db958be54df6a1142-126c3a14b1ec4a7b9b5fe18914c0c19d-14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23ac2394b14f4e338ec22adba349eb62-23c0e0e98d04425ab2de3e7fec54971d', '100', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-09-01 13:07:00', '2020-09-01 13:07:00', '2020-09-01 13:07:00', '2020-09-01 13:07:00');
INSERT INTO `exam` VALUES ('a25ba927a1af401692f03ec78d0b0f55', '19级', '1', '1', '2f8b20630b10471395b6c379a465cca8-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-3864178819534aa7862b26e893aa2e62-3da95e8dc779416689d913f8b68c48b2-40ee7b36298d4568aad20e2db36ddbb5-5396e258c48e467fbdf904701aa85840-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-311e5bf4b7dc4f15bae52e2f5caf4800-4247752901bd47fba86379a1cd4b87d4-698def9f99b343e9b74cd7513f9efe61-dc91198c27dc4ab5942ffc924f282367', '2f8b20630b10471395b6c379a465cca8-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-3864178819534aa7862b26e893aa2e62-3da95e8dc779416689d913f8b68c48b2-40ee7b36298d4568aad20e2db36ddbb5-5396e258c48e467fbdf904701aa85840', '34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85', '311e5bf4b7dc4f15bae52e2f5caf4800-4247752901bd47fba86379a1cd4b87d4-698def9f99b343e9b74cd7513f9efe61-dc91198c27dc4ab5942ffc924f282367', '65', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-04-13 17:20:47', '2020-04-13 17:20:47', '2020-04-13 17:20:47', '2020-04-13 17:20:47');
INSERT INTO `exam` VALUES ('a30053865e1242d1b9d6787eb1f50db3', '惹', '1', '1', '2223b2eb8c2942459344c06ce1d3ed1d-38085807d06948ca8ad6d8eaca522c85-6cabac6ec4ef44068e66cf2547543658', '2223b2eb8c2942459344c06ce1d3ed1d', '38085807d06948ca8ad6d8eaca522c85', '6cabac6ec4ef44068e66cf2547543658', '15', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-04-05 01:12:30', '2020-04-05 01:12:30', '2020-04-05 01:12:30', '2020-04-05 01:12:30');
INSERT INTO `exam` VALUES ('a81a1843c0b340e58248b338dca58f66', 'summitexam', '啊啊', '啊啊', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-2929d07f28a54c81931701d2b162fd70-4247752901bd47fba86379a1cd4b87d4', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d', '2929d07f28a54c81931701d2b162fd70', '4247752901bd47fba86379a1cd4b87d4', '16', '5', '5', '1', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-03-11 12:11:07', '2020-03-11 12:11:07', '2020-03-11 12:11:07', '2020-03-11 12:11:07');
INSERT INTO `exam` VALUES ('a95fb0006cc44ceab29b9086f9e34f6a', 'java面试题', '111', 'java面试题', '1e0cc8f913134006a2a861f17ec14b6c-2929d07f28a54c81931701d2b162fd70-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d', '1e0cc8f913134006a2a861f17ec14b6c', '2929d07f28a54c81931701d2b162fd70', '157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d', '20', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '80', '2020-09-22 08:16:30', '2020-09-22 08:16:30', '2020-09-22 08:16:30', '2020-09-22 08:16:30');
INSERT INTO `exam` VALUES ('aaae3d5422d24fa59107349e774b0c2f', 'eeee', 'ewewe', 'ewew', 'b934218bd2f14eb4a5929af95eb1c9d0-bb22f19338174d1f9333f9aebd6ffeb6-dd2d72331e834fe3b575f2095cb27e02-e362599c1ac444bf9ad8e88000ee0f8b-ee27e894943e4006a2b21e754b6de136-f6def1a063434d20bb779654644219d4-224ae57b9c1749bdbfab51b2284789ce-34ac0eba5d5548599086f7439b837d85-517621a3c6b745459a5606c65cd38e27-23ac2394b14f4e338ec22adba349eb62-305f726e7f1f4636b88bf20de0093745-56ed36d358d44d43834ce1146bf4303d', 'b934218bd2f14eb4a5929af95eb1c9d0-bb22f19338174d1f9333f9aebd6ffeb6-dd2d72331e834fe3b575f2095cb27e02-e362599c1ac444bf9ad8e88000ee0f8b-ee27e894943e4006a2b21e754b6de136-f6def1a063434d20bb779654644219d4', '224ae57b9c1749bdbfab51b2284789ce-34ac0eba5d5548599086f7439b837d85-517621a3c6b745459a5606c65cd38e27', '23ac2394b14f4e338ec22adba349eb62-305f726e7f1f4636b88bf20de0093745-56ed36d358d44d43834ce1146bf4303d', '60', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-07-29 11:47:33', '2020-07-29 11:47:33', '2020-07-29 11:47:33', '2020-07-29 11:47:33');
INSERT INTO `exam` VALUES ('ac94a40ed4514e7b8d9d2ee14079395f', '11111111', '1212', '1212', '004c8b75a1a2421986fa05c89d0a903d-224ae57b9c1749bdbfab51b2284789ce-14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d', '004c8b75a1a2421986fa05c89d0a903d', '224ae57b9c1749bdbfab51b2284789ce', '14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d', '25', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-09-11 13:25:24', '2020-09-11 13:25:24', '2020-09-11 13:25:24', '2020-09-11 13:25:24');
INSERT INTO `exam` VALUES ('ad2c5b40f1674f9a951c4e09131f9716', '1', '1', '1', '018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-2929d07f28a54c81931701d2b162fd70-14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d', '018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9', '2929d07f28a54c81931701d2b162fd70', '14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d', '35', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-09-01 08:49:20', '2020-09-01 08:49:20', '2020-09-01 08:49:20', '2020-09-01 08:49:20');
INSERT INTO `exam` VALUES ('ad585b69f4424dcead51a0c62ef046ce', '大概', 'g地方', '地方g', '018c0f44bfd54bb8a6b0f2e91da3f3b0-02d67d11512e490c9a4e1ac152abb9f9-03ba87a6ca3a4075bd983ca799d518d8-0885c830022746cf8972c97eba9f5b15-1e9521efc6bb469ba9bd98c76f6ba53d-23491b7dbbdf47dcb09ece779ff44c92-265b78c96fb94504991ffcf8e5bd6074-313a3c23d119451d9f3f82bb47401b9f-3da95e8dc779416689d913f8b68c48b2-3f31e3edcea24aebb1f3ff1556917141-22d201cd2e5c4558bbbdf4cb5d7ea717-2929d07f28a54c81931701d2b162fd70-34ac0eba5d5548599086f7439b837d85-388dd246953945569e3617b268629ee4-14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23ac2394b14f4e338ec22adba349eb62-23c0e0e98d04425ab2de3e7fec54971d', '018c0f44bfd54bb8a6b0f2e91da3f3b0-02d67d11512e490c9a4e1ac152abb9f9-03ba87a6ca3a4075bd983ca799d518d8-0885c830022746cf8972c97eba9f5b15-1e9521efc6bb469ba9bd98c76f6ba53d-23491b7dbbdf47dcb09ece779ff44c92-265b78c96fb94504991ffcf8e5bd6074-313a3c23d119451d9f3f82bb47401b9f-3da95e8dc779416689d913f8b68c48b2-3f31e3edcea24aebb1f3ff1556917141', '22d201cd2e5c4558bbbdf4cb5d7ea717-2929d07f28a54c81931701d2b162fd70-34ac0eba5d5548599086f7439b837d85-388dd246953945569e3617b268629ee4', '14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23ac2394b14f4e338ec22adba349eb62-23c0e0e98d04425ab2de3e7fec54971d', '90', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-09-17 15:29:26', '2020-09-17 15:29:26', '2020-09-17 15:29:26', '2020-09-17 15:29:26');
INSERT INTO `exam` VALUES ('ad85aa9154a441a2a2ebe036c1805a8b', '唐氏筛查', '14141', '41', '31e9ad43e84e484eb8b77b7e7a76de91-46b74ddb133a4f20ac30d2c92de6902c-4e3debde18a84a4fbe9baf83cb7cbd61-551677f9e25441bbade1d48fb9f76a01-5bc570c6662c41d99bd9859cecff90c4-5bf59e82cae24b67879119571c022018-5e0389903aa94524bcae09ca457ecdaa-5e4913644c9a4bfb89e1e92ca54baa07-6f95eb26b4bf46c093e60887bae869af-736a5bdfc44d4bed99cb43cd4ee0fe03-8115591eb68e40fb8edfe1b2064841e4-847da264b1334e1290e028e51fd6d04d-86d8939602d84848bf604777c69742eb-89d8f481927d4a1c8c1b447cb4cdfd8c-224ae57b9c1749bdbfab51b2284789ce-22d201cd2e5c4558bbbdf4cb5d7ea717-2929d07f28a54c81931701d2b162fd70-34ac0eba5d5548599086f7439b837d85-388dd246953945569e3617b268629ee4-0f228882c0fe462db958be54df6a1142-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d', '31e9ad43e84e484eb8b77b7e7a76de91-46b74ddb133a4f20ac30d2c92de6902c-4e3debde18a84a4fbe9baf83cb7cbd61-551677f9e25441bbade1d48fb9f76a01-5bc570c6662c41d99bd9859cecff90c4-5bf59e82cae24b67879119571c022018-5e0389903aa94524bcae09ca457ecdaa-5e4913644c9a4bfb89e1e92ca54baa07-6f95eb26b4bf46c093e60887bae869af-736a5bdfc44d4bed99cb43cd4ee0fe03-8115591eb68e40fb8edfe1b2064841e4-847da264b1334e1290e028e51fd6d04d-86d8939602d84848bf604777c69742eb-89d8f481927d4a1c8c1b447cb4cdfd8c', '224ae57b9c1749bdbfab51b2284789ce-22d201cd2e5c4558bbbdf4cb5d7ea717-2929d07f28a54c81931701d2b162fd70-34ac0eba5d5548599086f7439b837d85-388dd246953945569e3617b268629ee4', '0f228882c0fe462db958be54df6a1142-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d', '110', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-09-14 10:36:39', '2020-09-14 10:36:39', '2020-09-14 10:36:39', '2020-09-14 10:36:39');
INSERT INTO `exam` VALUES ('ae37b8953d6a444cbe2dedcc46444ba5', 'java', 'java\n', 'java', '004c8b75a1a2421986fa05c89d0a903d-2929d07f28a54c81931701d2b162fd70-30a7598bc91346478027795679cd71c3-305f726e7f1f4636b88bf20de0093745-31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d', '004c8b75a1a2421986fa05c89d0a903d', '2929d07f28a54c81931701d2b162fd70-30a7598bc91346478027795679cd71c3', '305f726e7f1f4636b88bf20de0093745-31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d', '30', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-06-10 14:16:01', '2020-06-10 14:16:01', '2020-06-10 14:16:01', '2020-06-10 14:16:01');
INSERT INTO `exam` VALUES ('b188e54770a74481a4d3de7862ad1c31', '阿里考试', 'https://i.loli.net/2019/11/02/qv1ubt2roT4FepS.jpg', '阿里巴巴2019校招', '', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc', '305f726e7f1f4636b88bf20de0093745-4247752901bd47fba86379a1cd4b87d4', '100', '5', '6', '7', 'a1b661031adf4a8f969f1869d479fe74', '60', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-11-02 16:36:38');
INSERT INTO `exam` VALUES ('b358496e4c834e46a3a54cd649cf8a49', 'deeplesion_gpu0', '123', '123', '14cc31707d53433f81841058a97575da-9bffbe2845b8401c8376f7ab3ef9230e-a12eb101321b451bbc54a136e98acfd0-bb22f19338174d1f9333f9aebd6ffeb6-cff7d16da6ab428e893c748d5c759cb2-d42d9faa517146329a458550ec06262c-38085807d06948ca8ad6d8eaca522c85-305f726e7f1f4636b88bf20de0093745', '14cc31707d53433f81841058a97575da-9bffbe2845b8401c8376f7ab3ef9230e-a12eb101321b451bbc54a136e98acfd0-bb22f19338174d1f9333f9aebd6ffeb6-cff7d16da6ab428e893c748d5c759cb2-d42d9faa517146329a458550ec06262c', '38085807d06948ca8ad6d8eaca522c85', '305f726e7f1f4636b88bf20de0093745', '40', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-03-04 17:20:30', '2020-03-04 17:20:30', '2020-03-04 17:20:30', '2020-03-04 17:20:30');
INSERT INTO `exam` VALUES ('b36c8718df104dd3b5f5da7c131c0343', '李东伟_男_计算机学院_软件工程_2017_汉语', '54', '4453', '2f8b20630b10471395b6c379a465cca8-224ae57b9c1749bdbfab51b2284789ce-0f228882c0fe462db958be54df6a1142', '2f8b20630b10471395b6c379a465cca8', '224ae57b9c1749bdbfab51b2284789ce', '0f228882c0fe462db958be54df6a1142', '15', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-09-21 10:05:19', '2020-09-21 10:05:19', '2020-09-21 10:05:19', '2020-09-21 10:05:19');
INSERT INTO `exam` VALUES ('b379d20c34234a56a866b81cf783bec8', 'lh', '123', '123', '018c0f44bfd54bb8a6b0f2e91da3f3b0-02d67d11512e490c9a4e1ac152abb9f9-03ba87a6ca3a4075bd983ca799d518d8-0885c830022746cf8972c97eba9f5b15-224ae57b9c1749bdbfab51b2284789ce-2929d07f28a54c81931701d2b162fd70-2b4df8f9333741ef9f56bc188ec8a147-34ac0eba5d5548599086f7439b837d85-0f228882c0fe462db958be54df6a1142-14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23ac2394b14f4e338ec22adba349eb62-23c0e0e98d04425ab2de3e7fec54971d', '018c0f44bfd54bb8a6b0f2e91da3f3b0-02d67d11512e490c9a4e1ac152abb9f9-03ba87a6ca3a4075bd983ca799d518d8-0885c830022746cf8972c97eba9f5b15', '224ae57b9c1749bdbfab51b2284789ce-2929d07f28a54c81931701d2b162fd70-2b4df8f9333741ef9f56bc188ec8a147-34ac0eba5d5548599086f7439b837d85', '0f228882c0fe462db958be54df6a1142-14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23ac2394b14f4e338ec22adba349eb62-23c0e0e98d04425ab2de3e7fec54971d', '39', '3', '3', '3', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-09-14 11:27:21', '2020-09-14 11:27:21', '2020-09-14 11:27:21', '2020-09-14 11:27:21');
INSERT INTO `exam` VALUES ('b4ff6d951c31454fa7966d16073d0168', '123', '123', '123', '14cc31707d53433f81841058a97575da-6d679282cdc649f8b4d185e47026dcca-34ac0eba5d5548599086f7439b837d85-396b55534851427590e089fb9cc040cc-517621a3c6b745459a5606c65cd38e27-6cabac6ec4ef44068e66cf2547543658-a61d6ef2c160420e9f585a7da149fbfc-dc755e13552f4271a6f8c664708a1212', '14cc31707d53433f81841058a97575da-6d679282cdc649f8b4d185e47026dcca', '34ac0eba5d5548599086f7439b837d85-396b55534851427590e089fb9cc040cc-517621a3c6b745459a5606c65cd38e27', '6cabac6ec4ef44068e66cf2547543658-a61d6ef2c160420e9f585a7da149fbfc-dc755e13552f4271a6f8c664708a1212', '40', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-03-24 18:58:34', '2020-03-24 18:58:34', '2020-03-24 18:58:34', '2020-03-24 18:58:34');
INSERT INTO `exam` VALUES ('b600329094424be08b6759b5c48005cc', 'ch测试', '考试小图', '第一次', '2f8b20630b10471395b6c379a465cca8-3864178819534aa7862b26e893aa2e62-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-4247752901bd47fba86379a1cd4b87d4', '2f8b20630b10471395b6c379a465cca8-3864178819534aa7862b26e893aa2e62', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc', '4247752901bd47fba86379a1cd4b87d4', '25', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-03-01 12:58:28', '2020-03-01 12:58:28', '2020-03-01 12:58:28', '2020-03-01 12:58:28');
INSERT INTO `exam` VALUES ('b7b9f7916f494e9bb570139776699fd0', '6', '6', '3', '018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-2223b2eb8c2942459344c06ce1d3ed1d-2929d07f28a54c81931701d2b162fd70-2b4df8f9333741ef9f56bc188ec8a147-38085807d06948ca8ad6d8eaca522c85-0f228882c0fe462db958be54df6a1142-14908e5711f74c67924d6b1ceaeb92d0-23ac2394b14f4e338ec22adba349eb62', '018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-2223b2eb8c2942459344c06ce1d3ed1d', '2929d07f28a54c81931701d2b162fd70-2b4df8f9333741ef9f56bc188ec8a147-38085807d06948ca8ad6d8eaca522c85', '0f228882c0fe462db958be54df6a1142-14908e5711f74c67924d6b1ceaeb92d0-23ac2394b14f4e338ec22adba349eb62', '45', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-09-22 09:48:38', '2020-09-22 09:48:38', '2020-09-22 09:48:38', '2020-09-22 09:48:38');
INSERT INTO `exam` VALUES ('bb34bc9c0af84c08a65c1fce604182eb', '111111111', 'ansd', 'anqun', '551677f9e25441bbade1d48fb9f76a01-5bf59e82cae24b67879119571c022018-5e0389903aa94524bcae09ca457ecdaa-6d679282cdc649f8b4d185e47026dcca-736a5bdfc44d4bed99cb43cd4ee0fe03-75e0196b943a47f59d246557dc7c30dd-7b324941a5514833a06c4561c1af3b41-847da264b1334e1290e028e51fd6d04d-8a377bbeec5a4cd68f79bea7451d238d-9199009718ec4685a0a500d23ab814c5-9bab31ed75c94be292e3d3908d834036-a12eb101321b451bbc54a136e98acfd0-aafe86ead25f4ff5887c1dff7a91dfe5-34ac0eba5d5548599086f7439b837d85-396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-340e5189877a4eb58492c7bb7a3c094d-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10', '551677f9e25441bbade1d48fb9f76a01-5bf59e82cae24b67879119571c022018-5e0389903aa94524bcae09ca457ecdaa-6d679282cdc649f8b4d185e47026dcca-736a5bdfc44d4bed99cb43cd4ee0fe03-75e0196b943a47f59d246557dc7c30dd-7b324941a5514833a06c4561c1af3b41-847da264b1334e1290e028e51fd6d04d-8a377bbeec5a4cd68f79bea7451d238d-9199009718ec4685a0a500d23ab814c5-9bab31ed75c94be292e3d3908d834036-a12eb101321b451bbc54a136e98acfd0-aafe86ead25f4ff5887c1dff7a91dfe5', '34ac0eba5d5548599086f7439b837d85-396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f', '340e5189877a4eb58492c7bb7a3c094d-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10', '20', '1', '1', '1', '68042014e23c4ebea7234cb9c77cee5c', '100', '2020-03-28 18:53:11', '2020-03-28 18:53:11', '2020-03-28 18:53:11', '2020-03-28 18:53:11');
INSERT INTO `exam` VALUES ('bb823016662a4e2d93d98637e8dc972d', '海贼王', '1', '1', '018c0f44bfd54bb8a6b0f2e91da3f3b0-14cc31707d53433f81841058a97575da-38085807d06948ca8ad6d8eaca522c85-31ab7a49aa254240935d1e871d7f2f09', '018c0f44bfd54bb8a6b0f2e91da3f3b0-14cc31707d53433f81841058a97575da', '38085807d06948ca8ad6d8eaca522c85', '31ab7a49aa254240935d1e871d7f2f09', '20', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-03-30 10:05:23', '2020-03-30 10:05:23', '2020-03-30 10:05:23', '2020-03-30 10:05:23');
INSERT INTO `exam` VALUES ('bbb7c854b86543d8bb4bdbed4e339151', 'bzhzj', '444', '444', '018c0f44bfd54bb8a6b0f2e91da3f3b0-07441a6a40d44196a1e67fe344ac57a9-0885c830022746cf8972c97eba9f5b15-14cc31707d53433f81841058a97575da-2929d07f28a54c81931701d2b162fd70-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-517621a3c6b745459a5606c65cd38e27-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d-25bf7d1a791f4cf39d85e26b113001e8-53ae8db083134adb8428403b6a50620e', '018c0f44bfd54bb8a6b0f2e91da3f3b0-07441a6a40d44196a1e67fe344ac57a9-0885c830022746cf8972c97eba9f5b15-14cc31707d53433f81841058a97575da', '2929d07f28a54c81931701d2b162fd70-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-517621a3c6b745459a5606c65cd38e27', '157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d-25bf7d1a791f4cf39d85e26b113001e8-53ae8db083134adb8428403b6a50620e', '60', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-07-07 11:48:43', '2020-07-07 11:48:43', '2020-07-07 11:48:43', '2020-07-07 11:48:43');
INSERT INTO `exam` VALUES ('bc8bcc01a0034a6ea99add88d62039f1', '1', '1', '1', '265b78c96fb94504991ffcf8e5bd6074-2b6b9540a38f40b08864067a65e3c5f1-313a3c23d119451d9f3f82bb47401b9f-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-2929d07f28a54c81931701d2b162fd70-34ac0eba5d5548599086f7439b837d85-517621a3c6b745459a5606c65cd38e27-5495afd392314658960c3911fd6c1b84-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d-25bf7d1a791f4cf39d85e26b113001e8-272040f5194b4f58a1533ee3c8430095', '265b78c96fb94504991ffcf8e5bd6074-2b6b9540a38f40b08864067a65e3c5f1-313a3c23d119451d9f3f82bb47401b9f-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28', '2929d07f28a54c81931701d2b162fd70-34ac0eba5d5548599086f7439b837d85-517621a3c6b745459a5606c65cd38e27-5495afd392314658960c3911fd6c1b84', '157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d-25bf7d1a791f4cf39d85e26b113001e8-272040f5194b4f58a1533ee3c8430095', '65', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-08-14 14:18:34', '2020-08-14 14:18:34', '2020-08-14 14:18:34', '2020-08-14 14:18:34');
INSERT INTO `exam` VALUES ('bcd44a0d803b4ed3903f069db37c09c2', 'ABCD', 'YINGWEN', 'ABCD', '018c0f44bfd54bb8a6b0f2e91da3f3b0-1003b43b03934068973f67d199565dce-14cc31707d53433f81841058a97575da-1e0cc8f913134006a2a861f17ec14b6c-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2929d07f28a54c81931701d2b162fd70-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-517621a3c6b745459a5606c65cd38e27-85047be0b2cf4077a5ec66e92ebf442b-311e5bf4b7dc4f15bae52e2f5caf4800-31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4-495fce658bc4409aac2e14657d8e7e8d-698def9f99b343e9b74cd7513f9efe61-dc91198c27dc4ab5942ffc924f282367', '018c0f44bfd54bb8a6b0f2e91da3f3b0-1003b43b03934068973f67d199565dce-14cc31707d53433f81841058a97575da-1e0cc8f913134006a2a861f17ec14b6c-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92', '2929d07f28a54c81931701d2b162fd70-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-517621a3c6b745459a5606c65cd38e27-85047be0b2cf4077a5ec66e92ebf442b', '311e5bf4b7dc4f15bae52e2f5caf4800-31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4-495fce658bc4409aac2e14657d8e7e8d-698def9f99b343e9b74cd7513f9efe61-dc91198c27dc4ab5942ffc924f282367', '95', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-04-07 09:40:42', '2020-04-07 09:40:42', '2020-04-07 09:40:42', '2020-04-07 09:40:42');
INSERT INTO `exam` VALUES ('bfa3f9424e8b4e6182cb4dfbf45911c6', '模拟考试', '色温', '数十位', '018c0f44bfd54bb8a6b0f2e91da3f3b0-2929d07f28a54c81931701d2b162fd70-078a8fed0cc649f8a864a430b4e7188c', '018c0f44bfd54bb8a6b0f2e91da3f3b0', '2929d07f28a54c81931701d2b162fd70', '078a8fed0cc649f8a864a430b4e7188c', '15', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-05-24 17:58:18', '2020-05-24 17:58:18', '2020-05-24 17:58:18', '2020-05-24 17:58:18');
INSERT INTO `exam` VALUES ('bfe8c7a1f7ff49b5af1f6857378fa193', '考试2', '21', '121', '018c0f44bfd54bb8a6b0f2e91da3f3b0-34ac0eba5d5548599086f7439b837d85-305f726e7f1f4636b88bf20de0093745', '018c0f44bfd54bb8a6b0f2e91da3f3b0', '34ac0eba5d5548599086f7439b837d85', '305f726e7f1f4636b88bf20de0093745', '15', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-04-24 14:38:10', '2020-04-24 14:38:10', '2020-04-24 14:38:10', '2020-04-24 14:38:10');
INSERT INTO `exam` VALUES ('c0073a2f2fd64ac6b351c4f62a3f283b', '阿阿阿阿阿', '11', '考试', '14cc31707d53433f81841058a97575da-2f8b20630b10471395b6c379a465cca8-3864178819534aa7862b26e893aa2e62-6d679282cdc649f8b4d185e47026dcca-9bab31ed75c94be292e3d3908d834036-b95a0546fcc8418e84185137d14b1b50-cff7d16da6ab428e893c748d5c759cb2-d42d9faa517146329a458550ec06262c-9fe1cafeebf44e20a80f504cff60ef3f-e283ac11c7064ccf976f9c48d68c6a67', '14cc31707d53433f81841058a97575da-2f8b20630b10471395b6c379a465cca8-3864178819534aa7862b26e893aa2e62-6d679282cdc649f8b4d185e47026dcca-9bab31ed75c94be292e3d3908d834036-b95a0546fcc8418e84185137d14b1b50-cff7d16da6ab428e893c748d5c759cb2-d42d9faa517146329a458550ec06262c', '9fe1cafeebf44e20a80f504cff60ef3f', 'e283ac11c7064ccf976f9c48d68c6a67', '10', '1', '1', '1', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-03-06 09:27:27', '2020-03-06 09:27:27', '2020-03-06 09:27:27', '2020-03-06 09:27:27');
INSERT INTO `exam` VALUES ('c01e42ec431649c8b63f8c5eb7793058', '大幅度', '富斗富', '打分得分', '34709b873e3e4b979b2ba2c7aed499a7-34fe861fdc8a4b13b7455d4f512a2a07-38085807d06948ca8ad6d8eaca522c85-14908e5711f74c67924d6b1ceaeb92d0', '34709b873e3e4b979b2ba2c7aed499a7-34fe861fdc8a4b13b7455d4f512a2a07', '38085807d06948ca8ad6d8eaca522c85', '14908e5711f74c67924d6b1ceaeb92d0', '18', '4', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-09-25 11:42:16', '2020-09-25 11:42:16', '2020-09-25 11:42:16', '2020-09-25 11:42:16');
INSERT INTO `exam` VALUES ('c03ec8f040634419a0d85c54bf4c4008', '谢方的测试', '什么是小图？', '这是一段描述', '2b8b0f8748e24460b461047366d37ecb-2f8b20630b10471395b6c379a465cca8-313a3c23d119451d9f3f82bb47401b9f-31e9ad43e84e484eb8b77b7e7a76de91-336581f3079140328f5e71a1594d7500-6d679282cdc649f8b4d185e47026dcca-f83af858c0554241bf96205dc9dd9882-2929d07f28a54c81931701d2b162fd70-305f726e7f1f4636b88bf20de0093745', '2b8b0f8748e24460b461047366d37ecb-2f8b20630b10471395b6c379a465cca8-313a3c23d119451d9f3f82bb47401b9f-31e9ad43e84e484eb8b77b7e7a76de91-336581f3079140328f5e71a1594d7500-6d679282cdc649f8b4d185e47026dcca-f83af858c0554241bf96205dc9dd9882', '2929d07f28a54c81931701d2b162fd70', '305f726e7f1f4636b88bf20de0093745', '180', '20', '20', '20', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-06-30 16:22:32', '2020-06-30 16:22:32', '2020-06-30 16:22:32', '2020-06-30 16:22:32');
INSERT INTO `exam` VALUES ('c0b13eb083ff49c0bcf3984e762eb251', '同步竹云用户', '11', '11', '018c0f44bfd54bb8a6b0f2e91da3f3b0-07441a6a40d44196a1e67fe344ac57a9-2223b2eb8c2942459344c06ce1d3ed1d-224ae57b9c1749bdbfab51b2284789ce-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d', '018c0f44bfd54bb8a6b0f2e91da3f3b0-07441a6a40d44196a1e67fe344ac57a9-2223b2eb8c2942459344c06ce1d3ed1d', '224ae57b9c1749bdbfab51b2284789ce', '157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d', '30', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-09-23 16:38:22', '2020-09-23 16:38:22', '2020-09-23 16:38:22', '2020-09-23 16:38:22');
INSERT INTO `exam` VALUES ('c0c012bcb0b146c5a5530ae0829e833c', '4554', '54', '54', '004c8b75a1a2421986fa05c89d0a903d-0a32e228e2464beda23b90c7832d29d2-078a8fed0cc649f8a864a430b4e7188c', '004c8b75a1a2421986fa05c89d0a903d', '0a32e228e2464beda23b90c7832d29d2', '078a8fed0cc649f8a864a430b4e7188c', '15', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-09-21 10:13:49', '2020-09-21 10:13:49', '2020-09-21 10:13:49', '2020-09-21 10:13:49');
INSERT INTO `exam` VALUES ('c25d2f12b55a47c188ddcd6b492c725b', '你把VN不vVN', ' 冻干粉电饭锅', 'dfgdfg', '2223b2eb8c2942459344c06ce1d3ed1d-224ae57b9c1749bdbfab51b2284789ce-2929d07f28a54c81931701d2b162fd70-14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d', '2223b2eb8c2942459344c06ce1d3ed1d', '224ae57b9c1749bdbfab51b2284789ce-2929d07f28a54c81931701d2b162fd70', '14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d', '30', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-08-10 16:07:18', '2020-08-10 16:07:18', '2020-08-10 16:07:18', '2020-08-10 16:07:18');
INSERT INTO `exam` VALUES ('c335b3f2d0f8443ab4c7cb6186006040', 'testtt', 'testtt', 'testtt', '018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-0885c830022746cf8972c97eba9f5b15-2223b2eb8c2942459344c06ce1d3ed1d-2b6b9540a38f40b08864067a65e3c5f1-334cfcd5ce47468a9babdce5c97def28-3da95e8dc779416689d913f8b68c48b2-458475653213478e9b69e2f1bb063ffc-4b8863f7a26747219f9d1e59165c08a6-5bf59e82cae24b67879119571c022018-30a7598bc91346478027795679cd71c3-38085807d06948ca8ad6d8eaca522c85-9fe1cafeebf44e20a80f504cff60ef3f-126c3a14b1ec4a7b9b5fe18914c0c19d-23ac2394b14f4e338ec22adba349eb62-371450fbb05a49a5b83bce0f9a33b7fd', '018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-0885c830022746cf8972c97eba9f5b15-2223b2eb8c2942459344c06ce1d3ed1d-2b6b9540a38f40b08864067a65e3c5f1-334cfcd5ce47468a9babdce5c97def28-3da95e8dc779416689d913f8b68c48b2-458475653213478e9b69e2f1bb063ffc-4b8863f7a26747219f9d1e59165c08a6-5bf59e82cae24b67879119571c022018', '30a7598bc91346478027795679cd71c3-38085807d06948ca8ad6d8eaca522c85-9fe1cafeebf44e20a80f504cff60ef3f', '126c3a14b1ec4a7b9b5fe18914c0c19d-23ac2394b14f4e338ec22adba349eb62-371450fbb05a49a5b83bce0f9a33b7fd', '80', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-09-01 22:17:03', '2020-09-01 22:17:03', '2020-09-01 22:17:03', '2020-09-01 22:17:03');
INSERT INTO `exam` VALUES ('c4332cad17ae4bbe9db223d23019159b', 'xxxxxx', 'xxx', 'xxx', 'b95a0546fcc8418e84185137d14b1b50-bb22f19338174d1f9333f9aebd6ffeb6-cba6ce4038b5401fb4cb43205557ccf9-d42d9faa517146329a458550ec06262c-2929d07f28a54c81931701d2b162fd70-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-517621a3c6b745459a5606c65cd38e27-590889adc7994fbdbd895f3f8f4cd1f4-25bf7d1a791f4cf39d85e26b113001e8-340e5189877a4eb58492c7bb7a3c094d', 'b95a0546fcc8418e84185137d14b1b50-bb22f19338174d1f9333f9aebd6ffeb6-cba6ce4038b5401fb4cb43205557ccf9-d42d9faa517146329a458550ec06262c', '2929d07f28a54c81931701d2b162fd70-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-517621a3c6b745459a5606c65cd38e27-590889adc7994fbdbd895f3f8f4cd1f4', '25bf7d1a791f4cf39d85e26b113001e8-340e5189877a4eb58492c7bb7a3c094d', '55', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-05-20 11:25:57', '2020-05-20 11:25:57', '2020-05-20 11:25:57', '2020-05-20 11:25:57');
INSERT INTO `exam` VALUES ('c46a8887454b40228cad0478e6d8c102', 'xx', 'xxx', 'xxx', '018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-1003b43b03934068973f67d199565dce-14cc31707d53433f81841058a97575da-1e0cc8f913134006a2a861f17ec14b6c-2929d07f28a54c81931701d2b162fd70-396b55534851427590e089fb9cc040cc-311e5bf4b7dc4f15bae52e2f5caf4800-340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4-495fce658bc4409aac2e14657d8e7e8d-698def9f99b343e9b74cd7513f9efe61-6cabac6ec4ef44068e66cf2547543658-dc91198c27dc4ab5942ffc924f282367', '018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-1003b43b03934068973f67d199565dce-14cc31707d53433f81841058a97575da-1e0cc8f913134006a2a861f17ec14b6c', '2929d07f28a54c81931701d2b162fd70-396b55534851427590e089fb9cc040cc', '311e5bf4b7dc4f15bae52e2f5caf4800-340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4-495fce658bc4409aac2e14657d8e7e8d-698def9f99b343e9b74cd7513f9efe61-6cabac6ec4ef44068e66cf2547543658-dc91198c27dc4ab5942ffc924f282367', '30', '1', '2', '3', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-04-22 09:39:14', '2020-04-22 09:39:14', '2020-04-22 09:39:14', '2020-04-22 09:39:14');
INSERT INTO `exam` VALUES ('c523f70710ec4b668300e720f6ebb973', '哈哈哈', '驱蚊器', '爱我去翁', '018c0f44bfd54bb8a6b0f2e91da3f3b0-0885c830022746cf8972c97eba9f5b15-1003b43b03934068973f67d199565dce-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-25bf7d1a791f4cf39d85e26b113001e8-340e5189877a4eb58492c7bb7a3c094d', '018c0f44bfd54bb8a6b0f2e91da3f3b0-0885c830022746cf8972c97eba9f5b15-1003b43b03934068973f67d199565dce', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc', '25bf7d1a791f4cf39d85e26b113001e8-340e5189877a4eb58492c7bb7a3c094d', '35', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-06-09 10:57:29', '2020-06-09 10:57:29', '2020-06-09 10:57:29', '2020-06-09 10:57:29');
INSERT INTO `exam` VALUES ('c597bd5d65c741ddb5853dad9c8d6327', 'Ant Design Pro，Ant最佳实践', 'https://i.loli.net/2019/11/02/3YAkm4F8alHwdD6.jpg', 'Ant最佳实践', '', '3864178819534aa7862b26e893aa2e62-9199009718ec4685a0a500d23ab814c5', '85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f', '305f726e7f1f4636b88bf20de0093745-8f3e02d0f2a1402abd3278adc05ffb10', '100', '10', '10', '10', '68042014e23c4ebea7234cb9c77cee5c', '150', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-11-02 16:36:44');
INSERT INTO `exam` VALUES ('c69c517d53374e04827086597e7f6488', '我的VIP_1型隧道', '3', '3', '2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-25ec2980dd544b4ca70328a0733ce69f-5bf59e82cae24b67879119571c022018-847da264b1334e1290e028e51fd6d04d-34ac0eba5d5548599086f7439b837d85-517621a3c6b745459a5606c65cd38e27-85047be0b2cf4077a5ec66e92ebf442b-f10dd6ce6f964a5db45c4bdb89d9e17a-f3bf3c8f321344f381b2a5ee34c480aa-fdff95bd64994abc876c3872b7bc9aa3-11ae50c372c64e7ca59691c435c91239-473ecef6048d4d1a91b8100eb7a176e0-7d535a2008b4423bae96c8b4ad90378f', '2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-25ec2980dd544b4ca70328a0733ce69f-5bf59e82cae24b67879119571c022018-847da264b1334e1290e028e51fd6d04d', '34ac0eba5d5548599086f7439b837d85-517621a3c6b745459a5606c65cd38e27-85047be0b2cf4077a5ec66e92ebf442b-f10dd6ce6f964a5db45c4bdb89d9e17a-f3bf3c8f321344f381b2a5ee34c480aa-fdff95bd64994abc876c3872b7bc9aa3', '11ae50c372c64e7ca59691c435c91239-473ecef6048d4d1a91b8100eb7a176e0-7d535a2008b4423bae96c8b4ad90378f', '70', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-04-25 09:40:49', '2020-04-25 09:40:49', '2020-04-25 09:40:49', '2020-04-25 09:40:49');
INSERT INTO `exam` VALUES ('c6e930f8d5d84fcca205c77ad4e9dd9a', 'MidExam', '1', '1', '31e9ad43e84e484eb8b77b7e7a76de91-42e97c38185349a6b83b396922357271-458475653213478e9b69e2f1bb063ffc-fbf92231f24d4359bf9c08cad24bab4c-517621a3c6b745459a5606c65cd38e27-55b90af51078486a804055c1052c8688', '31e9ad43e84e484eb8b77b7e7a76de91-42e97c38185349a6b83b396922357271-458475653213478e9b69e2f1bb063ffc-fbf92231f24d4359bf9c08cad24bab4c', '517621a3c6b745459a5606c65cd38e27', '55b90af51078486a804055c1052c8688', '30', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-09-18 06:19:36', '2020-09-18 06:19:36', '2020-09-18 06:19:36', '2020-09-18 06:19:36');
INSERT INTO `exam` VALUES ('c72e8a8755824853a2d5307d118ea2d3', 'aaaaa', 'aaa', 'aaa', '004c8b75a1a2421986fa05c89d0a903d-1e6268528ea14ad78f8024b9f7cf7207-1eaff8deac0041ed857d16461a290985-224ae57b9c1749bdbfab51b2284789ce-38085807d06948ca8ad6d8eaca522c85-23ac2394b14f4e338ec22adba349eb62', '004c8b75a1a2421986fa05c89d0a903d-1e6268528ea14ad78f8024b9f7cf7207-1eaff8deac0041ed857d16461a290985', '224ae57b9c1749bdbfab51b2284789ce-38085807d06948ca8ad6d8eaca522c85', '23ac2394b14f4e338ec22adba349eb62', '30', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-08-09 23:18:17', '2020-08-09 23:18:17', '2020-08-09 23:18:17', '2020-08-09 23:18:17');
INSERT INTO `exam` VALUES ('c8ca3f0a816042d5919d924a96cb1ae8', 'Ant Design，阿里前端框架', 'https://i.loli.net/2019/11/02/rCHKVJd4jTovzW9.jpg', 'Ant前端学习', '', '31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc', 'e283ac11c7064ccf976f9c48d68c6a67-ecdfbdd2a9f24017b3fe1aa0947ca146', '70', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '100', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-11-02 16:36:51');
INSERT INTO `exam` VALUES ('c9b0ed2a81d2470f9c87cef0b82fbdf3', '20200622', 'python', 'python', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-0885c830022746cf8972c97eba9f5b15-1003b43b03934068973f67d199565dce-14cc31707d53433f81841058a97575da-1e0cc8f913134006a2a861f17ec14b6c-1e6268528ea14ad78f8024b9f7cf7207-1e9521efc6bb469ba9bd98c76f6ba53d-1eaff8deac0041ed857d16461a290985-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2929d07f28a54c81931701d2b162fd70-30a7598bc91346478027795679cd71c3-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-517621a3c6b745459a5606c65cd38e27-5495afd392314658960c3911fd6c1b84-590889adc7994fbdbd895f3f8f4cd1f4-5b796234b1df47c78f614d2f76b91467-79b4e7a9a7e144ba8d5af83c39f9b13a-85047be0b2cf4077a5ec66e92ebf442b-9de70494076e447cb3e68c27b0cbfa1f-25bf7d1a791f4cf39d85e26b113001e8-31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4-495fce658bc4409aac2e14657d8e7e8d-53ae8db083134adb8428403b6a50620e-56ed36d358d44d43834ce1146bf4303d', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-0885c830022746cf8972c97eba9f5b15-1003b43b03934068973f67d199565dce-14cc31707d53433f81841058a97575da-1e0cc8f913134006a2a861f17ec14b6c-1e6268528ea14ad78f8024b9f7cf7207-1e9521efc6bb469ba9bd98c76f6ba53d-1eaff8deac0041ed857d16461a290985-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92', '2929d07f28a54c81931701d2b162fd70-30a7598bc91346478027795679cd71c3-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-517621a3c6b745459a5606c65cd38e27-5495afd392314658960c3911fd6c1b84-590889adc7994fbdbd895f3f8f4cd1f4-5b796234b1df47c78f614d2f76b91467-79b4e7a9a7e144ba8d5af83c39f9b13a-85047be0b2cf4077a5ec66e92ebf442b-9de70494076e447cb3e68c27b0cbfa1f', '25bf7d1a791f4cf39d85e26b113001e8-31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4-495fce658bc4409aac2e14657d8e7e8d-53ae8db083134adb8428403b6a50620e-56ed36d358d44d43834ce1146bf4303d', '62', '2', '2', '2', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-06-22 16:23:56', '2020-06-22 16:23:56', '2020-06-22 16:23:56', '2020-06-22 16:23:56');
INSERT INTO `exam` VALUES ('ca8b338da82b480ebc03c38d41f11692', '语文', '1', '考察语文能力', '018c0f44bfd54bb8a6b0f2e91da3f3b0-224ae57b9c1749bdbfab51b2284789ce-078a8fed0cc649f8a864a430b4e7188c', '018c0f44bfd54bb8a6b0f2e91da3f3b0', '224ae57b9c1749bdbfab51b2284789ce', '078a8fed0cc649f8a864a430b4e7188c', '15', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-09-04 11:55:55', '2020-09-04 11:55:55', '2020-09-04 11:55:55', '2020-09-04 11:55:55');
INSERT INTO `exam` VALUES ('cd92c37ef6b14f71a1fc97167fbb687f', '122122', '1212', '121221', '004c8b75a1a2421986fa05c89d0a903d-2b8b0f8748e24460b461047366d37ecb-313a3c23d119451d9f3f82bb47401b9f-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-336581f3079140328f5e71a1594d7500-6d679282cdc649f8b4d185e47026dcca-f83af858c0554241bf96205dc9dd9882-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-25bf7d1a791f4cf39d85e26b113001e8', '004c8b75a1a2421986fa05c89d0a903d-2b8b0f8748e24460b461047366d37ecb-313a3c23d119451d9f3f82bb47401b9f-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-336581f3079140328f5e71a1594d7500-6d679282cdc649f8b4d185e47026dcca-f83af858c0554241bf96205dc9dd9882', '34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc', '25bf7d1a791f4cf39d85e26b113001e8', '115', '10', '10', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-06-09 14:53:30', '2020-06-09 14:53:30', '2020-06-09 14:53:30', '2020-06-09 14:53:30');
INSERT INTO `exam` VALUES ('cdc85339359840a49c8f71d824c79dae', '交规考试', '的', '对对对', '018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-224ae57b9c1749bdbfab51b2284789ce-2929d07f28a54c81931701d2b162fd70-0f228882c0fe462db958be54df6a1142-11ae50c372c64e7ca59691c435c91239-473ecef6048d4d1a91b8100eb7a176e0-7d535a2008b4423bae96c8b4ad90378f', '018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9', '224ae57b9c1749bdbfab51b2284789ce-2929d07f28a54c81931701d2b162fd70', '0f228882c0fe462db958be54df6a1142-11ae50c372c64e7ca59691c435c91239-473ecef6048d4d1a91b8100eb7a176e0-7d535a2008b4423bae96c8b4ad90378f', '45', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-09-09 19:47:18', '2020-09-09 19:47:18', '2020-09-09 19:47:18', '2020-09-09 19:47:18');
INSERT INTO `exam` VALUES ('ce3b6fa2acb64a83842159274f5beb4b', '小学生在线考试系统', '小学生线上学习测试', '小学生线上学习测试', '018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-14cc31707d53433f81841058a97575da-76049b0d9a254178887a4c3c65ba59b7-bb22f19338174d1f9333f9aebd6ffeb6-cba6ce4038b5401fb4cb43205557ccf9-e1d16aebc4124790bb9435973b89f105-38085807d06948ca8ad6d8eaca522c85-517621a3c6b745459a5606c65cd38e27-25bf7d1a791f4cf39d85e26b113001e8-31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d', '018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-14cc31707d53433f81841058a97575da-76049b0d9a254178887a4c3c65ba59b7-bb22f19338174d1f9333f9aebd6ffeb6-cba6ce4038b5401fb4cb43205557ccf9-e1d16aebc4124790bb9435973b89f105', '38085807d06948ca8ad6d8eaca522c85-517621a3c6b745459a5606c65cd38e27', '25bf7d1a791f4cf39d85e26b113001e8-31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d', '60', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-05-08 16:59:21', '2020-05-08 16:59:21', '2020-05-08 16:59:21', '2020-05-08 16:59:21');
INSERT INTO `exam` VALUES ('cf8176fe25f24b5eb4c61ba960dca55a', 'aaaasdf', 'dsaf', 'asdfa', '334cfcd5ce47468a9babdce5c97def28-30a7598bc91346478027795679cd71c3-25bf7d1a791f4cf39d85e26b113001e8', '334cfcd5ce47468a9babdce5c97def28', '30a7598bc91346478027795679cd71c3', '25bf7d1a791f4cf39d85e26b113001e8', '15', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-06-20 13:54:57', '2020-06-20 13:54:57', '2020-06-20 13:54:57', '2020-06-20 13:54:57');
INSERT INTO `exam` VALUES ('d13ee0254eba4caf99d75bcb04f30db4', '111', '1', '1', '018c0f44bfd54bb8a6b0f2e91da3f3b0-224ae57b9c1749bdbfab51b2284789ce-0f228882c0fe462db958be54df6a1142', '018c0f44bfd54bb8a6b0f2e91da3f3b0', '224ae57b9c1749bdbfab51b2284789ce', '0f228882c0fe462db958be54df6a1142', '15', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-10-10 09:20:34', '2020-10-10 09:20:34', '2020-10-10 09:20:34', '2020-10-10 09:20:34');
INSERT INTO `exam` VALUES ('d4bdecf2c31d419fa3b55bc41878e6ab', 'test', 'test', 'test', '14cc31707d53433f81841058a97575da-23491b7dbbdf47dcb09ece779ff44c92-31e9ad43e84e484eb8b77b7e7a76de91-5396e258c48e467fbdf904701aa85840-7b468fb6cfab474fb11176fb3f45ab81-9f1eb66ca7cb42b98a270978a60212a1-bb22f19338174d1f9333f9aebd6ffeb6-d42d9faa517146329a458550ec06262c-396b55534851427590e089fb9cc040cc-590889adc7994fbdbd895f3f8f4cd1f4-f3bf3c8f321344f381b2a5ee34c480aa-311e5bf4b7dc4f15bae52e2f5caf4800-340e5189877a4eb58492c7bb7a3c094d-698def9f99b343e9b74cd7513f9efe61-8f3e02d0f2a1402abd3278adc05ffb10-dc91198c27dc4ab5942ffc924f282367', '14cc31707d53433f81841058a97575da-23491b7dbbdf47dcb09ece779ff44c92-31e9ad43e84e484eb8b77b7e7a76de91-5396e258c48e467fbdf904701aa85840-7b468fb6cfab474fb11176fb3f45ab81-9f1eb66ca7cb42b98a270978a60212a1-bb22f19338174d1f9333f9aebd6ffeb6-d42d9faa517146329a458550ec06262c', '396b55534851427590e089fb9cc040cc-590889adc7994fbdbd895f3f8f4cd1f4-f3bf3c8f321344f381b2a5ee34c480aa', '311e5bf4b7dc4f15bae52e2f5caf4800-340e5189877a4eb58492c7bb7a3c094d-698def9f99b343e9b74cd7513f9efe61-8f3e02d0f2a1402abd3278adc05ffb10-dc91198c27dc4ab5942ffc924f282367', '80', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-04-14 15:28:26', '2020-04-14 15:28:26', '2020-04-14 15:28:26', '2020-04-14 15:28:26');
INSERT INTO `exam` VALUES ('d9366407cc9540139db29f7da9ea3d1d', '123123', '123', '123', '018c0f44bfd54bb8a6b0f2e91da3f3b0-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-4247752901bd47fba86379a1cd4b87d4-56ed36d358d44d43834ce1146bf4303d', '018c0f44bfd54bb8a6b0f2e91da3f3b0', '34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85', '4247752901bd47fba86379a1cd4b87d4-56ed36d358d44d43834ce1146bf4303d', '25', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-05-14 18:02:42', '2020-05-14 18:02:42', '2020-05-14 18:02:42', '2020-05-14 18:02:42');
INSERT INTO `exam` VALUES ('da361a971ae747f5b935575dd005d8bc', 'ddddddd', 'ddd\n', 'ddddd\n', '14cc31707d53433f81841058a97575da-2929d07f28a54c81931701d2b162fd70-4247752901bd47fba86379a1cd4b87d4', '14cc31707d53433f81841058a97575da', '2929d07f28a54c81931701d2b162fd70', '4247752901bd47fba86379a1cd4b87d4', '15', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-04-04 11:53:04', '2020-04-04 11:53:04', '2020-04-04 11:53:04', '2020-04-04 11:53:04');
INSERT INTO `exam` VALUES ('da8a87953bb246a4a62b212d885aea0b', '张小亦', '1', '1', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-02d67d11512e490c9a4e1ac152abb9f9-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-22d201cd2e5c4558bbbdf4cb5d7ea717-2929d07f28a54c81931701d2b162fd70-388dd246953945569e3617b268629ee4-0f228882c0fe462db958be54df6a1142-14908e5711f74c67924d6b1ceaeb92d0', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-02d67d11512e490c9a4e1ac152abb9f9-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9', '22d201cd2e5c4558bbbdf4cb5d7ea717-2929d07f28a54c81931701d2b162fd70-388dd246953945569e3617b268629ee4', '0f228882c0fe462db958be54df6a1142-14908e5711f74c67924d6b1ceaeb92d0', '50', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-08-31 16:41:03', '2020-08-31 16:41:03', '2020-08-31 16:41:03', '2020-08-31 16:41:03');
INSERT INTO `exam` VALUES ('dc4662f2df1848f490ec2a608f05ecea', '111', '32', '23', '334cfcd5ce47468a9babdce5c97def28-4b8863f7a26747219f9d1e59165c08a6-224ae57b9c1749bdbfab51b2284789ce-2b4df8f9333741ef9f56bc188ec8a147-0f228882c0fe462db958be54df6a1142-14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23ac2394b14f4e338ec22adba349eb62-23c0e0e98d04425ab2de3e7fec54971d', '334cfcd5ce47468a9babdce5c97def28-4b8863f7a26747219f9d1e59165c08a6', '224ae57b9c1749bdbfab51b2284789ce-2b4df8f9333741ef9f56bc188ec8a147', '0f228882c0fe462db958be54df6a1142-14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23ac2394b14f4e338ec22adba349eb62-23c0e0e98d04425ab2de3e7fec54971d', '45', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-09-10 15:06:06', '2020-09-10 15:06:06', '2020-09-10 15:06:06', '2020-09-10 15:06:06');
INSERT INTO `exam` VALUES ('dca538807bce4527baccb6ac5c6c6562', '考试测试', '考试小图', '考试测试简述', '018c0f44bfd54bb8a6b0f2e91da3f3b0-2929d07f28a54c81931701d2b162fd70-340e5189877a4eb58492c7bb7a3c094d', '018c0f44bfd54bb8a6b0f2e91da3f3b0', '2929d07f28a54c81931701d2b162fd70', '340e5189877a4eb58492c7bb7a3c094d', '22', '1', '1', '20', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-04-23 16:02:57', '2020-04-23 16:02:57', '2020-04-23 16:02:57', '2020-04-23 16:02:57');
INSERT INTO `exam` VALUES ('dd6daa7d5dde41ac9e18873cb0d5191a', '暑假第一次组会打分', 'null', '第一组同学方峥打分', '4b8863f7a26747219f9d1e59165c08a6-c76510faca9e4d7dbdbe0620ea153d08-2929d07f28a54c81931701d2b162fd70-078a8fed0cc649f8a864a430b4e7188c', '4b8863f7a26747219f9d1e59165c08a6-c76510faca9e4d7dbdbe0620ea153d08', '2929d07f28a54c81931701d2b162fd70', '078a8fed0cc649f8a864a430b4e7188c', '4', '1', '1', '1', 'a1b661031adf4a8f969f1869d479fe74', '10', '2020-06-16 20:09:05', '2020-06-16 20:09:05', '2020-06-16 20:09:05', '2020-06-16 20:09:05');
INSERT INTO `exam` VALUES ('de5d55138e0e4c3a94943afe98f1fd96', 'Angular学习', 'https://i.loli.net/2019/11/02/WjfdAirGBtRZC7U.jpg', 'Angular小测验', '', '23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8', '85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f', '6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10', '90', '5', '10', '20', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-11-02 16:36:56');
INSERT INTO `exam` VALUES ('e0e814e4a0f3486cbccd0a900c7a529f', '办公耗材', '--', '--', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-3864178819534aa7862b26e893aa2e62-40ee7b36298d4568aad20e2db36ddbb5-9199009718ec4685a0a500d23ab814c5-9bab31ed75c94be292e3d3908d834036-38085807d06948ca8ad6d8eaca522c85-517621a3c6b745459a5606c65cd38e27-4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-3864178819534aa7862b26e893aa2e62-40ee7b36298d4568aad20e2db36ddbb5-9199009718ec4685a0a500d23ab814c5-9bab31ed75c94be292e3d3908d834036', '38085807d06948ca8ad6d8eaca522c85-517621a3c6b745459a5606c65cd38e27', '4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10', '75', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-03-10 17:33:35', '2020-03-10 17:33:35', '2020-03-10 17:33:35', '2020-03-10 17:33:35');
INSERT INTO `exam` VALUES ('e3617dbedfb940548ceabcabb13719c7', '省直属', 'r', 'r', '03ba87a6ca3a4075bd983ca799d518d8-0885c830022746cf8972c97eba9f5b15-2b8b0f8748e24460b461047366d37ecb-313a3c23d119451d9f3f82bb47401b9f-334cfcd5ce47468a9babdce5c97def28-336581f3079140328f5e71a1594d7500-5e0389903aa94524bcae09ca457ecdaa-6d679282cdc649f8b4d185e47026dcca-f83af858c0554241bf96205dc9dd9882-2929d07f28a54c81931701d2b162fd70-38085807d06948ca8ad6d8eaca522c85-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d-53ae8db083134adb8428403b6a50620e-56ed36d358d44d43834ce1146bf4303d', '03ba87a6ca3a4075bd983ca799d518d8-0885c830022746cf8972c97eba9f5b15-2b8b0f8748e24460b461047366d37ecb-313a3c23d119451d9f3f82bb47401b9f-334cfcd5ce47468a9babdce5c97def28-336581f3079140328f5e71a1594d7500-5e0389903aa94524bcae09ca457ecdaa-6d679282cdc649f8b4d185e47026dcca-f83af858c0554241bf96205dc9dd9882', '2929d07f28a54c81931701d2b162fd70-38085807d06948ca8ad6d8eaca522c85', '157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d-53ae8db083134adb8428403b6a50620e-56ed36d358d44d43834ce1146bf4303d', '75', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-07-24 14:41:08', '2020-07-24 14:41:08', '2020-07-24 14:41:08', '2020-07-24 14:41:08');
INSERT INTO `exam` VALUES ('e38ec88a63694930a77758750308202d', 'fasdf', 'sdafasdf', 'fagd', '9199009718ec4685a0a500d23ab814c5-a12eb101321b451bbc54a136e98acfd0-bb22f19338174d1f9333f9aebd6ffeb6-38085807d06948ca8ad6d8eaca522c85-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-e283ac11c7064ccf976f9c48d68c6a67', '9199009718ec4685a0a500d23ab814c5-a12eb101321b451bbc54a136e98acfd0-bb22f19338174d1f9333f9aebd6ffeb6', '38085807d06948ca8ad6d8eaca522c85-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f', '4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-e283ac11c7064ccf976f9c48d68c6a67', '45', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-03-02 10:22:57', '2020-03-02 10:22:57', '2020-03-02 10:22:57', '2020-03-02 10:22:57');
INSERT INTO `exam` VALUES ('e38ff151f52148898837b7dcc7a03d84', '测试考试', '系统', '测试描述', '2b8b0f8748e24460b461047366d37ecb-2f8b20630b10471395b6c379a465cca8-313a3c23d119451d9f3f82bb47401b9f-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-336581f3079140328f5e71a1594d7500-34709b873e3e4b979b2ba2c7aed499a7-34fe861fdc8a4b13b7455d4f512a2a07-3864178819534aa7862b26e893aa2e62-6d679282cdc649f8b4d185e47026dcca-f83af858c0554241bf96205dc9dd9882-224ae57b9c1749bdbfab51b2284789ce-2929d07f28a54c81931701d2b162fd70-38085807d06948ca8ad6d8eaca522c85-517621a3c6b745459a5606c65cd38e27-9fe1cafeebf44e20a80f504cff60ef3f-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d-31ab7a49aa254240935d1e871d7f2f09-4247752901bd47fba86379a1cd4b87d4', '2b8b0f8748e24460b461047366d37ecb-2f8b20630b10471395b6c379a465cca8-313a3c23d119451d9f3f82bb47401b9f-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-336581f3079140328f5e71a1594d7500-34709b873e3e4b979b2ba2c7aed499a7-34fe861fdc8a4b13b7455d4f512a2a07-3864178819534aa7862b26e893aa2e62-6d679282cdc649f8b4d185e47026dcca-f83af858c0554241bf96205dc9dd9882', '224ae57b9c1749bdbfab51b2284789ce-2929d07f28a54c81931701d2b162fd70-38085807d06948ca8ad6d8eaca522c85-517621a3c6b745459a5606c65cd38e27-9fe1cafeebf44e20a80f504cff60ef3f', '157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d-31ab7a49aa254240935d1e871d7f2f09-4247752901bd47fba86379a1cd4b87d4', '100', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-08-10 16:06:37', '2020-08-10 16:06:37', '2020-08-10 16:06:37', '2020-08-10 16:06:37');
INSERT INTO `exam` VALUES ('e3c728ea2a984506aaa5702bc3ad5d62', '期中考试', '无', '数学科目期中考试', '2b8b0f8748e24460b461047366d37ecb-334cfcd5ce47468a9babdce5c97def28-336581f3079140328f5e71a1594d7500-34709b873e3e4b979b2ba2c7aed499a7-34fe861fdc8a4b13b7455d4f512a2a07-5bf59e82cae24b67879119571c022018-6d679282cdc649f8b4d185e47026dcca-f83af858c0554241bf96205dc9dd9882-34ac0eba5d5548599086f7439b837d85-396b55534851427590e089fb9cc040cc-305f726e7f1f4636b88bf20de0093745', '2b8b0f8748e24460b461047366d37ecb-334cfcd5ce47468a9babdce5c97def28-336581f3079140328f5e71a1594d7500-34709b873e3e4b979b2ba2c7aed499a7-34fe861fdc8a4b13b7455d4f512a2a07-5bf59e82cae24b67879119571c022018-6d679282cdc649f8b4d185e47026dcca-f83af858c0554241bf96205dc9dd9882', '34ac0eba5d5548599086f7439b837d85-396b55534851427590e089fb9cc040cc', '305f726e7f1f4636b88bf20de0093745', '55', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-07-20 22:01:37', '2020-07-20 22:01:37', '2020-07-20 22:01:37', '2020-07-20 22:01:37');
INSERT INTO `exam` VALUES ('e5c1aac03a5b43a289b8c0caee037615', 'BootStrap实践', 'https://i.loli.net/2019/11/02/U6MwohaEuIVTXA8.jpg', '前端鼻祖', '', 'a12eb101321b451bbc54a136e98acfd0-bb22f19338174d1f9333f9aebd6ffeb6', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc', '4247752901bd47fba86379a1cd4b87d4-e283ac11c7064ccf976f9c48d68c6a67', '120', '15', '5', '10', '79392778a90d4639a297dbd0bae0f779', '120', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-11-02 16:37:02');
INSERT INTO `exam` VALUES ('e791b7ec21bd4b638b725583ab9a818b', 'xclll', '情感', '情感', '0885c830022746cf8972c97eba9f5b15-38085807d06948ca8ad6d8eaca522c85-305f726e7f1f4636b88bf20de0093745', '0885c830022746cf8972c97eba9f5b15', '38085807d06948ca8ad6d8eaca522c85', '305f726e7f1f4636b88bf20de0093745', '15', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-09-05 11:41:34', '2020-09-05 11:41:34', '2020-09-05 11:41:34', '2020-09-05 11:41:34');
INSERT INTO `exam` VALUES ('e7bab4df618749aab9bf584d31dd910f', '我要考试测试一下', '好好考', '基础训练训练', '018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-17ad274d9a6446688013586abf2deed4-1e0cc8f913134006a2a861f17ec14b6c-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-5bc570c6662c41d99bd9859cecff90c4-2929d07f28a54c81931701d2b162fd70-34ac0eba5d5548599086f7439b837d85-11ae50c372c64e7ca59691c435c91239-126c3a14b1ec4a7b9b5fe18914c0c19d-14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23ac2394b14f4e338ec22adba349eb62-23c0e0e98d04425ab2de3e7fec54971d-473ecef6048d4d1a91b8100eb7a176e0-7d535a2008b4423bae96c8b4ad90378f', '018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-17ad274d9a6446688013586abf2deed4-1e0cc8f913134006a2a861f17ec14b6c-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-5bc570c6662c41d99bd9859cecff90c4', '2929d07f28a54c81931701d2b162fd70-34ac0eba5d5548599086f7439b837d85', '11ae50c372c64e7ca59691c435c91239-126c3a14b1ec4a7b9b5fe18914c0c19d-14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23ac2394b14f4e338ec22adba349eb62-23c0e0e98d04425ab2de3e7fec54971d-473ecef6048d4d1a91b8100eb7a176e0-7d535a2008b4423bae96c8b4ad90378f', '85', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-10-02 10:58:21', '2020-10-02 10:58:21', '2020-10-02 10:58:21', '2020-10-02 10:58:21');
INSERT INTO `exam` VALUES ('e822fe928cd84eac9a0f8d07618a8ffa', '测试', '的地方', '测试啦', '018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-0885c830022746cf8972c97eba9f5b15-0cae9d2a09824bacb660d21aa550e599-1003b43b03934068973f67d199565dce-22d201cd2e5c4558bbbdf4cb5d7ea717-388dd246953945569e3617b268629ee4-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d', '018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-0885c830022746cf8972c97eba9f5b15-0cae9d2a09824bacb660d21aa550e599-1003b43b03934068973f67d199565dce', '22d201cd2e5c4558bbbdf4cb5d7ea717-388dd246953945569e3617b268629ee4', '157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d', '50', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-08-30 21:53:51', '2020-08-30 21:53:51', '2020-08-30 21:53:51', '2020-08-30 21:53:51');
INSERT INTO `exam` VALUES ('e82ace80502a492ca2aa401c77e0ec09', '精美吉他', '2111', '11', '018c0f44bfd54bb8a6b0f2e91da3f3b0-02d67d11512e490c9a4e1ac152abb9f9-07441a6a40d44196a1e67fe344ac57a9-0885c830022746cf8972c97eba9f5b15-0cae9d2a09824bacb660d21aa550e599-22d201cd2e5c4558bbbdf4cb5d7ea717-30a7598bc91346478027795679cd71c3-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-388dd246953945569e3617b268629ee4-14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23ac2394b14f4e338ec22adba349eb62-23c0e0e98d04425ab2de3e7fec54971d', '018c0f44bfd54bb8a6b0f2e91da3f3b0-02d67d11512e490c9a4e1ac152abb9f9-07441a6a40d44196a1e67fe344ac57a9-0885c830022746cf8972c97eba9f5b15-0cae9d2a09824bacb660d21aa550e599', '22d201cd2e5c4558bbbdf4cb5d7ea717-30a7598bc91346478027795679cd71c3-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-388dd246953945569e3617b268629ee4', '14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23ac2394b14f4e338ec22adba349eb62-23c0e0e98d04425ab2de3e7fec54971d', '70', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-09-01 21:30:12', '2020-09-01 21:30:12', '2020-09-01 21:30:12', '2020-09-01 21:30:12');
INSERT INTO `exam` VALUES ('e85f8dd445ad4acf8d2877c511c0cfe1', 'postman', '1', '1', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-0885c830022746cf8972c97eba9f5b15-0cae9d2a09824bacb660d21aa550e599-1003b43b03934068973f67d199565dce-14cc31707d53433f81841058a97575da-1e6268528ea14ad78f8024b9f7cf7207-22d201cd2e5c4558bbbdf4cb5d7ea717-30a7598bc91346478027795679cd71c3-388dd246953945569e3617b268629ee4-157767faab1e459fbb63eddef08f1a0d-23ac2394b14f4e338ec22adba349eb62-23c0e0e98d04425ab2de3e7fec54971d-272040f5194b4f58a1533ee3c8430095', '004c8b75a1a2421986fa05c89d0a903d-018c0f44bfd54bb8a6b0f2e91da3f3b0-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-0885c830022746cf8972c97eba9f5b15-0cae9d2a09824bacb660d21aa550e599-1003b43b03934068973f67d199565dce-14cc31707d53433f81841058a97575da-1e6268528ea14ad78f8024b9f7cf7207', '22d201cd2e5c4558bbbdf4cb5d7ea717-30a7598bc91346478027795679cd71c3-388dd246953945569e3617b268629ee4', '157767faab1e459fbb63eddef08f1a0d-23ac2394b14f4e338ec22adba349eb62-23c0e0e98d04425ab2de3e7fec54971d-272040f5194b4f58a1533ee3c8430095', '80', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-08-21 14:40:45', '2020-08-21 14:40:45', '2020-08-21 14:40:45', '2020-08-21 14:40:45');
INSERT INTO `exam` VALUES ('e8b5ece99c66469ca03f5f0e25644171', 'JAVA后端', '槈', '西南非', '14cc31707d53433f81841058a97575da-334cfcd5ce47468a9babdce5c97def28-3864178819534aa7862b26e893aa2e62-34ac0eba5d5548599086f7439b837d85-517621a3c6b745459a5606c65cd38e27-79b4e7a9a7e144ba8d5af83c39f9b13a-25bf7d1a791f4cf39d85e26b113001e8-311e5bf4b7dc4f15bae52e2f5caf4800-56ed36d358d44d43834ce1146bf4303d-698def9f99b343e9b74cd7513f9efe61-dc91198c27dc4ab5942ffc924f282367', '14cc31707d53433f81841058a97575da-334cfcd5ce47468a9babdce5c97def28-3864178819534aa7862b26e893aa2e62', '34ac0eba5d5548599086f7439b837d85-517621a3c6b745459a5606c65cd38e27-79b4e7a9a7e144ba8d5af83c39f9b13a', '25bf7d1a791f4cf39d85e26b113001e8-311e5bf4b7dc4f15bae52e2f5caf4800-56ed36d358d44d43834ce1146bf4303d-698def9f99b343e9b74cd7513f9efe61-dc91198c27dc4ab5942ffc924f282367', '55', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-05-06 18:32:00', '2020-05-06 18:32:00', '2020-05-06 18:32:00', '2020-05-06 18:32:00');
INSERT INTO `exam` VALUES ('e93c6036680c44efbc4604866b0a13ad', 'test1', 'dsfdsf', 'dsfsdf', 'bb22f19338174d1f9333f9aebd6ffeb6-38085807d06948ca8ad6d8eaca522c85-340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4', 'bb22f19338174d1f9333f9aebd6ffeb6', '38085807d06948ca8ad6d8eaca522c85', '340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4', '20', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-03-25 21:36:37', '2020-03-25 21:36:37', '2020-03-25 21:36:37', '2020-03-25 21:36:37');
INSERT INTO `exam` VALUES ('ecd00bb03e51416f941d1ca041d1c456', '三国演义作者是谁', 'sadfqwer', 'sdfw', '018c0f44bfd54bb8a6b0f2e91da3f3b0-590889adc7994fbdbd895f3f8f4cd1f4-5b796234b1df47c78f614d2f76b91467-53ae8db083134adb8428403b6a50620e', '018c0f44bfd54bb8a6b0f2e91da3f3b0', '590889adc7994fbdbd895f3f8f4cd1f4-5b796234b1df47c78f614d2f76b91467', '53ae8db083134adb8428403b6a50620e', '20', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-06-16 10:16:54', '2020-06-16 10:16:54', '2020-06-16 10:16:54', '2020-06-16 10:16:54');
INSERT INTO `exam` VALUES ('ed09127ea7ea46589dd680ca4a40a6c4', '是的发生', '信息', '阿斯顿发', '018c0f44bfd54bb8a6b0f2e91da3f3b0-02d67d11512e490c9a4e1ac152abb9f9-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-224ae57b9c1749bdbfab51b2284789ce-22d201cd2e5c4558bbbdf4cb5d7ea717-2929d07f28a54c81931701d2b162fd70-30a7598bc91346478027795679cd71c3-388dd246953945569e3617b268629ee4-14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23ac2394b14f4e338ec22adba349eb62-23c0e0e98d04425ab2de3e7fec54971d', '018c0f44bfd54bb8a6b0f2e91da3f3b0-02d67d11512e490c9a4e1ac152abb9f9-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9', '224ae57b9c1749bdbfab51b2284789ce-22d201cd2e5c4558bbbdf4cb5d7ea717-2929d07f28a54c81931701d2b162fd70-30a7598bc91346478027795679cd71c3-388dd246953945569e3617b268629ee4', '14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23ac2394b14f4e338ec22adba349eb62-23c0e0e98d04425ab2de3e7fec54971d', '65', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-09-02 08:53:40', '2020-09-02 08:53:40', '2020-09-02 08:53:40', '2020-09-02 08:53:40');
INSERT INTO `exam` VALUES ('ed201fa940ef49bbb1ccc699d0763460', 'java', '大', 'java运算符', '5396e258c48e467fbdf904701aa85840-2929d07f28a54c81931701d2b162fd70-30a7598bc91346478027795679cd71c3-078a8fed0cc649f8a864a430b4e7188c-0f228882c0fe462db958be54df6a1142-25bf7d1a791f4cf39d85e26b113001e8', '5396e258c48e467fbdf904701aa85840', '2929d07f28a54c81931701d2b162fd70-30a7598bc91346478027795679cd71c3', '078a8fed0cc649f8a864a430b4e7188c-0f228882c0fe462db958be54df6a1142-25bf7d1a791f4cf39d85e26b113001e8', '30', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-05-08 16:38:34', '2020-05-08 16:38:34', '2020-05-08 16:38:34', '2020-05-08 16:38:34');
INSERT INTO `exam` VALUES ('eedd3b0381cb481981f2e003beff4a08', 'exam', '132131', '2131321', '004c8b75a1a2421986fa05c89d0a903d-0a32e228e2464beda23b90c7832d29d2-2929d07f28a54c81931701d2b162fd70-30a7598bc91346478027795679cd71c3-38085807d06948ca8ad6d8eaca522c85-3ef9db63fc5442aea7176a95fee55f2f-0f228882c0fe462db958be54df6a1142-126c3a14b1ec4a7b9b5fe18914c0c19d-14908e5711f74c67924d6b1ceaeb92d0', '004c8b75a1a2421986fa05c89d0a903d', '0a32e228e2464beda23b90c7832d29d2-2929d07f28a54c81931701d2b162fd70-30a7598bc91346478027795679cd71c3-38085807d06948ca8ad6d8eaca522c85-3ef9db63fc5442aea7176a95fee55f2f', '0f228882c0fe462db958be54df6a1142-126c3a14b1ec4a7b9b5fe18914c0c19d-14908e5711f74c67924d6b1ceaeb92d0', '45', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-09-12 18:31:14', '2020-09-12 18:31:14', '2020-09-12 18:31:14', '2020-09-12 18:31:14');
INSERT INTO `exam` VALUES ('f08d551c46f84c858dccf17ad51b38ca', 'sda ', ' sa', 'das ', '018c0f44bfd54bb8a6b0f2e91da3f3b0-0a32e228e2464beda23b90c7832d29d2-078a8fed0cc649f8a864a430b4e7188c', '018c0f44bfd54bb8a6b0f2e91da3f3b0', '0a32e228e2464beda23b90c7832d29d2', '078a8fed0cc649f8a864a430b4e7188c', '15', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-09-25 09:51:27', '2020-09-25 09:51:27', '2020-09-25 09:51:27', '2020-09-25 09:51:27');
INSERT INTO `exam` VALUES ('f0aceedb1eec453587e09f134b2a1606', '辅导费', '看就看', '北京', '018c0f44bfd54bb8a6b0f2e91da3f3b0-02d67d11512e490c9a4e1ac152abb9f9-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-2929d07f28a54c81931701d2b162fd70-2b4df8f9333741ef9f56bc188ec8a147-38085807d06948ca8ad6d8eaca522c85-0f228882c0fe462db958be54df6a1142-14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23ac2394b14f4e338ec22adba349eb62-23c0e0e98d04425ab2de3e7fec54971d-371450fbb05a49a5b83bce0f9a33b7fd', '018c0f44bfd54bb8a6b0f2e91da3f3b0-02d67d11512e490c9a4e1ac152abb9f9-03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9', '2929d07f28a54c81931701d2b162fd70-2b4df8f9333741ef9f56bc188ec8a147-38085807d06948ca8ad6d8eaca522c85', '0f228882c0fe462db958be54df6a1142-14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23ac2394b14f4e338ec22adba349eb62-23c0e0e98d04425ab2de3e7fec54971d-371450fbb05a49a5b83bce0f9a33b7fd', '57', '3', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-09-29 10:02:57', '2020-09-29 10:02:57', '2020-09-29 10:02:57', '2020-09-29 10:02:57');
INSERT INTO `exam` VALUES ('f1fd1983f3ff4330a328ba2a2e2a3622', '科学', '1', '高三', '2b8b0f8748e24460b461047366d37ecb-336581f3079140328f5e71a1594d7500-4b8863f7a26747219f9d1e59165c08a6-6d679282cdc649f8b4d185e47026dcca-f83af858c0554241bf96205dc9dd9882-2929d07f28a54c81931701d2b162fd70-517621a3c6b745459a5606c65cd38e27-56ed36d358d44d43834ce1146bf4303d', '2b8b0f8748e24460b461047366d37ecb-336581f3079140328f5e71a1594d7500-4b8863f7a26747219f9d1e59165c08a6-6d679282cdc649f8b4d185e47026dcca-f83af858c0554241bf96205dc9dd9882', '2929d07f28a54c81931701d2b162fd70-517621a3c6b745459a5606c65cd38e27', '56ed36d358d44d43834ce1146bf4303d', '40', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-06-26 15:54:04', '2020-06-26 15:54:04', '2020-06-26 15:54:04', '2020-06-26 15:54:04');
INSERT INTO `exam` VALUES ('f27ad6bb59054d269ba013d37fa2bb5c', 'HASAN MURAT', 'ssd', 'sdfs', '018c0f44bfd54bb8a6b0f2e91da3f3b0-0cae9d2a09824bacb660d21aa550e599-2b4df8f9333741ef9f56bc188ec8a147-157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d', '018c0f44bfd54bb8a6b0f2e91da3f3b0-0cae9d2a09824bacb660d21aa550e599', '2b4df8f9333741ef9f56bc188ec8a147', '157767faab1e459fbb63eddef08f1a0d-23c0e0e98d04425ab2de3e7fec54971d', '25', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-09-14 19:15:00', '2020-09-14 19:15:00', '2020-09-14 19:15:00', '2020-09-14 19:15:00');
INSERT INTO `exam` VALUES ('f28bb879f0a648718c1d3a72b5f658a5', 'ac.ice', '1', '1', '2b8b0f8748e24460b461047366d37ecb-2e88077d899948c3905e6f501543360c-2f8b20630b10471395b6c379a465cca8-313a3c23d119451d9f3f82bb47401b9f-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-336581f3079140328f5e71a1594d7500-3da95e8dc779416689d913f8b68c48b2-3f2128829879470ea97dc3a5fd8d8f0e-3f31e3edcea24aebb1f3ff1556917141-5396e258c48e467fbdf904701aa85840-6d679282cdc649f8b4d185e47026dcca-7ac7e784ddee4a6db47fee9f310a4674-cee1bf2e88da4278add93f1db111a586-f83af858c0554241bf96205dc9dd9882-2929d07f28a54c81931701d2b162fd70-34ac0eba5d5548599086f7439b837d85-126c3a14b1ec4a7b9b5fe18914c0c19d-14908e5711f74c67924d6b1ceaeb92d0-23ac2394b14f4e338ec22adba349eb62', '2b8b0f8748e24460b461047366d37ecb-2e88077d899948c3905e6f501543360c-2f8b20630b10471395b6c379a465cca8-313a3c23d119451d9f3f82bb47401b9f-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-336581f3079140328f5e71a1594d7500-3da95e8dc779416689d913f8b68c48b2-3f2128829879470ea97dc3a5fd8d8f0e-3f31e3edcea24aebb1f3ff1556917141-5396e258c48e467fbdf904701aa85840-6d679282cdc649f8b4d185e47026dcca-7ac7e784ddee4a6db47fee9f310a4674-cee1bf2e88da4278add93f1db111a586-f83af858c0554241bf96205dc9dd9882', '2929d07f28a54c81931701d2b162fd70-34ac0eba5d5548599086f7439b837d85', '126c3a14b1ec4a7b9b5fe18914c0c19d-14908e5711f74c67924d6b1ceaeb92d0-23ac2394b14f4e338ec22adba349eb62', '100', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-09-11 15:19:19', '2020-09-11 15:19:19', '2020-09-11 15:19:19', '2020-09-11 15:19:19');
INSERT INTO `exam` VALUES ('f338ec6a5c9f431f9e9b80f838aa20ca', 'JAVA', '.', '.', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-31e9ad43e84e484eb8b77b7e7a76de91-3864178819534aa7862b26e893aa2e62-a12eb101321b451bbc54a136e98acfd0-396b55534851427590e089fb9cc040cc-9fe1cafeebf44e20a80f504cff60ef3f-4247752901bd47fba86379a1cd4b87d4', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-31e9ad43e84e484eb8b77b7e7a76de91-3864178819534aa7862b26e893aa2e62-a12eb101321b451bbc54a136e98acfd0', '396b55534851427590e089fb9cc040cc-9fe1cafeebf44e20a80f504cff60ef3f', '4247752901bd47fba86379a1cd4b87d4', '40', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-03-08 14:08:45', '2020-03-08 14:08:45', '2020-03-08 14:08:45', '2020-03-08 14:08:45');
INSERT INTO `exam` VALUES ('f76faf127b614ebca9d319bb2bf460de', '省直属', 'fdsfdsf', 'fddf', '03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-0cae9d2a09824bacb660d21aa550e599-1eaff8deac0041ed857d16461a290985-23491b7dbbdf47dcb09ece779ff44c92-334cfcd5ce47468a9babdce5c97def28-5e0389903aa94524bcae09ca457ecdaa-0a32e228e2464beda23b90c7832d29d2-2929d07f28a54c81931701d2b162fd70-30a7598bc91346478027795679cd71c3-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85-14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23ac2394b14f4e338ec22adba349eb62-23c0e0e98d04425ab2de3e7fec54971d-25bf7d1a791f4cf39d85e26b113001e8-305f726e7f1f4636b88bf20de0093745-340e5189877a4eb58492c7bb7a3c094d-8f3e02d0f2a1402abd3278adc05ffb10-95221e98e365420f8e967f4460006995-e0efede3224244b69fc9d31ec37992a7', '03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-0cae9d2a09824bacb660d21aa550e599-1eaff8deac0041ed857d16461a290985-23491b7dbbdf47dcb09ece779ff44c92-334cfcd5ce47468a9babdce5c97def28-5e0389903aa94524bcae09ca457ecdaa', '0a32e228e2464beda23b90c7832d29d2-2929d07f28a54c81931701d2b162fd70-30a7598bc91346478027795679cd71c3-34ac0eba5d5548599086f7439b837d85-38085807d06948ca8ad6d8eaca522c85', '14908e5711f74c67924d6b1ceaeb92d0-157767faab1e459fbb63eddef08f1a0d-23ac2394b14f4e338ec22adba349eb62-23c0e0e98d04425ab2de3e7fec54971d-25bf7d1a791f4cf39d85e26b113001e8-305f726e7f1f4636b88bf20de0093745-340e5189877a4eb58492c7bb7a3c094d-8f3e02d0f2a1402abd3278adc05ffb10-95221e98e365420f8e967f4460006995-e0efede3224244b69fc9d31ec37992a7', '110', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-07-24 13:41:42', '2020-07-24 13:41:42', '2020-07-24 13:41:42', '2020-07-24 13:41:42');
INSERT INTO `exam` VALUES ('f9f65ff03b9040458e4dae499aa3275e', '1', '11', '1', '2223b2eb8c2942459344c06ce1d3ed1d-25ec2980dd544b4ca70328a0733ce69f-517621a3c6b745459a5606c65cd38e27-340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4-495fce658bc4409aac2e14657d8e7e8d', '2223b2eb8c2942459344c06ce1d3ed1d-25ec2980dd544b4ca70328a0733ce69f', '517621a3c6b745459a5606c65cd38e27', '340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4-495fce658bc4409aac2e14657d8e7e8d', '30', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-04-04 17:25:31', '2020-04-04 17:25:31', '2020-04-04 17:25:31', '2020-04-04 17:25:31');
INSERT INTO `exam` VALUES ('fa07e8d7b500403999e5061ae10c1ade', '123', '123', '123', '1003b43b03934068973f67d199565dce-590889adc7994fbdbd895f3f8f4cd1f4-6cabac6ec4ef44068e66cf2547543658', '1003b43b03934068973f67d199565dce', '590889adc7994fbdbd895f3f8f4cd1f4', '6cabac6ec4ef44068e66cf2547543658', '15', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-04-09 09:26:07', '2020-04-09 09:26:07', '2020-04-09 09:26:07', '2020-04-09 09:26:07');
INSERT INTO `exam` VALUES ('fa251d8980fe4ad6b93c78cd5afebb9e', '从', '到', '没', '018c0f44bfd54bb8a6b0f2e91da3f3b0-224ae57b9c1749bdbfab51b2284789ce-0f228882c0fe462db958be54df6a1142', '018c0f44bfd54bb8a6b0f2e91da3f3b0', '224ae57b9c1749bdbfab51b2284789ce', '0f228882c0fe462db958be54df6a1142', '15', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '10', '2020-10-05 21:23:54', '2020-10-05 21:23:54', '2020-10-05 21:23:54', '2020-10-05 21:23:54');
INSERT INTO `exam` VALUES ('fb0408dabf8947a19de46cd362d02c8e', 'asdfg', '哈哈\n', '这是一个考试', '018c0f44bfd54bb8a6b0f2e91da3f3b0-14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-25ec2980dd544b4ca70328a0733ce69f-38085807d06948ca8ad6d8eaca522c85-517621a3c6b745459a5606c65cd38e27-590889adc7994fbdbd895f3f8f4cd1f4-311e5bf4b7dc4f15bae52e2f5caf4800-4247752901bd47fba86379a1cd4b87d4-495fce658bc4409aac2e14657d8e7e8d-698def9f99b343e9b74cd7513f9efe61-dc91198c27dc4ab5942ffc924f282367', '018c0f44bfd54bb8a6b0f2e91da3f3b0-14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-25ec2980dd544b4ca70328a0733ce69f', '38085807d06948ca8ad6d8eaca522c85-517621a3c6b745459a5606c65cd38e27-590889adc7994fbdbd895f3f8f4cd1f4', '311e5bf4b7dc4f15bae52e2f5caf4800-4247752901bd47fba86379a1cd4b87d4-495fce658bc4409aac2e14657d8e7e8d-698def9f99b343e9b74cd7513f9efe61-dc91198c27dc4ab5942ffc924f282367', '60', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-04-10 15:17:36', '2020-04-10 15:17:36', '2020-04-10 15:17:36', '2020-04-10 15:17:36');
INSERT INTO `exam` VALUES ('fb6b8b11503e478f9d4d0367299cfee2', 'java', '简单', '简单', '5396e258c48e467fbdf904701aa85840-f3333b1a9dfb49638ef3b02df90cadb5-495fce658bc4409aac2e14657d8e7e8d', '5396e258c48e467fbdf904701aa85840', 'f3333b1a9dfb49638ef3b02df90cadb5', '495fce658bc4409aac2e14657d8e7e8d', '13', '3', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '2020-04-14 21:44:34', '2020-04-14 21:44:34', '2020-04-14 21:44:34', '2020-04-14 21:44:34');
INSERT INTO `exam` VALUES ('fcc6729dfd62473bad857152d039f1fe', '陈莉莉', 'ddd', 'dd', '018c0f44bfd54bb8a6b0f2e91da3f3b0-1003b43b03934068973f67d199565dce-14cc31707d53433f81841058a97575da-40ee7b36298d4568aad20e2db36ddbb5-34ac0eba5d5548599086f7439b837d85-396b55534851427590e089fb9cc040cc-340e5189877a4eb58492c7bb7a3c094d-a61d6ef2c160420e9f585a7da149fbfc-dc755e13552f4271a6f8c664708a1212', '018c0f44bfd54bb8a6b0f2e91da3f3b0-1003b43b03934068973f67d199565dce-14cc31707d53433f81841058a97575da-40ee7b36298d4568aad20e2db36ddbb5', '34ac0eba5d5548599086f7439b837d85-396b55534851427590e089fb9cc040cc', '340e5189877a4eb58492c7bb7a3c094d-a61d6ef2c160420e9f585a7da149fbfc-dc755e13552f4271a6f8c664708a1212', '45', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-05-01 11:29:20', '2020-05-01 11:29:20', '2020-05-01 11:29:20', '2020-05-01 11:29:20');
INSERT INTO `exam` VALUES ('ff221a5c379b40bda60677e7c54bce02', 'Ant Design Pro，Ant最佳实践', 'https://i.loli.net/2019/11/02/SXHoscjTMdwkhg1.jpg', 'Ant最佳实践', '', '3864178819534aa7862b26e893aa2e62-9199009718ec4685a0a500d23ab814c5', '85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f', '305f726e7f1f4636b88bf20de0093745-8f3e02d0f2a1402abd3278adc05ffb10', '100', '10', '10', '10', '68042014e23c4ebea7234cb9c77cee5c', '150', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-11-02 16:37:08');
INSERT INTO `exam` VALUES ('ff257cfe219c41beab94e2c85cd92016', 'test', '吧v', '去玩儿过', '03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-0885c830022746cf8972c97eba9f5b15-0cae9d2a09824bacb660d21aa550e599-14cc31707d53433f81841058a97575da-224ae57b9c1749bdbfab51b2284789ce-2929d07f28a54c81931701d2b162fd70-30a7598bc91346478027795679cd71c3-34ac0eba5d5548599086f7439b837d85-31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4', '03ba87a6ca3a4075bd983ca799d518d8-07441a6a40d44196a1e67fe344ac57a9-0885c830022746cf8972c97eba9f5b15-0cae9d2a09824bacb660d21aa550e599-14cc31707d53433f81841058a97575da', '224ae57b9c1749bdbfab51b2284789ce-2929d07f28a54c81931701d2b162fd70-30a7598bc91346478027795679cd71c3-34ac0eba5d5548599086f7439b837d85', '31ab7a49aa254240935d1e871d7f2f09-340e5189877a4eb58492c7bb7a3c094d-4247752901bd47fba86379a1cd4b87d4', '60', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-06-30 09:33:37', '2020-06-30 09:33:37', '2020-06-30 09:33:37', '2020-06-30 09:33:37');

-- ----------------------------
-- Table structure for `exam_record`
-- ----------------------------
DROP TABLE IF EXISTS `exam_record`;
CREATE TABLE `exam_record` (
  `exam_record_id` varchar(32) COLLATE utf8_bin NOT NULL COMMENT '考试记录表的主键',
  `exam_joiner_id` varchar(32) COLLATE utf8_bin NOT NULL COMMENT '考试参与者的用户id',
  `exam_join_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '参加考试的时间',
  `exam_time_cost` int(11) DEFAULT '0' COMMENT '完成考试所用的时间,单位分钟',
  `exam_join_score` int(11) NOT NULL DEFAULT '0' COMMENT '参与考试的实际得分',
  `exam_result_level` int(11) DEFAULT '0' COMMENT '考试结果的等级',
  `answer_option_ids` varchar(4096) COLLATE utf8_bin NOT NULL,
  `exam_id` varchar(255) COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`exam_record_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin ROW_FORMAT=DYNAMIC COMMENT='考试记录表';

-- ----------------------------
-- Records of exam_record
-- ----------------------------
INSERT INTO `exam_record` VALUES ('003902a7609e46b99b1201afeefeb46f', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-27 20:39:53', null, '10', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('00cf8b6bde1c48c9bb5413eb250c72f0', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-20 15:18:34', null, '0', null, '2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@False_6f0631ce414c49519a162af9062073ca', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('00e2163d50e647f992159f5a83c10142', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-29 12:33:33', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036', '16081a246f004bb2888aad0320628340');
INSERT INTO `exam_record` VALUES ('00f03a61a8a945638d9b8a5ae7d39d2f', '79392778a90d4639a297dbd0bae0f779', '2020-09-12 14:22:47', null, '15', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('00f1c9409d6a4c368143414656374351', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-25 14:06:16', null, '25', null, '8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('00fbc5064f0242bf976f52d6a706f342', '68042014e23c4ebea7234cb9c77cee5c', '2020-08-30 12:50:51', null, '5', null, '14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('011517066e414125a8046d928b15c69a', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-12 14:01:01', null, '5', null, '004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036', '4f451907c7a14322a67209b00357c106');
INSERT INTO `exam_record` VALUES ('012980ab20ad4e1caef8d6161f60745f', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-06 18:33:12', null, '30', null, '517621a3c6b745459a5606c65cd38e27@True_64f67417f3b54909a2aa328c1fc6571a$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$34ac0eba5d5548599086f7439b837d85@False_3912670d529c4bc5b3bbfb4694d750e5-435eabe9037b4ff7998943b09010e5f4$25bf7d1a791f4cf39d85e26b113001e8@False_a60fdf98a017401a813e32f87c65674e$56ed36d358d44d43834ce1146bf4303d@False_9692160d5ff14b8da558009c22674638$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$3864178819534aa7862b26e893aa2e62@True_e4697cfd242c4328b28a084e4ecaaf3c$79b4e7a9a7e144ba8d5af83c39f9b13a@False_56677d96b7434641acb84f4e3ea4b59c-7569f009ec724d7da2fe65d3f870bbea', 'e8b5ece99c66469ca03f5f0e25644171');
INSERT INTO `exam_record` VALUES ('01411c1164674fe5a6ddcff7d106d995', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-01 11:39:57', null, '0', null, '3864178819534aa7862b26e893aa2e62@False_9cd1e597ae4144938be500efa21eec9b', 'ff221a5c379b40bda60677e7c54bce02');
INSERT INTO `exam_record` VALUES ('016cdb9fd7d746f1a3fffecc97abff07', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-27 14:27:19', null, '30', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('019d1e21787f4250b61abfe2ef5d340c', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-02 18:12:10', null, '5', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f$e283ac11c7064ccf976f9c48d68c6a67@True_b8e2e6300ab04016a82481fff15750e0$ecdfbdd2a9f24017b3fe1aa0947ca146@False_d15f9106bb9941eaab1e37356af083b3', 'c8ca3f0a816042d5919d924a96cb1ae8');
INSERT INTO `exam_record` VALUES ('01bb4341005c48a5a85853b369ad14ad', '79392778a90d4639a297dbd0bae0f779', '2020-04-24 16:44:55', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('0277f3dda8c8495883c808f4b73cf9ab', '79392778a90d4639a297dbd0bae0f779', '2020-04-25 11:27:26', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('02b1ca544821479c9ca355cb98cde86d', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-01 17:25:38', null, '0', null, '305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('02c09e775f294755925230bbebcbcc51', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-22 12:51:12', null, '5', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f', '303efbfe2e5f460c909e935345424244');
INSERT INTO `exam_record` VALUES ('02d39f0038794174b6cecd5fd2116d3a', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-26 00:12:32', null, '5', null, 'dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('02e0921d364549aab74d8e36dd1a8400', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-01 14:52:06', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-81b7ae4a705f4fc39e576085a55fccc0$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('02e1d2aa35124d8e90caaf749e229a55', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-29 11:48:30', null, '15', null, '224ae57b9c1749bdbfab51b2284789ce@False_1cce0f75bdfe4ac29022d23abac34ec0-3d9abd4caa484af99e8667ac8408ce85-61fa118af54846ce9498774fc7dbb462$e362599c1ac444bf9ad8e88000ee0f8b@False_e59cee0364e7416db47fadea0a5bc290$517621a3c6b745459a5606c65cd38e27@False_2c11d8ee79394fd5b82306824d92ae36-3337d407ecde4865b80a5fc9e7fe37e3-64f67417f3b54909a2aa328c1fc6571a$23ac2394b14f4e338ec22adba349eb62@True_be8ce7fa22904b8b998aab497ca5e753$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$ee27e894943e4006a2b21e754b6de136@False_1d38486860754a7ea310d1f48ebb9e11$34ac0eba5d5548599086f7439b837d85@False_302327201f3c422ca6b636f04fb146cc-3912670d529c4bc5b3bbfb4694d750e5-435eabe9037b4ff7998943b09010e5f4$56ed36d358d44d43834ce1146bf4303d@False_9692160d5ff14b8da558009c22674638$dd2d72331e834fe3b575f2095cb27e02@True_6f26e8d41a5e442fa9bb51484252dd2e$f6def1a063434d20bb779654644219d4@False_97b4538069364f949b420e03f5b47b82$bb22f19338174d1f9333f9aebd6ffeb6@False_0dda4965171b4f9680a6acfab9af9625$b934218bd2f14eb4a5929af95eb1c9d0@True_1a7385a5ae2d4237a002fc4b81c9e931', 'aaae3d5422d24fa59107349e774b0c2f');
INSERT INTO `exam_record` VALUES ('036096f450af47088b87c15a91758ed4', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 15:41:36', null, '15', null, '224ae57b9c1749bdbfab51b2284789ce@False_1cce0f75bdfe4ac29022d23abac34ec0-61fa118af54846ce9498774fc7dbb462-a0e9cddc8e304295b7bb13813d4fb4f5$157767faab1e459fbb63eddef08f1a0d@True_5af37b583ef34a9888c0d4cdcd434066$23ac2394b14f4e338ec22adba349eb62@False_b65355f749974638bf875224c31b3508$23c0e0e98d04425ab2de3e7fec54971d@False_a4c4b303b3e34a0e83dbd967567bbb91$0a32e228e2464beda23b90c7832d29d2@False_05ad94cee64c487c8abb51ab98dfa64d-2bab92afb5ac490a84d29bcb92560f7a-d10a52e99c6c4aceb39fadf5af178940-ea0a917c0651434c8df8b632bc919eb5$004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', '300abb08f0ab46409b1e37e6ce918655');
INSERT INTO `exam_record` VALUES ('03957d5df8544302a8476fba6b939417', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-17 14:23:17', null, '0', null, '3864178819534aa7862b26e893aa2e62@False_9b14c29c2d514b10af620655ff13a204', 'ff221a5c379b40bda60677e7c54bce02');
INSERT INTO `exam_record` VALUES ('03a88a926c104e209b224c580ba7c620', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-02 18:02:46', null, '10', null, '396b55534851427590e089fb9cc040cc@False_92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$31e9ad43e84e484eb8b77b7e7a76de91@False_d36bd089207f48cfb5d806d9cf882009$340e5189877a4eb58492c7bb7a3c094d@True_fb5f2eecef2341279412400d9a58ac4b', '0966472391474b909adbaa15115d56aa');
INSERT INTO `exam_record` VALUES ('043c653970bc4f7c9db23a3bb26300d3', '79392778a90d4639a297dbd0bae0f779', '2020-04-24 21:20:47', null, '15', null, '396b55534851427590e089fb9cc040cc@False_9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$2f8b20630b10471395b6c379a465cca8@False_ab85c51b6e91402385aeda6551aea608$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23$85047be0b2cf4077a5ec66e92ebf442b@False_b7926212674b4b71b93dcffca102f578', '17fd99fac47440ef8f79cc10d8d638f2');
INSERT INTO `exam_record` VALUES ('04700ca82b1e4a308e037a119813d4fa', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-16 15:34:45', null, '0', null, '2f8b20630b10471395b6c379a465cca8@False_ab85c51b6e91402385aeda6551aea608$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('04909945e044425e971dd1e8419dfede', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 16:41:28', null, '15', null, '03ba87a6ca3a4075bd983ca799d518d8@False_78b12fae3d3740658dfabfce253b1b58$07441a6a40d44196a1e67fe344ac57a9@True_d7f693f122e94549b93d39d79e5d53e7$02d67d11512e490c9a4e1ac152abb9f9@True_10c01dcdc7b641359cd33285cadcdd42$004c8b75a1a2421986fa05c89d0a903d@False_cc2f57d910694387868cc67efd65b4dc$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', 'da8a87953bb246a4a62b212d885aea0b');
INSERT INTO `exam_record` VALUES ('04fa25e31c97440fafdb31d84658d30e', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-04 17:13:43', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1$2f8b20630b10471395b6c379a465cca8@False_ab85c51b6e91402385aeda6551aea608$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24', '07bcd5b8507c42909e0b3212ec72b832');
INSERT INTO `exam_record` VALUES ('0521066eeb9e43d1ad75429895059be7', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 13:54:53', null, '10', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('057860e3870142c7bb778d031119764f', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-29 20:45:00', null, '5', null, '03ba87a6ca3a4075bd983ca799d518d8@True_5d828aadc336424ab03eaa63026bcad3', '00de2c86b6304b96b2288a0716e34829');
INSERT INTO `exam_record` VALUES ('05963180aed64d8e89a98b66413585ff', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-31 02:11:59', null, '10', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_ab96efeec3144ecea3bf955d4e52980f$9199009718ec4685a0a500d23ab814c5@True_785ad33574f747fd870dd6eadff303ab$3864178819534aa7862b26e893aa2e62@False_9b14c29c2d514b10af620655ff13a204$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9', '258bf9410e854f34bba9c9a08f4dd313');
INSERT INTO `exam_record` VALUES ('05e704432f6443e78a00795483b1567d', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-09 23:42:37', null, '10', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '0966472391474b909adbaa15115d56aa');
INSERT INTO `exam_record` VALUES ('06583fd40ae84fbf9673f165b8475772', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-28 12:55:28', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('068f7bfbbfea4fda8385f2954099b41b', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-05 09:06:43', null, '15', null, '0cae9d2a09824bacb660d21aa550e599@True_5dd85e56e1704c15b1ac522fdedeb637$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7$313a3c23d119451d9f3f82bb47401b9f@True_f4d19e393ad743a0868e6c377891076c', '47d9908c4767426180554d7dee1ba275');
INSERT INTO `exam_record` VALUES ('069aa20514ac464190e84fce4875f8e7', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-08 11:57:39', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-81b7ae4a705f4fc39e576085a55fccc0$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('06b9a84918984a5a8223429a8b82a6e2', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-31 21:48:00', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-81b7ae4a705f4fc39e576085a55fccc0-bed28153b51d410aafa64a6cc9c6fbb9$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('06cb9eb094c54a408f03c0bd95f690c8', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-08 11:17:49', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('076b9c507de84fd48949febe14e237f0', '79392778a90d4639a297dbd0bae0f779', '2020-06-05 17:41:30', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('0776cf292f8749d285e04e24be9435b7', '79392778a90d4639a297dbd0bae0f779', '2020-04-21 23:36:30', null, '30', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@False_4d5c32e598cc41abb003f2f37dab210e$3864178819534aa7862b26e893aa2e62@True_e4697cfd242c4328b28a084e4ecaaf3c$31e9ad43e84e484eb8b77b7e7a76de91@False_d36bd089207f48cfb5d806d9cf882009$340e5189877a4eb58492c7bb7a3c094d@True_fb5f2eecef2341279412400d9a58ac4b$495fce658bc4409aac2e14657d8e7e8d@True_95ebcd9078444043b7ff375a2fe67178$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9$396b55534851427590e089fb9cc040cc@False_92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$79b4e7a9a7e144ba8d5af83c39f9b13a@False_56677d96b7434641acb84f4e3ea4b59c-7569f009ec724d7da2fe65d3f870bbea', '0966472391474b909adbaa15115d56aa');
INSERT INTO `exam_record` VALUES ('08488b29fff04b9ea6c4241d036a07f6', '68042014e23c4ebea7234cb9c77cee5c', '2020-08-26 00:14:33', null, '5', null, '2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('085ea63772d9421c97dc24f74ba5ff20', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-07 10:48:52', null, '0', null, '14cc31707d53433f81841058a97575da@False_4d5c32e598cc41abb003f2f37dab210e', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('088630d63b9d475d94009dd309ac0a7c', '68042014e23c4ebea7234cb9c77cee5c', '2020-04-20 02:46:44', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('0890f1fb715d42948b83100a546029ec', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-02 22:45:11', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('08c897929a1745089379a44e1c76c48a', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-07 08:32:24', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('096e465d3c9d417c88ee2054939e8b36', '79392778a90d4639a297dbd0bae0f779', '2020-09-01 20:45:05', null, '0', null, '3f31e3edcea24aebb1f3ff1556917141@False_02e72a5f97eb4783a8d9b4f1231d01fe', '3067641af3ef4e6c8813abdb1ea8e238');
INSERT INTO `exam_record` VALUES ('09e61aa794d1418cba7ab705946b9391', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-23 11:32:00', null, '5', null, 'dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('0a43761af3034fa8b758e854aa259cbb', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-28 22:43:59', null, '5', null, '224ae57b9c1749bdbfab51b2284789ce@False_1cce0f75bdfe4ac29022d23abac34ec0$22d201cd2e5c4558bbbdf4cb5d7ea717@False_bccb33b6264248318e380d9e7802d2a5$0f228882c0fe462db958be54df6a1142@True_28f780f29a034d06ad4d5753abe141a6$388dd246953945569e3617b268629ee4@False_51c476176e03424f8c2fae10a7113d8d', '44fff831a506483a97702b48569e9c44');
INSERT INTO `exam_record` VALUES ('0a5158b5678049da8867e94c0f4f78a8', '79392778a90d4639a297dbd0bae0f779', '2020-09-17 22:24:39', null, '5', null, '6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('0a662a36c86545a4ac1743ac8687a5b8', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-17 16:09:20', null, '5', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('0ab8761dd1de47199248b83f0dc9c2fd', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-07 12:05:06', null, '1', null, '4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3', '3b7df15fded044f4a4520dfc23c6e4ec');
INSERT INTO `exam_record` VALUES ('0b48ca3997a04553a4839024613ef85c', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-24 11:12:39', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('0b498705679a44229bc4532448fc9f60', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-04 18:01:31', null, '5', null, '224ae57b9c1749bdbfab51b2284789ce@False_1cce0f75bdfe4ac29022d23abac34ec0-3d9abd4caa484af99e8667ac8408ce85-61fa118af54846ce9498774fc7dbb462$078a8fed0cc649f8a864a430b4e7188c@False_b1b2cbb140264410b5b8bb23c37404e5$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', 'ca8b338da82b480ebc03c38d41f11692');
INSERT INTO `exam_record` VALUES ('0b79eb733af3421ea0a7324b8b4134ff', '79392778a90d4639a297dbd0bae0f779', '2020-05-28 02:07:42', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('0b95190721e44bc49787585d3b0f1491', '79392778a90d4639a297dbd0bae0f779', '2020-06-08 15:47:32', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('0ba7e9c651284b9d8e8f4832ff4aafe9', '79392778a90d4639a297dbd0bae0f779', '2020-09-01 19:11:28', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036', '16081a246f004bb2888aad0320628340');
INSERT INTO `exam_record` VALUES ('0bb4a857c83c4bb7abebf3681df8ceb4', 'd2262452ef3745a296dd92d60ef3c854', '2020-04-30 15:53:31', null, '15', null, '2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('0c6d796386c74d768f20049f505848c5', '79392778a90d4639a297dbd0bae0f779', '2020-07-15 17:33:50', null, '30', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$dc91198c27dc4ab5942ffc924f282367@False_397f7bbc8afc431e8976ee8764d88584$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('0c9e7f6dab844d828a40851a99337add', '79392778a90d4639a297dbd0bae0f779', '2020-08-31 17:34:21', null, '5', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('0cee394880df44fcb32bfd9225821239', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-31 19:29:38', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('0cf2fede9be54a1ab0095ef4bbcac734', '79392778a90d4639a297dbd0bae0f779', '2020-04-17 11:47:40', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-81b7ae4a705f4fc39e576085a55fccc0$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('0d0bc02e5d4f4f9aa9fa6d5361ca9115', '68042014e23c4ebea7234cb9c77cee5c', '2020-08-04 09:55:17', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@False_397f7bbc8afc431e8976ee8764d88584$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('0d21180c71344ed4971084be630dfb12', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 15:12:47', null, '15', null, '157767faab1e459fbb63eddef08f1a0d@True_5af37b583ef34a9888c0d4cdcd434066$23ac2394b14f4e338ec22adba349eb62@False_b65355f749974638bf875224c31b3508$23c0e0e98d04425ab2de3e7fec54971d@False_a4c4b303b3e34a0e83dbd967567bbb91$0a32e228e2464beda23b90c7832d29d2@False_05ad94cee64c487c8abb51ab98dfa64d-2bab92afb5ac490a84d29bcb92560f7a-d10a52e99c6c4aceb39fadf5af178940-ea0a917c0651434c8df8b632bc919eb5$004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', '300abb08f0ab46409b1e37e6ce918655');
INSERT INTO `exam_record` VALUES ('0d4cce5a5d514ea1be48415688dc1961', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-04 09:38:49', null, '0', null, '30a7598bc91346478027795679cd71c3@False_648500831b5640f79b627a667883e7c1$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$517621a3c6b745459a5606c65cd38e27@False_2c11d8ee79394fd5b82306824d92ae36', '2ef88a8af61a47989cce4c849596db23');
INSERT INTO `exam_record` VALUES ('0d59513de0164561be5c072abd625221', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-26 18:04:24', null, '0', null, '23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('0d6906cf642d4fcd808d26b8424eea65', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-03 12:53:09', null, '5', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('0d89f869f4574eb584cfd7077c6e29e4', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-17 14:07:31', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('0d90080b608342caabdff8fe9b18582c', '79392778a90d4639a297dbd0bae0f779', '2020-02-26 18:07:44', null, '5', null, '396b55534851427590e089fb9cc040cc@False_9c511fa9d5a74090967cdb52b29060a2$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@False_4d5c32e598cc41abb003f2f37dab210e$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '303efbfe2e5f460c909e935345424244');
INSERT INTO `exam_record` VALUES ('0dab709e039e4dd0964807b08f6aea28', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-12 09:56:07', null, '5', null, '1e9521efc6bb469ba9bd98c76f6ba53d@False_d2c8a767fd55485eb8ce90b242d081b3$03ba87a6ca3a4075bd983ca799d518d8@False_4a11c0a8ff5f460ea1ac0fd3dcc23644$1eaff8deac0041ed857d16461a290985@False_9527ec01d85e43d697d012a02594d647$34ac0eba5d5548599086f7439b837d85@False_3912670d529c4bc5b3bbfb4694d750e5-435eabe9037b4ff7998943b09010e5f4$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761', '32c44ac3f24645a7b66b00060a52e29c');
INSERT INTO `exam_record` VALUES ('0e15ea2f674744f8a4ac1747790cd785', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-30 12:29:29', null, '5', null, '14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('0ec6613065c7468ea742fc38fd885b22', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-06 00:45:49', null, '5', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f-bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('0eeb7abe5cdd48a89dbf3888d2e630aa', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-14 00:02:48', null, '5', null, '1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('0f8f29ec38544ed8a61a7ff429654e0a', '79392778a90d4639a297dbd0bae0f779', '2020-04-14 15:04:08', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_bed28153b51d410aafa64a6cc9c6fbb9$2f8b20630b10471395b6c379a465cca8@False_ab85c51b6e91402385aeda6551aea608$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$495fce658bc4409aac2e14657d8e7e8d@True_95ebcd9078444043b7ff375a2fe67178$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24', '07bcd5b8507c42909e0b3212ec72b832');
INSERT INTO `exam_record` VALUES ('0fe03a0947534989ac5fbc56bea7d93a', '79392778a90d4639a297dbd0bae0f779', '2020-04-10 16:53:59', null, '35', null, '1003b43b03934068973f67d199565dce@True_34ee794ddaab4033b84efcd749595329$2f8b20630b10471395b6c379a465cca8@False_ab85c51b6e91402385aeda6551aea608$517621a3c6b745459a5606c65cd38e27@True_64f67417f3b54909a2aa328c1fc6571a$340e5189877a4eb58492c7bb7a3c094d@True_fb5f2eecef2341279412400d9a58ac4b$495fce658bc4409aac2e14657d8e7e8d@True_95ebcd9078444043b7ff375a2fe67178$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$85047be0b2cf4077a5ec66e92ebf442b@False_b7926212674b4b71b93dcffca102f578$9fe1cafeebf44e20a80f504cff60ef3f@False_ab96efeec3144ecea3bf955d4e52980f$5396e258c48e467fbdf904701aa85840@True_59d74d533d89492993922152bfcb8a62$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$f0431d061ee240b681999dcdc7b390cf@True_4b5efd0c763b43c98703cb01281b81d8$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5e0389903aa94524bcae09ca457ecdaa@False_ff4deaa00807431682923baf77bedd4d', '1b989eb399b243b49be371a6fb6292ca');
INSERT INTO `exam_record` VALUES ('0fe07fe16185482e8514be687379bb0f', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-01 19:53:00', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('100b34d4d62645378c6203454d551025', '79392778a90d4639a297dbd0bae0f779', '2020-07-17 16:12:23', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@False_4d5c32e598cc41abb003f2f37dab210e$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('100d8a27426a48a2a10ebeca68a6f8cf', '79392778a90d4639a297dbd0bae0f779', '2020-09-01 19:57:46', null, '5', null, '1003b43b03934068973f67d199565dce@False_790e68b1844f43bf947cd6450c547cd5$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$340e5189877a4eb58492c7bb7a3c094d@True_fb5f2eecef2341279412400d9a58ac4b', '13e00f069eef47b2b76e4ab941b32cce');
INSERT INTO `exam_record` VALUES ('1060e9e84f584081af6a564b77f295ac', '79392778a90d4639a297dbd0bae0f779', '2020-04-14 14:52:33', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_bed28153b51d410aafa64a6cc9c6fbb9$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('10dd2d1cad9647ae99d1f798b9ac4794', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-10 12:00:10', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('1136a59d05a14fd7ae48fd0d50140613', '79392778a90d4639a297dbd0bae0f779', '2020-04-21 20:17:49', null, '10', null, '517621a3c6b745459a5606c65cd38e27@False_2c11d8ee79394fd5b82306824d92ae36-3337d407ecde4865b80a5fc9e7fe37e3$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3', '7e553deb1eb34750adb293aa54b41054');
INSERT INTO `exam_record` VALUES ('1241b9b5d15d4595b087f2dede7993f8', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-22 16:24:17', null, '4', null, '03ba87a6ca3a4075bd983ca799d518d8@False_4a11c0a8ff5f460ea1ac0fd3dcc23644$004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', 'c9b0ed2a81d2470f9c87cef0b82fbdf3');
INSERT INTO `exam_record` VALUES ('12bbe12ccb5047d3bee01ff0e860e9a5', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-18 16:29:04', null, '0', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_88ec4c60df0842c7b603cf82450b12cb-bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('12d77836113f4f48adc4d6d1fe3820c0', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-10 14:14:55', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('12e83e36cef748d58fe30c3dfd86210e', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-17 11:21:14', null, '5', null, '018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', '6158a3a19f71435cb39ef90b7e62a4be');
INSERT INTO `exam_record` VALUES ('131bdcca840846f4b405949b592a0322', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-02 16:52:11', null, '30', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('138c267840424b9ba0404a12f30d52d1', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-01 21:18:19', null, '7', null, '305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70', '61f6198b88a744aead6f25d04200025e');
INSERT INTO `exam_record` VALUES ('13c16584975443f59263bd116c1bd1ea', '68042014e23c4ebea7234cb9c77cee5c', '2020-06-23 14:44:38', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036', '16081a246f004bb2888aad0320628340');
INSERT INTO `exam_record` VALUES ('13caf00bb2ab4f2e8e14138aff687df3', '68042014e23c4ebea7234cb9c77cee5c', '2020-07-17 15:30:08', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('13d24dced4244472b2c47e0dc12f2cd5', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-09 16:48:24', null, '5', null, '305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$34ac0eba5d5548599086f7439b837d85@False_435eabe9037b4ff7998943b09010e5f4$40ee7b36298d4568aad20e2db36ddbb5@True_a317880eb3144e3db226409408198013', '47ba10c81b8543e38e20b9eedde86208');
INSERT INTO `exam_record` VALUES ('1411858cd87e421b80a8cafb2f157e90', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-20 12:33:12', null, '15', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('1445dd81e83046eaa11b7d8c0a97f1d0', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-21 20:09:03', null, '30', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@False_397f7bbc8afc431e8976ee8764d88584$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('14a7fe6a63804c9faeaf0c378955cc58', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-03 13:41:02', null, '30', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_ab96efeec3144ecea3bf955d4e52980f$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23$85047be0b2cf4077a5ec66e92ebf442b@False_b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('14b827c90d98486cbc7fb2a0726c71a9', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-04 22:59:15', null, '10', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('153d8828a5514701b639d30ac6560cc1', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-15 16:40:44', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('15413306b460448a8fe123850fb8a3c8', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-10 16:51:24', null, '0', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9', '1b989eb399b243b49be371a6fb6292ca');
INSERT INTO `exam_record` VALUES ('15f885e791c1413292eb6a62a7cf44b8', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-28 08:28:16', null, '5', null, '2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('16c62f5f4df840f085a1c9993756a848', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-15 16:41:14', null, '5', null, '4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('16d8b22e090d4639a2833960fb94e0fe', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-13 22:17:16', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('16ee48ce69de4213a93068d76f1f5589', 'a1b661031adf4a8f969f1869d479fe74', '2020-10-09 14:23:55', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('17078a829f8d446baf41938018798bb5', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-18 15:21:16', null, '25', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('1717d141e0bb4095b6d2c59a4914655d', '68042014e23c4ebea7234cb9c77cee5c', '2020-03-17 19:34:17', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('1793108b22dd44f4badbd70ee3165282', '79392778a90d4639a297dbd0bae0f779', '2020-03-01 15:46:16', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('179b6358c3ce4457abda7e7018d4ce0a', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-01 16:41:41', null, '45', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538-ab96efeec3144ecea3bf955d4e52980f$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('17eff526e336482c9c8aaaf49d394ac2', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-26 15:35:03', null, '0', null, '25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('17fdb432f59e40d8a335e2f9c408fda1', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-05 23:07:35', null, '5', null, 'a12eb101321b451bbc54a136e98acfd0@True_8c0f6801448b4185b3446d92b0721c40', '11e43c39761a463db8407cde15a67693');
INSERT INTO `exam_record` VALUES ('180c39e05afe462782725d50f020c252', '79392778a90d4639a297dbd0bae0f779', '2020-03-16 23:47:13', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('1858dd3ccc254e86bc128e53ded94740', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-30 21:50:28', null, '15', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('18e21f5a49a2467c9a8dfd9739530cc1', '79392778a90d4639a297dbd0bae0f779', '2020-04-14 19:56:06', null, '0', null, '23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('18fec244c895409189a95a264b413570', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-21 14:51:37', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bed28153b51d410aafa64a6cc9c6fbb9$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97', '8112f71b21734607b8706648f070b048');
INSERT INTO `exam_record` VALUES ('1920217126fb407a98da364c3771b7b7', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-06 12:53:39', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036', '16081a246f004bb2888aad0320628340');
INSERT INTO `exam_record` VALUES ('198b37beaf38426f8092f84eff9a5918', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-15 12:17:21', null, '5', null, '14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('199e7d1784124e70a1c39aa156fa59bd', '68042014e23c4ebea7234cb9c77cee5c', '2020-09-04 17:12:27', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('19b3ce6064514230864050289d87049e', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-24 18:46:10', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-bbe3df2c7ba44b13b4b77cbd929a8fb1$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('1a3f6eccede84bd0ba0c158efdb32ef0', '79392778a90d4639a297dbd0bae0f779', '2020-09-02 14:46:51', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0966472391474b909adbaa15115d56aa');
INSERT INTO `exam_record` VALUES ('1b22c58e9202497397664557e93538b8', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-25 14:05:34', null, '0', null, '2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('1b23e7eb3c064d589bc21ffb5c68ce64', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-10 15:56:02', null, '15', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538-ab96efeec3144ecea3bf955d4e52980f$396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0$3864178819534aa7862b26e893aa2e62@True_e4697cfd242c4328b28a084e4ecaaf3c$31e9ad43e84e484eb8b77b7e7a76de91@False_d36bd089207f48cfb5d806d9cf882009$a12eb101321b451bbc54a136e98acfd0@True_8c0f6801448b4185b3446d92b0721c40', 'f338ec6a5c9f431f9e9b80f838aa20ca');
INSERT INTO `exam_record` VALUES ('1b49757356654ed7a2d8883eb39374ba', '79392778a90d4639a297dbd0bae0f779', '2020-03-22 11:15:42', null, '50', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f-bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('1b67d35ad9f64231abd78363a03fee73', '79392778a90d4639a297dbd0bae0f779', '2020-09-02 16:11:28', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-81b7ae4a705f4fc39e576085a55fccc0-bed28153b51d410aafa64a6cc9c6fbb9$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036', '16081a246f004bb2888aad0320628340');
INSERT INTO `exam_record` VALUES ('1c90c614011844c68066e3398a08e223', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-09 20:33:16', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$cba6ce4038b5401fb4cb43205557ccf9@False_efc62ed02e9a460c8e7481d00f99e225$cff7d16da6ab428e893c748d5c759cb2@False_db43d6e8819047539922b510e0a039b7$bb22f19338174d1f9333f9aebd6ffeb6@False_0dda4965171b4f9680a6acfab9af9625$a12eb101321b451bbc54a136e98acfd0@False_228f57a595a2416aa6cf7df66095236a$b95a0546fcc8418e84185137d14b1b50@False_2c57854526c64f1ab3cd6a7c37749ac0', '11e43c39761a463db8407cde15a67693');
INSERT INTO `exam_record` VALUES ('1ca59497b0c64610bf653ee48227f758', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-04 16:14:41', null, '5', null, '224ae57b9c1749bdbfab51b2284789ce@False_1cce0f75bdfe4ac29022d23abac34ec0-61fa118af54846ce9498774fc7dbb462$078a8fed0cc649f8a864a430b4e7188c@False_b1b2cbb140264410b5b8bb23c37404e5$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', 'ca8b338da82b480ebc03c38d41f11692');
INSERT INTO `exam_record` VALUES ('1cf888dff83a472191f17fb9ffaf37da', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-11 15:01:06', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('1d460fd0f15a49f68372d8d9ddbe3231', '79392778a90d4639a297dbd0bae0f779', '2020-08-31 15:23:04', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('1dbf166c503f48478ef25adea3acd3f7', 'a1b661031adf4a8f969f1869d479fe74', '2020-10-10 09:17:39', null, '40', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('1dc030d79e154063b8e51ed8731dbc62', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-14 10:34:57', null, '10', null, '2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('1e094864ded44cbe9c0ce6aa86573e19', '79392778a90d4639a297dbd0bae0f779', '2020-09-04 11:53:58', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('1e166414889e4810ac9382f92ca0b941', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-18 14:11:04', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('1e29a89a22674252a600ff139ceac7fa', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-01 16:58:07', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('1e52e06f197b460ba7d2c605e29c346a', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-14 13:19:00', null, '5', null, '305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c', '869670911184494dacc4ea0c31773b50');
INSERT INTO `exam_record` VALUES ('1eb32b2708ae4fd39b809248a57f8de6', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-19 16:26:32', null, '5', null, '14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '303efbfe2e5f460c909e935345424244');
INSERT INTO `exam_record` VALUES ('1eb6807fa7b54bb2b4ba5e56078e11f2', '79392778a90d4639a297dbd0bae0f779', '2020-06-08 17:04:23', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('1eccdcc5f3f2417c893358c1db8367de', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-19 14:47:06', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-81b7ae4a705f4fc39e576085a55fccc0-bed28153b51d410aafa64a6cc9c6fbb9', '20c87e6f7055474f8a02b90b61fa66db');
INSERT INTO `exam_record` VALUES ('1ed2da68b0494e5aab876b129319e7df', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-23 08:56:50', null, '10', null, '004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', 'a0e02a53c28a449896847ae476100eb9');
INSERT INTO `exam_record` VALUES ('1f1cf91b20204910aaf25b0798acf00b', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-12 20:26:47', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('1f3383fe82f943038b5ebdbdb7b4c235', '79392778a90d4639a297dbd0bae0f779', '2020-05-03 14:16:16', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-bbe3df2c7ba44b13b4b77cbd929a8fb1$cff7d16da6ab428e893c748d5c759cb2@False_db43d6e8819047539922b510e0a039b7', '1435d0e86576487d819b41f33082f441');
INSERT INTO `exam_record` VALUES ('1f74475d20da468296f91af8ffe61450', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-21 22:05:52', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$cba6ce4038b5401fb4cb43205557ccf9@False_eddc33534976426496b1e2eb5cfe1502$cff7d16da6ab428e893c748d5c759cb2@False_db43d6e8819047539922b510e0a039b7$bb22f19338174d1f9333f9aebd6ffeb6@False_0dda4965171b4f9680a6acfab9af9625$a12eb101321b451bbc54a136e98acfd0@False_228f57a595a2416aa6cf7df66095236a$b95a0546fcc8418e84185137d14b1b50@False_2c57854526c64f1ab3cd6a7c37749ac0', '11e43c39761a463db8407cde15a67693');
INSERT INTO `exam_record` VALUES ('1ff6b281d350480d9b2f7a9c083fa6a7', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 14:05:50', null, '10', null, '1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('20cb2bbcbd6b4ff49c853064fa0f3f24', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-25 10:22:14', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-81b7ae4a705f4fc39e576085a55fccc0$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('20d2d428b13c496d97a8436a784f417d', '79392778a90d4639a297dbd0bae0f779', '2020-09-16 19:45:27', null, '0', null, '9199009718ec4685a0a500d23ab814c5@False_e4142da9d88b457b91249a3090f35d6b$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$3864178819534aa7862b26e893aa2e62@False_9b14c29c2d514b10af620655ff13a204$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9', '258bf9410e854f34bba9c9a08f4dd313');
INSERT INTO `exam_record` VALUES ('20e4b554a94340d8938653dc3c67f062', '79392778a90d4639a297dbd0bae0f779', '2020-09-16 09:06:09', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('20e7c2d58c314812bddeff379560b716', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-14 11:21:05', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('218fcefc767f4da8b5d8ee6231e05cb0', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-29 19:28:11', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('219099b6f1f24527833d50803d081760', '68042014e23c4ebea7234cb9c77cee5c', '2020-09-30 11:57:57', null, '5', null, 'f0431d061ee240b681999dcdc7b390cf@True_4b5efd0c763b43c98703cb01281b81d8', '1b989eb399b243b49be371a6fb6292ca');
INSERT INTO `exam_record` VALUES ('21ccc6eabb714e528af7af4ab0173bfd', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-01 14:03:38', null, '0', null, '6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('21cf0948df3f41a8913f0950c4f5cb06', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-22 08:12:57', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('21e3b4e6b39b4fd3a3f5279d9aaa66f8', '79392778a90d4639a297dbd0bae0f779', '2020-05-02 17:30:15', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('21f45369d26449f3bb2fff0ccb9b3a82', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-15 22:45:23', null, '0', null, '2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$31e9ad43e84e484eb8b77b7e7a76de91@False_4140a14f3f6b4067962eac1c939675c9', '869670911184494dacc4ea0c31773b50');
INSERT INTO `exam_record` VALUES ('2238618a92954c339463ee022ed7826c', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-27 10:18:18', null, '5', null, '6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('22aa12102f3a482f88fd088cc7e3dfff', '79392778a90d4639a297dbd0bae0f779', '2020-09-17 17:17:25', null, '35', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('22bb45a453f54f4398cd1393e2dd7d4c', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 14:00:08', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$dc91198c27dc4ab5942ffc924f282367@False_397f7bbc8afc431e8976ee8764d88584$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$cff7d16da6ab428e893c748d5c759cb2@True_8c95b512240b4a47b85743a64f65c0ba$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$590889adc7994fbdbd895f3f8f4cd1f4@True_502c3eb45a4748f38f89e0010e18ab5c-c81d168f407d476c9caf518b23cbc3ee$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9', '1435d0e86576487d819b41f33082f441');
INSERT INTO `exam_record` VALUES ('23207c45b1f64476ab887265280166fc', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-14 12:10:16', null, '10', null, '6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('238d6eab750d42f5a2c015fdf2ae320b', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-26 16:30:00', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('238f096adda344a188b72970bf4a9219', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 17:45:52', null, '5', null, '14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('23ab8fcfd8c746a4914ce139a281b62f', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-14 20:28:21', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('23ad2b7346ac430e9412074e59098993', '79392778a90d4639a297dbd0bae0f779', '2020-09-08 09:02:29', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('23ef94277d95472b87638c7cdd830b63', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-24 22:52:03', null, '5', null, '305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$34ac0eba5d5548599086f7439b837d85@False_302327201f3c422ca6b636f04fb146cc', 'bfe8c7a1f7ff49b5af1f6857378fa193');
INSERT INTO `exam_record` VALUES ('243d97cc6ab74694bcebdb57e648e8e7', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-22 21:46:35', null, '5', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$a12eb101321b451bbc54a136e98acfd0@False_251eb27617ce458697f6e966bbf87bed', '11e43c39761a463db8407cde15a67693');
INSERT INTO `exam_record` VALUES ('244503f0dfa948d8ba2dd7766343ab38', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-06 20:24:14', null, '15', null, '6d679282cdc649f8b4d185e47026dcca@False_2cd9cb4901044a7fb410962eb75737da$38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$3864178819534aa7862b26e893aa2e62@True_e4697cfd242c4328b28a084e4ecaaf3c$31e9ad43e84e484eb8b77b7e7a76de91@False_d36bd089207f48cfb5d806d9cf882009$f3333b1a9dfb49638ef3b02df90cadb5@False_4f2923a998db4a33ad1f15d537587a9b-5d15248b68fe4a8992a744691ead0575-af72e24e7b0d4273a6e46005b080f9c7-d3e1e307c2a84372b9c2a39f0c082b0f-e6dedfb41de94ee380b5a0ca9ac0c1c5$340e5189877a4eb58492c7bb7a3c094d@True_fb5f2eecef2341279412400d9a58ac4b$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578$9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f-bc4e6c276e6d4b80871badf7d2a9087c$396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28$e283ac11c7064ccf976f9c48d68c6a67@True_b8e2e6300ab04016a82481fff15750e0$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$7b324941a5514833a06c4561c1af3b41@True_b9956a8b3a0149d786a8691bd19b435e$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f', '3b7df15fded044f4a4520dfc23c6e4ec');
INSERT INTO `exam_record` VALUES ('2490d83e62934d6fbcfe9926eb81eed3', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-24 17:07:13', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@False_397f7bbc8afc431e8976ee8764d88584$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('24d20e53bea94bb8b2d5f676e230ce0b', '79392778a90d4639a297dbd0bae0f779', '2020-09-16 10:22:28', null, '5', null, '4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('2531f198b1184acaafe1160a5d83347f', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-26 21:22:32', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('25411502d6784518bb3d46387a8427ea', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-03 17:09:14', null, '10', null, '2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('255fa739d50747668a29276c5ce398fa', '68042014e23c4ebea7234cb9c77cee5c', '2020-09-04 11:56:38', null, '10', null, '224ae57b9c1749bdbfab51b2284789ce@False_1cce0f75bdfe4ac29022d23abac34ec0-3d9abd4caa484af99e8667ac8408ce85-61fa118af54846ce9498774fc7dbb462-a0e9cddc8e304295b7bb13813d4fb4f5$078a8fed0cc649f8a864a430b4e7188c@True_2449ebcfb9044460b9b44a5bba42110c$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', 'ca8b338da82b480ebc03c38d41f11692');
INSERT INTO `exam_record` VALUES ('260033a89f8441ba8b175418135691a9', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-16 19:00:56', null, '5', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('2646c3a26c46430fb6b54331fbd43520', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-01 17:52:37', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@True_20ce13d67d544efeba548f7eb9642e8f-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$31ab7a49aa254240935d1e871d7f2f09@True_a3cc733bcc5e47bab69f3fec7867fd38$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', 'bb823016662a4e2d93d98637e8dc972d');
INSERT INTO `exam_record` VALUES ('26949e69a43d4984ba037ab1d3944b9c', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-22 14:55:58', null, '5', null, '2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('26ebd8764a3140a5a1d04b91c3ec44bf', '79392778a90d4639a297dbd0bae0f779', '2020-05-08 16:54:22', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('2745b75a14384ffcbc8a8c071a05999c', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-11 09:44:36', null, '0', null, '25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('27549675f26d464f837a0e33e064953d', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-27 20:38:08', null, '0', null, '6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('276c124d1ef1455380c77c7c5145a61e', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-07 11:54:17', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('27795b3786114eda9d224454d3d54423', '79392778a90d4639a297dbd0bae0f779', '2020-05-07 10:23:11', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-bbe3df2c7ba44b13b4b77cbd929a8fb1', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('27b9cc9d1e9d43109ff814ef60b0ff99', '79392778a90d4639a297dbd0bae0f779', '2020-06-11 10:02:17', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('2802b76ef75e483da7dad6e1154bea1f', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-11 11:46:34', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-81b7ae4a705f4fc39e576085a55fccc0-bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('2803fd3138fb463a9bbced834b56c7e4', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-06 18:38:34', null, '0', null, '07441a6a40d44196a1e67fe344ac57a9@False_a51323d05dbc4046ba92d9ee1d8d7bc9', '7d25a6ec5f6e4bd99c0c79ddab3c659c');
INSERT INTO `exam_record` VALUES ('28a80707389c4f5f89326190a22b8e6b', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-22 16:12:34', null, '0', null, '6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('28d529196263488a808985f34d1ea7c7', 'c541be0898a146b69446c91d299d2068', '2020-03-18 08:46:29', null, '0', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef', '17fd99fac47440ef8f79cc10d8d638f2');
INSERT INTO `exam_record` VALUES ('28f944ca1593448a932dd02c1d1238a8', '79392778a90d4639a297dbd0bae0f779', '2020-05-27 18:52:52', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('2936d47db2514366a9949d8ceac804ca', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-05 13:59:48', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('2937c7602cf9488cad522537309fd5fa', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-08 20:52:44', null, '5', null, '31e9ad43e84e484eb8b77b7e7a76de91@True_5ac788b163b04bc9b159f11d1cb1abba', '581226454b9d4341be58ebf9f24c5a87');
INSERT INTO `exam_record` VALUES ('295f2d92ffa1406f8ca437967248e849', '79392778a90d4639a297dbd0bae0f779', '2020-09-08 15:40:43', null, '5', null, '5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('296d12cf646e4595a67cb0d1f230fcc6', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-14 10:32:12', null, '10', null, '25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('29851186a0364ad799c690006decde07', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-24 09:09:33', null, '0', null, '3864178819534aa7862b26e893aa2e62@False_9b14c29c2d514b10af620655ff13a204', '258bf9410e854f34bba9c9a08f4dd313');
INSERT INTO `exam_record` VALUES ('29ee2a5e43cb45e59e2f6ae82b9ead58', 'a1b661031adf4a8f969f1869d479fe74', '2019-10-26 07:59:17', null, '19', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bed28153b51d410aafa64a6cc9c6fbb9$396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0', '7f36f47a75184adeb3df4fb8c4058a5a');
INSERT INTO `exam_record` VALUES ('29f2f0054fc44ff6aa8d13d25b7cbf2f', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-28 13:55:29', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-bbe3df2c7ba44b13b4b77cbd929a8fb1$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('2a303b3d23a64b228a3cdc20d1835fe0', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-02 14:12:10', null, '0', null, '311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('2a85c4c9f85445f980d39040cda6de70', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-18 17:14:27', null, '20', null, '03ba87a6ca3a4075bd983ca799d518d8@True_5d828aadc336424ab03eaa63026bcad3$07441a6a40d44196a1e67fe344ac57a9@True_d7f693f122e94549b93d39d79e5d53e7$004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', '6c14bb036c8f4bcea269d0fee3720749');
INSERT INTO `exam_record` VALUES ('2a94af9e99f7408ebe3728289ad5d7ab', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-01 00:10:49', null, '6', null, '34fe861fdc8a4b13b7455d4f512a2a07@False_853573a1fadc487893e40a90a3a2e566$7b324941a5514833a06c4561c1af3b41@True_b9956a8b3a0149d786a8691bd19b435e$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$0a32e228e2464beda23b90c7832d29d2@False_05ad94cee64c487c8abb51ab98dfa64d-2bab92afb5ac490a84d29bcb92560f7a-d10a52e99c6c4aceb39fadf5af178940$34709b873e3e4b979b2ba2c7aed499a7@False_537c4f151cc34ac484d2bb2d830d5462$458475653213478e9b69e2f1bb063ffc@True_a6d530b941a34a3187c968c95bcc1d1f$340e5189877a4eb58492c7bb7a3c094d@False_e80b3bfbd8764da58e06e2a928b086af$d5c410448b5f4057b27de8e0e4d6bf43@True_6be0ef27d8194ab7b4d6e22cc73b923a$313a3c23d119451d9f3f82bb47401b9f@False_532fec43b430438fa67d13f2cc684dd4', '63c152c2d8574af7957aa21cf05fff23');
INSERT INTO `exam_record` VALUES ('2ab05902ec634e8cb5d619e7eb5d2506', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-31 16:18:02', null, '15', null, 'e362599c1ac444bf9ad8e88000ee0f8b@True_edda00757b104faa94a70d0e5cf47a4a$dd2d72331e834fe3b575f2095cb27e02@True_6f26e8d41a5e442fa9bb51484252dd2e$bb22f19338174d1f9333f9aebd6ffeb6@False_0dda4965171b4f9680a6acfab9af9625$b934218bd2f14eb4a5929af95eb1c9d0@True_1a7385a5ae2d4237a002fc4b81c9e931', 'aaae3d5422d24fa59107349e774b0c2f');
INSERT INTO `exam_record` VALUES ('2b2a83938c7a422fbe9e4af2e45049db', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-01 13:18:37', null, '0', null, '0f228882c0fe462db958be54df6a1142@False_b6194cc93e4d45e8a1a5d804f141f72a', 'a22b7091c94342b3b14a71d37b7f0f3b');
INSERT INTO `exam_record` VALUES ('2b5d812debeb4d4881b65338a139e935', 'a1b661031adf4a8f969f1869d479fe74', '2020-10-05 21:37:03', null, '25', null, '2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('2b63f3728d984052a913362ec57a2781', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 16:30:10', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('2b86507de2fb4cc8abb693f3eca86a9b', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 13:57:30', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('2bd2b4aeaf82440e84474afd0350f410', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-12 09:54:51', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('2c5d4fca36e5489b8283613ba674a523', '79392778a90d4639a297dbd0bae0f779', '2020-09-14 10:33:38', null, '0', null, '55b90af51078486a804055c1052c8688@False_44a2393b304d4e2185803f3fd83c1014', '93631ac779cf4189a508f72b6190b126');
INSERT INTO `exam_record` VALUES ('2c926d2bbdaa4809b727cd1138b35611', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-12 11:53:00', null, '0', null, 'a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('2ca657485a004464b4dcd4d7599a86ac', '79392778a90d4639a297dbd0bae0f779', '2020-08-31 14:52:25', null, '10', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('2cc1ddb9a885451d97add3722e646f09', '79392778a90d4639a297dbd0bae0f779', '2020-05-30 10:37:17', null, '30', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@False_397f7bbc8afc431e8976ee8764d88584$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('2ce7547059e74b9cbc6edcb843150357', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 21:59:16', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('2ce7f2781c3942d889cec6ca0f79cfeb', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-23 16:18:02', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-81b7ae4a705f4fc39e576085a55fccc0$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('2ce86571b9df4238b07b593314d5a079', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-03 18:04:38', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$31ab7a49aa254240935d1e871d7f2f09@True_a3cc733bcc5e47bab69f3fec7867fd38$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97$31e9ad43e84e484eb8b77b7e7a76de91@True_5ac788b163b04bc9b159f11d1cb1abba', '31f5539d563a4d50a0e9a344b3603730');
INSERT INTO `exam_record` VALUES ('2d0a2d16eca04604a7d71ace432be4a1', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-01 08:29:32', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('2d4bf63b52ea49fabc6a0b1219dbfa48', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 14:02:23', null, '10', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('2d69f720164b4e0aab58030f9c9c33cc', '68042014e23c4ebea7234cb9c77cee5c', '2020-09-07 23:31:13', null, '5', null, '2929d07f28a54c81931701d2b162fd70@False_e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@False_6f0631ce414c49519a162af9062073ca', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('2d709398bccf4296b1bf30ef3c58da5d', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-27 18:15:56', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('2dd2535c274a43bea90f40d6690c05a1', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-05 09:41:36', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('2dd65db6d1e34840ae64f55349c274fe', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-14 11:04:38', null, '0', null, 'a12eb101321b451bbc54a136e98acfd0@False_228f57a595a2416aa6cf7df66095236a', '11e43c39761a463db8407cde15a67693');
INSERT INTO `exam_record` VALUES ('2e063c8c4f3f4e33b1f6ce50d31c49bf', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-22 18:18:15', null, '15', null, '4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '303efbfe2e5f460c909e935345424244');
INSERT INTO `exam_record` VALUES ('2e4c1bf5f4324d87b0510d6d52890e16', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-03 15:16:41', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('2eb3f91fc8c141b894799e2db717be88', '68042014e23c4ebea7234cb9c77cee5c', '2020-02-28 08:42:42', null, '40', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('2eceb2729ac948a6856d48efd7cbe985', '79392778a90d4639a297dbd0bae0f779', '2020-03-02 12:51:31', null, '20', null, '6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('2ee05e250fe94ba6bc7c360f1a8052a6', '68042014e23c4ebea7234cb9c77cee5c', '2020-06-19 14:33:28', null, '0', null, '4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('2f1e82dbdaa14f329536a6f123bb4d19', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-21 09:05:02', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$e283ac11c7064ccf976f9c48d68c6a67@False_d15f9106bb9941eaab1e37356af083b3$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$31e9ad43e84e484eb8b77b7e7a76de91@True_5ac788b163b04bc9b159f11d1cb1abba', '3cf0b79c367a4448af8eef6737a5d0b3');
INSERT INTO `exam_record` VALUES ('2fc2addc3cac41659807832dc09e541f', '68042014e23c4ebea7234cb9c77cee5c', '2020-09-01 17:19:10', null, '40', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('305148fc00a644cf83f0651540714213', '68042014e23c4ebea7234cb9c77cee5c', '2020-03-18 18:00:10', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('3057da071fdd41a2ac58f7ca7e366676', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-04 11:58:39', null, '15', null, '224ae57b9c1749bdbfab51b2284789ce@True_1cce0f75bdfe4ac29022d23abac34ec0-3d9abd4caa484af99e8667ac8408ce85$078a8fed0cc649f8a864a430b4e7188c@True_2449ebcfb9044460b9b44a5bba42110c$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', 'ca8b338da82b480ebc03c38d41f11692');
INSERT INTO `exam_record` VALUES ('305fefe37cb34adbb5e95b06c0028afc', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-22 14:10:15', null, '0', null, '30a7598bc91346478027795679cd71c3@False_648500831b5640f79b627a667883e7c1$25bf7d1a791f4cf39d85e26b113001e8@False_a60fdf98a017401a813e32f87c65674e$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', 'cf8176fe25f24b5eb4c61ba960dca55a');
INSERT INTO `exam_record` VALUES ('30844253fca542bfb07927c77da32436', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-23 00:26:59', null, '5', null, '14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('30b71a13430c4c5cada6f97cd8cbd015', '68042014e23c4ebea7234cb9c77cee5c', '2020-07-06 15:00:09', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('30d05143fd3043e593a471b0455693f7', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-14 12:40:09', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@True_d567c1de87c04359a717c04f3d7de8a7-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('31993bfe68d04193a865b5baa1098d2d', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-13 08:31:57', null, '0', null, '157767faab1e459fbb63eddef08f1a0d@False_9d4db526074c4642922790aae582742d$0a32e228e2464beda23b90c7832d29d2@False_05ad94cee64c487c8abb51ab98dfa64d-2bab92afb5ac490a84d29bcb92560f7a$07441a6a40d44196a1e67fe344ac57a9@False_1e85eba6944f418d9eb611ccc1215476', '794be5b9553f4d54b9c38e335810bd1c');
INSERT INTO `exam_record` VALUES ('31a10e6af19f45e1a7f11f0fcfb94904', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-07 14:12:34', null, '10', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$34ac0eba5d5548599086f7439b837d85@False_3912670d529c4bc5b3bbfb4694d750e5-435eabe9037b4ff7998943b09010e5f4$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0$340e5189877a4eb58492c7bb7a3c094d@True_fb5f2eecef2341279412400d9a58ac4b$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5', '1977e53802e143719aa5f28f2b0a01ab');
INSERT INTO `exam_record` VALUES ('31b8036637164cad878e496712968af7', '68042014e23c4ebea7234cb9c77cee5c', '2020-09-03 16:28:29', null, '0', null, '23ac2394b14f4e338ec22adba349eb62@False_b65355f749974638bf875224c31b3508', 'c72e8a8755824853a2d5307d118ea2d3');
INSERT INTO `exam_record` VALUES ('31da812695e0468db36830f651b4edc4', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-09 17:34:19', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('31f571dde30b4726883efa952b7fbfe5', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-11 15:45:05', null, '10', null, '03ba87a6ca3a4075bd983ca799d518d8@False_4a11c0a8ff5f460ea1ac0fd3dcc23644$11ae50c372c64e7ca59691c435c91239@True_2324d1529eb34cca904243bdc7d2bc24$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', '0efedb29fbbe4dac97d36e73997d2480');
INSERT INTO `exam_record` VALUES ('321b05d0529b40e2bf190701fc2a58dd', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-09 22:18:20', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$2f8b20630b10471395b6c379a465cca8@False_ab85c51b6e91402385aeda6551aea608$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$495fce658bc4409aac2e14657d8e7e8d@False_d8a80cb9399b47b8890aa897d3ca1339$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24', '07bcd5b8507c42909e0b3212ec72b832');
INSERT INTO `exam_record` VALUES ('3274f6d1aa6445099fc31bf49e785c81', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-18 10:00:05', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('327d3d2e75904df8b45995b2aed23642', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-07 22:47:55', null, '40', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('32b2cd34d389470c866c111086eb93d6', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-03 13:06:30', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('32cc72772e024b9ea129e3023be58686', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-30 21:30:24', null, '0', null, '3864178819534aa7862b26e893aa2e62@False_9b14c29c2d514b10af620655ff13a204$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '31f5539d563a4d50a0e9a344b3603730');
INSERT INTO `exam_record` VALUES ('32ec250558304cf5b6558acaac8ae23c', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-10 14:15:00', null, '10', null, '9199009718ec4685a0a500d23ab814c5@False_e4142da9d88b457b91249a3090f35d6b$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$3864178819534aa7862b26e893aa2e62@False_9cd1e597ae4144938be500efa21eec9b$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9', '258bf9410e854f34bba9c9a08f4dd313');
INSERT INTO `exam_record` VALUES ('334789a9ac3240acbff12c52505e9697', 'd2262452ef3745a296dd92d60ef3c854', '2020-04-30 15:52:18', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('335648a1338c4bbc8eb4e7e656216d3a', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-15 17:06:53', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('33e7640e29904eda8cee41c1a0fda002', '79392778a90d4639a297dbd0bae0f779', '2020-08-05 15:24:49', null, '5', null, '14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '7f36f47a75184adeb3df4fb8c4058a5a');
INSERT INTO `exam_record` VALUES ('33ed3fb4b73f4326942057cbce760b78', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 17:22:06', null, '15', null, '2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24', '1977e53802e143719aa5f28f2b0a01ab');
INSERT INTO `exam_record` VALUES ('34c86a767d1b466d90b8a9af6446dd30', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-05 11:52:47', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('350c6549079d4c41bbc968abffe9d543', '79392778a90d4639a297dbd0bae0f779', '2020-07-08 10:19:22', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036', '16081a246f004bb2888aad0320628340');
INSERT INTO `exam_record` VALUES ('350eac3c0a284a9b9901c89cb5e49d95', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-07 08:49:06', null, '5', null, '004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036', '76f4626b70864d36b23bee5b445cd041');
INSERT INTO `exam_record` VALUES ('353ecb053bb14958a2d91a44a368fd78', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-09 17:39:47', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('354fddffef554dfcbd7ce0799a005d5c', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-30 15:27:14', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-81b7ae4a705f4fc39e576085a55fccc0$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$cba6ce4038b5401fb4cb43205557ccf9@False_eddc33534976426496b1e2eb5cfe1502$bb22f19338174d1f9333f9aebd6ffeb6@False_0c83f68e3d9948e38d65eb22c257bf7f$b95a0546fcc8418e84185137d14b1b50@False_0eb97f9b079b4a09918884a4068ed084', '11e43c39761a463db8407cde15a67693');
INSERT INTO `exam_record` VALUES ('359a0db10eaa4a43b1d6ed1612bbac95', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-01 15:03:15', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@True_20ce13d67d544efeba548f7eb9642e8f-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('35cf92cfbbb743c3b2169dd27151fc81', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-16 19:27:45', null, '40', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f-bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('35edb52ed65b435e8852cbe49f545fe4', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-08 09:31:03', null, '0', null, 'cff7d16da6ab428e893c748d5c759cb2@False_ca45b95620ae4d33986cb8067ef2525c', '1435d0e86576487d819b41f33082f441');
INSERT INTO `exam_record` VALUES ('36570ecf3a5b4bbdb73685cb10604690', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-06 16:46:16', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('367eed8687aa4af295f994aedf793acd', '68042014e23c4ebea7234cb9c77cee5c', '2020-04-01 23:50:17', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('36c241666eb8412e9affbdfe599a48b1', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-18 09:48:39', null, '50', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('37c3207e3e9a4a75bd5fc5ce9471a078', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-08 18:58:54', null, '0', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_88ec4c60df0842c7b603cf82450b12cb$9199009718ec4685a0a500d23ab814c5@False_233c13ee72c9456989788201fd108c8e$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$3864178819534aa7862b26e893aa2e62@False_9b14c29c2d514b10af620655ff13a204$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094', 'ff221a5c379b40bda60677e7c54bce02');
INSERT INTO `exam_record` VALUES ('3824a12ad13c41178acf2c0c0436d7c4', '79392778a90d4639a297dbd0bae0f779', '2020-06-16 12:06:41', null, '20', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('382e655cb0fd491895247b3032e8584e', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-02 04:17:47', null, '5', null, 'b934218bd2f14eb4a5929af95eb1c9d0@True_1a7385a5ae2d4237a002fc4b81c9e931', 'aaae3d5422d24fa59107349e774b0c2f');
INSERT INTO `exam_record` VALUES ('38576d73d0b34bcea1b171f9fafdd598', '79392778a90d4639a297dbd0bae0f779', '2020-09-08 10:46:42', null, '45', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('38607a88a9224a20b33d04b107183fc3', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-01 14:30:39', null, '15', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('3867f3843e094e5fb337ee0a9aea7b35', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-02 15:40:51', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('387d3db1b9e94ac2a84e30af6dd0fe03', '79392778a90d4639a297dbd0bae0f779', '2020-04-25 23:22:24', null, '10', null, '2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('3917fb5a161e4c508469a1abee7985ba', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-12 16:04:39', null, '0', null, '25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('391b5555f90f4f31986b723faaa7d2e6', '79392778a90d4639a297dbd0bae0f779', '2020-09-25 11:39:37', null, '15', null, '1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('3934bbbaeaa84241bccbd9d0cd4c757c', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-09 09:39:05', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('39873327f8054ffabaaaf3c765b92cc3', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-11 16:19:02', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-81b7ae4a705f4fc39e576085a55fccc0$2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('399d027238e44a61a7519d9c92c9034f', '68042014e23c4ebea7234cb9c77cee5c', '2020-09-27 12:38:22', null, '5', null, '5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('3a60b5f4eba343f587da537a6dbbef40', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-14 10:33:32', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('3abd86c85d854c3aa86a418d1fe979bc', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-31 16:02:01', null, '10', null, '305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('3ac2c551cb86403c9f2511d1ce037881', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-13 22:18:19', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('3ad23cf4256d4d06996f1f5ddd03864c', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-28 16:47:59', null, '0', null, '25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('3aefbe4e535e450494d938fb212716c4', '79392778a90d4639a297dbd0bae0f779', '2020-04-20 23:37:58', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('3b89f57116c34f32bfe209d37626d132', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-10 18:40:12', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@False_397f7bbc8afc431e8976ee8764d88584$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('3be7a3904648482fb492115e0f329b82', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-17 20:08:21', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('3c386be3c8774b04a8f966bd4b7fa0ab', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-05 09:43:55', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('3c52db7f52b4447eb45ed6b39013724a', '68042014e23c4ebea7234cb9c77cee5c', '2020-06-11 16:19:17', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('3c6924fe67ce4728a4b03ccea4875b88', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-29 18:39:21', null, '0', null, '23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24', '07bcd5b8507c42909e0b3212ec72b832');
INSERT INTO `exam_record` VALUES ('3c84cd090e5b42eeb05bba46e0363f6b', '79392778a90d4639a297dbd0bae0f779', '2020-04-17 19:01:37', null, '0', null, '23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24', '1b675c9ccad54c15bcd805db43538a37');
INSERT INTO `exam_record` VALUES ('3cc4c9031513421a923b47b52556d472', '79392778a90d4639a297dbd0bae0f779', '2020-09-06 17:51:01', null, '20', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f-bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('3d0f0bc1267f457d9d7b8f94fa13ca4a', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 17:24:11', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@False_397f7bbc8afc431e8976ee8764d88584$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('3d39ff14465a42249fbdd04729716fcc', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 17:52:56', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('3d9adfd08edc4851bb6a96812908705a', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-01 14:04:55', null, '0', null, '25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('3da66d20edbf452eb68594448ea2e9ff', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 14:06:07', null, '5', null, '23c0e0e98d04425ab2de3e7fec54971d@True_29b8955e756c49599a1ef171eefdc405', 'e822fe928cd84eac9a0f8d07618a8ffa');
INSERT INTO `exam_record` VALUES ('3e5a42f5299d493f80e048516bd33f4a', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-26 15:22:52', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$dc91198c27dc4ab5942ffc924f282367@False_397f7bbc8afc431e8976ee8764d88584$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('3ed917a01e3f49569d49dc431427f20f', '79392778a90d4639a297dbd0bae0f779', '2020-03-18 18:52:46', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('3f17ca3dafc24f59b95012728c572833', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-03 16:09:10', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('3f6effdbd16c4bb89932d10cb88c40e9', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-22 09:23:38', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59$396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f$e283ac11c7064ccf976f9c48d68c6a67@True_b8e2e6300ab04016a82481fff15750e0$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$31e9ad43e84e484eb8b77b7e7a76de91@False_4140a14f3f6b4067962eac1c939675c9$ecdfbdd2a9f24017b3fe1aa0947ca146@True_b8e2e6300ab04016a82481fff15750e0', '8112f71b21734607b8706648f070b048');
INSERT INTO `exam_record` VALUES ('3fe611cdf56b4aa38a3b5e229e50ef39', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-24 18:52:47', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1$396b55534851427590e089fb9cc040cc@False_ccf9a11d724046dd964660b688d9dc28$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$cba6ce4038b5401fb4cb43205557ccf9@False_eddc33534976426496b1e2eb5cfe1502$cff7d16da6ab428e893c748d5c759cb2@True_8c95b512240b4a47b85743a64f65c0ba$bb22f19338174d1f9333f9aebd6ffeb6@False_0dda4965171b4f9680a6acfab9af9625$a12eb101321b451bbc54a136e98acfd0@False_228f57a595a2416aa6cf7df66095236a$b95a0546fcc8418e84185137d14b1b50@False_2c57854526c64f1ab3cd6a7c37749ac0', '11e43c39761a463db8407cde15a67693');
INSERT INTO `exam_record` VALUES ('408ae075ee0b4bb0ba21beff9d17c43e', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-21 16:11:04', null, '0', null, '334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f', '0966472391474b909adbaa15115d56aa');
INSERT INTO `exam_record` VALUES ('40c33ec1957f40ba809f17470e9721df', '68042014e23c4ebea7234cb9c77cee5c', '2020-08-28 22:46:29', null, '3', null, '5396e258c48e467fbdf904701aa85840@True_59d74d533d89492993922152bfcb8a62', 'fb6b8b11503e478f9d4d0367299cfee2');
INSERT INTO `exam_record` VALUES ('40c9453bd9614db8847c645213985a21', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-25 18:42:29', null, '3', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$cff7d16da6ab428e893c748d5c759cb2@False_ca45b95620ae4d33986cb8067ef2525c$31e9ad43e84e484eb8b77b7e7a76de91@True_5ac788b163b04bc9b159f11d1cb1abba', '8f6134e1ee6f47559f7bc2f7567d1b58');
INSERT INTO `exam_record` VALUES ('40cfd1e345fc40d5a1f3eb23b35086a9', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-04 10:17:43', null, '5', null, '6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('416c7c29ece5432b8b2b95449a6e9d93', '79392778a90d4639a297dbd0bae0f779', '2020-06-17 21:25:38', null, '0', null, '25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$3864178819534aa7862b26e893aa2e62@False_9b14c29c2d514b10af620655ff13a204$31e9ad43e84e484eb8b77b7e7a76de91@False_d36bd089207f48cfb5d806d9cf882009', '0966472391474b909adbaa15115d56aa');
INSERT INTO `exam_record` VALUES ('417f3ec0f36b41a3b282dde8b862e071', '79392778a90d4639a297dbd0bae0f779', '2020-05-21 17:37:19', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$396b55534851427590e089fb9cc040cc@False_92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2', '8a2e373a1b3e4b06b0b343aba742c224');
INSERT INTO `exam_record` VALUES ('419df63e8837494895835faff2f26c7d', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 16:35:29', null, '30', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('427b2409d93842e0a27bb40deb23fb3a', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-01 00:07:18', null, '2', null, '2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$3864178819534aa7862b26e893aa2e62@False_9b14c29c2d514b10af620655ff13a204$313a3c23d119451d9f3f82bb47401b9f@False_532fec43b430438fa67d13f2cc684dd4', '63c152c2d8574af7957aa21cf05fff23');
INSERT INTO `exam_record` VALUES ('42b42aa6a084447fa5741103f4bbda89', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-22 16:13:38', null, '3', null, '2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$340e5189877a4eb58492c7bb7a3c094d@False_e80b3bfbd8764da58e06e2a928b086af', 'c46a8887454b40228cad0478e6d8c102');
INSERT INTO `exam_record` VALUES ('42fc58fd39d14ec2b6ad8c67ea1c30f4', '79392778a90d4639a297dbd0bae0f779', '2020-04-12 10:43:25', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('431adb82380f4f9c85bdee4bd9d2ef26', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-04 21:51:15', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@False_4d5c32e598cc41abb003f2f37dab210e$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('43475ff2202f415fb20d4095cf0911c6', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-09 09:26:29', null, '0', null, '590889adc7994fbdbd895f3f8f4cd1f4@False_502c3eb45a4748f38f89e0010e18ab5c-5c2e94d4363449c4ac3ffbfcd347b5e4-c81d168f407d476c9caf518b23cbc3ee-c87c37f82879406bbb12094a04115838', 'fa07e8d7b500403999e5061ae10c1ade');
INSERT INTO `exam_record` VALUES ('435291aab3824e5d884d044f36f1d3ec', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-10 16:13:18', null, '15', null, '2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('439cb83f9a7f4eb3b2726c8852520a20', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-01 12:07:55', null, '5', null, '224ae57b9c1749bdbfab51b2284789ce@False_3d9abd4caa484af99e8667ac8408ce85$23ac2394b14f4e338ec22adba349eb62@False_b65355f749974638bf875224c31b3508$004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036', '4e6b79485f3441b7a3c0f8f4c62d2b27');
INSERT INTO `exam_record` VALUES ('43d77fa3d03f454699e6a2ccf22d92b0', '79392778a90d4639a297dbd0bae0f779', '2020-08-31 08:52:46', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('43dc9e4cfc144338ba649d46dc73a09c', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-02 16:21:43', null, '17', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-bbe3df2c7ba44b13b4b77cbd929a8fb1$396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '61f6198b88a744aead6f25d04200025e');
INSERT INTO `exam_record` VALUES ('44301cad9e9f48b0855d643d6b108754', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-19 05:00:18', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$2f8b20630b10471395b6c379a465cca8@False_ab85c51b6e91402385aeda6551aea608$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0', '0966472391474b909adbaa15115d56aa');
INSERT INTO `exam_record` VALUES ('44bffa8fe9fc4c7391330587e40e77a9', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-09 10:55:28', null, '20', null, '6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('44d2d279a19a4b74b7a95907b95901f2', '79392778a90d4639a297dbd0bae0f779', '2020-03-24 18:57:11', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$a12eb101321b451bbc54a136e98acfd0@False_251eb27617ce458697f6e966bbf87bed', '11e43c39761a463db8407cde15a67693');
INSERT INTO `exam_record` VALUES ('44dde97706474df997d75ef59feb8919', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-21 00:51:57', null, '5', null, '34ac0eba5d5548599086f7439b837d85@False_302327201f3c422ca6b636f04fb146cc-435eabe9037b4ff7998943b09010e5f4$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7$340e5189877a4eb58492c7bb7a3c094d@True_fb5f2eecef2341279412400d9a58ac4b', '13e00f069eef47b2b76e4ab941b32cce');
INSERT INTO `exam_record` VALUES ('45037e4c434547c98c279361332c06aa', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-13 16:16:18', null, '0', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f-bc4e6c276e6d4b80871badf7d2a9087c$9199009718ec4685a0a500d23ab814c5@False_233c13ee72c9456989788201fd108c8e$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$3864178819534aa7862b26e893aa2e62@False_9b14c29c2d514b10af620655ff13a204$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9', '258bf9410e854f34bba9c9a08f4dd313');
INSERT INTO `exam_record` VALUES ('4513dc34c35540299e1841ef7ff64a5c', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-01 08:34:50', null, '10', null, '2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '61f6198b88a744aead6f25d04200025e');
INSERT INTO `exam_record` VALUES ('455d84f6f1164a389e941bee3cd830b7', '79392778a90d4639a297dbd0bae0f779', '2020-09-23 18:07:19', null, '0', null, '4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('458e002b227b4f6b96b083f68aa4c2aa', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-09 15:01:42', null, '10', null, '305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$34ac0eba5d5548599086f7439b837d85@False_302327201f3c422ca6b636f04fb146cc$40ee7b36298d4568aad20e2db36ddbb5@True_a317880eb3144e3db226409408198013', '47ba10c81b8543e38e20b9eedde86208');
INSERT INTO `exam_record` VALUES ('45e94f43336546e8b1510d02fda4afae', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-19 23:40:15', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('45ee78f930e04d789ee65d942de381d6', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-29 13:56:11', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('46062233426c4f3f82f0a36772aa261a', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-16 14:10:32', null, '15', null, '53ae8db083134adb8428403b6a50620e@True_d378a5a61e004ecf9d0729bb4519cf11$5b796234b1df47c78f614d2f76b91467@True_2b9c28bf667c4245816de46bf52a7ddd$590889adc7994fbdbd895f3f8f4cd1f4@False_502c3eb45a4748f38f89e0010e18ab5c-5c2e94d4363449c4ac3ffbfcd347b5e4-c81d168f407d476c9caf518b23cbc3ee$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', 'ecd00bb03e51416f941d1ca041d1c456');
INSERT INTO `exam_record` VALUES ('461642d7d274469c82b75a5eff72478b', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-26 14:28:00', null, '5', null, '14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('462b88bf58974642b5010f8baee3092a', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-22 08:36:01', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('465d0540a700472fb9ae0e4c1d0de5ef', '79392778a90d4639a297dbd0bae0f779', '2020-06-17 15:07:06', null, '30', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@False_397f7bbc8afc431e8976ee8764d88584$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('46832c62d0ca444abf82d6f4489da6c8', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-30 21:09:10', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$1eaff8deac0041ed857d16461a290985@True_7972490f7616481b849908e9345f8ae9$14908e5711f74c67924d6b1ceaeb92d0@True_dcad08ba0a8b45c897f42c9b4c53b086', '6c7f89edc4cc4b9da66059d6136435c2');
INSERT INTO `exam_record` VALUES ('468acf967dc24cf289d738a316c6eec4', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-02 10:53:27', null, '15', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('469ebb4cb99a4b369cde02382a646a01', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-26 22:17:59', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('46df906b183f4142b2aa335b269710c5', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-05 15:19:41', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('474e487394e9497fa48414c0317a1b9c', 'a1b661031adf4a8f969f1869d479fe74', '2020-10-02 10:59:27', null, '10', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$03ba87a6ca3a4075bd983ca799d518d8@False_6c4887193b194851b22d3efd70f1b35b$17ad274d9a6446688013586abf2deed4@False_f7df4b8aa3c64115b8c6e44b07a86e18$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$5bc570c6662c41d99bd9859cecff90c4@True_ba76daceff104974a756176828d33ff9$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5', 'e7bab4df618749aab9bf584d31dd910f');
INSERT INTO `exam_record` VALUES ('4786832522f9415e80b1f8e28af5978c', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-09 10:20:40', null, '10', null, '517621a3c6b745459a5606c65cd38e27@False_2c11d8ee79394fd5b82306824d92ae36-3337d407ecde4865b80a5fc9e7fe37e3$34ac0eba5d5548599086f7439b837d85@True_302327201f3c422ca6b636f04fb146cc-3912670d529c4bc5b3bbfb4694d750e5$495fce658bc4409aac2e14657d8e7e8d@False_d8a80cb9399b47b8890aa897d3ca1339$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', '6931371e54984683a623608d445cf568');
INSERT INTO `exam_record` VALUES ('479a9cf467424ee48d2501ac4a839470', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-28 20:46:18', null, '0', null, '0f228882c0fe462db958be54df6a1142@False_b6194cc93e4d45e8a1a5d804f141f72a', '44fff831a506483a97702b48569e9c44');
INSERT INTO `exam_record` VALUES ('482ae51b7fda4731a4796a33ca7a6ded', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-23 17:15:59', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('485c43607c56430dab7288038a97a6e3', '79392778a90d4639a297dbd0bae0f779', '2020-09-13 08:47:47', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0-bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('487f07b7a2da443cac61c46f7a8b7d0e', '79392778a90d4639a297dbd0bae0f779', '2020-09-01 08:51:36', null, '0', null, '9199009718ec4685a0a500d23ab814c5@False_233c13ee72c9456989788201fd108c8e', '258bf9410e854f34bba9c9a08f4dd313');
INSERT INTO `exam_record` VALUES ('48b3666809f44f41b4e61674452282df', '79392778a90d4639a297dbd0bae0f779', '2020-07-28 15:14:02', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('48be144aa9c1414ea3552e7964d3543d', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-19 13:13:42', null, '35', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('49ad6472b12f419abfb743b2a208df42', '79392778a90d4639a297dbd0bae0f779', '2020-05-20 11:24:19', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('49ca73cd2788475d9c4dc86bb7f5d0bd', '79392778a90d4639a297dbd0bae0f779', '2020-06-22 16:20:39', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('4abf4ea4581f494286695050f3887388', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-03 13:06:28', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('4ae40246b6db4f8dab74f4420937f882', '79392778a90d4639a297dbd0bae0f779', '2020-08-19 10:09:06', null, '0', null, 'a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('4b20ba739c4f4c2ebc8ef4ec474037c6', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-30 16:17:59', null, '0', null, '85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('4b25669752704cc4bd2d42493b4b44ef', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-17 11:11:07', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$495fce658bc4409aac2e14657d8e7e8d@True_95ebcd9078444043b7ff375a2fe67178', '07bcd5b8507c42909e0b3212ec72b832');
INSERT INTO `exam_record` VALUES ('4bb432ec43724ca494139cc7dd879bed', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-12 19:42:33', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f$0885c830022746cf8972c97eba9f5b15@True_7d78e9cc50e44640a2056b891706b3d9$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70', 'e791b7ec21bd4b638b725583ab9a818b');
INSERT INTO `exam_record` VALUES ('4bd732dc8632430b9d64233e914ad7fa', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-04 15:57:59', null, '5', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('4be66073a8114627b4bbe58522f1335c', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-22 11:10:26', null, '30', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('4be75acc86f64a9aac1597ddb939dc01', '79392778a90d4639a297dbd0bae0f779', '2020-03-28 12:12:28', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('4bf2d87ea7dc4b11aa62d38f4cebc0cf', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-08 14:19:57', null, '5', null, '1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('4bf3182e557246a2aa1a0e4c0418a76e', '79392778a90d4639a297dbd0bae0f779', '2020-07-31 13:56:04', null, '10', null, '305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('4c34afe4a7524ca4911316957daee0d5', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-23 17:45:41', null, '0', null, '1eaff8deac0041ed857d16461a290985@False_c97e917b56a5480c94dc28de7d8943dc$313a3c23d119451d9f3f82bb47401b9f@False_bad2787d2be64bfe89cece84b8eda695', '00de2c86b6304b96b2288a0716e34829');
INSERT INTO `exam_record` VALUES ('4c35538434714d169af9abf6e05c4e5b', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-27 09:30:15', null, '5', null, '2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('4c65118dbbd344e88e2a04bf14241452', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-22 19:52:31', null, '5', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$31e9ad43e84e484eb8b77b7e7a76de91@False_d36bd089207f48cfb5d806d9cf882009', '29a5f4accd1f450e91cbc75e79eec47e');
INSERT INTO `exam_record` VALUES ('4cc8ee4edddf4f7098a81f0e09572b1b', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-25 22:37:06', null, '5', null, 'a12eb101321b451bbc54a136e98acfd0@True_8c0f6801448b4185b3446d92b0721c40', '11e43c39761a463db8407cde15a67693');
INSERT INTO `exam_record` VALUES ('4cdf46b2cb9746fa8c4e8959295460ca', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-02 22:14:11', null, '20', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-88ec4c60df0842c7b603cf82450b12cb$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('4d2d51ab8c9b4180b034b16e1363ea93', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-31 11:21:24', null, '5', null, '14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('4dc8954dd8204e9e8ca6b74804b72401', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-23 17:04:18', null, '10', null, '25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('4dd3c9346b5d4b73ac4a96b2bd19133d', '79392778a90d4639a297dbd0bae0f779', '2020-03-29 16:35:12', null, '10', null, '8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$cba6ce4038b5401fb4cb43205557ccf9@True_bf93ba7988f84053ae197bded7ec10ea$bb22f19338174d1f9333f9aebd6ffeb6@False_0dda4965171b4f9680a6acfab9af9625$a12eb101321b451bbc54a136e98acfd0@False_228f57a595a2416aa6cf7df66095236a$b95a0546fcc8418e84185137d14b1b50@False_2c57854526c64f1ab3cd6a7c37749ac0', '11e43c39761a463db8407cde15a67693');
INSERT INTO `exam_record` VALUES ('4e562a4479e14ff5baf5d2d8d3d52edc', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-02 17:23:01', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0', '851efee8155447afb42aa3083cb1e2cc');
INSERT INTO `exam_record` VALUES ('4ed2626f04734ff99f427d62a9355835', '68042014e23c4ebea7234cb9c77cee5c', '2020-06-25 20:35:25', null, '0', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('4ed5a04c1633479ea95f6b97a2727e9a', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-19 10:39:59', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('4f10ccec098b47238c5357496d723560', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-04 14:53:33', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('4f10d778929543bd815c373dd336891b', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-01 22:32:52', null, '10', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '303efbfe2e5f460c909e935345424244');
INSERT INTO `exam_record` VALUES ('4f2e986b3b934e96ab25e5f3209c7720', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-15 16:53:35', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('4f3c1921c99443ccb972175f2f828269', '79392778a90d4639a297dbd0bae0f779', '2020-09-29 14:36:36', null, '0', null, '6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('4fa28366e392440b8fb1ec9386ffaded', '79392778a90d4639a297dbd0bae0f779', '2020-06-17 13:13:37', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$004c8b75a1a2421986fa05c89d0a903d@False_cc2f57d910694387868cc67efd65b4dc', '16081a246f004bb2888aad0320628340');
INSERT INTO `exam_record` VALUES ('4fad87d16bc343caa1665160bab98ae1', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 15:19:45', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('509205f25bbe461ca1dffc1bc278fe53', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-28 14:39:42', null, '5', null, '1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('5141249a9b404692936118e92ed97dac', '79392778a90d4639a297dbd0bae0f779', '2020-09-28 17:10:55', null, '0', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$ecdfbdd2a9f24017b3fe1aa0947ca146@False_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '1b675c9ccad54c15bcd805db43538a37');
INSERT INTO `exam_record` VALUES ('5183ec405bf9420fa57c1ded07403061', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-08 15:03:19', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('51b7af4b09cf4cc6be9182f870f6b198', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-14 10:53:11', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('5250c5f7094445a99a542069f48225ca', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-02 13:31:40', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('5269a076b1dd4ab398b0ecec2bd677e9', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 15:20:15', null, '5', null, '1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('52e40776c2da4742a7b96f59d56ac62e', '79392778a90d4639a297dbd0bae0f779', '2020-08-31 13:54:55', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-bbe3df2c7ba44b13b4b77cbd929a8fb1', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('531220bf6f6b450f85c4c1c4a2172d33', '79392778a90d4639a297dbd0bae0f779', '2020-09-03 11:37:36', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('532875bf1b2942bcaa3f5a4f183ab2c8', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-08 15:10:27', null, '10', null, '1003b43b03934068973f67d199565dce@True_34ee794ddaab4033b84efcd749595329$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24', '1b989eb399b243b49be371a6fb6292ca');
INSERT INTO `exam_record` VALUES ('536fd94e7bec4c97990be74f6741bbaf', '79392778a90d4639a297dbd0bae0f779', '2020-03-08 22:15:26', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('539b8eae24b94713bf7424e15e9a92cd', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-04 18:05:06', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('53c31666906741aead4656eb0d1ce7a8', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-21 21:56:43', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('53ee1f8eb0674cfcabcbb9f2e4dc8453', 'a1b661031adf4a8f969f1869d479fe74', '2020-10-06 16:28:04', null, '5', null, '495fce658bc4409aac2e14657d8e7e8d@True_95ebcd9078444043b7ff375a2fe67178', '07bcd5b8507c42909e0b3212ec72b832');
INSERT INTO `exam_record` VALUES ('53f81d95956145be92ac2517b57fc434', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-02 16:33:35', null, '20', null, '2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$517621a3c6b745459a5606c65cd38e27@False_3337d407ecde4865b80a5fc9e7fe37e3-64f67417f3b54909a2aa328c1fc6571a$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$340e5189877a4eb58492c7bb7a3c094d@False_e80b3bfbd8764da58e06e2a928b086af$495fce658bc4409aac2e14657d8e7e8d@True_95ebcd9078444043b7ff375a2fe67178', 'f9f65ff03b9040458e4dae499aa3275e');
INSERT INTO `exam_record` VALUES ('542a593aeed946048698251fe12e966f', '79392778a90d4639a297dbd0bae0f779', '2020-09-21 21:57:13', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('5458a9d3bc944cbaac7f86987f29e8c7', 'a1b661031adf4a8f969f1869d479fe74', '2020-10-11 16:09:48', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97$495fce658bc4409aac2e14657d8e7e8d@False_d8a80cb9399b47b8890aa897d3ca1339$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '07bcd5b8507c42909e0b3212ec72b832');
INSERT INTO `exam_record` VALUES ('54b1b043fd7d4fc9b7a453da0d9000fc', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-06 14:13:30', null, '0', null, '25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('54d6419e4ba94b3887d6271b41f9491c', '79392778a90d4639a297dbd0bae0f779', '2020-08-30 15:49:02', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('5539c03b11254535a645aea7f3a4053b', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-15 09:21:35', null, '8', null, '5396e258c48e467fbdf904701aa85840@True_59d74d533d89492993922152bfcb8a62$f3333b1a9dfb49638ef3b02df90cadb5@False_5d15248b68fe4a8992a744691ead0575$495fce658bc4409aac2e14657d8e7e8d@True_95ebcd9078444043b7ff375a2fe67178', 'fb6b8b11503e478f9d4d0367299cfee2');
INSERT INTO `exam_record` VALUES ('55d1defc055944be9d834e1dbd24a52e', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-14 20:38:58', null, '0', null, '305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('55ddb5ede20f4d35be99da9c1764d20c', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-21 14:24:50', null, '0', null, '1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261', '0966472391474b909adbaa15115d56aa');
INSERT INTO `exam_record` VALUES ('55ee8e7ee9724d7080e252ba97082a0c', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-11 23:29:33', null, '5', null, '14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', 'e0e814e4a0f3486cbccd0a900c7a529f');
INSERT INTO `exam_record` VALUES ('567451a3b0244c9b80a82a94d3d7ee48', '79392778a90d4639a297dbd0bae0f779', '2020-09-25 08:20:05', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('56a66c9f1d604076802b0875a1e68517', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-03 16:25:18', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$34ac0eba5d5548599086f7439b837d85@False_302327201f3c422ca6b636f04fb146cc-3912670d529c4bc5b3bbfb4694d750e5-435eabe9037b4ff7998943b09010e5f4', '6ae23fb0df95403f81ab90cbc42572f9');
INSERT INTO `exam_record` VALUES ('56aabbd657fe4d2cbad06a1568f7db0f', '79392778a90d4639a297dbd0bae0f779', '2020-08-31 19:04:23', null, '15', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('56b810be71d04e678af20f4ffdab548f', '79392778a90d4639a297dbd0bae0f779', '2020-03-29 14:25:31', null, '25', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('56ea72190bda4c148e39a5ba5cab139b', '79392778a90d4639a297dbd0bae0f779', '2020-03-06 10:18:15', null, '45', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('577ff6585b9145a597256368e26a9050', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-08 09:30:03', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('57e5f761ee8649e5bda768e7de282f5b', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-24 08:14:29', null, '0', null, '23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('584671c940da482297297945711ed474', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-24 14:34:44', null, '5', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('584fce0eadc645c58728972e3324b04e', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-07 23:24:56', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$cba6ce4038b5401fb4cb43205557ccf9@True_bf93ba7988f84053ae197bded7ec10ea$cff7d16da6ab428e893c748d5c759cb2@False_db43d6e8819047539922b510e0a039b7$bb22f19338174d1f9333f9aebd6ffeb6@False_0dda4965171b4f9680a6acfab9af9625$a12eb101321b451bbc54a136e98acfd0@False_228f57a595a2416aa6cf7df66095236a$b95a0546fcc8418e84185137d14b1b50@False_0eb97f9b079b4a09918884a4068ed084', '11e43c39761a463db8407cde15a67693');
INSERT INTO `exam_record` VALUES ('5864005967864ccfbef7137209976412', '79392778a90d4639a297dbd0bae0f779', '2020-08-21 14:29:28', null, '0', null, '2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('58974c50b5214040afd1478a784a48d6', '79392778a90d4639a297dbd0bae0f779', '2020-03-16 14:06:56', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('58a13360bbcc4f88aa42cd47c90b9b4d', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-30 18:55:16', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('59175e42f2a14bf2a97829b84599ebb4', '79392778a90d4639a297dbd0bae0f779', '2020-03-18 23:03:34', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('594f45a0ea9447828ff6d9d5bfa1952a', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 14:40:56', null, '5', null, '6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('5a0b91b013ee4c1b92d4d727d0cc4c30', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-08 17:57:02', null, '5', null, '6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('5a0dc7c82a5e4d179b8c829cabb2e42b', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-14 17:29:23', null, '45', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23$85047be0b2cf4077a5ec66e92ebf442b@False_b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('5a322229d9014831ab8fd0f171be4fed', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-14 16:53:22', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('5a8bf590decc419b907016f4c8dc199f', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-02 17:33:25', null, '10', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('5a8c8b084c74493c839bc13194bd8318', '79392778a90d4639a297dbd0bae0f779', '2020-06-18 11:28:39', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$e283ac11c7064ccf976f9c48d68c6a67@True_b8e2e6300ab04016a82481fff15750e0$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$31e9ad43e84e484eb8b77b7e7a76de91@False_4140a14f3f6b4067962eac1c939675c9$ecdfbdd2a9f24017b3fe1aa0947ca146@False_d15f9106bb9941eaab1e37356af083b3', '3cf0b79c367a4448af8eef6737a5d0b3');
INSERT INTO `exam_record` VALUES ('5a9e1796e6f0404c810e1e2814a8f543', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-07 08:58:08', null, '0', null, '25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('5ab09301d3dc49d7a9243782c6bcacc6', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-01 15:40:47', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$dc91198c27dc4ab5942ffc924f282367@False_397f7bbc8afc431e8976ee8764d88584$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('5b06f5bfbb884c7f8c891b25de4a4fe1', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-08 16:52:13', null, '15', null, '1003b43b03934068973f67d199565dce@True_34ee794ddaab4033b84efcd749595329$2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$03ba87a6ca3a4075bd983ca799d518d8@True_5d828aadc336424ab03eaa63026bcad3$004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036$1e6268528ea14ad78f8024b9f7cf7207@False_8d747e1373294eb394a821f722c4b122$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5', '76f4626b70864d36b23bee5b445cd041');
INSERT INTO `exam_record` VALUES ('5b0acb8d341e46a5bc6b3d000254bae8', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-17 18:07:10', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('5b759d1247c4453d90e5cb8be0150710', '79392778a90d4639a297dbd0bae0f779', '2020-09-28 10:52:40', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@False_397f7bbc8afc431e8976ee8764d88584$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('5bd306b28a9d48ba87bd92bf5215dc7c', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-15 12:17:21', null, '5', null, '14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('5be305960ecd421fb280173d86a19c57', '68042014e23c4ebea7234cb9c77cee5c', '2020-04-30 13:18:16', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('5c01c8ce6dbd401b81edda6782f4e3f3', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-14 21:47:06', null, '3', null, '5396e258c48e467fbdf904701aa85840@True_59d74d533d89492993922152bfcb8a62$f3333b1a9dfb49638ef3b02df90cadb5@False_af72e24e7b0d4273a6e46005b080f9c7-d3e1e307c2a84372b9c2a39f0c082b0f$495fce658bc4409aac2e14657d8e7e8d@False_d8a80cb9399b47b8890aa897d3ca1339', 'fb6b8b11503e478f9d4d0367299cfee2');
INSERT INTO `exam_record` VALUES ('5c91ccc94beb43ee985eece1716f33e7', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-04 16:15:04', null, '10', null, '2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7$004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036$340e5189877a4eb58492c7bb7a3c094d@True_fb5f2eecef2341279412400d9a58ac4b', '54f9181eb04141c083f2a7889bbac8cc');
INSERT INTO `exam_record` VALUES ('5c987808cf7746e8abfe688ed711cbc1', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-09 14:06:19', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('5d20eb2c7b754c9a9482593def306335', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-13 10:41:08', null, '0', null, '25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('5d3e9a8b85ee47b98a396b57343b19bf', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-08 15:33:31', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('5d46242a64ed4183a9f9c301d62c528b', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-24 08:46:08', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('5d83a0b52e0b4df3b46375d5ed6abc04', '18fe065cfadf4402a8be3bdc24b3505e', '2020-04-20 08:29:22', null, '20', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@False_ab85c51b6e91402385aeda6551aea608$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('5d884900b9a0408c8d2df4d9fd2cefd8', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-13 11:17:09', null, '10', null, '30a7598bc91346478027795679cd71c3@False_648500831b5640f79b627a667883e7c1$1eaff8deac0041ed857d16461a290985@False_9527ec01d85e43d697d012a02594d647$0f228882c0fe462db958be54df6a1142@False_b6194cc93e4d45e8a1a5d804f141f72a$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', '36d3acfdd42845b2969c5a209653530b');
INSERT INTO `exam_record` VALUES ('5da0fc9a87dc469fb033ffdc12d7c426', '79392778a90d4639a297dbd0bae0f779', '2020-08-31 14:22:58', null, '0', null, '14cc31707d53433f81841058a97575da@False_4d5c32e598cc41abb003f2f37dab210e', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('5dfbe12c43694021bd3dfcc9cc0ff027', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 09:29:18', null, '30', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@False_397f7bbc8afc431e8976ee8764d88584$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('5e214df4afbb468982f735c233b4cc9b', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-16 10:17:10', null, '0', null, '23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('5e540d70975e4fc4a1014441dadabb57', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-24 13:36:48', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f$2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('5edd5e2b9bbb47609bcbcf877c58afe3', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-28 12:40:56', null, '5', null, '004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036', '270e73439a0b4fb4bae3f190c01838b4');
INSERT INTO `exam_record` VALUES ('5edd98700ae24ab3a90786a93ae37ce8', '79392778a90d4639a297dbd0bae0f779', '2020-06-26 14:18:52', null, '25', null, 'fdff95bd64994abc876c3872b7bc9aa3@True_622ef18f538b44f180202dac9c2b1353$1003b43b03934068973f67d199565dce@False_790e68b1844f43bf947cd6450c547cd5$2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$03ba87a6ca3a4075bd983ca799d518d8@False_4a11c0a8ff5f460ea1ac0fd3dcc23644$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$31ab7a49aa254240935d1e871d7f2f09@True_a3cc733bcc5e47bab69f3fec7867fd38$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$11ae50c372c64e7ca59691c435c91239@False_eaadd6650f9d4ea686919dc9730d91a8$f3333b1a9dfb49638ef3b02df90cadb5@False_5d15248b68fe4a8992a744691ead0575-af72e24e7b0d4273a6e46005b080f9c7$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23$473ecef6048d4d1a91b8100eb7a176e0@True_91954e91ac184f648cc944bf84dbbe19', '0efedb29fbbe4dac97d36e73997d2480');
INSERT INTO `exam_record` VALUES ('5f1c8d5f9f3b4ecead77a1920a46b351', '79392778a90d4639a297dbd0bae0f779', '2020-09-08 15:37:14', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@False_397f7bbc8afc431e8976ee8764d88584$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('5f2fc6182d164bb1a5f19a08bde32678', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-01 20:21:38', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('5f4ffe03b0da4950b0691427abc8059f', '79392778a90d4639a297dbd0bae0f779', '2019-10-29 07:34:57', null, '30', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-92ed63ab069d4f0bae0bbf630a03d34d$e283ac11c7064ccf976f9c48d68c6a67@True_b8e2e6300ab04016a82481fff15750e0$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '303efbfe2e5f460c909e935345424244');
INSERT INTO `exam_record` VALUES ('5f6548bc58f2485e961f76694a1b4202', '68042014e23c4ebea7234cb9c77cee5c', '2020-05-06 11:01:38', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198', '5f231a83716742d0ba4af9448be9ed63');
INSERT INTO `exam_record` VALUES ('5f6edd75766c4496ba2f1f7d033289e0', '68042014e23c4ebea7234cb9c77cee5c', '2020-07-17 15:35:33', null, '5', null, '018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', '4b90e19967594a36be6f1b44053025b1');
INSERT INTO `exam_record` VALUES ('5f89b997ffe440bcacafb9a38840e5fa', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-01 13:18:03', null, '5', null, '14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('601a9e7971234ef2a2d7289152048add', '68042014e23c4ebea7234cb9c77cee5c', '2020-05-15 16:19:03', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('6047acc3efe6413190d204ce65e57404', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-09 09:24:02', null, '5', null, '004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036', '76f4626b70864d36b23bee5b445cd041');
INSERT INTO `exam_record` VALUES ('60622361ebed4a179cf8d9a1fe8d0ba5', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-30 01:30:43', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('6062c42ba53e4931ae413ebbbbfb1707', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-30 16:15:45', null, '10', null, '5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('60f83194bd4740e7a2052a86c90ccc28', '79392778a90d4639a297dbd0bae0f779', '2020-03-18 17:27:07', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('61035616274d47f2a3dc93732a2c8d64', '68042014e23c4ebea7234cb9c77cee5c', '2020-09-08 15:03:46', null, '0', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef', '76f4626b70864d36b23bee5b445cd041');
INSERT INTO `exam_record` VALUES ('612817fac6714d1ca2ebb734858db7dd', '68042014e23c4ebea7234cb9c77cee5c', '2020-04-21 12:51:41', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('61b34204db4a4d42ac161c94377c62bc', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 14:00:53', null, '10', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('61d5f71a43a34c18aa389fda542cbdaa', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-19 15:20:52', null, '5', null, '14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('61d6642484ab41128b831600410ea37d', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-24 17:08:53', null, '5', null, '078a8fed0cc649f8a864a430b4e7188c@True_2449ebcfb9044460b9b44a5bba42110c', '5d9f3ce7cf81460cae209fcd381395db');
INSERT INTO `exam_record` VALUES ('621fd753044c4ed59054acfcb4d5cd75', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-02 13:59:07', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('622e0b61d23946da9d33492e5aef3011', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-26 16:41:07', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@False_397f7bbc8afc431e8976ee8764d88584$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('622fd12b4a01420d80d7d382f31164a1', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-06 21:25:57', null, '0', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f-bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('62564d51faac4dff94986a1dbc190630', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 14:32:22', null, '20', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f-bc4e6c276e6d4b80871badf7d2a9087c$9199009718ec4685a0a500d23ab814c5@False_e4142da9d88b457b91249a3090f35d6b$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$3864178819534aa7862b26e893aa2e62@True_e4697cfd242c4328b28a084e4ecaaf3c$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '258bf9410e854f34bba9c9a08f4dd313');
INSERT INTO `exam_record` VALUES ('628338aeee8c45fbac282ccf7ee4612b', '79392778a90d4639a297dbd0bae0f779', '2020-03-28 15:51:40', null, '0', null, '14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0', '151921d7925f49ddb574a5134fac3b95');
INSERT INTO `exam_record` VALUES ('629b15e999be42c0917da487a4ff7b23', '68042014e23c4ebea7234cb9c77cee5c', '2020-03-31 17:31:06', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$14cc31707d53433f81841058a97575da@False_4d5c32e598cc41abb003f2f37dab210e', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('62ba458377b3437b99504a837972c8ee', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-21 21:45:03', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('62d6cae74e7c475d80db8839fadad6cd', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-03 15:11:20', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('62fba7ac8f284c00817d30167cf97c0b', 'a1b661031adf4a8f969f1869d479fe74', '2020-10-02 01:16:01', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('63494f82ff0642e0aa6f5a6d339fde30', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-23 10:27:45', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('63de5dfb73e04fc7be7fdf7657f90cc8', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-31 02:11:58', null, '10', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_ab96efeec3144ecea3bf955d4e52980f$9199009718ec4685a0a500d23ab814c5@True_785ad33574f747fd870dd6eadff303ab$3864178819534aa7862b26e893aa2e62@False_9b14c29c2d514b10af620655ff13a204$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9', '258bf9410e854f34bba9c9a08f4dd313');
INSERT INTO `exam_record` VALUES ('641a38a8799c4e6e8ad81153283c6d75', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-10 16:49:58', null, '0', null, '396b55534851427590e089fb9cc040cc@False_9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28$5e0389903aa94524bcae09ca457ecdaa@False_d260b7e951064e609f6c5de6abbb2b83$340e5189877a4eb58492c7bb7a3c094d@False_e80b3bfbd8764da58e06e2a928b086af', '1b989eb399b243b49be371a6fb6292ca');
INSERT INTO `exam_record` VALUES ('64317271f0d54cfc8c31598b27bcf2f4', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 14:46:41', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@False_397f7bbc8afc431e8976ee8764d88584$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('64682e6ffea34e528963e96062e5fd48', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-18 14:03:52', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('64c92b3d538c40f99a27dc7c346529bf', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-31 16:19:20', null, '0', null, '1003b43b03934068973f67d199565dce@False_790e68b1844f43bf947cd6450c547cd5$1e9521efc6bb469ba9bd98c76f6ba53d@False_d2c8a767fd55485eb8ce90b242d081b3$03ba87a6ca3a4075bd983ca799d518d8@False_4a11c0a8ff5f460ea1ac0fd3dcc23644$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$2f8b20630b10471395b6c379a465cca8@False_ab85c51b6e91402385aeda6551aea608$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$14cc31707d53433f81841058a97575da@False_6f0631ce414c49519a162af9062073ca$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5', '1b9df76d0f68462e84e8f2310be4ad9a');
INSERT INTO `exam_record` VALUES ('64ce8d2ccc824673bff1058e102e5d0f', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 14:39:18', null, '10', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('64da5198103545939c065c4099322c02', '68042014e23c4ebea7234cb9c77cee5c', '2020-03-19 21:50:38', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('64e9435471e7454ebcfd103c91d7bee1', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-24 15:04:38', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('65008012314c4c559001748693282e0c', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 14:53:49', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97$495fce658bc4409aac2e14657d8e7e8d@True_95ebcd9078444043b7ff375a2fe67178$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '07bcd5b8507c42909e0b3212ec72b832');
INSERT INTO `exam_record` VALUES ('65104b6063054a7e80698d00a8d65f4b', '79392778a90d4639a297dbd0bae0f779', '2020-04-10 19:29:06', null, '0', null, 'cff7d16da6ab428e893c748d5c759cb2@False_db43d6e8819047539922b510e0a039b7', '11e43c39761a463db8407cde15a67693');
INSERT INTO `exam_record` VALUES ('6519292d684043cb91314ba89861682c', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-21 22:21:04', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('65200f0ae7aa487d9cc968677ba5e731', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-29 00:48:48', null, '25', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_ab96efeec3144ecea3bf955d4e52980f$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$85047be0b2cf4077a5ec66e92ebf442b@False_b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('65d23b29906343a388b02b2854946964', '79392778a90d4639a297dbd0bae0f779', '2020-07-30 16:22:10', null, '0', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_ab96efeec3144ecea3bf955d4e52980f$2f8b20630b10471395b6c379a465cca8@False_ab85c51b6e91402385aeda6551aea608', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('65d87f3500434ed590f54e9cbe4081c6', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-17 16:34:59', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('65d8a47daeca4285a1c63855f582d470', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-01 17:48:08', null, '5', null, '31e9ad43e84e484eb8b77b7e7a76de91@True_5ac788b163b04bc9b159f11d1cb1abba', '3cf0b79c367a4448af8eef6737a5d0b3');
INSERT INTO `exam_record` VALUES ('66111ed0932e4069994cbba36bb5569c', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-29 19:33:45', null, '0', null, '4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('6647bd388b1649549db98c0cb3eb9c58', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-08 18:57:36', null, '5', null, '14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('66495ab7f7f34074824f685689952027', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-02 13:14:55', null, '5', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('667c63e7c4ef45e886b9f0f507e10500', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-05 10:45:56', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('669167e663244d16b14ba595f08e2bbb', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-03 17:07:54', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('669aab2b01924fae9464abf257d553ec', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-09 09:18:19', null, '5', null, '1003b43b03934068973f67d199565dce@True_790e68b1844f43bf947cd6450c547cd5$517621a3c6b745459a5606c65cd38e27@False_2c11d8ee79394fd5b82306824d92ae36-3337d407ecde4865b80a5fc9e7fe37e3-64f67417f3b54909a2aa328c1fc6571a$34ac0eba5d5548599086f7439b837d85@False_302327201f3c422ca6b636f04fb146cc-3912670d529c4bc5b3bbfb4694d750e5-435eabe9037b4ff7998943b09010e5f4$340e5189877a4eb58492c7bb7a3c094d@False_e80b3bfbd8764da58e06e2a928b086af', '5be639dd97e6482a81feb047cc64f29e');
INSERT INTO `exam_record` VALUES ('66a7e110d87146cba683f96768826699', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-22 09:58:42', null, '5', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$2929d07f28a54c81931701d2b162fd70@False_e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('66e96649c15047e499a61193cddba34a', '79392778a90d4639a297dbd0bae0f779', '2020-03-27 22:33:14', null, '10', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_88ec4c60df0842c7b603cf82450b12cb$9199009718ec4685a0a500d23ab814c5@False_233c13ee72c9456989788201fd108c8e$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$3864178819534aa7862b26e893aa2e62@False_9b14c29c2d514b10af620655ff13a204$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094', 'c597bd5d65c741ddb5853dad9c8d6327');
INSERT INTO `exam_record` VALUES ('66f2fd5239f74737a5bac2a0a9b4966c', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-25 13:09:41', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('6768cbe6df534e21a08c54e57460ff62', '79392778a90d4639a297dbd0bae0f779', '2020-04-02 20:28:35', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('67e6710e1b04470f9bb69f47c987f56f', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-10 15:18:29', null, '5', null, '224ae57b9c1749bdbfab51b2284789ce@False_a0e9cddc8e304295b7bb13813d4fb4f5$2b4df8f9333741ef9f56bc188ec8a147@True_8398259d17a84b71a19e958ffd63447f$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$4b8863f7a26747219f9d1e59165c08a6@False_744697e9f4984970a2b1949b84d10139', 'dc4662f2df1848f490ec2a608f05ecea');
INSERT INTO `exam_record` VALUES ('67f9e895bc7a400f92a8ba9737cf9e99', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 12:39:11', null, '25', null, '22d201cd2e5c4558bbbdf4cb5d7ea717@False_8dd912efd1d0449a836e73486c66ca1c-bccb33b6264248318e380d9e7802d2a5$1003b43b03934068973f67d199565dce@False_790e68b1844f43bf947cd6450c547cd5$03ba87a6ca3a4075bd983ca799d518d8@True_5d828aadc336424ab03eaa63026bcad3$0885c830022746cf8972c97eba9f5b15@False_995407da7fd141d3a264e359dedf199b$157767faab1e459fbb63eddef08f1a0d@False_9d4db526074c4642922790aae582742d$07441a6a40d44196a1e67fe344ac57a9@True_d7f693f122e94549b93d39d79e5d53e7$0cae9d2a09824bacb660d21aa550e599@True_5dd85e56e1704c15b1ac522fdedeb637$388dd246953945569e3617b268629ee4@True_51c476176e03424f8c2fae10a7113d8d-fe7b64dae30a4f389d042ab93525b46b$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', 'e822fe928cd84eac9a0f8d07618a8ffa');
INSERT INTO `exam_record` VALUES ('680e21c0a3344b53bccd1f4209cede75', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-19 16:38:14', null, '25', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('685c6d3885764c73afd5bf2e20239f6e', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-22 21:37:05', null, '0', null, '85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '258bf9410e854f34bba9c9a08f4dd313');
INSERT INTO `exam_record` VALUES ('6888035fcfc144a49966ea8a3560a24b', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-11 11:42:29', null, '5', null, '1003b43b03934068973f67d199565dce@True_34ee794ddaab4033b84efcd749595329$34ac0eba5d5548599086f7439b837d85@False_3912670d529c4bc5b3bbfb4694d750e5$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0', '13e00f069eef47b2b76e4ab941b32cce');
INSERT INTO `exam_record` VALUES ('689091ef262747339b3548d0fc80e2db', '79392778a90d4639a297dbd0bae0f779', '2020-09-02 09:35:28', null, '30', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@False_397f7bbc8afc431e8976ee8764d88584$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('68c53a3230404a76b8a0012b66d22969', '79392778a90d4639a297dbd0bae0f779', '2020-05-12 23:15:33', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-bed28153b51d410aafa64a6cc9c6fbb9$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('69229fe6ee16452a9a71dce1cf4812b4', '68042014e23c4ebea7234cb9c77cee5c', '2020-04-24 21:56:40', null, '0', null, '3864178819534aa7862b26e893aa2e62@False_9cd1e597ae4144938be500efa21eec9b', 'ff221a5c379b40bda60677e7c54bce02');
INSERT INTO `exam_record` VALUES ('69463fdd204e44ceb1da4b3163b09fcd', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-07 18:25:12', null, '10', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('696a54b6cd3e4d1f9647258da5bfd344', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-22 09:40:23', null, '7', null, '1003b43b03934068973f67d199565dce@False_790e68b1844f43bf947cd6450c547cd5$03ba87a6ca3a4075bd983ca799d518d8@True_5d828aadc336424ab03eaa63026bcad3$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$340e5189877a4eb58492c7bb7a3c094d@False_e80b3bfbd8764da58e06e2a928b086af$495fce658bc4409aac2e14657d8e7e8d@True_95ebcd9078444043b7ff375a2fe67178$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7$396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e', 'c46a8887454b40228cad0478e6d8c102');
INSERT INTO `exam_record` VALUES ('6972d8b3116446a99a7e421a824c4bec', '79392778a90d4639a297dbd0bae0f779', '2020-09-21 09:09:56', null, '5', null, '004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036', '26c255ac1cc048438f7c669dfce743cb');
INSERT INTO `exam_record` VALUES ('69f5e9a0f4f04fd9a56b70eb0e704e79', '79392778a90d4639a297dbd0bae0f779', '2020-08-06 15:31:00', null, '10', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('6a88cc7bbb1a4f04a416bc44844dd64a', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 13:55:03', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('6a9e96d52505482c99353879df492da4', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-06 23:51:30', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('6ad795c1e6624913b848e940078efc38', '79392778a90d4639a297dbd0bae0f779', '2020-08-31 17:19:15', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$03ba87a6ca3a4075bd983ca799d518d8@False_4a11c0a8ff5f460ea1ac0fd3dcc23644$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70', '1214de71321e4b1d8b6bb86b5edadee3');
INSERT INTO `exam_record` VALUES ('6b2664c3ae614338b4e82b33fc686ced', '79392778a90d4639a297dbd0bae0f779', '2020-09-28 21:42:20', null, '5', null, '1003b43b03934068973f67d199565dce@False_790e68b1844f43bf947cd6450c547cd5$03ba87a6ca3a4075bd983ca799d518d8@False_4a11c0a8ff5f460ea1ac0fd3dcc23644$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', '00de2c86b6304b96b2288a0716e34829');
INSERT INTO `exam_record` VALUES ('6b3ff69782104e2bb078e041101f3708', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-02 10:25:13', null, '25', null, '224ae57b9c1749bdbfab51b2284789ce@False_3d9abd4caa484af99e8667ac8408ce85-61fa118af54846ce9498774fc7dbb462$1e9521efc6bb469ba9bd98c76f6ba53d@False_d2c8a767fd55485eb8ce90b242d081b3$03ba87a6ca3a4075bd983ca799d518d8@False_6c4887193b194851b22d3efd70f1b35b$0885c830022746cf8972c97eba9f5b15@False_995407da7fd141d3a264e359dedf199b$31ab7a49aa254240935d1e871d7f2f09@True_a3cc733bcc5e47bab69f3fec7867fd38$07441a6a40d44196a1e67fe344ac57a9@True_d7f693f122e94549b93d39d79e5d53e7$0cae9d2a09824bacb660d21aa550e599@True_5dd85e56e1704c15b1ac522fdedeb637$004c8b75a1a2421986fa05c89d0a903d@False_cc2f57d910694387868cc67efd65b4dc$1e6268528ea14ad78f8024b9f7cf7207@False_8d747e1373294eb394a821f722c4b122$340e5189877a4eb58492c7bb7a3c094d@True_fb5f2eecef2341279412400d9a58ac4b$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', '7d25a6ec5f6e4bd99c0c79ddab3c659c');
INSERT INTO `exam_record` VALUES ('6b5939b8074b4727b0026523d51078e6', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-15 02:15:00', null, '10', null, '1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('6b6dd0c28e1b42f597106f9f12f97c98', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-25 15:31:42', null, '0', null, '85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9', '258bf9410e854f34bba9c9a08f4dd313');
INSERT INTO `exam_record` VALUES ('6bc71ffe54f841a59497963a4df8320e', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 14:34:40', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('6bdfc8c4bebd49be850faf77e2ddc2ae', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-02 22:37:38', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('6c444045ff1548449ce97065634042e1', '79392778a90d4639a297dbd0bae0f779', '2020-09-27 23:40:07', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_bed28153b51d410aafa64a6cc9c6fbb9$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97$495fce658bc4409aac2e14657d8e7e8d@False_d8a80cb9399b47b8890aa897d3ca1339$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '07bcd5b8507c42909e0b3212ec72b832');
INSERT INTO `exam_record` VALUES ('6c72a3b29abe45ce82a44802ea4ccdb2', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-22 09:36:10', null, '15', null, 'd42d9faa517146329a458550ec06262c@False_abccb812dee64ce698236cfe7bc99487$38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$cba6ce4038b5401fb4cb43205557ccf9@False_eddc33534976426496b1e2eb5cfe1502$517621a3c6b745459a5606c65cd38e27@False_2c11d8ee79394fd5b82306824d92ae36-64f67417f3b54909a2aa328c1fc6571a$34ac0eba5d5548599086f7439b837d85@False_3912670d529c4bc5b3bbfb4694d750e5-435eabe9037b4ff7998943b09010e5f4$25bf7d1a791f4cf39d85e26b113001e8@True_508aec988215422e82c0850c79aea7b1$2929d07f28a54c81931701d2b162fd70@True_d567c1de87c04359a717c04f3d7de8a7-e1c39e7f3d894c65aa7e6e980229757c$bb22f19338174d1f9333f9aebd6ffeb6@False_0dda4965171b4f9680a6acfab9af9625$590889adc7994fbdbd895f3f8f4cd1f4@False_502c3eb45a4748f38f89e0010e18ab5c-5c2e94d4363449c4ac3ffbfcd347b5e4-c81d168f407d476c9caf518b23cbc3ee-c87c37f82879406bbb12094a04115838$340e5189877a4eb58492c7bb7a3c094d@True_fb5f2eecef2341279412400d9a58ac4b$b95a0546fcc8418e84185137d14b1b50@False_0eb97f9b079b4a09918884a4068ed084', 'c4332cad17ae4bbe9db223d23019159b');
INSERT INTO `exam_record` VALUES ('6c7b3452494b4c85b7379fb8ad357d4f', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-13 22:38:05', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$14cc31707d53433f81841058a97575da@False_4d5c32e598cc41abb003f2f37dab210e', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('6c7f6a9fba4a46af811513fa7f23c345', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-18 18:04:20', null, '10', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb-bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70', '258bf9410e854f34bba9c9a08f4dd313');
INSERT INTO `exam_record` VALUES ('6c9e84ea8bb9441db33e63596b4a4f10', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-16 19:51:08', null, '15', null, '25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('6ca67acf776147149f90957a26283673', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-03 15:45:07', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('6d40255cd52c45758f49123b13570ae9', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-03 15:21:15', null, '0', null, '14cc31707d53433f81841058a97575da@False_6f0631ce414c49519a162af9062073ca', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('6dd8cefc8fc241deb960b2c64429fca8', '79392778a90d4639a297dbd0bae0f779', '2020-03-10 16:37:34', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('6ddb6fa4835f49ada940296c6344b7b0', '79392778a90d4639a297dbd0bae0f779', '2020-09-25 10:49:59', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('6e27c71d0a1b4a00a6c76f89dff4e83b', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-23 18:54:00', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('6e38f06ce0a1467b96250d69990214e3', '79392778a90d4639a297dbd0bae0f779', '2020-02-27 18:25:40', null, '20', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_88ec4c60df0842c7b603cf82450b12cb$2f8b20630b10471395b6c379a465cca8@False_ab85c51b6e91402385aeda6551aea608$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5$85047be0b2cf4077a5ec66e92ebf442b@False_b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('6e5a54a999c04c7eb8e1511e13945a3f', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-26 23:28:07', null, '0', null, '31ab7a49aa254240935d1e871d7f2f09@False_397a9ee0beaa48d7850204bf44aa0cfa', '5f231a83716742d0ba4af9448be9ed63');
INSERT INTO `exam_record` VALUES ('6eb92656f8c14ec78687add813a3eb72', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-28 21:22:29', null, '25', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_ab96efeec3144ecea3bf955d4e52980f$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('6ebb8d3319dc409da41597896dd46553', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-13 17:41:09', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('6f156315d0bf411098cdeeb58296028c', '79392778a90d4639a297dbd0bae0f779', '2020-04-21 20:16:53', null, '25', null, '2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$517621a3c6b745459a5606c65cd38e27@True_64f67417f3b54909a2aa328c1fc6571a$31ab7a49aa254240935d1e871d7f2f09@False_397a9ee0beaa48d7850204bf44aa0cfa$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$31e9ad43e84e484eb8b77b7e7a76de91@True_5ac788b163b04bc9b159f11d1cb1abba$340e5189877a4eb58492c7bb7a3c094d@False_e80b3bfbd8764da58e06e2a928b086af$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$34ac0eba5d5548599086f7439b837d85@False_435eabe9037b4ff7998943b09010e5f4$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97', '871775f9762344608bf5f509eea2bc87');
INSERT INTO `exam_record` VALUES ('6f2ee439d5e646c7a5856c788eb260b7', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-04 18:02:38', null, '10', null, '2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('6f3e8f135fc6490296c6412fa5751290', '68042014e23c4ebea7234cb9c77cee5c', '2020-08-04 09:58:05', null, '0', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('6fac142ef4554cba9fa8daafbdbf3ad5', '79392778a90d4639a297dbd0bae0f779', '2020-08-28 16:30:36', null, '0', null, '23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('6ff699c0bb14423280beff9c58f2f77a', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-31 09:26:54', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@False_4d5c32e598cc41abb003f2f37dab210e', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('70155eedb58845a89f3716c3e1b1f29f', '79392778a90d4639a297dbd0bae0f779', '2020-02-24 23:33:43', null, '25', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('703117bfb02d4c798ad2ec29d7ba30a3', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-21 14:45:37', null, '0', null, '3864178819534aa7862b26e893aa2e62@False_9cd1e597ae4144938be500efa21eec9b', 'ff221a5c379b40bda60677e7c54bce02');
INSERT INTO `exam_record` VALUES ('704cf9e5bb534f818401729f83cb4271', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-19 23:46:27', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$1003b43b03934068973f67d199565dce@False_790e68b1844f43bf947cd6450c547cd5$30a7598bc91346478027795679cd71c3@False_648500831b5640f79b627a667883e7c1$03ba87a6ca3a4075bd983ca799d518d8@True_5d828aadc336424ab03eaa63026bcad3$0885c830022746cf8972c97eba9f5b15@False_995407da7fd141d3a264e359dedf199b$5495afd392314658960c3911fd6c1b84@False_f139c33a448e48d38b36b6e710ce232e$2f8b20630b10471395b6c379a465cca8@False_ab85c51b6e91402385aeda6551aea608$517621a3c6b745459a5606c65cd38e27@False_3337d407ecde4865b80a5fc9e7fe37e3$fe75613b9a8447ffacfdc23d8440faa8@False_c407fe402bd048dab775052e307d2bf0$14cc31707d53433f81841058a97575da@False_4d5c32e598cc41abb003f2f37dab210e$31e9ad43e84e484eb8b77b7e7a76de91@False_4140a14f3f6b4067962eac1c939675c9$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7$396b55534851427590e089fb9cc040cc@False_92ed63ab069d4f0bae0bbf630a03d34d$07441a6a40d44196a1e67fe344ac57a9@True_d7f693f122e94549b93d39d79e5d53e7$34ac0eba5d5548599086f7439b837d85@False_3912670d529c4bc5b3bbfb4694d750e5$2929d07f28a54c81931701d2b162fd70@False_e1c39e7f3d894c65aa7e6e980229757c$004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036', '6c14bb036c8f4bcea269d0fee3720749');
INSERT INTO `exam_record` VALUES ('706c45222d594dba878e0028d0cc522b', '68042014e23c4ebea7234cb9c77cee5c', '2020-05-12 21:43:59', null, '0', null, 'caac198257444ae2a7f6b6d9f8399f8b@False_579e9d59ced64518908e9fb5ff2595c3', '5d9f3ce7cf81460cae209fcd381395db');
INSERT INTO `exam_record` VALUES ('706e7ab492a94ad885af16f0906ed680', '79392778a90d4639a297dbd0bae0f779', '2020-05-28 18:03:07', null, '5', null, 'dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('708467a0eae0445ea6813f0b010c392f', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-07 09:44:09', null, '0', null, '311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('70e0ec0069254dc398009a75984df9a3', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-17 11:26:06', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('710f5346805140d78ea56634e97a5a95', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-16 10:46:10', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('71376816ea944e9f9faa0a2a22fa5d24', '79392778a90d4639a297dbd0bae0f779', '2020-08-10 16:18:01', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1$2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('715d1eeddc75478eb70c3a5d76ee5ab5', '79392778a90d4639a297dbd0bae0f779', '2020-04-02 20:29:23', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$cba6ce4038b5401fb4cb43205557ccf9@True_bf93ba7988f84053ae197bded7ec10ea$cff7d16da6ab428e893c748d5c759cb2@True_8c95b512240b4a47b85743a64f65c0ba$bb22f19338174d1f9333f9aebd6ffeb6@True_9da49e7309604e81bacfdc7bb9044bc1$a12eb101321b451bbc54a136e98acfd0@False_251eb27617ce458697f6e966bbf87bed$b95a0546fcc8418e84185137d14b1b50@False_2c57854526c64f1ab3cd6a7c37749ac0', '11e43c39761a463db8407cde15a67693');
INSERT INTO `exam_record` VALUES ('7164b6683b8a41958a0f7adfacbbb4ef', '79392778a90d4639a297dbd0bae0f779', '2020-08-31 14:11:21', null, '15', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '303efbfe2e5f460c909e935345424244');
INSERT INTO `exam_record` VALUES ('7190621f25794e2b88dc9f4422ff4593', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-05 16:19:55', null, '6', null, '34fe861fdc8a4b13b7455d4f512a2a07@False_3dacd11b7e7c4bfab8e170e84126c15f$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$34709b873e3e4b979b2ba2c7aed499a7@True_7c0f620e2424488aa7c3843532bef0c7$14908e5711f74c67924d6b1ceaeb92d0@False_9a28b3007c7c4f1b899a46a74f1baeb7$126c3a14b1ec4a7b9b5fe18914c0c19d@False_5a569634374b46259db84cd1a1b22ab6$3864178819534aa7862b26e893aa2e62@False_9cd1e597ae4144938be500efa21eec9b$31e9ad43e84e484eb8b77b7e7a76de91@True_5ac788b163b04bc9b159f11d1cb1abba$313a3c23d119451d9f3f82bb47401b9f@False_532fec43b430438fa67d13f2cc684dd4', '63c152c2d8574af7957aa21cf05fff23');
INSERT INTO `exam_record` VALUES ('71d676397faa48598de4d0359e33c708', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-15 17:25:44', null, '15', null, '2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('7229ba82ebe5444fa31204c7ea77a033', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-03 15:03:07', null, '30', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('72454fd69d254b3983e2532a56048e26', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-06 18:27:42', null, '20', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$9199009718ec4685a0a500d23ab814c5@True_785ad33574f747fd870dd6eadff303ab$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$3864178819534aa7862b26e893aa2e62@False_9b14c29c2d514b10af620655ff13a204$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9', '258bf9410e854f34bba9c9a08f4dd313');
INSERT INTO `exam_record` VALUES ('72b72e094139486a80f89fb29d9b0e8f', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-19 10:34:07', null, '0', null, '2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('72b8ec679f704ac5a2c5b9cfee817bd5', '79392778a90d4639a297dbd0bae0f779', '2020-09-10 17:41:11', null, '0', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-88ec4c60df0842c7b603cf82450b12cb$9199009718ec4685a0a500d23ab814c5@False_233c13ee72c9456989788201fd108c8e$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$3864178819534aa7862b26e893aa2e62@False_9b14c29c2d514b10af620655ff13a204', 'ff221a5c379b40bda60677e7c54bce02');
INSERT INTO `exam_record` VALUES ('72e7fb826b214f669cfbd009a841710d', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-23 15:49:02', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('730b1af4fa00434c8f08c1764eebc5d1', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-28 15:13:26', null, '5', null, '5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('734f59000d3b423db1133b616ae4abd8', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 19:15:37', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('74066396dc52406a875995dba08602c7', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 14:11:21', null, '0', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$14cc31707d53433f81841058a97575da@False_6f0631ce414c49519a162af9062073ca', '61f6198b88a744aead6f25d04200025e');
INSERT INTO `exam_record` VALUES ('7433e3f48b7d470d97c99b9645b1cd32', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-03 16:21:10', null, '25', null, '1003b43b03934068973f67d199565dce@False_790e68b1844f43bf947cd6450c547cd5$34ac0eba5d5548599086f7439b837d85@False_435eabe9037b4ff7998943b09010e5f4$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$14cc31707d53433f81841058a97575da@False_4d5c32e598cc41abb003f2f37dab210e$40ee7b36298d4568aad20e2db36ddbb5@True_a317880eb3144e3db226409408198013$340e5189877a4eb58492c7bb7a3c094d@True_fb5f2eecef2341279412400d9a58ac4b$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', 'fcc6729dfd62473bad857152d039f1fe');
INSERT INTO `exam_record` VALUES ('7435f97826c24c93aed069513e9d9725', '79392778a90d4639a297dbd0bae0f779', '2020-03-15 19:05:14', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('744c8eece798402f9c398a687f2a9849', '68042014e23c4ebea7234cb9c77cee5c', '2020-05-08 01:20:52', null, '0', null, '334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f', 'e8b5ece99c66469ca03f5f0e25644171');
INSERT INTO `exam_record` VALUES ('744d803c20e54443aed61294ca478da8', '79392778a90d4639a297dbd0bae0f779', '2020-09-01 16:35:34', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('7456688eb2b74efdb6efbb84b1085ba5', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-02 16:21:48', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70', '16081a246f004bb2888aad0320628340');
INSERT INTO `exam_record` VALUES ('749d334b4d5b4388b045db57fbd160fa', '68042014e23c4ebea7234cb9c77cee5c', '2020-09-10 15:22:51', null, '5', null, '2b4df8f9333741ef9f56bc188ec8a147@True_8398259d17a84b71a19e958ffd63447f', 'dc4662f2df1848f490ec2a608f05ecea');
INSERT INTO `exam_record` VALUES ('74e83b1c97d8487a8fafae1868ea345b', '79392778a90d4639a297dbd0bae0f779', '2020-08-30 18:56:03', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('75309cdcef7e4cbcbc4556bcdda09756', '79392778a90d4639a297dbd0bae0f779', '2020-08-30 14:40:53', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('7533baaafaca4086a35cfd2fd326223d', 'f887e6120e4644679199cd505d87f2f1', '2020-04-05 14:37:47', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('757fe7beb6d54462a91dfb05cdb2fb13', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-03 15:25:26', null, '5', null, '1e9521efc6bb469ba9bd98c76f6ba53d@True_862daa8441304b10b858be76e3a2007e', '83fcdf49e0d044c68bc1c19c715cb225');
INSERT INTO `exam_record` VALUES ('75db4269c6524d468393c929e89a0e5f', '79392778a90d4639a297dbd0bae0f779', '2020-07-10 07:51:06', null, '17', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28$38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '61f6198b88a744aead6f25d04200025e');
INSERT INTO `exam_record` VALUES ('7635cf6a2180432da51de39f8cb9c347', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-03 13:06:31', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('7646fb92def04ab7896e25ebcc100c1d', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-28 17:23:40', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('7655bbda6d984921b862676e40b8e9fd', '68042014e23c4ebea7234cb9c77cee5c', '2020-05-27 16:21:00', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$396b55534851427590e089fb9cc040cc@False_9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28$1003b43b03934068973f67d199565dce@False_790e68b1844f43bf947cd6450c547cd5$03ba87a6ca3a4075bd983ca799d518d8@False_4a11c0a8ff5f460ea1ac0fd3dcc23644$07441a6a40d44196a1e67fe344ac57a9@False_a51323d05dbc4046ba92d9ee1d8d7bc9$34ac0eba5d5548599086f7439b837d85@False_435eabe9037b4ff7998943b09010e5f4$0f228882c0fe462db958be54df6a1142@False_b6194cc93e4d45e8a1a5d804f141f72a$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3$495fce658bc4409aac2e14657d8e7e8d@False_d8a80cb9399b47b8890aa897d3ca1339$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', '41345edd2b644c7daa7fb79732b05a5e');
INSERT INTO `exam_record` VALUES ('7664460cbd8c4eeca8f628677db1b665', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-11 16:21:35', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('76a0283d800142a89a6229afd8e8f872', '79392778a90d4639a297dbd0bae0f779', '2020-03-05 19:05:09', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('76b0289cbaf04e6698101aeed8cc805e', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-29 16:00:38', null, '0', null, '1e9521efc6bb469ba9bd98c76f6ba53d@False_ca4a90e051c34cbe98a75246bc59906a$1eaff8deac0041ed857d16461a290985@False_c8c044429c39438f943ce0c652be3100$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5', '63195182d70141d4ba7371c7516eb6f2');
INSERT INTO `exam_record` VALUES ('76e148be856b4c43957549e6728a2675', '79392778a90d4639a297dbd0bae0f779', '2020-07-15 10:37:55', null, '10', null, '305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$3864178819534aa7862b26e893aa2e62@False_9cd1e597ae4144938be500efa21eec9b$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094', 'ff221a5c379b40bda60677e7c54bce02');
INSERT INTO `exam_record` VALUES ('7772f3ba154d4380a4cfe660ddcab28b', '79392778a90d4639a297dbd0bae0f779', '2020-03-21 12:31:20', null, '5', null, '4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3', '42931c9bb6d84e13bdb5c47e0fccdc22');
INSERT INTO `exam_record` VALUES ('77b31006e1904f0b89c60e23d5379b16', '79392778a90d4639a297dbd0bae0f779', '2020-04-24 19:12:12', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('77fa4584db7e4b9fa2ec49c5ef6d1240', '79392778a90d4639a297dbd0bae0f779', '2020-04-24 16:45:42', null, '0', null, 'a12eb101321b451bbc54a136e98acfd0@False_251eb27617ce458697f6e966bbf87bed$b95a0546fcc8418e84185137d14b1b50@False_2c57854526c64f1ab3cd6a7c37749ac0', '11e43c39761a463db8407cde15a67693');
INSERT INTO `exam_record` VALUES ('77fe4ffafaa24f739443c64ef54d4520', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-14 15:18:10', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('78100c0d981648509ae0bc550e1a951e', '79392778a90d4639a297dbd0bae0f779', '2020-05-21 10:09:45', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('795a7cd2d9d2490cb3f0d05f21a1fa0a', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-24 09:50:51', null, '10', null, '1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('7987d09a446c41c0bc556e2874b4fa72', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-10 17:18:27', null, '15', null, '2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('799109acbcf247c9b9e3f6b1320cea91', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 14:01:57', null, '12', null, '2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$cff7d16da6ab428e893c748d5c759cb2@True_8c95b512240b4a47b85743a64f65c0ba$3864178819534aa7862b26e893aa2e62@False_9cd1e597ae4144938be500efa21eec9b$31e9ad43e84e484eb8b77b7e7a76de91@True_5ac788b163b04bc9b159f11d1cb1abba$a12eb101321b451bbc54a136e98acfd0@True_8c0f6801448b4185b3446d92b0721c40', '8f6134e1ee6f47559f7bc2f7567d1b58');
INSERT INTO `exam_record` VALUES ('79a6a9e94712473f99794e007d9ac580', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-12 13:59:42', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('79db83781efc46bf98faebb3d3dc34de', '79392778a90d4639a297dbd0bae0f779', '2020-03-15 00:37:52', null, '5', null, 'bb22f19338174d1f9333f9aebd6ffeb6@True_9da49e7309604e81bacfdc7bb9044bc1$a12eb101321b451bbc54a136e98acfd0@False_228f57a595a2416aa6cf7df66095236a$b95a0546fcc8418e84185137d14b1b50@False_2c57854526c64f1ab3cd6a7c37749ac0', '11e43c39761a463db8407cde15a67693');
INSERT INTO `exam_record` VALUES ('79f9052358c34080a60d30faf8531a17', '79392778a90d4639a297dbd0bae0f779', '2020-02-26 16:38:40', null, '45', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_88ec4c60df0842c7b603cf82450b12cb-bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('7a4d956286ee40d6b79b605311e6929e', '79392778a90d4639a297dbd0bae0f779', '2020-03-23 15:13:01', null, '17', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bed28153b51d410aafa64a6cc9c6fbb9$396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-9c511fa9d5a74090967cdb52b29060a2$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '61f6198b88a744aead6f25d04200025e');
INSERT INTO `exam_record` VALUES ('7ad6450609e54cf8a6c37c8d84e0b911', '79392778a90d4639a297dbd0bae0f779', '2020-07-17 16:13:21', null, '30', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@False_397f7bbc8afc431e8976ee8764d88584$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('7aefc5cd9cf542099dddcb8c4c4c3e0e', '79392778a90d4639a297dbd0bae0f779', '2020-09-23 15:19:42', null, '10', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('7b6d1ea8ed0c4abf8d5a109e8e64cc4e', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-28 14:19:27', null, '10', null, '224ae57b9c1749bdbfab51b2284789ce@False_61fa118af54846ce9498774fc7dbb462$0a32e228e2464beda23b90c7832d29d2@False_05ad94cee64c487c8abb51ab98dfa64d$14908e5711f74c67924d6b1ceaeb92d0@False_9a28b3007c7c4f1b899a46a74f1baeb7$004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', '270e73439a0b4fb4bae3f190c01838b4');
INSERT INTO `exam_record` VALUES ('7b9a641be4b944f6a92d834709b43e9f', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-19 16:54:36', null, '0', null, '3864178819534aa7862b26e893aa2e62@False_9b14c29c2d514b10af620655ff13a204', '258bf9410e854f34bba9c9a08f4dd313');
INSERT INTO `exam_record` VALUES ('7bc186b3a401427395b36ad43faea248', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 14:48:17', null, '5', null, 'ecdfbdd2a9f24017b3fe1aa0947ca146@True_b8e2e6300ab04016a82481fff15750e0', '8112f71b21734607b8706648f070b048');
INSERT INTO `exam_record` VALUES ('7bd815dc18a146b0a4394b7f5cfa018d', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-21 14:10:54', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('7c228bb99b914b14a56c2697f0ab2bb8', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-30 12:24:51', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('7c5872eaf72e41348fea8fee4f6380c5', '79392778a90d4639a297dbd0bae0f779', '2020-05-25 13:42:48', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('7c928d85fe2147f8a7fc4d5399c5d632', '79392778a90d4639a297dbd0bae0f779', '2020-08-31 14:18:51', null, '35', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@False_397f7bbc8afc431e8976ee8764d88584$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('7c9ac8fe6a8f4950aed235c5c01b7895', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 15:42:02', null, '5', null, '1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('7cbd4f3ce652492688a43e6d5da62d5d', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-25 17:44:35', null, '45', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$85047be0b2cf4077a5ec66e92ebf442b@False_b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('7cd948d510ac418e8e788ecf687d669e', '68042014e23c4ebea7234cb9c77cee5c', '2020-05-27 22:23:13', null, '20', null, 'f10dd6ce6f964a5db45c4bdb89d9e17a@False_92d0d92bbb0f41e3b50aa2d5f17ca5ef-f12eaeb0339649929adb692e47de89ed$38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$03ba87a6ca3a4075bd983ca799d518d8@False_6c4887193b194851b22d3efd70f1b35b$0885c830022746cf8972c97eba9f5b15@False_995407da7fd141d3a264e359dedf199b$f3bf3c8f321344f381b2a5ee34c480aa@False_88b8e38ebc7f4c03952d543c1deda50e-fa61e6658d53424ea073c6c88cebae09$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$340e5189877a4eb58492c7bb7a3c094d@False_e80b3bfbd8764da58e06e2a928b086af$495fce658bc4409aac2e14657d8e7e8d@True_95ebcd9078444043b7ff375a2fe67178$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9-b7926212674b4b71b93dcffca102f578$07441a6a40d44196a1e67fe344ac57a9@True_d7f693f122e94549b93d39d79e5d53e7$34ac0eba5d5548599086f7439b837d85@False_3912670d529c4bc5b3bbfb4694d750e5-435eabe9037b4ff7998943b09010e5f4$458475653213478e9b69e2f1bb063ffc@False_057fffde78d846cdad3958af050a1ea8$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036$d5c410448b5f4057b27de8e0e4d6bf43@True_6be0ef27d8194ab7b4d6e22cc73b923a', '4be45c365eca44a3a3cbdaa63680ca7e');
INSERT INTO `exam_record` VALUES ('7ce718011da4469ea2023d10a11b9ff9', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 23:26:56', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('7d494ae2a69d4f99a8b940b96406571c', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-14 18:06:28', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59', '07bcd5b8507c42909e0b3212ec72b832');
INSERT INTO `exam_record` VALUES ('7d6e5a600e46467aa8f6cdbac2e17735', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-14 14:51:53', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f$396b55534851427590e089fb9cc040cc@False_92ed63ab069d4f0bae0bbf630a03d34d$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$cba6ce4038b5401fb4cb43205557ccf9@True_bf93ba7988f84053ae197bded7ec10ea$cff7d16da6ab428e893c748d5c759cb2@True_8c95b512240b4a47b85743a64f65c0ba$bb22f19338174d1f9333f9aebd6ffeb6@False_0dda4965171b4f9680a6acfab9af9625$a12eb101321b451bbc54a136e98acfd0@False_228f57a595a2416aa6cf7df66095236a$b95a0546fcc8418e84185137d14b1b50@False_0eb97f9b079b4a09918884a4068ed084', '11e43c39761a463db8407cde15a67693');
INSERT INTO `exam_record` VALUES ('7d7ad484d4a64779bbdad42fb67cd96b', '79392778a90d4639a297dbd0bae0f779', '2020-07-03 15:08:50', null, '30', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('7dc4194238d941dda4b6623fb3a03dff', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-13 11:27:08', null, '5', null, '224ae57b9c1749bdbfab51b2284789ce@False_61fa118af54846ce9498774fc7dbb462$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', '32cd0d921bbd4693a0b961da32043d8e');
INSERT INTO `exam_record` VALUES ('7e03f81a40c745598edfad730af5a71f', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-13 08:39:32', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('7e125f89d53f4c3790e46c59eb4125aa', 'a1b661031adf4a8f969f1869d479fe74', '2019-10-26 07:55:52', null, '25', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f-bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('7e158175e9c24cabb52d1740ee9a610b', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 15:55:29', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('7e89bdff309446df8c3019c1695c2b35', 'a1b661031adf4a8f969f1869d479fe74', '2020-10-05 21:24:24', null, '5', null, '224ae57b9c1749bdbfab51b2284789ce@False_61fa118af54846ce9498774fc7dbb462$0f228882c0fe462db958be54df6a1142@False_b6194cc93e4d45e8a1a5d804f141f72a$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', 'fa251d8980fe4ad6b93c78cd5afebb9e');
INSERT INTO `exam_record` VALUES ('7edf9a9f337646ca915163a705b99359', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-12 22:39:51', null, '15', null, '224ae57b9c1749bdbfab51b2284789ce@False_3d9abd4caa484af99e8667ac8408ce85-61fa118af54846ce9498774fc7dbb462$03ba87a6ca3a4075bd983ca799d518d8@True_5d828aadc336424ab03eaa63026bcad3$7d535a2008b4423bae96c8b4ad90378f@False_e0f516418bc843ebbdd3529421fb620a$07441a6a40d44196a1e67fe344ac57a9@True_d7f693f122e94549b93d39d79e5d53e7$0f228882c0fe462db958be54df6a1142@False_b6194cc93e4d45e8a1a5d804f141f72a$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3$11ae50c372c64e7ca59691c435c91239@False_eaadd6650f9d4ea686919dc9730d91a8$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7$473ecef6048d4d1a91b8100eb7a176e0@False_8dc2afa2eb2f47da95ec1305f34c49ca', 'cdc85339359840a49c8f71d824c79dae');
INSERT INTO `exam_record` VALUES ('7f231a5e1b0046af851d3da4443766de', '68042014e23c4ebea7234cb9c77cee5c', '2020-04-20 16:03:33', null, '5', null, '1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('7f3ba44ca86f430b8e767570fd2fb86f', '79392778a90d4639a297dbd0bae0f779', '2020-08-31 14:29:36', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$dc91198c27dc4ab5942ffc924f282367@False_397f7bbc8afc431e8976ee8764d88584$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('7f57ff88917c47a8be27c614ecc93411', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-25 22:18:40', null, '0', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('802df31014ed48c799e22fb39c606030', '68042014e23c4ebea7234cb9c77cee5c', '2020-05-15 15:13:58', null, '0', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('804a3e9a1f514dc0bc00a2e4a74a7ffa', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-30 12:01:52', null, '5', null, '224ae57b9c1749bdbfab51b2284789ce@False_3d9abd4caa484af99e8667ac8408ce85-61fa118af54846ce9498774fc7dbb462$22d201cd2e5c4558bbbdf4cb5d7ea717@False_bccb33b6264248318e380d9e7802d2a5$0f228882c0fe462db958be54df6a1142@False_b6194cc93e4d45e8a1a5d804f141f72a$004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036$388dd246953945569e3617b268629ee4@False_fe7b64dae30a4f389d042ab93525b46b', '44fff831a506483a97702b48569e9c44');
INSERT INTO `exam_record` VALUES ('809bedc4ac934a7fa9b28335fad0e607', '79392778a90d4639a297dbd0bae0f779', '2020-03-15 00:37:52', null, '5', null, 'bb22f19338174d1f9333f9aebd6ffeb6@True_9da49e7309604e81bacfdc7bb9044bc1$a12eb101321b451bbc54a136e98acfd0@False_228f57a595a2416aa6cf7df66095236a$b95a0546fcc8418e84185137d14b1b50@False_2c57854526c64f1ab3cd6a7c37749ac0', '11e43c39761a463db8407cde15a67693');
INSERT INTO `exam_record` VALUES ('80c170aaaa0f40bba9f070adcdd320bd', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-27 17:03:32', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$396b55534851427590e089fb9cc040cc@False_92ed63ab069d4f0bae0bbf630a03d34d$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0$590889adc7994fbdbd895f3f8f4cd1f4@False_c87c37f82879406bbb12094a04115838', '70b51ea397d543d4890aff1be79eed08');
INSERT INTO `exam_record` VALUES ('8120d665745047d8868dcd9db7f87535', '79392778a90d4639a297dbd0bae0f779', '2020-05-30 16:40:23', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('8167ae82cec54f7b98516cde2ad18389', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-15 10:48:09', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('818159e2f0bd4cdda94c42e8bdc73fef', '79392778a90d4639a297dbd0bae0f779', '2020-05-27 16:30:12', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1$1003b43b03934068973f67d199565dce@True_34ee794ddaab4033b84efcd749595329$03ba87a6ca3a4075bd983ca799d518d8@True_5d828aadc336424ab03eaa63026bcad3$517621a3c6b745459a5606c65cd38e27@False_3337d407ecde4865b80a5fc9e7fe37e3$31ab7a49aa254240935d1e871d7f2f09@False_397a9ee0beaa48d7850204bf44aa0cfa$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0$590889adc7994fbdbd895f3f8f4cd1f4@False_5c2e94d4363449c4ac3ffbfcd347b5e4-c81d168f407d476c9caf518b23cbc3ee$340e5189877a4eb58492c7bb7a3c094d@False_e80b3bfbd8764da58e06e2a928b086af$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7$396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$07441a6a40d44196a1e67fe344ac57a9@False_1e85eba6944f418d9eb611ccc1215476$0f228882c0fe462db958be54df6a1142@False_b6194cc93e4d45e8a1a5d804f141f72a$25bf7d1a791f4cf39d85e26b113001e8@False_a60fdf98a017401a813e32f87c65674e$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3$004c8b75a1a2421986fa05c89d0a903d@False_cc2f57d910694387868cc67efd65b4dc', '3a1bf5bc9dfc4d78a431ee692501ccb4');
INSERT INTO `exam_record` VALUES ('81827702e6c141fbb0ce310347779dbc', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 17:06:24', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('81881142965147c1b9a6d41cc2df70ca', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-22 17:49:05', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('81a36c251f2c4c3db9ac82172ee0417e', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-22 15:12:31', null, '20', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f-bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('81db44e78b0e4ee39f0e90fa5269a1dd', '79392778a90d4639a297dbd0bae0f779', '2020-05-07 17:54:08', null, '15', null, '2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@False_4d5c32e598cc41abb003f2f37dab210e$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('82913daf94804c8aa37142ea14426b8d', '68042014e23c4ebea7234cb9c77cee5c', '2020-05-15 15:22:20', null, '0', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef', '75f4368f3ff64425b01fb5e4960ba083');
INSERT INTO `exam_record` VALUES ('838e71454b8144fcad5225800b3a469d', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-27 13:58:16', null, '20', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_bc4e6c276e6d4b80871badf7d2a9087c$9199009718ec4685a0a500d23ab814c5@False_233c13ee72c9456989788201fd108c8e$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6$3864178819534aa7862b26e893aa2e62@False_9b14c29c2d514b10af620655ff13a204$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9', 'ff221a5c379b40bda60677e7c54bce02');
INSERT INTO `exam_record` VALUES ('83b003af14984c188bd56665240c6184', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-14 15:33:40', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('8429bc32d0c549a28aac04c877df108f', '79392778a90d4639a297dbd0bae0f779', '2020-09-03 16:29:58', null, '15', null, '03ba87a6ca3a4075bd983ca799d518d8@True_5d828aadc336424ab03eaa63026bcad3$0885c830022746cf8972c97eba9f5b15@True_7d78e9cc50e44640a2056b891706b3d9$07441a6a40d44196a1e67fe344ac57a9@False_a51323d05dbc4046ba92d9ee1d8d7bc9$0cae9d2a09824bacb660d21aa550e599@True_5dd85e56e1704c15b1ac522fdedeb637', 'ff257cfe219c41beab94e2c85cd92016');
INSERT INTO `exam_record` VALUES ('8448b14c9d7243aeb7b7a718ef3e54fb', '79392778a90d4639a297dbd0bae0f779', '2020-06-17 15:51:53', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$dc91198c27dc4ab5942ffc924f282367@False_397f7bbc8afc431e8976ee8764d88584$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('84769f82fc1d4b2a829b46f123e1eb7f', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-21 17:00:28', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('84d271213ff54ae7a3475304262cbf81', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-17 12:09:04', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('85933d339b56445dad03c5f20cdfedd3', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-06 22:47:39', null, '0', null, '305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@False_4d5c32e598cc41abb003f2f37dab210e', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('85ccd8c39a41433c8467482d897c0e30', '79392778a90d4639a297dbd0bae0f779', '2020-03-27 20:16:57', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('8608d79ef8f5498f9f20677095c7e53a', '68042014e23c4ebea7234cb9c77cee5c', '2020-07-24 10:34:02', null, '0', null, '495fce658bc4409aac2e14657d8e7e8d@False_d8a80cb9399b47b8890aa897d3ca1339', '07bcd5b8507c42909e0b3212ec72b832');
INSERT INTO `exam_record` VALUES ('8672d065b32e4e0b9921fd5c7fef32ac', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-03 13:06:30', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('86c69dd23a8c4a1eabd8d1005982835a', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-12 20:55:16', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('87138440266c4f519c04ea33138b7935', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-16 09:15:23', null, '15', null, '2b4df8f9333741ef9f56bc188ec8a147@True_8398259d17a84b71a19e958ffd63447f$157767faab1e459fbb63eddef08f1a0d@False_9d4db526074c4642922790aae582742d$23c0e0e98d04425ab2de3e7fec54971d@False_a4c4b303b3e34a0e83dbd967567bbb91$0cae9d2a09824bacb660d21aa550e599@True_5dd85e56e1704c15b1ac522fdedeb637$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', '2b464a7db7484f21bd34e297c048886a');
INSERT INTO `exam_record` VALUES ('878c9105ce3b4bf3adee1f60199a61f6', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-28 13:52:55', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('87a3bdb262b648b5b07c1ea76dbae9bb', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-22 10:26:12', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('87be5023b4ab47a89f85bb4597247a09', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-03 13:06:28', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('87c06a96b72144daa7ad74a423d3aecb', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-01 22:12:05', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-81b7ae4a705f4fc39e576085a55fccc0$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('87fbba96d6a44c3fa79bcb7974dd5e1f', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-16 20:12:00', null, '3', null, 'c76510faca9e4d7dbdbe0620ea153d08@True_c58996ea783f457a9dd132adf4dd2d66$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$4b8863f7a26747219f9d1e59165c08a6@True_3ac81fb3c8a44c6da848fcd2123fcf8e$078a8fed0cc649f8a864a430b4e7188c@True_2449ebcfb9044460b9b44a5bba42110c', 'dd6daa7d5dde41ac9e18873cb0d5191a');
INSERT INTO `exam_record` VALUES ('88c875fb5a5948f3b9a5944c459b84d6', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-18 09:28:51', null, '5', null, '6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('88cd94c9f12d4a7bab7f2e2434019ad5', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-22 14:08:02', null, '0', null, '25bf7d1a791f4cf39d85e26b113001e8@False_a60fdf98a017401a813e32f87c65674e$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', 'cf8176fe25f24b5eb4c61ba960dca55a');
INSERT INTO `exam_record` VALUES ('89c04a513ffe47b9956383da64de52f6', '68042014e23c4ebea7234cb9c77cee5c', '2020-05-12 21:44:17', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('8a4260f37ade414aac93e49f7514d83a', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-18 10:06:29', null, '20', null, '224ae57b9c1749bdbfab51b2284789ce@True_1cce0f75bdfe4ac29022d23abac34ec0-3d9abd4caa484af99e8667ac8408ce85$0885c830022746cf8972c97eba9f5b15@False_995407da7fd141d3a264e359dedf199b$25bf7d1a791f4cf39d85e26b113001e8@False_a60fdf98a017401a813e32f87c65674e$0cae9d2a09824bacb660d21aa550e599@True_5dd85e56e1704c15b1ac522fdedeb637$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', '6f91c658ed4543bcb641a3b32d551330');
INSERT INTO `exam_record` VALUES ('8a4582c4efd94b9d9ea60a191982bf24', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-01 10:56:39', null, '0', null, '25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('8a8178822c694c4f981c2392d9f8db57', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-22 09:35:38', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('8aa5ef95f868418b964ebffb6d2538d2', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-18 23:44:29', null, '5', null, '305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('8ac2c45cb768452eb7c7d31004f35585', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-06 17:35:08', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036', '16081a246f004bb2888aad0320628340');
INSERT INTO `exam_record` VALUES ('8afcf7a41ad54ed9945067de61e6bc4d', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-17 15:58:43', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('8afdb54c45cf44d0a17629d439cc0949', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-11 19:52:28', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('8b538c6f04bb401185466fd07745b579', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-22 14:10:47', null, '5', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_ab96efeec3144ecea3bf955d4e52980f$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@False_ab85c51b6e91402385aeda6551aea608$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('8b58714e03344b7b856e75a4d91ab8ff', '202d9c95be3b4bc090e379494d93521c', '2020-09-17 21:22:05', null, '35', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('8b6a5aded3294acdbc35c47d6c6fa4ba', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-09 15:30:40', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('8b9374ace3de456ba09858f399f05797', 'a1b661031adf4a8f969f1869d479fe74', '2019-10-26 08:02:36', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28$e283ac11c7064ccf976f9c48d68c6a67@True_b8e2e6300ab04016a82481fff15750e0$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$31e9ad43e84e484eb8b77b7e7a76de91@False_4140a14f3f6b4067962eac1c939675c9$ecdfbdd2a9f24017b3fe1aa0947ca146@True_b8e2e6300ab04016a82481fff15750e0', 'c8ca3f0a816042d5919d924a96cb1ae8');
INSERT INTO `exam_record` VALUES ('8bcfc7dd16954a969e518e5a461f62a6', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-29 14:23:48', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('8be7b4b8356b4cf3b61974837bdc4045', '79392778a90d4639a297dbd0bae0f779', '2020-04-19 16:58:19', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('8bee935986cf422cac78371e12509f6a', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 14:54:17', null, '15', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('8c0fc690d2144b77b2eecf98853f1f19', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-17 16:54:55', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('8c2e18be4bd14a7380edc8cfbb9ce905', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-10 22:20:55', null, '15', null, '6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('8c39c55bd07d46d2bd99a24e5df1a2ae', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-24 14:16:49', null, '5', null, '14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('8c930930e8804aa7b3f5a3fa3ca6fb29', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-04 17:21:36', null, '40', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f-bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('8c963e1c55454431a44100c3865f9c7a', '79392778a90d4639a297dbd0bae0f779', '2020-06-29 13:53:14', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$590889adc7994fbdbd895f3f8f4cd1f4@False_5c2e94d4363449c4ac3ffbfcd347b5e4-c81d168f407d476c9caf518b23cbc3ee$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '1435d0e86576487d819b41f33082f441');
INSERT INTO `exam_record` VALUES ('8d2a42d1cb42461f9d321c5ccd58db57', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-14 10:33:27', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('8d2b12637cc84ff3869deb9f19bc7176', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-23 16:10:25', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('8d5f2edb399848c3b06b42856df2dac3', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-03 17:06:39', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('8d769f3292a34be28b7ad23efffa607c', '79392778a90d4639a297dbd0bae0f779', '2020-06-18 14:28:18', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('8dece0db82b74bec99fb7ded560c56b7', '79392778a90d4639a297dbd0bae0f779', '2020-06-23 14:07:12', null, '0', null, '23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24', '07bcd5b8507c42909e0b3212ec72b832');
INSERT INTO `exam_record` VALUES ('8df72738f15b4df8b895ba93f13d10a9', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-20 13:59:53', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('8e1cacfb673c4f7480155d0400be91ab', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 14:09:21', null, '10', null, '1003b43b03934068973f67d199565dce@False_790e68b1844f43bf947cd6450c547cd5$34ac0eba5d5548599086f7439b837d85@False_302327201f3c422ca6b636f04fb146cc-3912670d529c4bc5b3bbfb4694d750e5-435eabe9037b4ff7998943b09010e5f4$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$340e5189877a4eb58492c7bb7a3c094d@True_fb5f2eecef2341279412400d9a58ac4b', '13e00f069eef47b2b76e4ab941b32cce');
INSERT INTO `exam_record` VALUES ('8e5119c40798443d94e49fd2fa247e99', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-04 16:18:58', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59$2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('8e5ce5df65554e8f9d0b0406b16fb165', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-15 10:32:54', null, '10', null, '2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7$078a8fed0cc649f8a864a430b4e7188c@True_2449ebcfb9044460b9b44a5bba42110c$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', '4f451907c7a14322a67209b00357c106');
INSERT INTO `exam_record` VALUES ('8ea734362dc344589e7edd5d30bedefa', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-22 18:37:42', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('8ec275da657a428d976ec69e8cf72212', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-08 11:06:33', null, '0', null, '2f8b20630b10471395b6c379a465cca8@False_ab85c51b6e91402385aeda6551aea608', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('8ed841fdce8641e7b87e9386227025a0', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-30 22:51:07', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('8efbec034574436cb5574196ac9ad431', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-27 20:51:48', null, '0', null, '336581f3079140328f5e71a1594d7500@False_ff916fedb6a94be78944b25bf1377282', 'f1fd1983f3ff4330a328ba2a2e2a3622');
INSERT INTO `exam_record` VALUES ('8f15ab593b85490e8d64c9eacf4b3e82', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-27 15:58:29', null, '0', null, '1e9521efc6bb469ba9bd98c76f6ba53d@False_ca4a90e051c34cbe98a75246bc59906a', '63195182d70141d4ba7371c7516eb6f2');
INSERT INTO `exam_record` VALUES ('8f3b51dde4314055b731b3562537c4ba', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-10 18:12:30', null, '10', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538-ab96efeec3144ecea3bf955d4e52980f$38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$396b55534851427590e089fb9cc040cc@False_92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$3864178819534aa7862b26e893aa2e62@False_9cd1e597ae4144938be500efa21eec9b$bb22f19338174d1f9333f9aebd6ffeb6@False_0dda4965171b4f9680a6acfab9af9625$31e9ad43e84e484eb8b77b7e7a76de91@True_5ac788b163b04bc9b159f11d1cb1abba$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9', '8145d8578aa44601bce5ab07ee39e650');
INSERT INTO `exam_record` VALUES ('8f5fd77e311e4571b6c8ba09aa0fe4eb', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-30 12:40:26', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('8f6230c3b6f44b95a6573d4e4eea7a8b', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-01 16:39:29', null, '5', null, 'e283ac11c7064ccf976f9c48d68c6a67@False_d15f9106bb9941eaab1e37356af083b3$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3', '303efbfe2e5f460c909e935345424244');
INSERT INTO `exam_record` VALUES ('8f7b6fcc10d8455eaea087e6168b40a9', '79392778a90d4639a297dbd0bae0f779', '2020-09-18 08:20:04', null, '5', null, '1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('8f884974da254542808e3df0dcf85208', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-03 17:35:49', null, '5', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9', '694f2feb57a14686bd7ffc12f99a23a4');
INSERT INTO `exam_record` VALUES ('900971f9446f42b5ad3e322ea2ad5a63', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-21 12:30:25', null, '30', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('90101a8ccf774eb69adb947647701e9f', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-16 10:16:18', null, '7', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-9c511fa9d5a74090967cdb52b29060a2$2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@False_6f0631ce414c49519a162af9062073ca', '7f36f47a75184adeb3df4fb8c4058a5a');
INSERT INTO `exam_record` VALUES ('902721563593437c9cfbdbb4b0d63406', '68042014e23c4ebea7234cb9c77cee5c', '2020-08-31 14:58:37', null, '0', null, '004c8b75a1a2421986fa05c89d0a903d@False_cc2f57d910694387868cc67efd65b4dc', '300abb08f0ab46409b1e37e6ce918655');
INSERT INTO `exam_record` VALUES ('902e33e97fe54eeabf2e4aa0a2ccbb5f', '79392778a90d4639a297dbd0bae0f779', '2020-05-28 01:07:15', null, '10', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538-435eabe9037b4ff7998943b09010e5f4-ab96efeec3144ecea3bf955d4e52980f$38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$31ab7a49aa254240935d1e871d7f2f09@False_397a9ee0beaa48d7850204bf44aa0cfa$34ac0eba5d5548599086f7439b837d85@False_435eabe9037b4ff7998943b09010e5f4$9bab31ed75c94be292e3d3908d834036@True_2624e6d08bcb4159918ec6bf82e60c79$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$495fce658bc4409aac2e14657d8e7e8d@True_95ebcd9078444043b7ff375a2fe67178', '1d524c716db140c8bc851c472b14f6af');
INSERT INTO `exam_record` VALUES ('90f0b036cd6947acb36e65760e3c107e', '79392778a90d4639a297dbd0bae0f779', '2020-05-25 15:14:13', null, '30', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51$9199009718ec4685a0a500d23ab814c5@False_e4142da9d88b457b91249a3090f35d6b$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$3864178819534aa7862b26e893aa2e62@True_e4697cfd242c4328b28a084e4ecaaf3c$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094', '258bf9410e854f34bba9c9a08f4dd313');
INSERT INTO `exam_record` VALUES ('90f6110df4804c0e9a74838ae2e45f01', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-04 12:04:41', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('913b735937734937a9c1a60583a80aeb', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-23 10:25:03', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97$495fce658bc4409aac2e14657d8e7e8d@True_95ebcd9078444043b7ff375a2fe67178$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '07bcd5b8507c42909e0b3212ec72b832');
INSERT INTO `exam_record` VALUES ('9191de397f144674a89418f5dce6fe78', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 15:33:45', null, '20', null, '224ae57b9c1749bdbfab51b2284789ce@False_61fa118af54846ce9498774fc7dbb462-a0e9cddc8e304295b7bb13813d4fb4f5$30a7598bc91346478027795679cd71c3@False_8946f452ab7b49cfab931cba8c8ed1dc$53ae8db083134adb8428403b6a50620e@False_fe566c433e0b469780861319c19de604$03ba87a6ca3a4075bd983ca799d518d8@True_5d828aadc336424ab03eaa63026bcad3$0885c830022746cf8972c97eba9f5b15@True_7d78e9cc50e44640a2056b891706b3d9$31ab7a49aa254240935d1e871d7f2f09@False_397a9ee0beaa48d7850204bf44aa0cfa$07441a6a40d44196a1e67fe344ac57a9@True_d7f693f122e94549b93d39d79e5d53e7$34ac0eba5d5548599086f7439b837d85@False_302327201f3c422ca6b636f04fb146cc$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', '291c983e8e0345189c5d2971a273f201');
INSERT INTO `exam_record` VALUES ('9208484419d844ab827142461b3c059f', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-01 02:08:33', null, '10', null, '334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97$31e9ad43e84e484eb8b77b7e7a76de91@True_5ac788b163b04bc9b159f11d1cb1abba', '3cf0b79c367a4448af8eef6737a5d0b3');
INSERT INTO `exam_record` VALUES ('9215b34a9cd34818a3ace25b77c4166a', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 18:12:49', null, '5', null, '6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('92474ab5332a4830b8a77490781895c1', '79392778a90d4639a297dbd0bae0f779', '2020-09-29 11:16:48', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('924ff427513b40f7a07fbb77c9954b47', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-04 16:18:40', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$396b55534851427590e089fb9cc040cc@False_92ed63ab069d4f0bae0bbf630a03d34d$e283ac11c7064ccf976f9c48d68c6a67@False_d15f9106bb9941eaab1e37356af083b3$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$ecdfbdd2a9f24017b3fe1aa0947ca146@True_b8e2e6300ab04016a82481fff15750e0', '3cf0b79c367a4448af8eef6737a5d0b3');
INSERT INTO `exam_record` VALUES ('92d1fd6f0d114d94b56841a72767c407', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-02 18:11:44', null, '25', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('92dc36fb1c5d410e9ae906a9447bb606', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-01 18:03:56', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@True_20ce13d67d544efeba548f7eb9642e8f-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('93445f0c98a64eabb693019448e68542', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-15 10:12:50', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('935ddba836d148699ddee710fda70fbc', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-27 21:05:38', null, '10', null, '3864178819534aa7862b26e893aa2e62@True_e4697cfd242c4328b28a084e4ecaaf3c$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', '00de2c86b6304b96b2288a0716e34829');
INSERT INTO `exam_record` VALUES ('936b31b4f79d4780ad20f5435f63afcc', '79392778a90d4639a297dbd0bae0f779', '2020-07-24 14:38:03', null, '5', null, '517621a3c6b745459a5606c65cd38e27@False_2c11d8ee79394fd5b82306824d92ae36-3337d407ecde4865b80a5fc9e7fe37e3-64f67417f3b54909a2aa328c1fc6571a$34ac0eba5d5548599086f7439b837d85@False_302327201f3c422ca6b636f04fb146cc-3912670d529c4bc5b3bbfb4694d750e5-435eabe9037b4ff7998943b09010e5f4$340e5189877a4eb58492c7bb7a3c094d@False_e80b3bfbd8764da58e06e2a928b086af$495fce658bc4409aac2e14657d8e7e8d@False_d8a80cb9399b47b8890aa897d3ca1339$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', '6931371e54984683a623608d445cf568');
INSERT INTO `exam_record` VALUES ('936c30ff80394bb68907357ebdc5bfc9', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-10 20:07:13', null, '5', null, '2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3$004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036$078a8fed0cc649f8a864a430b4e7188c@False_b1b2cbb140264410b5b8bb23c37404e5', '56c87ee3b67c484ebf0f9802c59aada2');
INSERT INTO `exam_record` VALUES ('94369b40cd9047f69139f87c6035e80a', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-07 11:59:08', null, '0', null, '14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('94d77d07e0c847779c789d26573eb898', '68042014e23c4ebea7234cb9c77cee5c', '2020-10-09 17:06:11', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$cff7d16da6ab428e893c748d5c759cb2@True_8c95b512240b4a47b85743a64f65c0ba$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$590889adc7994fbdbd895f3f8f4cd1f4@False_502c3eb45a4748f38f89e0010e18ab5c-5c2e94d4363449c4ac3ffbfcd347b5e4-c81d168f407d476c9caf518b23cbc3ee$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '1435d0e86576487d819b41f33082f441');
INSERT INTO `exam_record` VALUES ('94df682fb238443186e1a14784e60452', '79392778a90d4639a297dbd0bae0f779', '2020-07-20 10:11:01', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('95620d3c06114545b195e04a4c426dd6', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 16:36:00', null, '30', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@False_397f7bbc8afc431e8976ee8764d88584$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('9609ebffc0cc4089bed21608f8bccb2f', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-02 17:49:40', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97$495fce658bc4409aac2e14657d8e7e8d@True_95ebcd9078444043b7ff375a2fe67178$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24', '07bcd5b8507c42909e0b3212ec72b832');
INSERT INTO `exam_record` VALUES ('9663c55896784d838ad5a5df11fd7eb1', '79392778a90d4639a297dbd0bae0f779', '2020-06-17 15:54:45', null, '15', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9$e283ac11c7064ccf976f9c48d68c6a67@True_b8e2e6300ab04016a82481fff15750e0$2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$2f8b20630b10471395b6c379a465cca8@False_ab85c51b6e91402385aeda6551aea608$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094', '303efbfe2e5f460c909e935345424244');
INSERT INTO `exam_record` VALUES ('9727572936c144f1843b8eb3aa32df09', '79392778a90d4639a297dbd0bae0f779', '2020-03-26 19:45:21', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@False_4d5c32e598cc41abb003f2f37dab210e', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('973f64de221b47b2af87592966a7946b', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-28 15:42:25', null, '5', null, '224ae57b9c1749bdbfab51b2284789ce@False_1cce0f75bdfe4ac29022d23abac34ec0$22d201cd2e5c4558bbbdf4cb5d7ea717@True_8dd912efd1d0449a836e73486c66ca1c$388dd246953945569e3617b268629ee4@False_fe7b64dae30a4f389d042ab93525b46b', '44fff831a506483a97702b48569e9c44');
INSERT INTO `exam_record` VALUES ('98105e645b534a47bcc41d79c0ff0458', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-24 21:57:53', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('9859ceb237a44adbb4c912a54e00a03d', 'a1b661031adf4a8f969f1869d479fe74', '2019-10-26 07:27:40', null, '24', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bed28153b51d410aafa64a6cc9c6fbb9$396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '7f36f47a75184adeb3df4fb8c4058a5a');
INSERT INTO `exam_record` VALUES ('98cf0ad7499c480193a2bfb587821948', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-28 15:36:06', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('99c6b755b7644cc29d86b5f394d7a081', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-18 06:20:51', null, '30', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f-bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('99dde24064f449b19fdb83797f5733c1', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-02 22:06:56', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('9a13b9c1677a46028aa606352cd34dc4', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-29 22:39:50', null, '0', null, '14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('9a7638d078ab42ebb95c14938877489f', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-15 12:17:21', null, '5', null, '14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('9a765ccc5b0541a6b6454e71b4734a19', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-27 17:18:04', null, '5', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('9a76615908114e84b1b76f9ec0dc7ada', '79392778a90d4639a297dbd0bae0f779', '2020-08-19 19:22:49', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@False_397f7bbc8afc431e8976ee8764d88584$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('9adbecd7c7684b948e7924f3a6211766', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-22 17:55:37', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('9af9b4e98c5f460fb2f0a65839e63138', '68042014e23c4ebea7234cb9c77cee5c', '2020-10-09 17:03:57', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036', '16081a246f004bb2888aad0320628340');
INSERT INTO `exam_record` VALUES ('9b6878983b3a4692ab15ee1bd79965c5', '79392778a90d4639a297dbd0bae0f779', '2020-04-30 13:07:58', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('9c9bbdc254c34ace82b7eda7eb304fc7', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-04 11:05:29', null, '0', null, '6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('9d02937305de45bd85d5ac29f9ad7fe6', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 15:33:58', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-bed28153b51d410aafa64a6cc9c6fbb9$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('9d1cfc4138c44f5b8ee0af3bd1902ffd', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-08 15:56:36', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('9d1e21e8d8b8475ebc6e338e15fc9e0e', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-31 23:51:04', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('9d85db490e1e451a9502df8b32a67ec1', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-06 16:14:53', null, '25', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('9d871636cab54e35bfd700323df25fbd', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-03 09:53:35', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('9deee6e10d9447cebaac0a244538bfa3', '79392778a90d4639a297dbd0bae0f779', '2020-09-21 20:48:29', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('9e0e6294d42546b5a22653ac01d6987c', '68042014e23c4ebea7234cb9c77cee5c', '2020-08-31 17:11:42', null, '10', null, '224ae57b9c1749bdbfab51b2284789ce@False_3d9abd4caa484af99e8667ac8408ce85$14908e5711f74c67924d6b1ceaeb92d0@True_dcad08ba0a8b45c897f42c9b4c53b086$004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036', '33cf9e5e329c4fd08a080725b3cf045f');
INSERT INTO `exam_record` VALUES ('9e204d6a16fc4aa68edc3681b48979a7', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-22 09:49:53', null, '5', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('9ecbaf353e0348859b538ab50ed7c2a1', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-13 11:55:48', null, '5', null, '224ae57b9c1749bdbfab51b2284789ce@False_61fa118af54846ce9498774fc7dbb462-a0e9cddc8e304295b7bb13813d4fb4f5$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', '32cd0d921bbd4693a0b961da32043d8e');
INSERT INTO `exam_record` VALUES ('9f1765fe78ad4fe48243ba63fc85ade8', '68042014e23c4ebea7234cb9c77cee5c', '2020-08-31 21:31:23', null, '40', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_88ec4c60df0842c7b603cf82450b12cb-bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('9f2870c9913a4a648fd809f5f4b2352a', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-11 15:15:13', null, '20', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('9f3234abbc144aac982d3c48278aac3b', '68042014e23c4ebea7234cb9c77cee5c', '2020-08-31 21:30:36', null, '20', null, '22d201cd2e5c4558bbbdf4cb5d7ea717@False_8dd912efd1d0449a836e73486c66ca1c-bccb33b6264248318e380d9e7802d2a5$03ba87a6ca3a4075bd983ca799d518d8@False_4a11c0a8ff5f460ea1ac0fd3dcc23644$07441a6a40d44196a1e67fe344ac57a9@False_1e85eba6944f418d9eb611ccc1215476$02d67d11512e490c9a4e1ac152abb9f9@True_10c01dcdc7b641359cd33285cadcdd42$0f228882c0fe462db958be54df6a1142@False_b6194cc93e4d45e8a1a5d804f141f72a$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3$004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036$388dd246953945569e3617b268629ee4@True_51c476176e03424f8c2fae10a7113d8d-fe7b64dae30a4f389d042ab93525b46b$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', 'da8a87953bb246a4a62b212d885aea0b');
INSERT INTO `exam_record` VALUES ('9f5300e559da43f783f07169c0b0a9fe', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-11 12:13:42', null, '20', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('9f625baecfd14b238be1e2c351bd4f3c', '79392778a90d4639a297dbd0bae0f779', '2020-03-03 21:33:31', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('9f6524ba1dda48e0b5a2f2a14a56634c', '79392778a90d4639a297dbd0bae0f779', '2020-03-03 14:46:37', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('9fc97444a3dc4a9ba9f6ee9ab64003ad', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-18 20:17:17', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-81b7ae4a705f4fc39e576085a55fccc0$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('9fe7172cdb9348ae83d2407bbe256577', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-28 13:47:36', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('a04190eebf36402484b339372c3f7bac', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-26 14:26:22', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('a077475607ab4216bf1808ff10442ffc', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 16:05:17', null, '0', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('a0aac2ac1c114041aa6c315d8f042294', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-03 22:42:33', null, '0', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_88ec4c60df0842c7b603cf82450b12cb-bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@False_ab85c51b6e91402385aeda6551aea608$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('a0dbb20565c94f538260feedad922841', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-22 20:40:14', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('a0f3fec27eb14c9e8183129f444d353d', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-01 21:17:25', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('a1020f38a2d148b283d7063bca8278ed', '68042014e23c4ebea7234cb9c77cee5c', '2020-04-06 21:17:49', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('a126d257fd654bc18c2518c34383eae6', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-02 12:14:29', null, '35', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('a12e799b5ea34e718e37250991c50b2e', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-03 16:10:19', null, '10', null, '2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3$004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036$340e5189877a4eb58492c7bb7a3c094d@True_fb5f2eecef2341279412400d9a58ac4b', '54f9181eb04141c083f2a7889bbac8cc');
INSERT INTO `exam_record` VALUES ('a1325d42893a408593f9272d167c5bfd', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-01 15:19:14', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('a2bf4be6474b41e2b7226cb0f3545c0c', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 16:01:11', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('a32010af059f49f0912dbcf1f48864bd', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-02 08:38:28', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('a326efc92151480e89b345e3c12feff1', '79392778a90d4639a297dbd0bae0f779', '2020-02-27 10:59:23', null, '0', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_ab96efeec3144ecea3bf955d4e52980f-bc4e6c276e6d4b80871badf7d2a9087c$2f8b20630b10471395b6c379a465cca8@False_ab85c51b6e91402385aeda6551aea608$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('a36e06cf3f1f456eb70f99fc85b28231', '79392778a90d4639a297dbd0bae0f779', '2020-05-18 16:47:28', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('a3b3751b2b8b40f0a651c9b171cfb125', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-20 10:54:15', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('a3bf51fae09b4ee592afec0318385f5b', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-03 02:25:46', null, '5', null, 'e283ac11c7064ccf976f9c48d68c6a67@True_b8e2e6300ab04016a82481fff15750e0', '303efbfe2e5f460c909e935345424244');
INSERT INTO `exam_record` VALUES ('a406582f844f4586b626e2963aad8d5b', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-07 17:01:55', null, '5', null, '5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('a42627ebf28447fda0743c4f4b6c6f61', '79392778a90d4639a297dbd0bae0f779', '2020-04-21 16:58:13', null, '0', null, '6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('a4786b32c56243fe9ba0e576e37f3c3b', '79392778a90d4639a297dbd0bae0f779', '2020-03-04 11:07:54', null, '5', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538-ab96efeec3144ecea3bf955d4e52980f-bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5$85047be0b2cf4077a5ec66e92ebf442b@False_b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('a4b641c8e70348ca864dad2670f0141f', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-04 15:34:47', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('a4c399bee017453e8307502eda03a69b', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 13:56:59', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9', '16081a246f004bb2888aad0320628340');
INSERT INTO `exam_record` VALUES ('a4e4d0eff0f5432aa8b83556598f6c46', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-10 10:04:17', null, '5', null, '7d535a2008b4423bae96c8b4ad90378f@True_f54cf9081cb44864afafc7e51be3aff1', 'cdc85339359840a49c8f71d824c79dae');
INSERT INTO `exam_record` VALUES ('a4fcc8452dc2426e86c2dd18d257927b', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-27 16:09:32', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$cff7d16da6ab428e893c748d5c759cb2@True_8c95b512240b4a47b85743a64f65c0ba$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6$590889adc7994fbdbd895f3f8f4cd1f4@False_c81d168f407d476c9caf518b23cbc3ee-c87c37f82879406bbb12094a04115838$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9', '1435d0e86576487d819b41f33082f441');
INSERT INTO `exam_record` VALUES ('a50bffa76c284dea92e4a80ff906a7e5', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-17 18:56:02', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('a519e6dc4b7a4e02a15326eb15031388', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-10 12:00:55', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('a5239e98740e48bb8b87db80f45d67a4', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-30 18:03:02', null, '10', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538-bc4e6c276e6d4b80871badf7d2a9087c$9199009718ec4685a0a500d23ab814c5@False_233c13ee72c9456989788201fd108c8e$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$3864178819534aa7862b26e893aa2e62@False_9b14c29c2d514b10af620655ff13a204$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', 'ff221a5c379b40bda60677e7c54bce02');
INSERT INTO `exam_record` VALUES ('a548be10fdc44f8588138103a3ea8e62', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-18 08:18:43', null, '0', null, '42e97c38185349a6b83b396922357271@False_70b75d901d69477ab922074e2161559f$31e9ad43e84e484eb8b77b7e7a76de91@False_4140a14f3f6b4067962eac1c939675c9', 'c6e930f8d5d84fcca205c77ad4e9dd9a');
INSERT INTO `exam_record` VALUES ('a54956c625af47a883fb8bddba3e15a6', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-27 16:19:34', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('a5f5e6f7b2ad4f44942ed5980caa296c', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-29 18:48:18', null, '10', null, '2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('a603c24e7e274e8b937823830f6ca357', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-17 15:27:58', null, '0', null, '305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$3864178819534aa7862b26e893aa2e62@False_9b14c29c2d514b10af620655ff13a204$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094', '258bf9410e854f34bba9c9a08f4dd313');
INSERT INTO `exam_record` VALUES ('a60d696ab21647c8bd1fe1973997089c', '79392778a90d4639a297dbd0bae0f779', '2020-04-14 21:40:24', null, '10', null, '1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('a61226d9594e46a5bee6f7292601f681', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-10 15:00:05', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('a61629965d2942d5afeec8ccb5bb2a98', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-16 19:16:35', null, '15', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('a62adc874873431ca3e6bbe979308fd2', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-14 08:46:20', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('a688d45daf954659824e48c320cac667', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-12 14:12:06', null, '0', null, '2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7', 'ae37b8953d6a444cbe2dedcc46444ba5');
INSERT INTO `exam_record` VALUES ('a6cb6c3a92de47efb140bf2d874ea601', 'a1b661031adf4a8f969f1869d479fe74', '2020-10-03 08:03:35', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('a6ff060d2cba4f8e80ee3891eb727524', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-25 19:12:15', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('a75f64cf04fa4b75a071a860dd35be3b', '68042014e23c4ebea7234cb9c77cee5c', '2020-03-02 15:10:39', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@False_6f0631ce414c49519a162af9062073ca', '851efee8155447afb42aa3083cb1e2cc');
INSERT INTO `exam_record` VALUES ('a770b1917fef4a1482217ab0dfc59d1b', 'a1b661031adf4a8f969f1869d479fe74', '2019-10-23 16:43:20', null, '10', null, '396b55534851427590e089fb9cc040cc@False_92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2$e283ac11c7064ccf976f9c48d68c6a67@True_b8e2e6300ab04016a82481fff15750e0$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$2f8b20630b10471395b6c379a465cca8@False_ab85c51b6e91402385aeda6551aea608$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9', '303efbfe2e5f460c909e935345424244');
INSERT INTO `exam_record` VALUES ('a7ae96e0f03641d6aa21f87eafa8ebbf', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-06 20:19:32', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('a7b07a4e427f45f39e1a89aa24003c96', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-22 16:27:19', null, '10', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('a9111dcfd7964df193c033fd4c2c6793', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-04 09:41:01', null, '0', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-ccf9a11d724046dd964660b688d9dc28', 'b188e54770a74481a4d3de7862ad1c31');
INSERT INTO `exam_record` VALUES ('a92189849d9a489ab56ec30da751ea75', '79392778a90d4639a297dbd0bae0f779', '2020-08-17 10:51:12', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('a9578d37c88e45b5b97c3913b65b2bc7', '79392778a90d4639a297dbd0bae0f779', '2020-09-24 16:42:26', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('a99cce372b1042d4910d3ca8595b46c2', '68042014e23c4ebea7234cb9c77cee5c', '2020-05-12 21:41:57', null, '5', null, '018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', '5d9f3ce7cf81460cae209fcd381395db');
INSERT INTO `exam_record` VALUES ('aa03564cf31e4b30a0fdacafa2470575', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-28 18:49:45', null, '25', null, '8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('aa21e0f480e3471781c9c7f2296a0252', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-24 08:46:07', null, '5', null, '14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('aa352df526ba42638bcb61d25a986411', '79392778a90d4639a297dbd0bae0f779', '2020-09-30 22:43:40', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@False_397f7bbc8afc431e8976ee8764d88584$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('ab01c8a161c246bc8c7c56a68c051670', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-27 19:55:09', null, '20', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_ab96efeec3144ecea3bf955d4e52980f-bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('ab1f8743005046d9a96cb327cfb04b3f', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 14:02:28', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-81b7ae4a705f4fc39e576085a55fccc0-bed28153b51d410aafa64a6cc9c6fbb9$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('aba38b17136f4d9d9c5613f315d6b52a', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-30 18:05:19', null, '0', null, '4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('abaea64ec2404fc8bee9c3e6ade5c401', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-22 20:41:24', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$cba6ce4038b5401fb4cb43205557ccf9@False_eddc33534976426496b1e2eb5cfe1502$a12eb101321b451bbc54a136e98acfd0@False_251eb27617ce458697f6e966bbf87bed$b95a0546fcc8418e84185137d14b1b50@False_2c57854526c64f1ab3cd6a7c37749ac0', '11e43c39761a463db8407cde15a67693');
INSERT INTO `exam_record` VALUES ('abf86e18a32246c0b6dfe743868587db', '79392778a90d4639a297dbd0bae0f779', '2020-03-02 03:57:57', null, '0', null, '2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031', '303efbfe2e5f460c909e935345424244');
INSERT INTO `exam_record` VALUES ('acf51d59389c438db49f8a3d341ba03b', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-06 16:16:23', null, '1', null, '9bab31ed75c94be292e3d3908d834036@True_2624e6d08bcb4159918ec6bf82e60c79', 'c0073a2f2fd64ac6b351c4f62a3f283b');
INSERT INTO `exam_record` VALUES ('ad200f2cc75340ada8b8c247ae20f907', '79392778a90d4639a297dbd0bae0f779', '2020-09-01 17:05:40', null, '10', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('ade5016fc9dc4a54a089d69ffa195179', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-06 09:10:07', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('adf43459cf9a4b299e2896258ca5a625', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-27 10:05:11', null, '0', null, '23c0e0e98d04425ab2de3e7fec54971d@False_a4c4b303b3e34a0e83dbd967567bbb91', 'a95fb0006cc44ceab29b9086f9e34f6a');
INSERT INTO `exam_record` VALUES ('ae1a53925e794d1a8747bcf3659d5d42', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-26 18:03:41', null, '45', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_88ec4c60df0842c7b603cf82450b12cb$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9', 'de5d55138e0e4c3a94943afe98f1fd96');
INSERT INTO `exam_record` VALUES ('ae8f1fccc8d64b5292501126f9cdc5bf', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-28 21:22:41', null, '25', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_ab96efeec3144ecea3bf955d4e52980f$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('af14cb947e3f494e9b9cf58815d2752c', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-26 23:30:47', null, '10', null, '14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$473ecef6048d4d1a91b8100eb7a176e0@True_91954e91ac184f648cc944bf84dbbe19', '7473398cff0f43e8bb4e360ed818d636');
INSERT INTO `exam_record` VALUES ('af5a17c542714ba596e62080cc02ed10', '79392778a90d4639a297dbd0bae0f779', '2020-04-07 17:18:36', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('af84db3f74ff403ead0743ed020ee75f', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-21 14:52:59', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('af891d72c71e4f42acfdd13b1cf84cc3', '79392778a90d4639a297dbd0bae0f779', '2020-09-15 14:45:54', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('af92bad65eca406e9a9009c5a2b5f018', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-15 15:10:40', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-81b7ae4a705f4fc39e576085a55fccc0$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('afaf73b3086e46c2b2de4d3e3210045a', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-27 17:18:04', null, '0', null, '2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('b02b7dfb156e4d8698c1b2ce7ceabe79', '79392778a90d4639a297dbd0bae0f779', '2019-10-29 07:33:51', null, '45', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f-bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('b05b3e6fde24498a93cedc02820d20cd', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-13 08:40:00', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('b062354e962646008b64e4c1fbb0170d', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-28 01:49:27', null, '5', null, '56ed36d358d44d43834ce1146bf4303d@True_a9960e3f1cb34a8caafd27fe3a4ef9de', 'f1fd1983f3ff4330a328ba2a2e2a3622');
INSERT INTO `exam_record` VALUES ('b0f56eda675f4d2d824ee1f51ca7ca88', '68042014e23c4ebea7234cb9c77cee5c', '2020-07-18 18:49:21', null, '10', null, '4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('b13c244db33f4a4e9077316c058928e0', '79392778a90d4639a297dbd0bae0f779', '2020-05-14 21:25:21', null, '15', null, '6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('b1e5dbe2e90a417eb1c3fc7cacc2c5f0', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-11 17:20:58', null, '10', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('b1ea54f400b84d58954f91ce5484f880', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-24 16:46:46', null, '30', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('b209c8a09996457bb45474d21ba37b86', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-24 10:18:13', null, '15', null, '34ac0eba5d5548599086f7439b837d85@True_302327201f3c422ca6b636f04fb146cc-3912670d529c4bc5b3bbfb4694d750e5$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7$495fce658bc4409aac2e14657d8e7e8d@True_95ebcd9078444043b7ff375a2fe67178$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', '7c25650a7f7242b7b90f9146e7c3b3c6');
INSERT INTO `exam_record` VALUES ('b2381d629eba4524b5378ae2aa6cf09b', '79392778a90d4639a297dbd0bae0f779', '2020-05-26 16:42:17', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('b24b6868ca9d4435be0d09aa54985eff', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-25 00:27:26', null, '0', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538$2f8b20630b10471395b6c379a465cca8@False_ab85c51b6e91402385aeda6551aea608$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('b2a6fbc5c15d46e2a3fc0e61afe37ae9', '79392778a90d4639a297dbd0bae0f779', '2020-04-10 18:18:31', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$2f8b20630b10471395b6c379a465cca8@False_ab85c51b6e91402385aeda6551aea608$517621a3c6b745459a5606c65cd38e27@False_3337d407ecde4865b80a5fc9e7fe37e3-64f67417f3b54909a2aa328c1fc6571a$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$31e9ad43e84e484eb8b77b7e7a76de91@True_5ac788b163b04bc9b159f11d1cb1abba$340e5189877a4eb58492c7bb7a3c094d@False_e80b3bfbd8764da58e06e2a928b086af$495fce658bc4409aac2e14657d8e7e8d@False_d8a80cb9399b47b8890aa897d3ca1339$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5$9fe1cafeebf44e20a80f504cff60ef3f@False_88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f$396b55534851427590e089fb9cc040cc@False_9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$34ac0eba5d5548599086f7439b837d85@False_3912670d529c4bc5b3bbfb4694d750e5-435eabe9037b4ff7998943b09010e5f4$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3', '1977e53802e143719aa5f28f2b0a01ab');
INSERT INTO `exam_record` VALUES ('b2bb75b8dd044379b0318dceddb348b6', '79392778a90d4639a297dbd0bae0f779', '2020-08-31 13:56:51', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$004c8b75a1a2421986fa05c89d0a903d@False_cc2f57d910694387868cc67efd65b4dc', '16081a246f004bb2888aad0320628340');
INSERT INTO `exam_record` VALUES ('b31cd9a2a5104b9f9d4efc6c48a0a58d', '79392778a90d4639a297dbd0bae0f779', '2020-08-31 21:09:28', null, '0', null, '1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('b330e68b0270482c85a63bba95885479', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-05 23:34:45', null, '0', null, '14cc31707d53433f81841058a97575da@False_4d5c32e598cc41abb003f2f37dab210e', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('b38adf3946d14ea985fe0901de02f0dc', '79392778a90d4639a297dbd0bae0f779', '2020-07-23 19:33:12', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('b45a7c64099346578f4aeeead8139b23', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-01 16:47:04', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('b4e857f54d6340e696d5a0f662044ccd', '79392778a90d4639a297dbd0bae0f779', '2020-07-20 21:56:31', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('b4f02f4d6a2b4deda2bebab756bf61cf', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-05 23:08:02', null, '0', null, '0885c830022746cf8972c97eba9f5b15@False_995407da7fd141d3a264e359dedf199b', 'e791b7ec21bd4b638b725583ab9a818b');
INSERT INTO `exam_record` VALUES ('b4f6b08b314e4496958ef090c02eb846', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-27 01:27:01', null, '5', null, '03ba87a6ca3a4075bd983ca799d518d8@False_78b12fae3d3740658dfabfce253b1b58$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', '00de2c86b6304b96b2288a0716e34829');
INSERT INTO `exam_record` VALUES ('b51e48c9a65a4201b2513c04c3736ea8', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-28 16:01:44', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('b56e124ec6914ef297aae9afcf6c0738', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-23 10:54:34', null, '10', null, '0885c830022746cf8972c97eba9f5b15@False_995407da7fd141d3a264e359dedf199b$07441a6a40d44196a1e67fe344ac57a9@False_a51323d05dbc4046ba92d9ee1d8d7bc9$0cae9d2a09824bacb660d21aa550e599@True_5dd85e56e1704c15b1ac522fdedeb637$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', '409f6d215ac64bbc837ddce60f6898a7');
INSERT INTO `exam_record` VALUES ('b5b345e01413478b8c00ea73b4af03a4', 'a1b661031adf4a8f969f1869d479fe74', '2019-10-26 07:28:28', null, '24', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bed28153b51d410aafa64a6cc9c6fbb9$396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '7f36f47a75184adeb3df4fb8c4058a5a');
INSERT INTO `exam_record` VALUES ('b5e6f4de52b541cfa19b426dae692db0', '68042014e23c4ebea7234cb9c77cee5c', '2020-08-31 15:57:48', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('b61937c141244218a069ad5fd8ad89ef', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-02 16:04:11', null, '0', null, '14cc31707d53433f81841058a97575da@False_6f0631ce414c49519a162af9062073ca', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('b658226e435143139e08e1095809ea44', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-17 17:48:43', null, '30', null, '5396e258c48e467fbdf904701aa85840@True_59d74d533d89492993922152bfcb8a62$396b55534851427590e089fb9cc040cc@False_9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$5e0389903aa94524bcae09ca457ecdaa@True_b07b85e3415b403d9487dbc1acf5f932$340e5189877a4eb58492c7bb7a3c094d@True_fb5f2eecef2341279412400d9a58ac4b$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '1b989eb399b243b49be371a6fb6292ca');
INSERT INTO `exam_record` VALUES ('b659983cf5d449faa48d25010ada87b9', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-14 19:15:51', null, '10', null, '157767faab1e459fbb63eddef08f1a0d@False_9d4db526074c4642922790aae582742d$0cae9d2a09824bacb660d21aa550e599@True_5dd85e56e1704c15b1ac522fdedeb637$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', 'f27ad6bb59054d269ba013d37fa2bb5c');
INSERT INTO `exam_record` VALUES ('b65d5071c5554ce39bcda3ea30ed7898', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-17 10:31:38', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@True_20ce13d67d544efeba548f7eb9642e8f-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('b666f6683ee34354b139598291583318', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-23 11:52:08', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('b6a43c4235184a50a1bb7f5a3073808c', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-08 17:09:36', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('b6fae68d0b6a497180fe605e37b7ee39', '79392778a90d4639a297dbd0bae0f779', '2020-09-10 16:14:25', null, '15', null, '396b55534851427590e089fb9cc040cc@False_92ed63ab069d4f0bae0bbf630a03d34d$e283ac11c7064ccf976f9c48d68c6a67@False_d15f9106bb9941eaab1e37356af083b3$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '303efbfe2e5f460c909e935345424244');
INSERT INTO `exam_record` VALUES ('b74965f97ca74d03875b0557911c942d', '79392778a90d4639a297dbd0bae0f779', '2020-04-26 14:42:40', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('b753f0203ffa4906a63c9a05d5ac525d', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-06 09:39:29', null, '5', null, '1003b43b03934068973f67d199565dce@False_790e68b1844f43bf947cd6450c547cd5$40ee7b36298d4568aad20e2db36ddbb5@True_a317880eb3144e3db226409408198013', 'fcc6729dfd62473bad857152d039f1fe');
INSERT INTO `exam_record` VALUES ('b7694d8b0acc40bdac416a1b5a5f2567', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-30 15:43:58', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$dc91198c27dc4ab5942ffc924f282367@False_397f7bbc8afc431e8976ee8764d88584$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('b821e10afe654bdaa2d3ef1b7e418f7f', 'a1b661031adf4a8f969f1869d479fe74', '2020-10-11 16:22:40', null, '10', null, '46b74ddb133a4f20ac30d2c92de6902c@True_8967e693de5b4acba8357219812c7c4b$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$3f31e3edcea24aebb1f3ff1556917141@False_02e72a5f97eb4783a8d9b4f1231d01fe', '00de2c86b6304b96b2288a0716e34829');
INSERT INTO `exam_record` VALUES ('b835df425dd94b9db66e56c39f20e64c', '68042014e23c4ebea7234cb9c77cee5c', '2020-05-12 20:15:15', null, '5', null, 'caac198257444ae2a7f6b6d9f8399f8b@True_579e9d59ced64518908e9fb5ff2595c3-f40ce7c44edf45f296fb79f36e3bdc7c', '5d9f3ce7cf81460cae209fcd381395db');
INSERT INTO `exam_record` VALUES ('b8422c04bd284b65a9a61f2887c5782a', '68042014e23c4ebea7234cb9c77cee5c', '2020-05-15 16:49:49', null, '30', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@False_397f7bbc8afc431e8976ee8764d88584$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('b84ac0ad5eff4fe4a39b0f090a6cf0c9', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 14:05:22', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('b8bb881c3e8643ba8da5b41ae0e8d3bd', '79392778a90d4639a297dbd0bae0f779', '2020-05-10 16:27:29', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('b8fed047c0b64245a12551c8cafc988f', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-07 12:00:08', null, '25', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('b933e038a7d14157bdc53c77e4a494b0', '79392778a90d4639a297dbd0bae0f779', '2020-04-23 11:57:58', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('b94c076c75d94a9b9c6e0cbe8fd7ad0a', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-01 17:47:14', null, '10', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('b96f91bd0bff469ab152d6b9405f69f3', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-03 09:50:10', null, '0', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538-ab96efeec3144ecea3bf955d4e52980f$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6', 'ff221a5c379b40bda60677e7c54bce02');
INSERT INTO `exam_record` VALUES ('ba34a6ae80554eaf9a3935bfe12156b5', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-15 14:09:04', null, '35', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('ba587eb7e3734a01800139ee0157973e', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-26 19:42:30', null, '10', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_ab96efeec3144ecea3bf955d4e52980f$9199009718ec4685a0a500d23ab814c5@True_785ad33574f747fd870dd6eadff303ab$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$3864178819534aa7862b26e893aa2e62@False_9b14c29c2d514b10af620655ff13a204$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9', '258bf9410e854f34bba9c9a08f4dd313');
INSERT INTO `exam_record` VALUES ('ba5fcf0e855a43f48aa9686ffb1ec53f', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 17:23:07', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036', '16081a246f004bb2888aad0320628340');
INSERT INTO `exam_record` VALUES ('baa1449b32514b7b83a858354f370e42', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-14 12:02:07', null, '5', null, '305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7$31e9ad43e84e484eb8b77b7e7a76de91@False_4140a14f3f6b4067962eac1c939675c9', '869670911184494dacc4ea0c31773b50');
INSERT INTO `exam_record` VALUES ('bad881ac6bbb4ce7b8871eee5e3a43dc', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 17:42:11', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('bb3a5bba18a94cb6a217b961ebf8e90c', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-02 18:36:50', null, '0', null, '004c8b75a1a2421986fa05c89d0a903d@False_cc2f57d910694387868cc67efd65b4dc', '16081a246f004bb2888aad0320628340');
INSERT INTO `exam_record` VALUES ('bb3d8cd278ab438c830b42d2ff82ef5c', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-08 09:32:19', null, '45', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('bb71629f60ae47eca4b3d8743d09b301', '68042014e23c4ebea7234cb9c77cee5c', '2020-04-19 16:57:16', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('bb9c4654584b4acf82f42a7b577c8ecf', '79392778a90d4639a297dbd0bae0f779', '2020-08-31 17:46:22', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('bbdd0568604c497287d54ab1423d3721', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-08 17:18:27', null, '5', null, '2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('bc060bd803774d73b2082b53530044f9', '79392778a90d4639a297dbd0bae0f779', '2020-04-01 14:25:49', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('bc4b13dc61aa47c6b12520d4fc341b49', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-05 16:14:39', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$004c8b75a1a2421986fa05c89d0a903d@False_cc2f57d910694387868cc67efd65b4dc', '16081a246f004bb2888aad0320628340');
INSERT INTO `exam_record` VALUES ('bca668821f81425bb2bf7579f752b655', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-03 14:48:15', null, '30', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@False_397f7bbc8afc431e8976ee8764d88584$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('bcafec5d871149ce8b3d1974831529a5', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 14:13:48', null, '0', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9', '59a3cb205f3745338c0b7e9d26ce2fe5');
INSERT INTO `exam_record` VALUES ('bcbc34e151094f32bdf43299aa1962f0', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-01 16:07:29', null, '5', null, '458475653213478e9b69e2f1bb063ffc@True_a6d530b941a34a3187c968c95bcc1d1f$4a8c0cd2a67e4bb3aa51662146444f0d@False_8aca071cfff2418784c36a5ca612a515', 'a22b7091c94342b3b14a71d37b7f0f3b');
INSERT INTO `exam_record` VALUES ('bd00c92fa56c4282898cfc57275f59f6', 'a1b661031adf4a8f969f1869d479fe74', '2020-10-02 15:36:22', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('bd3894cfd74d4072b716839f8f816c19', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-15 08:38:38', null, '25', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('be2da78062c34a91a65f22ab118f94ab', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-08 10:01:12', null, '0', null, '305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$3864178819534aa7862b26e893aa2e62@False_9b14c29c2d514b10af620655ff13a204$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', 'ff221a5c379b40bda60677e7c54bce02');
INSERT INTO `exam_record` VALUES ('be4c80249e5c42699d11790bd974f354', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-16 16:51:19', null, '30', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('be6d8f3865874406a5e672a14a408117', '79392778a90d4639a297dbd0bae0f779', '2020-04-04 11:51:07', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('bf4ae965c96a493abc8aa9cbd60f0da4', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-21 21:42:58', null, '0', null, '305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('bf52338120c94d39876be294ee0d4475', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-13 14:20:44', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('bf66022f93ee4c0fbc367d174e893e4e', '79392778a90d4639a297dbd0bae0f779', '2020-03-14 01:27:35', null, '5', null, '6d679282cdc649f8b4d185e47026dcca@False_2cd9cb4901044a7fb410962eb75737da$396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3', '88454c937fb9431dbede6fea9530d853');
INSERT INTO `exam_record` VALUES ('bf6c7fd212dc4f78a2dadddf654dc830', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-11 18:01:07', null, '5', null, '34ac0eba5d5548599086f7439b837d85@True_302327201f3c422ca6b636f04fb146cc-3912670d529c4bc5b3bbfb4694d750e5$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3$cee1bf2e88da4278add93f1db111a586@False_ed702b2263804207ab4a845a76c22656', 'f28bb879f0a648718c1d3a72b5f658a5');
INSERT INTO `exam_record` VALUES ('bfd3a843bc98490ebc05ba51ca2530c9', '79392778a90d4639a297dbd0bae0f779', '2020-09-02 17:05:36', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('c032aa7404b64734aec95c10f297ca52', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-01 16:20:04', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0', '16081a246f004bb2888aad0320628340');
INSERT INTO `exam_record` VALUES ('c06d0f1b69d94813a25b88e2803ffc80', '79392778a90d4639a297dbd0bae0f779', '2020-03-24 11:56:53', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('c0ea83deb40047489bda5c7c1d7930fb', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-02 09:30:33', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('c149421b597047ec998dde727e6eb165', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-07 16:19:35', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('c17cf1ba82244c6fb9945a50c3507e40', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-24 15:10:08', null, '5', null, '1003b43b03934068973f67d199565dce@False_790e68b1844f43bf947cd6450c547cd5$34ac0eba5d5548599086f7439b837d85@False_302327201f3c422ca6b636f04fb146cc-3912670d529c4bc5b3bbfb4694d750e5-435eabe9037b4ff7998943b09010e5f4$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0$340e5189877a4eb58492c7bb7a3c094d@True_fb5f2eecef2341279412400d9a58ac4b', '13e00f069eef47b2b76e4ab941b32cce');
INSERT INTO `exam_record` VALUES ('c187d7e260fc4548b2925ee0150dd7ac', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-10 14:15:44', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('c1c3519ef9ac4c22aa8dc62a5dbcdd0e', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-03 13:55:00', null, '0', null, '224ae57b9c1749bdbfab51b2284789ce@False_3d9abd4caa484af99e8667ac8408ce85-61fa118af54846ce9498774fc7dbb462$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$23ac2394b14f4e338ec22adba349eb62@False_b65355f749974638bf875224c31b3508$14908e5711f74c67924d6b1ceaeb92d0@False_9a28b3007c7c4f1b899a46a74f1baeb7$313a3c23d119451d9f3f82bb47401b9f@False_96adc6fe53994660a5ce9c52beeabc10', '5f08a610b6e3463691a511e5c037b62d');
INSERT INTO `exam_record` VALUES ('c2019475d16e4714966e692f1413d289', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-26 15:58:22', null, '5', null, 'a12eb101321b451bbc54a136e98acfd0@True_8c0f6801448b4185b3446d92b0721c40', '11e43c39761a463db8407cde15a67693');
INSERT INTO `exam_record` VALUES ('c2473f92789d495f86cbcff20ad8f01f', '79392778a90d4639a297dbd0bae0f779', '2020-06-25 08:55:04', null, '0', null, '85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('c27d0307990e4d789293b0f8dab23e82', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-21 17:34:58', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$e283ac11c7064ccf976f9c48d68c6a67@True_b8e2e6300ab04016a82481fff15750e0$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$31e9ad43e84e484eb8b77b7e7a76de91@False_4140a14f3f6b4067962eac1c939675c9$ecdfbdd2a9f24017b3fe1aa0947ca146@True_b8e2e6300ab04016a82481fff15750e0', '8112f71b21734607b8706648f070b048');
INSERT INTO `exam_record` VALUES ('c2da9c8150694483b497fa1fae89d502', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-19 16:53:41', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('c2f1dfef992f46b29d72c37bd28df3fe', '79392778a90d4639a297dbd0bae0f779', '2020-06-30 22:48:47', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('c388eb36e6ec4b228dcea33c79aa8ae0', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-04 18:21:49', null, '10', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('c48cb7e8892844a99cf1a0c8b4e7dc32', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-14 11:04:38', null, '0', null, 'a12eb101321b451bbc54a136e98acfd0@False_228f57a595a2416aa6cf7df66095236a', '11e43c39761a463db8407cde15a67693');
INSERT INTO `exam_record` VALUES ('c49b678f9d1c4ad5aa7d2d6d4fa02fc5', '79392778a90d4639a297dbd0bae0f779', '2020-04-20 22:30:12', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-bbe3df2c7ba44b13b4b77cbd929a8fb1$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('c4c307f0164040a680a6773bb881cf9f', '79392778a90d4639a297dbd0bae0f779', '2020-03-29 18:54:32', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('c5db2dfd050c49abbcd26c9b2bcb8cc3', '79392778a90d4639a297dbd0bae0f779', '2020-04-16 15:32:38', null, '5', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('c6050b599d4b4b50863713cd852f021a', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-29 11:57:15', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59$396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$590889adc7994fbdbd895f3f8f4cd1f4@False_c81d168f407d476c9caf518b23cbc3ee$14cc31707d53433f81841058a97575da@False_4d5c32e598cc41abb003f2f37dab210e$340e5189877a4eb58492c7bb7a3c094d@False_e80b3bfbd8764da58e06e2a928b086af', '70b51ea397d543d4890aff1be79eed08');
INSERT INTO `exam_record` VALUES ('c63249ec39d241b8b2965f1320d0eac9', '79392778a90d4639a297dbd0bae0f779', '2020-07-04 18:18:17', null, '20', null, '396b55534851427590e089fb9cc040cc@False_92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2$e283ac11c7064ccf976f9c48d68c6a67@True_b8e2e6300ab04016a82481fff15750e0$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$2f8b20630b10471395b6c379a465cca8@False_ab85c51b6e91402385aeda6551aea608$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@False_4d5c32e598cc41abb003f2f37dab210e$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9', '303efbfe2e5f460c909e935345424244');
INSERT INTO `exam_record` VALUES ('c66362b3bc9748008b1f9008745b6213', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-26 15:46:58', null, '5', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5', '303efbfe2e5f460c909e935345424244');
INSERT INTO `exam_record` VALUES ('c6b83cf53c6241478153ee2f5ab50cb8', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-02 16:09:23', null, '40', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('c71eefc582924b5ebf5269d025b671a8', '68042014e23c4ebea7234cb9c77cee5c', '2020-10-03 11:10:59', null, '10', null, '25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('c722a1e4805544db861481893d30f53f', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-09 14:16:39', null, '5', null, '305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('c7a11a5f59aa459f853601ea535b6f68', '79392778a90d4639a297dbd0bae0f779', '2020-04-17 11:26:04', null, '25', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_ab96efeec3144ecea3bf955d4e52980f$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('c7bd4b7a68084d3aa3e7468f57e4a27a', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-16 14:27:50', null, '15', null, '2b4df8f9333741ef9f56bc188ec8a147@True_8398259d17a84b71a19e958ffd63447f$157767faab1e459fbb63eddef08f1a0d@False_9d4db526074c4642922790aae582742d$23c0e0e98d04425ab2de3e7fec54971d@False_a4c4b303b3e34a0e83dbd967567bbb91$0cae9d2a09824bacb660d21aa550e599@True_5dd85e56e1704c15b1ac522fdedeb637$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', 'f27ad6bb59054d269ba013d37fa2bb5c');
INSERT INTO `exam_record` VALUES ('c81735fe9b1c45e489e74c7242981b9e', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-20 07:45:21', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('c81bfab792f04182a2d8ef6bd7a18e8a', '68042014e23c4ebea7234cb9c77cee5c', '2020-08-31 17:43:10', null, '5', null, '5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('c84c842dfd7e400d8414139c895884ff', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-18 14:33:31', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$517621a3c6b745459a5606c65cd38e27@True_64f67417f3b54909a2aa328c1fc6571a$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$31ab7a49aa254240935d1e871d7f2f09@True_a3cc733bcc5e47bab69f3fec7867fd38$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$340e5189877a4eb58492c7bb7a3c094d@True_fb5f2eecef2341279412400d9a58ac4b$85047be0b2cf4077a5ec66e92ebf442b@False_b7926212674b4b71b93dcffca102f578', '7a2031b4ff3140dd8b5f7223d5890ec4');
INSERT INTO `exam_record` VALUES ('c85c41036cc247c79278c319a33b85da', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-28 13:24:18', null, '0', null, '311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e', '4be45c365eca44a3a3cbdaa63680ca7e');
INSERT INTO `exam_record` VALUES ('c860a67be227460c8f089b2144cc3d01', '68042014e23c4ebea7234cb9c77cee5c', '2020-08-31 14:38:08', null, '20', null, '6d679282cdc649f8b4d185e47026dcca@False_2cd9cb4901044a7fb410962eb75737da$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$75e0196b943a47f59d246557dc7c30dd@True_8acab2bbb89a48e886f32d8a7e6ab27e$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$847da264b1334e1290e028e51fd6d04d@True_c91d0cf22e8048479b0bf25ddd499d1c$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9', '0cd280c5a6a54769a76633e16545c7f9');
INSERT INTO `exam_record` VALUES ('c8d0dc85585c4bd1b349d961ed2960d2', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-22 20:03:16', null, '15', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('c8f6aed988b04b859675bab1347e1f2e', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-04 17:19:38', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('c8f6d9ddd6b34b56a9490b26f7ef1c40', '68042014e23c4ebea7234cb9c77cee5c', '2020-06-11 10:00:47', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('c930e955b6a644cebdee3dfbc80d2a6b', '79392778a90d4639a297dbd0bae0f779', '2020-03-07 12:07:36', null, '3', null, '3864178819534aa7862b26e893aa2e62@True_e4697cfd242c4328b28a084e4ecaaf3c$31e9ad43e84e484eb8b77b7e7a76de91@False_4140a14f3f6b4067962eac1c939675c9', '8f6134e1ee6f47559f7bc2f7567d1b58');
INSERT INTO `exam_record` VALUES ('c995c315b5ff454fa9bff329e11bc469', '68042014e23c4ebea7234cb9c77cee5c', '2020-09-03 15:52:31', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1$2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('ca06c3c8bd3f4f7585c6766a8c90487d', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-02 04:00:36', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('ca0bfe049d8e4cc083df05881e222673', '79392778a90d4639a297dbd0bae0f779', '2020-08-12 10:01:34', null, '0', null, '2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7', '13e00f069eef47b2b76e4ab941b32cce');
INSERT INTO `exam_record` VALUES ('ca1f1af8d49a44c49fbba64e57e8a17c', '79392778a90d4639a297dbd0bae0f779', '2020-05-24 17:53:32', null, '5', null, '6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('ca3a24a4672e471cbba79962e8941c80', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-28 10:40:53', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('ca47db94744a415e8eba39c9a0dbb170', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-10 09:10:03', null, '5', null, '2929d07f28a54c81931701d2b162fd70@False_e1c39e7f3d894c65aa7e6e980229757c$004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036$078a8fed0cc649f8a864a430b4e7188c@False_b1b2cbb140264410b5b8bb23c37404e5', '56c87ee3b67c484ebf0f9802c59aada2');
INSERT INTO `exam_record` VALUES ('ca61a9f885d3491c92d7ebd5a8ea91cd', '79392778a90d4639a297dbd0bae0f779', '2020-05-27 19:11:49', null, '15', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('ca6f7cff27464caa8a9f6325cd6b7964', '68042014e23c4ebea7234cb9c77cee5c', '2020-04-08 22:56:20', null, '10', null, '1003b43b03934068973f67d199565dce@False_34ee794ddaab4033b84efcd749595329$517621a3c6b745459a5606c65cd38e27@True_64f67417f3b54909a2aa328c1fc6571a$34ac0eba5d5548599086f7439b837d85@False_3912670d529c4bc5b3bbfb4694d750e5$340e5189877a4eb58492c7bb7a3c094d@True_fb5f2eecef2341279412400d9a58ac4b', '5be639dd97e6482a81feb047cc64f29e');
INSERT INTO `exam_record` VALUES ('caf3f4be99dd42f8a9d9b4635c70afa9', '79392778a90d4639a297dbd0bae0f779', '2020-06-25 10:25:41', null, '10', null, '2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('cb107320bebc435fa43d7444f8de0c72', '79392778a90d4639a297dbd0bae0f779', '2020-06-25 08:33:45', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('cbd2e496a82e41f1abce42d48411b6f7', '79392778a90d4639a297dbd0bae0f779', '2020-05-15 15:06:45', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('cbde4e78abdc4701be0c8b1dfcc23cf1', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-26 16:13:38', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$31ab7a49aa254240935d1e871d7f2f09@False_397a9ee0beaa48d7850204bf44aa0cfa$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '7a2031b4ff3140dd8b5f7223d5890ec4');
INSERT INTO `exam_record` VALUES ('cc72f05bd043441dbc7f9c818d06b822', '79392778a90d4639a297dbd0bae0f779', '2020-05-28 09:16:44', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('cc7722e025b849f8833c5686e8a2d299', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-23 15:46:26', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@False_397f7bbc8afc431e8976ee8764d88584$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('cc7b362330404f37a71a8d3d9a802c93', '79392778a90d4639a297dbd0bae0f779', '2020-07-13 13:47:04', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@False_4d5c32e598cc41abb003f2f37dab210e$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('cc9d3e98d32f4b30a35304076e8880cf', '79392778a90d4639a297dbd0bae0f779', '2020-08-28 14:13:30', null, '0', null, '1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('cd0bcdfc21d744148add7031a16815b0', '79392778a90d4639a297dbd0bae0f779', '2020-06-12 11:33:48', null, '35', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('cd42ecb97f074e47b323ca60fcbf3889', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-25 12:30:14', null, '5', null, '305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('cd48795e7f784f5984f9b224dd9ebf6b', 'a1b661031adf4a8f969f1869d479fe74', '2019-10-26 07:50:03', null, '35', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bed28153b51d410aafa64a6cc9c6fbb9$396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28$e283ac11c7064ccf976f9c48d68c6a67@True_b8e2e6300ab04016a82481fff15750e0$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$bb22f19338174d1f9333f9aebd6ffeb6@False_0dda4965171b4f9680a6acfab9af9625$a12eb101321b451bbc54a136e98acfd0@True_8c0f6801448b4185b3446d92b0721c40', 'e5c1aac03a5b43a289b8c0caee037615');
INSERT INTO `exam_record` VALUES ('cd83151780df4cc5af4406231cf09909', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-01 20:38:23', null, '5', null, '3f31e3edcea24aebb1f3ff1556917141@True_8e7ead3595ee4867aa21997433ddb5fd', '3067641af3ef4e6c8813abdb1ea8e238');
INSERT INTO `exam_record` VALUES ('cdc066fa8496469e89f576854e916f87', '79392778a90d4639a297dbd0bae0f779', '2020-09-29 16:26:35', null, '10', null, '2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('cdf64cb1b654420d96d6b26bf65ece4e', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-16 11:30:59', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('ce028298dc4542c79d33ad3575727f5a', '68042014e23c4ebea7234cb9c77cee5c', '2020-09-22 08:56:03', null, '5', null, '6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('ce41294eb6a443598448fdc900aa04f1', '68042014e23c4ebea7234cb9c77cee5c', '2020-06-07 14:19:45', null, '5', null, '30a7598bc91346478027795679cd71c3@False_8946f452ab7b49cfab931cba8c8ed1dc$0f228882c0fe462db958be54df6a1142@False_b6194cc93e4d45e8a1a5d804f141f72a$004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036', '7d3fdab64adb4f988c83cad8e2d4f7c6');
INSERT INTO `exam_record` VALUES ('ce573ca71e2f49f6a7ccabd9c5de0ab7', '79392778a90d4639a297dbd0bae0f779', '2020-05-01 15:32:51', null, '25', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('cf9157cce3224f1c9d7a2227849a26a1', '68042014e23c4ebea7234cb9c77cee5c', '2020-09-13 10:19:10', null, '5', null, '004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036', '30fbdf37775440fcaffb3bfdd88dd6fd');
INSERT INTO `exam_record` VALUES ('cf9916d91e354787ac521c74c45b0941', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-09 16:48:34', null, '40', null, '2b8b0f8748e24460b461047366d37ecb@True_df100669da2b4842823c54abf03830c2$336581f3079140328f5e71a1594d7500@False_ff916fedb6a94be78944b25bf1377282$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97$004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036$31e9ad43e84e484eb8b77b7e7a76de91@True_5ac788b163b04bc9b159f11d1cb1abba$313a3c23d119451d9f3f82bb47401b9f@False_532fec43b430438fa67d13f2cc684dd4', 'cd92c37ef6b14f71a1fc97167fbb687f');
INSERT INTO `exam_record` VALUES ('cfc7df9876844881aff11d054729b69f', '79392778a90d4639a297dbd0bae0f779', '2020-09-21 10:00:37', null, '15', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$e283ac11c7064ccf976f9c48d68c6a67@False_d15f9106bb9941eaab1e37356af083b3$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '17fd99fac47440ef8f79cc10d8d638f2');
INSERT INTO `exam_record` VALUES ('cfcf8f7447164ce290e8774c79fa64fd', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-10 21:08:50', null, '45', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('d022fa94f8a041bb91982372f7a7e56a', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-31 11:35:43', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('d04f64b925c34c83b5ee872a7ac08b02', '79392778a90d4639a297dbd0bae0f779', '2020-08-28 16:29:10', null, '0', null, '25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('d07f23e782dc40658e23deae65f22b81', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-17 22:24:00', null, '5', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('d0b729beefaf4cd8b92bbaa7ae9a1070', '79392778a90d4639a297dbd0bae0f779', '2020-03-25 17:39:29', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$cba6ce4038b5401fb4cb43205557ccf9@True_bf93ba7988f84053ae197bded7ec10ea$bb22f19338174d1f9333f9aebd6ffeb6@True_9da49e7309604e81bacfdc7bb9044bc1$a12eb101321b451bbc54a136e98acfd0@True_8c0f6801448b4185b3446d92b0721c40$b95a0546fcc8418e84185137d14b1b50@False_2c57854526c64f1ab3cd6a7c37749ac0', '11e43c39761a463db8407cde15a67693');
INSERT INTO `exam_record` VALUES ('d0d19265fad94cf1bab7964f369600eb', '68042014e23c4ebea7234cb9c77cee5c', '2020-05-20 11:03:21', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('d11df2ca42364ad598ada80bd6b7eae0', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-14 15:22:20', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@False_4d5c32e598cc41abb003f2f37dab210e', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('d12a07554f014826be408960d2ca3ee0', '68042014e23c4ebea7234cb9c77cee5c', '2020-05-27 18:57:43', null, '0', null, '07441a6a40d44196a1e67fe344ac57a9@False_a51323d05dbc4046ba92d9ee1d8d7bc9', '77410b2d2c4a41418e6820a3c274a5be');
INSERT INTO `exam_record` VALUES ('d1e790fe1d274580a3902d227311d5fc', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-19 10:42:05', null, '5', null, '004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036', '6c14bb036c8f4bcea269d0fee3720749');
INSERT INTO `exam_record` VALUES ('d22df09d418743bca564a8a46e915028', '68042014e23c4ebea7234cb9c77cee5c', '2020-07-09 10:32:33', null, '5', null, '14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('d260113369044a04b21ff48688d52cd7', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-30 16:10:49', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('d261ecfcbe044ba4864dd394c5d2db35', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-28 10:40:50', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('d2623a60e3234886b1034ebcede2ac26', '79392778a90d4639a297dbd0bae0f779', '2020-02-25 17:23:53', null, '10', null, '3864178819534aa7862b26e893aa2e62@True_e4697cfd242c4328b28a084e4ecaaf3c', '258bf9410e854f34bba9c9a08f4dd313');
INSERT INTO `exam_record` VALUES ('d29d4f89a9be490d8aa700cbd2203d40', 'a1b661031adf4a8f969f1869d479fe74', '2020-10-09 21:35:52', null, '10', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('d2dc9d4872a84b7aa349322fccb21a13', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-14 13:19:27', null, '0', null, '224ae57b9c1749bdbfab51b2284789ce@False_3d9abd4caa484af99e8667ac8408ce85-61fa118af54846ce9498774fc7dbb462-a0e9cddc8e304295b7bb13813d4fb4f5$14908e5711f74c67924d6b1ceaeb92d0@False_9a28b3007c7c4f1b899a46a74f1baeb7$004c8b75a1a2421986fa05c89d0a903d@False_cc2f57d910694387868cc67efd65b4dc', '7e8ee43154b043b5bde4bc897884b7bf');
INSERT INTO `exam_record` VALUES ('d31a286aad014750a0ce8eb9ede03fdd', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-15 15:34:02', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('d388234404ad4db19af57c05773b960b', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-03 15:14:48', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('d3b5ba99b36c47ceb892c94eced03faf', '79392778a90d4639a297dbd0bae0f779', '2020-05-28 02:06:43', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('d3cb380f05554a20902952de92bf8822', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-25 15:59:36', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('d3fc00024c034ebeabb9b00660d6446e', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-01 15:21:15', null, '5', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-9c511fa9d5a74090967cdb52b29060a2$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9', '303efbfe2e5f460c909e935345424244');
INSERT INTO `exam_record` VALUES ('d4d65987dd7c432cad3d919d9e035e3d', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-16 17:05:58', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('d4d8aea7c82e4dc7bb50c37f42afe1f3', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-06 17:21:48', null, '10', null, '698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('d5321830977c4b619531baa31ac210db', '79392778a90d4639a297dbd0bae0f779', '2020-04-14 13:09:18', null, '10', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('d53c338a36904c35bee2b52d46fd00b9', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-22 09:42:57', null, '10', null, '157767faab1e459fbb63eddef08f1a0d@True_5af37b583ef34a9888c0d4cdcd434066$23c0e0e98d04425ab2de3e7fec54971d@True_29b8955e756c49599a1ef171eefdc405$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c', 'a95fb0006cc44ceab29b9086f9e34f6a');
INSERT INTO `exam_record` VALUES ('d5a863f055094299b112e970e3ca2f44', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-29 16:47:30', null, '5', null, '14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('d615a58847604258b8c35983a6570497', '79392778a90d4639a297dbd0bae0f779', '2020-10-10 15:57:17', null, '5', null, '1eaff8deac0041ed857d16461a290985@True_7972490f7616481b849908e9345f8ae9', '00de2c86b6304b96b2288a0716e34829');
INSERT INTO `exam_record` VALUES ('d64b5b893c5342458f6316f2bc8213b7', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-01 13:08:03', null, '5', null, '14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('d689f9b7154042f592cc283e3f621ce3', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-10 00:07:57', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('d6bc2e9fee864b93841d6b781e632e5e', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 19:17:29', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59', '16081a246f004bb2888aad0320628340');
INSERT INTO `exam_record` VALUES ('d6d479559bcc44d89c4d8042368a5a98', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-23 17:25:49', null, '5', null, '5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('d7214d7cb51d46cda923e5785bae8f88', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-02 11:29:05', null, '40', null, '8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('d74a8e5b3b1e4c3ca2fd3231c739570d', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-13 14:28:32', null, '15', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('d75f970615a942da9d30bd97cbf764e4', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-10 15:13:24', null, '0', null, 'a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('d7689a5487f646349b6e6d130b9ba194', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-13 11:20:18', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1$2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('d76b5cbaaf8f445fa7fed7c2a93e7d86', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-08 21:54:03', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('d775126d1ddc47be82d4d1a35f2f9d6f', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-17 11:11:44', null, '10', null, '2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('d7d7d86c85d042aeb05576156944e535', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-02 09:59:28', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('d7f6ce7c98db47ca86e95cd59a8441b1', '68042014e23c4ebea7234cb9c77cee5c', '2020-03-25 15:39:17', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('d862483e48b7481b9a4c9794317ac7bb', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-09 11:33:38', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0', '31f5539d563a4d50a0e9a344b3603730');
INSERT INTO `exam_record` VALUES ('d8b33456dbcc4cd9bd801d7dc2e75b25', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-30 09:34:36', null, '10', null, '224ae57b9c1749bdbfab51b2284789ce@False_a0e9cddc8e304295b7bb13813d4fb4f5$0885c830022746cf8972c97eba9f5b15@True_7d78e9cc50e44640a2056b891706b3d9$07441a6a40d44196a1e67fe344ac57a9@False_1e85eba6944f418d9eb611ccc1215476$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$0cae9d2a09824bacb660d21aa550e599@True_5dd85e56e1704c15b1ac522fdedeb637$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0', 'ff257cfe219c41beab94e2c85cd92016');
INSERT INTO `exam_record` VALUES ('d927c92d58104a6e8fd269b8f454353c', '79392778a90d4639a297dbd0bae0f779', '2020-05-27 16:58:55', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$03ba87a6ca3a4075bd983ca799d518d8@False_78b12fae3d3740658dfabfce253b1b58$07441a6a40d44196a1e67fe344ac57a9@True_d7f693f122e94549b93d39d79e5d53e7$34ac0eba5d5548599086f7439b837d85@False_435eabe9037b4ff7998943b09010e5f4$0f228882c0fe462db958be54df6a1142@True_28f780f29a034d06ad4d5753abe141a6$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', '41345edd2b644c7daa7fb79732b05a5e');
INSERT INTO `exam_record` VALUES ('d98b6c2d88fa4f699f134ad8fc42316d', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-28 14:46:28', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('d9c2fdeb72534236b7023c185567d42c', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-02 10:19:36', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('d9ecd1d9a4da478a8777625a18872885', '79392778a90d4639a297dbd0bae0f779', '2020-07-31 11:13:06', null, '15', null, '6d679282cdc649f8b4d185e47026dcca@False_83ff34f011964f899e4361dc029cac16$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$75e0196b943a47f59d246557dc7c30dd@False_bc88c0a83e6147fbbe7ae6141bf575a1$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$847da264b1334e1290e028e51fd6d04d@True_c91d0cf22e8048479b0bf25ddd499d1c$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '0cd280c5a6a54769a76633e16545c7f9');
INSERT INTO `exam_record` VALUES ('d9f09b1ddecf4003ab25263e2e5c721f', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-21 15:38:45', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9', '7f36f47a75184adeb3df4fb8c4058a5a');
INSERT INTO `exam_record` VALUES ('da038f4d8a864292b2312f3f598654db', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-03 13:08:58', null, '5', null, '224ae57b9c1749bdbfab51b2284789ce@False_3d9abd4caa484af99e8667ac8408ce85$23ac2394b14f4e338ec22adba349eb62@False_b65355f749974638bf875224c31b3508$2929d07f28a54c81931701d2b162fd70@False_e1c39e7f3d894c65aa7e6e980229757c$14908e5711f74c67924d6b1ceaeb92d0@True_dcad08ba0a8b45c897f42c9b4c53b086$313a3c23d119451d9f3f82bb47401b9f@False_532fec43b430438fa67d13f2cc684dd4', '5f08a610b6e3463691a511e5c037b62d');
INSERT INTO `exam_record` VALUES ('da3624c7d22d42c2824d56d15b33fcb8', '79392778a90d4639a297dbd0bae0f779', '2020-08-02 16:09:46', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-81b7ae4a705f4fc39e576085a55fccc0-bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('da63d6496fe84bf9bfa80dd6db395b15', '68042014e23c4ebea7234cb9c77cee5c', '2020-07-29 06:22:52', null, '0', null, '2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('dacf56e8f1d349cf9108f8fdbf8d2294', '79392778a90d4639a297dbd0bae0f779', '2020-03-09 15:52:22', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-bbe3df2c7ba44b13b4b77cbd929a8fb1$396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$cba6ce4038b5401fb4cb43205557ccf9@False_efc62ed02e9a460c8e7481d00f99e225$cff7d16da6ab428e893c748d5c759cb2@False_ca45b95620ae4d33986cb8067ef2525c$bb22f19338174d1f9333f9aebd6ffeb6@True_9da49e7309604e81bacfdc7bb9044bc1$a12eb101321b451bbc54a136e98acfd0@False_228f57a595a2416aa6cf7df66095236a$b95a0546fcc8418e84185137d14b1b50@False_2c57854526c64f1ab3cd6a7c37749ac0', '11e43c39761a463db8407cde15a67693');
INSERT INTO `exam_record` VALUES ('dae4f8bb48e947c1b02fbf3ad437ece1', '59d5629070554a9f8134792dcce3faf5', '2020-05-14 05:50:44', null, '20', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f$9199009718ec4685a0a500d23ab814c5@False_233c13ee72c9456989788201fd108c8e$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$3864178819534aa7862b26e893aa2e62@False_9b14c29c2d514b10af620655ff13a204$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9-b7926212674b4b71b93dcffca102f578', 'ff221a5c379b40bda60677e7c54bce02');
INSERT INTO `exam_record` VALUES ('daf9329fc3f442f7b801970db803ec22', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-23 11:18:14', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@False_397f7bbc8afc431e8976ee8764d88584$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('db15a4ddf28a4914aa1049e9b362d167', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-01 15:15:57', null, '15', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$2f8b20630b10471395b6c379a465cca8@False_ab85c51b6e91402385aeda6551aea608$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$f3333b1a9dfb49638ef3b02df90cadb5@False_d3e1e307c2a84372b9c2a39f0c082b0f-e6dedfb41de94ee380b5a0ca9ac0c1c5$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '151921d7925f49ddb574a5134fac3b95');
INSERT INTO `exam_record` VALUES ('db30cce7b6c4425788bf6bdf81b715e4', '68042014e23c4ebea7234cb9c77cee5c', '2020-04-21 14:31:25', null, '30', null, '38085807d06948ca8ad6d8eaca522c85@True_20ce13d67d544efeba548f7eb9642e8f-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@True_d567c1de87c04359a717c04f3d7de8a7-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('db3e5c733ce24245bc35cfd461cc8dda', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-16 19:27:02', null, '25', null, '224ae57b9c1749bdbfab51b2284789ce@False_1cce0f75bdfe4ac29022d23abac34ec0-3d9abd4caa484af99e8667ac8408ce85-61fa118af54846ce9498774fc7dbb462$2b4df8f9333741ef9f56bc188ec8a147@True_8398259d17a84b71a19e958ffd63447f$23ac2394b14f4e338ec22adba349eb62@False_b65355f749974638bf875224c31b3508$157767faab1e459fbb63eddef08f1a0d@True_5af37b583ef34a9888c0d4cdcd434066$23c0e0e98d04425ab2de3e7fec54971d@True_29b8955e756c49599a1ef171eefdc405$0f228882c0fe462db958be54df6a1142@True_28f780f29a034d06ad4d5753abe141a6$14908e5711f74c67924d6b1ceaeb92d0@False_9a28b3007c7c4f1b899a46a74f1baeb7$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$4b8863f7a26747219f9d1e59165c08a6@True_3ac81fb3c8a44c6da848fcd2123fcf8e', 'dc4662f2df1848f490ec2a608f05ecea');
INSERT INTO `exam_record` VALUES ('db3f5aa5bc964f89ab1fc08565c392b2', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-15 14:22:38', null, '10', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('db5d88c6e6294159a761b18b1d7d6269', '79392778a90d4639a297dbd0bae0f779', '2020-04-27 13:57:50', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1', '61f6198b88a744aead6f25d04200025e');
INSERT INTO `exam_record` VALUES ('db73c4b81fd945ada874892289120863', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 15:52:25', null, '0', null, '25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('dba52f6f26cf4832976e1d1bd82bb096', '79392778a90d4639a297dbd0bae0f779', '2020-05-06 21:09:47', null, '0', null, '25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('dba5b7103a9c434da46d0a69923950e3', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-25 16:12:18', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('dc2d4bf104dc4a4e85f03e63bf8edf90', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-10 00:13:27', null, '15', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97$3864178819534aa7862b26e893aa2e62@True_e4697cfd242c4328b28a084e4ecaaf3c$31e9ad43e84e484eb8b77b7e7a76de91@False_d36bd089207f48cfb5d806d9cf882009', '29a5f4accd1f450e91cbc75e79eec47e');
INSERT INTO `exam_record` VALUES ('dc3e1bfb4a2b42fab312784cf0fcadc5', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-25 23:24:57', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('dc6af1e0212e46deb13393e611eef5ad', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-10 23:34:30', null, '35', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-81b7ae4a705f4fc39e576085a55fccc0-bed28153b51d410aafa64a6cc9c6fbb9$396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f$e283ac11c7064ccf976f9c48d68c6a67@True_b8e2e6300ab04016a82481fff15750e0$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$bb22f19338174d1f9333f9aebd6ffeb6@False_0dda4965171b4f9680a6acfab9af9625$a12eb101321b451bbc54a136e98acfd0@True_8c0f6801448b4185b3446d92b0721c40', '8d810a3aca3d43e5961997d37dfe8f9f');
INSERT INTO `exam_record` VALUES ('dcdf2dd19bb14d7aa74f0354699a8ba5', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-05 11:39:28', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('dd260337b82b43fa98d496b3f6dba528', '79392778a90d4639a297dbd0bae0f779', '2020-03-28 15:52:46', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('dd2dc163fa374c3780e51b1a9a2db6cb', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-22 15:34:26', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('dd64c840b11e4c60b9796fe344e954f7', '68042014e23c4ebea7234cb9c77cee5c', '2020-08-18 20:54:01', null, '5', null, '6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('dd70d1395f7b49b9a0098584f21a02bf', '68042014e23c4ebea7234cb9c77cee5c', '2020-06-07 11:16:05', null, '0', null, '495fce658bc4409aac2e14657d8e7e8d@False_d8a80cb9399b47b8890aa897d3ca1339', '41345edd2b644c7daa7fb79732b05a5e');
INSERT INTO `exam_record` VALUES ('ddf709ca2ec84338b10f641d62357720', '79392778a90d4639a297dbd0bae0f779', '2020-09-10 15:15:00', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('ddfdcc144f7d4db38206599ca4620e5e', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-16 11:16:07', null, '10', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_e1c39e7f3d894c65aa7e6e980229757c$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('de911e36fb684c29a3c8e41ad59dbe26', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-22 23:02:11', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$bb22f19338174d1f9333f9aebd6ffeb6@True_9da49e7309604e81bacfdc7bb9044bc1', '11e43c39761a463db8407cde15a67693');
INSERT INTO `exam_record` VALUES ('dec615931aca4924a5c98014e1008827', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-05 13:06:26', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('dee73db899554f66938f478572ba8384', '79392778a90d4639a297dbd0bae0f779', '2020-07-07 22:01:16', null, '20', null, '6d679282cdc649f8b4d185e47026dcca@False_83ff34f011964f899e4361dc029cac16$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$75e0196b943a47f59d246557dc7c30dd@False_bde0602eca354629ae891474aa8f43eb$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$847da264b1334e1290e028e51fd6d04d@False_f798338e96a64277bb33e9949ed251bb', '0cd280c5a6a54769a76633e16545c7f9');
INSERT INTO `exam_record` VALUES ('def8c9503a634691ace3785b89907058', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-20 13:50:23', null, '20', null, '2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('df4ac42c971a4e63a2e0db83bc55aafc', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-05 14:00:30', null, '0', null, '14cc31707d53433f81841058a97575da@False_6f0631ce414c49519a162af9062073ca', 'fcc6729dfd62473bad857152d039f1fe');
INSERT INTO `exam_record` VALUES ('df6f98e0df7e4c56b7c5de0a10a34c0f', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-23 19:33:27', null, '15', null, '224ae57b9c1749bdbfab51b2284789ce@True_1cce0f75bdfe4ac29022d23abac34ec0-3d9abd4caa484af99e8667ac8408ce85$0f228882c0fe462db958be54df6a1142@False_b6194cc93e4d45e8a1a5d804f141f72a$004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', 'a0e02a53c28a449896847ae476100eb9');
INSERT INTO `exam_record` VALUES ('df8bf9069d7b4f5fb31302e3c5c30d2c', '68042014e23c4ebea7234cb9c77cee5c', '2020-09-30 10:52:19', null, '5', null, '224ae57b9c1749bdbfab51b2284789ce@False_3d9abd4caa484af99e8667ac8408ce85-61fa118af54846ce9498774fc7dbb462$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$0f228882c0fe462db958be54df6a1142@True_28f780f29a034d06ad4d5753abe141a6', 'b36c8718df104dd3b5f5da7c131c0343');
INSERT INTO `exam_record` VALUES ('dfaa25e5a4da4b008e47dc06f6e79072', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-28 21:58:26', null, '16', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538$396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$e283ac11c7064ccf976f9c48d68c6a67@False_d15f9106bb9941eaab1e37356af083b3$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$cff7d16da6ab428e893c748d5c759cb2@True_8c95b512240b4a47b85743a64f65c0ba$3864178819534aa7862b26e893aa2e62@False_9b14c29c2d514b10af620655ff13a204$a12eb101321b451bbc54a136e98acfd0@False_228f57a595a2416aa6cf7df66095236a$31e9ad43e84e484eb8b77b7e7a76de91@True_5ac788b163b04bc9b159f11d1cb1abba$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9', '8f6134e1ee6f47559f7bc2f7567d1b58');
INSERT INTO `exam_record` VALUES ('dff4c53216ae4697b54175bd76833dfb', '79392778a90d4639a297dbd0bae0f779', '2020-09-03 17:10:28', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('e00324f4479745b2b9ee2bf9dca11332', '79392778a90d4639a297dbd0bae0f779', '2020-06-26 14:17:26', null, '5', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_e1c39e7f3d894c65aa7e6e980229757c$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('e0fa577380974765b2468f1402949f50', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-16 16:24:12', null, '10', null, 'dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '9a5be611167f418da11cae8ab0abfa8d');
INSERT INTO `exam_record` VALUES ('e12a51a9785740138ecaec1ad17598a3', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 13:57:10', null, '0', null, '25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('e1306a64bb1945eabe4f1b5ab4ae1895', '68042014e23c4ebea7234cb9c77cee5c', '2020-07-07 14:16:09', null, '0', null, 'eb2080605ab44cac8a7a5428294de36a@False_858d4e20051f48369c2a9e79849b98ff', '24da895d47ae4ecc857363216ae49a05');
INSERT INTO `exam_record` VALUES ('e13fb511d7b34a7b9ab4723dbca4c4a5', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 15:25:34', null, '10', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '303efbfe2e5f460c909e935345424244');
INSERT INTO `exam_record` VALUES ('e1a2070f48894c12a7803670e95f44f1', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-10 15:29:58', null, '45', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_88ec4c60df0842c7b603cf82450b12cb$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('e2020768855f43a683302d659906a5da', '79392778a90d4639a297dbd0bae0f779', '2020-07-30 16:20:53', null, '45', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('e27465bd15414b499682361465419631', '79392778a90d4639a297dbd0bae0f779', '2020-08-29 19:10:24', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('e2ad1750f6f441db98637308585f973f', '79392778a90d4639a297dbd0bae0f779', '2020-08-25 14:55:57', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('e2dccec560234b8fa9294c49f8e84cda', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-29 15:20:17', null, '15', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('e3004ed622ba41b8a347763a8f06abb9', '79392778a90d4639a297dbd0bae0f779', '2020-02-26 18:10:54', null, '30', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9', 'de5d55138e0e4c3a94943afe98f1fd96');
INSERT INTO `exam_record` VALUES ('e3520e6bb4084b178cfd34a709f421e0', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-25 14:47:52', null, '10', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('e3962628a27f4aa68c4d700b855c3020', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-15 12:17:21', null, '5', null, '14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('e39f7b920f7b48f1ae7a09f86d6e9068', '79392778a90d4639a297dbd0bae0f779', '2020-03-15 18:51:28', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$cba6ce4038b5401fb4cb43205557ccf9@False_efc62ed02e9a460c8e7481d00f99e225$a12eb101321b451bbc54a136e98acfd0@False_228f57a595a2416aa6cf7df66095236a$b95a0546fcc8418e84185137d14b1b50@False_0eb97f9b079b4a09918884a4068ed084', '11e43c39761a463db8407cde15a67693');
INSERT INTO `exam_record` VALUES ('e3c0342759e2435d9e93cbbf04e4f219', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-29 08:29:05', null, '5', null, '018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', '00de2c86b6304b96b2288a0716e34829');
INSERT INTO `exam_record` VALUES ('e3e7ec52216049feaa1e0e96c2872a17', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-16 16:05:12', null, '0', null, '25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('e4fb05cb58c848e195838b67415298ec', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-06 16:55:39', null, '10', null, '03ba87a6ca3a4075bd983ca799d518d8@False_4a11c0a8ff5f460ea1ac0fd3dcc23644$517621a3c6b745459a5606c65cd38e27@True_64f67417f3b54909a2aa328c1fc6571a$34ac0eba5d5548599086f7439b837d85@False_302327201f3c422ca6b636f04fb146cc$25bf7d1a791f4cf39d85e26b113001e8@True_508aec988215422e82c0850c79aea7b1$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0$590889adc7994fbdbd895f3f8f4cd1f4@False_c81d168f407d476c9caf518b23cbc3ee', '98f867487f514a908a1676cc20b085f2');
INSERT INTO `exam_record` VALUES ('e528ce1562fd4758b12f65339d33912e', '68042014e23c4ebea7234cb9c77cee5c', '2020-07-06 15:39:48', null, '10', null, '2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('e5cb160a05e0469f992135db0fdc394b', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-01 15:04:08', null, '5', null, '14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('e5e5224bd7bc486183ee4ef81eed6286', '68042014e23c4ebea7234cb9c77cee5c', '2020-06-17 15:58:47', null, '5', null, '004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036', '6c14bb036c8f4bcea269d0fee3720749');
INSERT INTO `exam_record` VALUES ('e5e9eba659ba47468ef3fe2146ef8ba9', '68042014e23c4ebea7234cb9c77cee5c', '2020-04-10 21:14:08', null, '20', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_88ec4c60df0842c7b603cf82450b12cb$9199009718ec4685a0a500d23ab814c5@False_e4142da9d88b457b91249a3090f35d6b$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$3864178819534aa7862b26e893aa2e62@False_9cd1e597ae4144938be500efa21eec9b$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9-b7926212674b4b71b93dcffca102f578', 'ff221a5c379b40bda60677e7c54bce02');
INSERT INTO `exam_record` VALUES ('e642b05d5b0b460e9a24bf8f98977e71', '79392778a90d4639a297dbd0bae0f779', '2020-05-27 21:25:10', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('e697e2fe63304e26bb7f684bd273b388', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-03 15:30:45', null, '5', null, '5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('e6a1ec6fbcf3453e91f93c9070e12e32', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-10 16:09:03', null, '15', null, '6d679282cdc649f8b4d185e47026dcca@False_83ff34f011964f899e4361dc029cac16$517621a3c6b745459a5606c65cd38e27@False_3337d407ecde4865b80a5fc9e7fe37e3$2b8b0f8748e24460b461047366d37ecb@False_b3515213a70e4bf98b94959d63f978b7$336581f3079140328f5e71a1594d7500@True_a5e476e927f74034abd9026fb6396240$2929d07f28a54c81931701d2b162fd70@False_e1c39e7f3d894c65aa7e6e980229757c$56ed36d358d44d43834ce1146bf4303d@True_a9960e3f1cb34a8caafd27fe3a4ef9de$4b8863f7a26747219f9d1e59165c08a6@False_744697e9f4984970a2b1949b84d10139$f83af858c0554241bf96205dc9dd9882@True_dbdfbcc6e6ad496d8ce049fc8283dbdd', 'f1fd1983f3ff4330a328ba2a2e2a3622');
INSERT INTO `exam_record` VALUES ('e6cafa701edc4dd0994dc61c2dc902d6', '79392778a90d4639a297dbd0bae0f779', '2020-04-10 15:18:23', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@False_4d5c32e598cc41abb003f2f37dab210e', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('e6fe8b9d7f0743ecb7a16a9d6682a2ac', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-25 18:39:42', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('e736a43e07514e30a892c5699f30c819', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-29 09:58:40', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('e78ea748c4cf4a2dbda66f7f3c17a3db', '79392778a90d4639a297dbd0bae0f779', '2020-09-13 10:11:33', null, '20', null, '8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('e7d11335519e403d8998b5b9cf126399', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-30 14:26:56', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-81b7ae4a705f4fc39e576085a55fccc0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97$495fce658bc4409aac2e14657d8e7e8d@True_95ebcd9078444043b7ff375a2fe67178$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '07bcd5b8507c42909e0b3212ec72b832');
INSERT INTO `exam_record` VALUES ('e865250fbeaf41d0bfb720b8425490a4', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-01 15:19:34', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('e8bea01b19434c79bb93fff512aba8cc', 'c541be0898a146b69446c91d299d2068', '2020-03-18 08:42:19', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('e8c7d188a95f4b5fa353be8c03903203', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-22 14:30:10', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$2b4df8f9333741ef9f56bc188ec8a147@True_8398259d17a84b71a19e958ffd63447f$03ba87a6ca3a4075bd983ca799d518d8@False_78b12fae3d3740658dfabfce253b1b58$23ac2394b14f4e338ec22adba349eb62@False_b65355f749974638bf875224c31b3508$0f228882c0fe462db958be54df6a1142@True_28f780f29a034d06ad4d5753abe141a6$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3$14908e5711f74c67924d6b1ceaeb92d0@False_9a28b3007c7c4f1b899a46a74f1baeb7$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', 'b7b9f7916f494e9bb570139776699fd0');
INSERT INTO `exam_record` VALUES ('e8db7adb330d477e9a315336e45a5164', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-09 18:10:01', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bed28153b51d410aafa64a6cc9c6fbb9$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('e953f3272d6a42959e078fe4e469c7e8', '79392778a90d4639a297dbd0bae0f779', '2020-07-08 01:42:50', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('e968855cb1a44319b201b3717a961295', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-02 10:40:55', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('e9e28211ce454544bf096ae05aa2bc78', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-16 16:38:40', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('e9f040a0b402460bbdba759c39988b8e', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-03 13:06:29', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('ea1b761751b24102a8f32b73bdfbfb94', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-05 14:58:10', null, '5', null, '6d679282cdc649f8b4d185e47026dcca@False_21594050aeb14818a3c250c68800b909$396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9-9c511fa9d5a74090967cdb52b29060a2$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3', '88454c937fb9431dbede6fea9530d853');
INSERT INTO `exam_record` VALUES ('ea4df5a593164d809a49151575f4f9e0', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-10 10:05:11', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@False_397f7bbc8afc431e8976ee8764d88584$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('eacc0bd385534c16acd975d2f5e3c3ef', '79392778a90d4639a297dbd0bae0f779', '2020-04-23 17:31:57', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('ead920ae0f5e489dace9e2d0f1700399', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-06 04:44:47', null, '0', null, '3864178819534aa7862b26e893aa2e62@False_9b14c29c2d514b10af620655ff13a204', '8f6134e1ee6f47559f7bc2f7567d1b58');
INSERT INTO `exam_record` VALUES ('eaf5b2f45f2d4c23a910e8e502b271c4', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-01 16:58:56', null, '0', null, '25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('eb524e46ead14ea78d97920fa778ea0d', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-06 18:07:21', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('eb9fd02e2c424a60a1da3dc2cb6de6a0', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-22 09:37:45', null, '10', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('ec091e5011374d96be4ca0f71c620809', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-22 14:10:28', null, '0', null, '14cc31707d53433f81841058a97575da@False_4d5c32e598cc41abb003f2f37dab210e', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('ec198a0656f94d37971201a0a9e11e60', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-11 09:58:57', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('ec4e1085f0644013be9a4a158b668f02', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-03 16:46:16', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('ec94bf9ab64a4522a43e23ed0546c991', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-14 21:42:23', null, '5', null, '14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('eca4b07ad06547ee9f43161bd097deb2', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-08 19:46:36', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$495fce658bc4409aac2e14657d8e7e8d@False_d8a80cb9399b47b8890aa897d3ca1339$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5', '07bcd5b8507c42909e0b3212ec72b832');
INSERT INTO `exam_record` VALUES ('ecb49e043a634380a2c1909783f73271', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-19 09:00:12', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$396b55534851427590e089fb9cc040cc@False_92ed63ab069d4f0bae0bbf630a03d34d$cba6ce4038b5401fb4cb43205557ccf9@False_eddc33534976426496b1e2eb5cfe1502$bb22f19338174d1f9333f9aebd6ffeb6@False_0dda4965171b4f9680a6acfab9af9625$a12eb101321b451bbc54a136e98acfd0@False_251eb27617ce458697f6e966bbf87bed$b95a0546fcc8418e84185137d14b1b50@True_d7537167166d458aad471d87f597a7cf', '11e43c39761a463db8407cde15a67693');
INSERT INTO `exam_record` VALUES ('ecb77bf79e374db590cd12d988db864d', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-24 20:40:32', null, '10', null, '5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$847da264b1334e1290e028e51fd6d04d@False_adde4f47209c423c8ff36b84eaa06ee7$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094', '0cd280c5a6a54769a76633e16545c7f9');
INSERT INTO `exam_record` VALUES ('ecbeab09ba3c41f4a2510a874eb99561', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 14:06:55', null, '30', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@False_397f7bbc8afc431e8976ee8764d88584$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('ed338208ae7c47c7b34e8c9da84073d1', '79392778a90d4639a297dbd0bae0f779', '2020-07-26 16:07:03', null, '0', null, '6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('edf75a1a76ff4846b5b111257113eb0e', '68042014e23c4ebea7234cb9c77cee5c', '2020-05-27 22:16:37', null, '30', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59$396b55534851427590e089fb9cc040cc@False_92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2$1003b43b03934068973f67d199565dce@False_790e68b1844f43bf947cd6450c547cd5$03ba87a6ca3a4075bd983ca799d518d8@True_5d828aadc336424ab03eaa63026bcad3$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$07441a6a40d44196a1e67fe344ac57a9@True_d7f693f122e94549b93d39d79e5d53e7$34ac0eba5d5548599086f7439b837d85@False_3912670d529c4bc5b3bbfb4694d750e5-435eabe9037b4ff7998943b09010e5f4$0f228882c0fe462db958be54df6a1142@True_28f780f29a034d06ad4d5753abe141a6$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$495fce658bc4409aac2e14657d8e7e8d@True_95ebcd9078444043b7ff375a2fe67178$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', '41345edd2b644c7daa7fb79732b05a5e');
INSERT INTO `exam_record` VALUES ('eea60b76a106409997bd116fee68b786', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-28 13:21:28', null, '20', null, '2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '17fd99fac47440ef8f79cc10d8d638f2');
INSERT INTO `exam_record` VALUES ('eeae6841889742249c4033e333e9f737', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-25 21:37:11', null, '0', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51', '3558629c4d504bfa9f9b61a9211b36f0');
INSERT INTO `exam_record` VALUES ('ef02b70995fb4dc2a1e4f10fe0bf4dff', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-29 17:45:06', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('ef1405c50c8c4396b07f05161dd90271', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-02 14:02:12', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$495fce658bc4409aac2e14657d8e7e8d@True_95ebcd9078444043b7ff375a2fe67178', '07bcd5b8507c42909e0b3212ec72b832');
INSERT INTO `exam_record` VALUES ('ef1ba356b8cb4e4ea93e2f40c17f5807', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-13 14:39:57', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('ef1e2ca2e59442a89ceae02e9b7301d3', '79392778a90d4639a297dbd0bae0f779', '2020-03-28 18:50:42', null, '10', null, '2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '303efbfe2e5f460c909e935345424244');
INSERT INTO `exam_record` VALUES ('ef85fa5de65347a09e41687ce6fa86b3', '8875fe3e354f4150bcb03923d926cec2', '2020-04-24 20:53:27', null, '35', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@True_3cdd195bff6647ee8be3e097918a3ceb', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('efa940eb2ffa489ab8472d7038b586f4', '79392778a90d4639a297dbd0bae0f779', '2020-03-22 21:45:45', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('efc8b988e1c6488d983ed6df2435523e', '79392778a90d4639a297dbd0bae0f779', '2020-09-27 19:22:22', null, '10', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('f0258bbc4115471f9475714309614b30', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-19 13:29:27', null, '5', null, '1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('f11781046afd4ae5a3906a38afe91d62', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-04 23:37:03', null, '0', null, '334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '07bcd5b8507c42909e0b3212ec72b832');
INSERT INTO `exam_record` VALUES ('f161b4edf89549a4a00bc15a3973dd8f', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-01 16:49:48', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('f1c5be73d4dd42f0b7ae26f8a4e7179d', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-08 20:51:05', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$bb22f19338174d1f9333f9aebd6ffeb6@False_0c83f68e3d9948e38d65eb22c257bf7f$b95a0546fcc8418e84185137d14b1b50@True_d7537167166d458aad471d87f597a7cf', '11e43c39761a463db8407cde15a67693');
INSERT INTO `exam_record` VALUES ('f1fde835bc44452c9c6bf5d12a9d22cb', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-13 10:32:14', null, '1', null, '224ae57b9c1749bdbfab51b2284789ce@False_1cce0f75bdfe4ac29022d23abac34ec0-3d9abd4caa484af99e8667ac8408ce85-61fa118af54846ce9498774fc7dbb462-a0e9cddc8e304295b7bb13813d4fb4f5$14908e5711f74c67924d6b1ceaeb92d0@False_9a28b3007c7c4f1b899a46a74f1baeb7$004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036', '7e8ee43154b043b5bde4bc897884b7bf');
INSERT INTO `exam_record` VALUES ('f204b950cead461490fef9b7a015f0ba', '79392778a90d4639a297dbd0bae0f779', '2020-03-08 22:16:27', null, '20', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538$9199009718ec4685a0a500d23ab814c5@False_233c13ee72c9456989788201fd108c8e$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$3864178819534aa7862b26e893aa2e62@True_e4697cfd242c4328b28a084e4ecaaf3c$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9', '258bf9410e854f34bba9c9a08f4dd313');
INSERT INTO `exam_record` VALUES ('f2612487550c40659a9d175058547221', '79392778a90d4639a297dbd0bae0f779', '2020-05-15 10:44:23', null, '3', null, '396b55534851427590e089fb9cc040cc@False_9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0', '8f6134e1ee6f47559f7bc2f7567d1b58');
INSERT INTO `exam_record` VALUES ('f3089e67236f411a9fc64ee1ed43bcb7', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-08 09:17:42', null, '12', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59$396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '61f6198b88a744aead6f25d04200025e');
INSERT INTO `exam_record` VALUES ('f3367bc5e05440f8a9f7344039a95fd6', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-14 16:03:58', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('f3650507110741c0ad97a917e85f6d7b', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-12 16:25:28', null, '2', null, '224ae57b9c1749bdbfab51b2284789ce@False_3d9abd4caa484af99e8667ac8408ce85$14908e5711f74c67924d6b1ceaeb92d0@True_dcad08ba0a8b45c897f42c9b4c53b086$004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036', '7e8ee43154b043b5bde4bc897884b7bf');
INSERT INTO `exam_record` VALUES ('f3790ab6107c4ce29345f092f5616f42', '79392778a90d4639a297dbd0bae0f779', '2020-05-27 19:11:45', null, '5', null, '2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('f381f614099b4186b7690100bd737632', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-17 18:50:43', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@False_397f7bbc8afc431e8976ee8764d88584$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('f39bf7b318454abfa940b3a787eb07af', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-01 21:15:23', null, '5', null, '14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('f50ad12aae09469f823f951f94254aec', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-17 10:54:29', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('f513615343514cabb858500176f5068b', '79392778a90d4639a297dbd0bae0f779', '2020-08-31 14:00:51', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('f51e1e66db72454aa9beb0268115b801', 'a1b661031adf4a8f969f1869d479fe74', '2020-10-02 16:37:56', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('f5ba8a575eb948af8f0493de75c9de1a', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-20 22:17:00', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59', '11e43c39761a463db8407cde15a67693');
INSERT INTO `exam_record` VALUES ('f5d469083a74444b89ebbdc5b9a784c8', '79392778a90d4639a297dbd0bae0f779', '2020-04-30 09:52:23', null, '25', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('f6a1fa30af4649ca9d88a4721859dfa0', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-08 18:04:00', null, '10', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('f6c20304701346108e8ca02134471434', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-24 11:43:01', null, '5', null, '3f31e3edcea24aebb1f3ff1556917141@False_02e72a5f97eb4783a8d9b4f1231d01fe$018c0f44bfd54bb8a6b0f2e91da3f3b0@True_62a0bda7a2e84dc79e48780f771a36b7', '00de2c86b6304b96b2288a0716e34829');
INSERT INTO `exam_record` VALUES ('f730f972283445249a84b58abcbae972', '79392778a90d4639a297dbd0bae0f779', '2020-03-25 16:22:46', null, '15', null, '8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-81b7ae4a705f4fc39e576085a55fccc0$396b55534851427590e089fb9cc040cc@False_92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2$cba6ce4038b5401fb4cb43205557ccf9@True_bf93ba7988f84053ae197bded7ec10ea$cff7d16da6ab428e893c748d5c759cb2@False_db43d6e8819047539922b510e0a039b7$bb22f19338174d1f9333f9aebd6ffeb6@True_9da49e7309604e81bacfdc7bb9044bc1$a12eb101321b451bbc54a136e98acfd0@False_228f57a595a2416aa6cf7df66095236a$b95a0546fcc8418e84185137d14b1b50@False_2c57854526c64f1ab3cd6a7c37749ac0', '11e43c39761a463db8407cde15a67693');
INSERT INTO `exam_record` VALUES ('f776623c143d4e08b58ab0be46b70980', '79392778a90d4639a297dbd0bae0f779', '2020-06-15 23:17:53', null, '30', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('f8405ca2649c4ef7afd552c84b823d1a', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-14 16:53:50', null, '0', null, 'a12eb101321b451bbc54a136e98acfd0@False_251eb27617ce458697f6e966bbf87bed', '11e43c39761a463db8407cde15a67693');
INSERT INTO `exam_record` VALUES ('f8774895f6594b1d9c361494bed77cdc', 'a1b661031adf4a8f969f1869d479fe74', '2019-10-26 08:01:50', null, '30', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f-bc4e6c276e6d4b80871badf7d2a9087c$9199009718ec4685a0a500d23ab814c5@True_233c13ee72c9456989788201fd108c8e$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6$3864178819534aa7862b26e893aa2e62@False_9cd1e597ae4144938be500efa21eec9b$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '258bf9410e854f34bba9c9a08f4dd313');
INSERT INTO `exam_record` VALUES ('fa1698c393354e83be413d25a2acba47', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-01 17:58:26', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('fa3e7ec6aca44a698b839b52d8bb8f71', 'a1b661031adf4a8f969f1869d479fe74', '2020-04-25 20:30:55', null, '0', null, '334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('fb8627075cfc40308193bbbe49829941', '79392778a90d4639a297dbd0bae0f779', '2020-09-22 11:54:12', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('fbd239bc0c194c178fc0de032666bed8', '79392778a90d4639a297dbd0bae0f779', '2020-06-29 23:15:41', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('fbe1b8c14f844e4a82e529edd8344903', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-13 20:51:41', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@True_52e0ccb2fc4545028988681db9858f70$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('fc6be64a0aad430a962664c8b986b4f3', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-13 17:38:14', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@True_8a6c27e9bd2141b8935def852cb6f761$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@False_6f0631ce414c49519a162af9062073ca$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('fce66063658d4f87a8c78dcad2980e4d', '79392778a90d4639a297dbd0bae0f779', '2020-08-31 14:44:09', null, '20', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@False_6077b909fb884f858a01bb33b2e2d626$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@True_d00fee19fd484df6b1cc23b836656fe6', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('fceacdcc5ff44c7e8c09b9b24658c8f9', '79392778a90d4639a297dbd0bae0f779', '2020-04-07 10:21:37', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '038a7a765e3f4afb90b8747249d6a624');
INSERT INTO `exam_record` VALUES ('fcf47cf42bae4693a456e303d9c10490', '79392778a90d4639a297dbd0bae0f779', '2020-09-08 18:28:17', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$305f726e7f1f4636b88bf20de0093745@False_d8fd1ca48ed74d0cb51295ad84760dd6$004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036', '16081a246f004bb2888aad0320628340');
INSERT INTO `exam_record` VALUES ('fd791c4a60b4426ba766ba916672b066', '79392778a90d4639a297dbd0bae0f779', '2020-02-29 10:30:31', null, '20', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538-ab96efeec3144ecea3bf955d4e52980f-bc4e6c276e6d4b80871badf7d2a9087c$9199009718ec4685a0a500d23ab814c5@False_233c13ee72c9456989788201fd108c8e$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6$3864178819534aa7862b26e893aa2e62@True_e4697cfd242c4328b28a084e4ecaaf3c$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9', '258bf9410e854f34bba9c9a08f4dd313');
INSERT INTO `exam_record` VALUES ('fd96dd643a1b47b2b015325bd891a638', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-28 16:49:08', null, '5', null, '25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('fdad8e730de44702b887cdc771bedd13', '68042014e23c4ebea7234cb9c77cee5c', '2020-06-29 23:19:17', null, '30', null, '30a7598bc91346478027795679cd71c3@True_648500831b5640f79b627a667883e7c1-8946f452ab7b49cfab931cba8c8ed1dc$7d535a2008b4423bae96c8b4ad90378f@True_f54cf9081cb44864afafc7e51be3aff1$34ac0eba5d5548599086f7439b837d85@False_3912670d529c4bc5b3bbfb4694d750e5-435eabe9037b4ff7998943b09010e5f4$25bf7d1a791f4cf39d85e26b113001e8@False_a60fdf98a017401a813e32f87c65674e$2929d07f28a54c81931701d2b162fd70@False_db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$11ae50c372c64e7ca59691c435c91239@True_2324d1529eb34cca904243bdc7d2bc24$14908e5711f74c67924d6b1ceaeb92d0@False_9a28b3007c7c4f1b899a46a74f1baeb7$004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036$473ecef6048d4d1a91b8100eb7a176e0@True_91954e91ac184f648cc944bf84dbbe19', '865c8de9d5be420b9f5b14a390cc4ba5');
INSERT INTO `exam_record` VALUES ('fddc0efba90b4d84b08a8797b7ee4706', 'a1b661031adf4a8f969f1869d479fe74', '2020-05-24 15:19:22', null, '30', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@True_87657567c69446b1ad51377832715b14$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('fe1664a14c51490b999ed98d6722dd1f', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-28 19:31:43', null, '0', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$3864178819534aa7862b26e893aa2e62@False_9cd1e597ae4144938be500efa21eec9b', '8f6134e1ee6f47559f7bc2f7567d1b58');
INSERT INTO `exam_record` VALUES ('fe99dda617be4f3ca7d1214ec9660ea0', 'a1b661031adf4a8f969f1869d479fe74', '2020-07-28 14:36:16', null, '35', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bed28153b51d410aafa64a6cc9c6fbb9$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$dc91198c27dc4ab5942ffc924f282367@True_074b095ecbf447dd8545031ffa73808f$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6bba5e6bff4a402aa2345a84949b39b0@True_2cbadbe4efa9427d8c14e26f6e01cd52$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('fee139de5d7a45859111049a4cb3dcc4', 'a1b661031adf4a8f969f1869d479fe74', '2020-09-22 10:10:33', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$1e0cc8f913134006a2a861f17ec14b6c@False_e4c560be9aa94d80b3a3e4a3c4044261$2929d07f28a54c81931701d2b162fd70@False_d567c1de87c04359a717c04f3d7de8a7-db9794b9bdda420cb21dd1f4e1efdae3-e1c39e7f3d894c65aa7e6e980229757c$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '0322de3f0b214116b73419ae2a602b67');
INSERT INTO `exam_record` VALUES ('fefced99f91b4a679abbbe56f49467e8', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-13 03:10:05', null, '0', null, '334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('ff11c512d5b948baadea8a0c547e2e43', 'a1b661031adf4a8f969f1869d479fe74', '2020-03-04 13:59:17', null, '5', null, 'cff7d16da6ab428e893c748d5c759cb2@False_ca45b95620ae4d33986cb8067ef2525c$3864178819534aa7862b26e893aa2e62@False_9b14c29c2d514b10af620655ff13a204$bb22f19338174d1f9333f9aebd6ffeb6@True_9da49e7309604e81bacfdc7bb9044bc1$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '694f2feb57a14686bd7ffc12f99a23a4');
INSERT INTO `exam_record` VALUES ('ff166b75f24543559242a54d6487d471', 'a1b661031adf4a8f969f1869d479fe74', '2020-08-31 16:43:59', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$25ec2980dd544b4ca70328a0733ce69f@True_4c6f5fdede334a26b285cd1b834bd198$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6bba5e6bff4a402aa2345a84949b39b0@False_5f1f478c60d44bbc8cd9a16539c7f142$5bf59e82cae24b67879119571c022018@True_0e4bb7baa94c474789e7c8443374a8aa$a61d6ef2c160420e9f585a7da149fbfc@False_3688d245b7e14c979a32f37e2a73fc93$698def9f99b343e9b74cd7513f9efe61@True_b7425acd661f425f86c3a56eef593ffe$311e5bf4b7dc4f15bae52e2f5caf4800@False_0429151f296b4346ab52fa2980cbac6e$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$dc755e13552f4271a6f8c664708a1212@False_7526fa11f98b4e86adaeaaa329e7881b', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('ff1d51a89dc843f4abec369311fc04c8', '68042014e23c4ebea7234cb9c77cee5c', '2020-05-27 22:33:00', null, '5', null, '004c8b75a1a2421986fa05c89d0a903d@True_3f0efc9a229e49499b0441a8dbf2f036', '4be45c365eca44a3a3cbdaa63680ca7e');
INSERT INTO `exam_record` VALUES ('ff8293b3264f4853b5b1c912f083883e', 'a1b661031adf4a8f969f1869d479fe74', '2020-06-22 14:33:27', null, '0', null, '25ec2980dd544b4ca70328a0733ce69f@False_8a605f36d92c4b268788780e76e2c40c$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f', '0059de57d17d4342b269da97483bc426');
INSERT INTO `exam_record` VALUES ('ffff89bd2c424ec9b3b0d9c5e45f4cdb', '68042014e23c4ebea7234cb9c77cee5c', '2020-02-28 09:15:28', null, '40', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_ab96efeec3144ecea3bf955d4e52980f$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24', '139883c96ec44c6c9c5c2b4b85a7b54a');

-- ----------------------------
-- Table structure for `exam_record_level`
-- ----------------------------
DROP TABLE IF EXISTS `exam_record_level`;
CREATE TABLE `exam_record_level` (
  `exam_record_level_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '考试结果等级表的主键',
  `exam_record_level_name` varchar(128) COLLATE utf8_bin NOT NULL COMMENT '考试结果等级的名称',
  `exam_record_level_description` varchar(512) COLLATE utf8_bin DEFAULT NULL COMMENT '考试结果等级的详细阐述',
  PRIMARY KEY (`exam_record_level_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 COLLATE=utf8_bin ROW_FORMAT=DYNAMIC COMMENT='考试结果的等级';

-- ----------------------------
-- Records of exam_record_level
-- ----------------------------
INSERT INTO `exam_record_level` VALUES ('1', 'excellent', '优秀');
INSERT INTO `exam_record_level` VALUES ('2', 'good', '良好');
INSERT INTO `exam_record_level` VALUES ('3', 'normal', '一般');
INSERT INTO `exam_record_level` VALUES ('4', 'pass', '及格');
INSERT INTO `exam_record_level` VALUES ('5', 'fail', '不及格');

-- ----------------------------
-- Table structure for `hibernate_sequence`
-- ----------------------------
DROP TABLE IF EXISTS `hibernate_sequence`;
CREATE TABLE `hibernate_sequence` (
  `next_val` bigint(20) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=FIXED;

-- ----------------------------
-- Records of hibernate_sequence
-- ----------------------------
INSERT INTO `hibernate_sequence` VALUES ('1');
INSERT INTO `hibernate_sequence` VALUES ('1');
INSERT INTO `hibernate_sequence` VALUES ('1');
INSERT INTO `hibernate_sequence` VALUES ('1');
INSERT INTO `hibernate_sequence` VALUES ('1');
INSERT INTO `hibernate_sequence` VALUES ('1');
INSERT INTO `hibernate_sequence` VALUES ('1');

-- ----------------------------
-- Table structure for `page`
-- ----------------------------
DROP TABLE IF EXISTS `page`;
CREATE TABLE `page` (
  `page_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '前端页面表主键id',
  `page_name` varchar(64) COLLATE utf8_bin NOT NULL COMMENT '页面的名称,要唯一',
  `page_description` varchar(128) COLLATE utf8_bin DEFAULT NULL COMMENT '页面的功能性描述',
  `action_ids` varchar(128) COLLATE utf8_bin DEFAULT NULL COMMENT '页面对应的操作权限列表，用-连接action的id',
  PRIMARY KEY (`page_id`) USING BTREE,
  UNIQUE KEY `page_name` (`page_name`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 COLLATE=utf8_bin ROW_FORMAT=DYNAMIC COMMENT='前端页面表';

-- ----------------------------
-- Records of page
-- ----------------------------
INSERT INTO `page` VALUES ('1', 'dashboard', '仪表盘', '1-2-3-4-5');
INSERT INTO `page` VALUES ('2', 'exam-card', '考试列表', '1-6-3-4');
INSERT INTO `page` VALUES ('3', 'exam-record-list', '考试记录', '1-6-3-4');
INSERT INTO `page` VALUES ('4', 'question-admin', '问题管理', '1-6-3-4');
INSERT INTO `page` VALUES ('5', 'exam-table-list', '考试管理', '1-6-3-4');
INSERT INTO `page` VALUES ('6', 'user', '个人页', '1-6-3-4-5-7');

-- ----------------------------
-- Table structure for `question`
-- ----------------------------
DROP TABLE IF EXISTS `question`;
CREATE TABLE `question` (
  `question_id` varchar(64) COLLATE utf8_bin NOT NULL COMMENT '题目的主键',
  `question_name` varchar(64) COLLATE utf8_bin DEFAULT NULL COMMENT '题目的名字',
  `question_score` int(11) NOT NULL DEFAULT '0' COMMENT '题目的分数',
  `question_creator_id` varchar(32) COLLATE utf8_bin NOT NULL COMMENT '题目创建者的用户id',
  `question_level_id` int(11) NOT NULL DEFAULT '0' COMMENT '题目难易度级别',
  `question_type_id` int(11) NOT NULL DEFAULT '0' COMMENT '题目的类型，比如单选、多选、判断等',
  `question_category_id` int(11) NOT NULL DEFAULT '0' COMMENT '题目的类型，比如数学、英语、政治等',
  `question_description` varchar(256) COLLATE utf8_bin DEFAULT NULL COMMENT '题目额外的描述',
  `question_option_ids` varchar(256) COLLATE utf8_bin NOT NULL COMMENT '题目的选项，用选项的id用-连在一起表示答案',
  `question_answer_option_ids` varchar(256) COLLATE utf8_bin NOT NULL COMMENT '题目的答案，用选项的id用-连在一起表示答案',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  PRIMARY KEY (`question_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin ROW_FORMAT=DYNAMIC COMMENT='考试题目表';

-- ----------------------------
-- Records of question
-- ----------------------------
INSERT INTO `question` VALUES ('004c8b75a1a2421986fa05c89d0a903d', 'what\'s your name?', '5', '68042014e23c4ebea7234cb9c77cee5c', '3', '1', '1', '1111', 'cc2f57d910694387868cc67efd65b4dc-3f0efc9a229e49499b0441a8dbf2f036', '3f0efc9a229e49499b0441a8dbf2f036', '2020-05-27 08:27:12', '2020-05-27 08:27:12');
INSERT INTO `question` VALUES ('018c0f44bfd54bb8a6b0f2e91da3f3b0', '实打实', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '1', '2', '多少啊', '62a0bda7a2e84dc79e48780f771a36b7', '62a0bda7a2e84dc79e48780f771a36b7', '2020-03-18 05:49:05', '2020-03-18 05:49:05');
INSERT INTO `question` VALUES ('02d67d11512e490c9a4e1ac152abb9f9', 'q', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '1', '2', 'q', '10c01dcdc7b641359cd33285cadcdd42', '10c01dcdc7b641359cd33285cadcdd42', '2020-08-31 06:01:34', '2020-08-31 06:01:34');
INSERT INTO `question` VALUES ('03ba87a6ca3a4075bd983ca799d518d8', '007', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '1', '2', '007', '5d828aadc336424ab03eaa63026bcad3-4a11c0a8ff5f460ea1ac0fd3dcc23644-78b12fae3d3740658dfabfce253b1b58-6c4887193b194851b22d3efd70f1b35b', '5d828aadc336424ab03eaa63026bcad3-', '2020-04-14 07:16:48', '2020-04-14 07:36:20');
INSERT INTO `question` VALUES ('07441a6a40d44196a1e67fe344ac57a9', 'lllllll', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '1', 'lllllllll', 'a51323d05dbc4046ba92d9ee1d8d7bc9-d7f693f122e94549b93d39d79e5d53e7-1e85eba6944f418d9eb611ccc1215476', 'd7f693f122e94549b93d39d79e5d53e7', '2020-05-24 07:21:15', '2020-05-24 07:21:15');
INSERT INTO `question` VALUES ('078a8fed0cc649f8a864a430b4e7188c', '34534', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '3', '4', '345345', '2449ebcfb9044460b9b44a5bba42110c-b1b2cbb140264410b5b8bb23c37404e5', '2449ebcfb9044460b9b44a5bba42110c', '2020-04-29 09:47:23', '2020-04-29 09:47:23');
INSERT INTO `question` VALUES ('07cb6da966e94f4c9b4fc07f60f1f178', '111', '5', '68042014e23c4ebea7234cb9c77cee5c', '1', '1', '1', '222', '40f43b6914594697af5047522fa621a7-194a098344ed446b9e1d05a50449e9b3-df27ec15bb404efca957f1de29dbb992-24b7c8adb6834d0c8816c765fc3adaea', '40f43b6914594697af5047522fa621a7', '2020-09-21 02:34:56', '2020-09-21 02:34:56');
INSERT INTO `question` VALUES ('0885c830022746cf8972c97eba9f5b15', '今天星期几', '5', '68042014e23c4ebea7234cb9c77cee5c', '1', '1', '3', '星期三', '7d78e9cc50e44640a2056b891706b3d9-995407da7fd141d3a264e359dedf199b', '7d78e9cc50e44640a2056b891706b3d9', '2020-05-27 10:46:33', '2020-05-27 10:46:33');
INSERT INTO `question` VALUES ('0a32e228e2464beda23b90c7832d29d2', '20200622', '5', '68042014e23c4ebea7234cb9c77cee5c', '3', '2', '7', 'python', 'ea0a917c0651434c8df8b632bc919eb5-2bab92afb5ac490a84d29bcb92560f7a-05ad94cee64c487c8abb51ab98dfa64d-d10a52e99c6c4aceb39fadf5af178940', 'ea0a917c0651434c8df8b632bc919eb5', '2020-06-22 08:26:59', '2020-06-23 07:32:57');
INSERT INTO `question` VALUES ('0cae9d2a09824bacb660d21aa550e599', 'admin', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '1', '5', 'ghghgh', '5dd85e56e1704c15b1ac522fdedeb637', '5dd85e56e1704c15b1ac522fdedeb637', '2020-06-24 09:06:10', '2020-06-24 09:06:10');
INSERT INTO `question` VALUES ('0f228882c0fe462db958be54df6a1142', '5677', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '3', '2', 'helloworld', '28f780f29a034d06ad4d5753abe141a6-b6194cc93e4d45e8a1a5d804f141f72a', '28f780f29a034d06ad4d5753abe141a6', '2020-04-23 16:41:07', '2020-04-23 16:41:07');
INSERT INTO `question` VALUES ('1003b43b03934068973f67d199565dce', 'tsta', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '1', '1', 'tsta', '790e68b1844f43bf947cd6450c547cd5-34ee794ddaab4033b84efcd749595329', '34ee794ddaab4033b84efcd749595329-', '2020-04-05 05:04:53', '2020-04-09 01:23:26');
INSERT INTO `question` VALUES ('11ae50c372c64e7ca59691c435c91239', '撒旦撒旦撒旦', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '3', '3', '撒旦是水水水', 'eaadd6650f9d4ea686919dc9730d91a8-2324d1529eb34cca904243bdc7d2bc24', '2324d1529eb34cca904243bdc7d2bc24', '2020-04-22 08:16:59', '2020-04-22 08:16:59');
INSERT INTO `question` VALUES ('126c3a14b1ec4a7b9b5fe18914c0c19d', 'jenkins是什么？', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '3', '3', 'Jenkins是一个开源的、提供友好操作界面的持续集成(CI)工具', '6bae3b38676945f1a9ce5dedd491ff4a-5a569634374b46259db84cd1a1b22ab6', '6bae3b38676945f1a9ce5dedd491ff4a', '2020-08-22 19:57:55', '2020-08-22 19:57:55');
INSERT INTO `question` VALUES ('14908e5711f74c67924d6b1ceaeb92d0', '问答', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '3', '5', '啊', '9a28b3007c7c4f1b899a46a74f1baeb7-dcad08ba0a8b45c897f42c9b4c53b086', 'dcad08ba0a8b45c897f42c9b4c53b086', '2020-05-06 03:03:50', '2020-05-06 03:03:50');
INSERT INTO `question` VALUES ('14cc31707d53433f81841058a97575da', '《红楼梦》的作者是谁？', '3', 'a1b661031adf4a8f969f1869d479fe74', '1', '1', '10', '红楼梦相关', '2df31aa7a344475ea8a0b2897c9754f0-6f0631ce414c49519a162af9062073ca-015147df62774a879388f924e1746f81-4d5c32e598cc41abb003f2f37dab210e', '015147df62774a879388f924e1746f81', '2019-05-25 01:46:47', '2019-10-27 17:24:48');
INSERT INTO `question` VALUES ('157767faab1e459fbb63eddef08f1a0d', '王传锦', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '3', '2', '1111', '5af37b583ef34a9888c0d4cdcd434066-9d4db526074c4642922790aae582742d', '5af37b583ef34a9888c0d4cdcd434066', '2020-07-04 07:09:05', '2020-07-04 07:09:05');
INSERT INTO `question` VALUES ('17ad274d9a6446688013586abf2deed4', 'test1234', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '7', 'solution', '30e233a884c94a6786a1d6968a25e955-f7df4b8aa3c64115b8c6e44b07a86e18-ae9be675c7f0407d9ee16c7fe9496abc-a77d8e65fea14339974973fc7e5a7246', 'a77d8e65fea14339974973fc7e5a7246-', '2020-06-17 05:17:43', '2020-06-17 06:35:36');
INSERT INTO `question` VALUES ('1821383f82cf4d41a69125302076f088', '和v', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '1', '2', '今后吧', 'f4e7279fb18841a7ad4d82a6c528e682-103a8e2509a04806a9b35aaafb3f8b8e', 'f4e7279fb18841a7ad4d82a6c528e682', '2020-05-27 11:06:21', '2020-05-27 11:06:21');
INSERT INTO `question` VALUES ('1e0cc8f913134006a2a861f17ec14b6c', '测试用户', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '1', '1', '21121', '8a6c27e9bd2141b8935def852cb6f761-e4c560be9aa94d80b3a3e4a3c4044261', '8a6c27e9bd2141b8935def852cb6f761', '2020-04-05 17:22:06', '2020-04-05 17:22:06');
INSERT INTO `question` VALUES ('1e6268528ea14ad78f8024b9f7cf7207', '第二章——2、公式 q=Δh+wt的适用条件（ ）', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '1', '3', '开口系统能量方程是有闭口系统中导出的，所以该方程也适用于闭口系统。', '27fbd8f337c74d3c9e7b3f699d48b756-8d747e1373294eb394a821f722c4b122-660743c51ed847aea3b455c75cf7dcd0-d9993e00424c4b5fad6666d7067d656c', '660743c51ed847aea3b455c75cf7dcd0', '2020-05-27 10:46:02', '2020-05-27 10:46:02');
INSERT INTO `question` VALUES ('1e9521efc6bb469ba9bd98c76f6ba53d', '1+1=?', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '1', '2', '2', 'd2c8a767fd55485eb8ce90b242d081b3-ca4a90e051c34cbe98a75246bc59906a-862daa8441304b10b858be76e3a2007e', '862daa8441304b10b858be76e3a2007e', '2020-04-30 08:15:29', '2020-04-30 08:15:29');
INSERT INTO `question` VALUES ('1eaff8deac0041ed857d16461a290985', '告警类型', '5', '68042014e23c4ebea7234cb9c77cee5c', '1', '1', '1', '123123', 'c97e917b56a5480c94dc28de7d8943dc-822cca2be47d409dacb5076427eb2fab-c8c044429c39438f943ce0c652be3100-dd2fec18b3b944bd863eaf503d086473-9527ec01d85e43d697d012a02594d647-f3edeb858f004d788108a6ee8b7396ca-7972490f7616481b849908e9345f8ae9', '7972490f7616481b849908e9345f8ae9', '2020-04-27 03:11:42', '2020-04-27 03:11:42');
INSERT INTO `question` VALUES ('2223b2eb8c2942459344c06ce1d3ed1d', '与他人在正式场合交谈时要严肃认真,还要注意语言的', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '1', '10', '言谈举止', 'bd8ecfb670364c1b8cee33607423066f-09153c0ac73a4d2ea60ebb8c833d0eef-c517d89483b94ffead440fb408efce11', 'bd8ecfb670364c1b8cee33607423066f', '2019-05-25 01:46:47', '2019-05-25 01:46:47');
INSERT INTO `question` VALUES ('224ae57b9c1749bdbfab51b2284789ce', '测试多选题', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '2', '4', '这是多选的哦', '3d9abd4caa484af99e8667ac8408ce85-1cce0f75bdfe4ac29022d23abac34ec0-61fa118af54846ce9498774fc7dbb462-a0e9cddc8e304295b7bb13813d4fb4f5', '1cce0f75bdfe4ac29022d23abac34ec0-3d9abd4caa484af99e8667ac8408ce85-', '2020-06-24 09:07:27', '2020-06-27 01:23:49');
INSERT INTO `question` VALUES ('22d201cd2e5c4558bbbdf4cb5d7ea717', 'dcess', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '2', '7', '123', '8dd912efd1d0449a836e73486c66ca1c-bccb33b6264248318e380d9e7802d2a5', '8dd912efd1d0449a836e73486c66ca1c', '2020-08-03 08:23:47', '2020-08-03 08:23:47');
INSERT INTO `question` VALUES ('23491b7dbbdf47dcb09ece779ff44c92', '你的名字是什么？', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '9', '雷锋', 'afbbf97056c64199b1b44f02e8c557f5-249c3e3f31ed443e83ab4379b506be24-57e749d644044a53b48ed12f84bba0b3-83c56af7662249dd968e04bf3afbee23', '83c56af7662249dd968e04bf3afbee23', '2019-06-13 06:19:58', '2019-10-27 17:24:50');
INSERT INTO `question` VALUES ('23ac2394b14f4e338ec22adba349eb62', '1', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '3', '2', '1', 'be8ce7fa22904b8b998aab497ca5e753-b65355f749974638bf875224c31b3508', 'be8ce7fa22904b8b998aab497ca5e753', '2020-07-22 06:48:50', '2020-07-22 06:48:50');
INSERT INTO `question` VALUES ('23c0e0e98d04425ab2de3e7fec54971d', '王传锦', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '3', '2', '1111', '29b8955e756c49599a1ef171eefdc405-a4c4b303b3e34a0e83dbd967567bbb91', '29b8955e756c49599a1ef171eefdc405', '2020-07-04 07:08:16', '2020-07-04 07:08:16');
INSERT INTO `question` VALUES ('25bf7d1a791f4cf39d85e26b113001e8', '11', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '3', '1', '11', '508aec988215422e82c0850c79aea7b1-a60fdf98a017401a813e32f87c65674e', '508aec988215422e82c0850c79aea7b1', '2020-05-04 09:09:49', '2020-05-04 09:09:49');
INSERT INTO `question` VALUES ('25ec2980dd544b4ca70328a0733ce69f', '谁是最可爱的人', '5', '68042014e23c4ebea7234cb9c77cee5c', '3', '1', '4', '解放军', '8a605f36d92c4b268788780e76e2c40c-4c6f5fdede334a26b285cd1b834bd198', '4c6f5fdede334a26b285cd1b834bd198-', '2020-03-19 17:17:07', '2020-03-19 17:17:43');
INSERT INTO `question` VALUES ('265b78c96fb94504991ffcf8e5bd6074', '第二章——5、稳定流动的能量方程式用于节流阀时可简化为（）', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '1', '3', '对节流阀内工质列开系统稳定流动能量方程，q=Δh+wt。节流阀内流体与外界换热量q与功交换量wt都为0，因此，h1=h2。', '60942d2353d442d0bbfae1eb69f0be4a-e9713b14135a4b59b22a1a5410b9a4cc-18ac66eecdb6439494d48e4b152cf3d0-7953b0e9ed7d48019c8cf04f353e9e93', 'e9713b14135a4b59b22a1a5410b9a4cc', '2020-05-27 10:54:05', '2020-05-27 10:54:05');
INSERT INTO `question` VALUES ('272040f5194b4f58a1533ee3c8430095', 'hh', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '3', '7', '00', 'c76d8662bb9846ed94cc005a8f59e74c-fc74c7d791284bfcb972feb1007eeb34', 'c76d8662bb9846ed94cc005a8f59e74c', '2020-08-04 10:19:26', '2020-08-04 10:19:26');
INSERT INTO `question` VALUES ('2929d07f28a54c81931701d2b162fd70', '写文章的目的是为了增加收入', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '2', '10', '增加收入', 'db9794b9bdda420cb21dd1f4e1efdae3-d567c1de87c04359a717c04f3d7de8a7-e1c39e7f3d894c65aa7e6e980229757c', 'd567c1de87c04359a717c04f3d7de8a7-e1c39e7f3d894c65aa7e6e980229757c', '2020-03-08 12:45:01', '2020-03-08 12:45:01');
INSERT INTO `question` VALUES ('2b4df8f9333741ef9f56bc188ec8a147', 'ff', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '2', '1', 'fff', '8398259d17a84b71a19e958ffd63447f', '8398259d17a84b71a19e958ffd63447f', '2020-09-06 15:52:23', '2020-09-06 15:52:23');
INSERT INTO `question` VALUES ('2b6b9540a38f40b08864067a65e3c5f1', '发的', '5', '68042014e23c4ebea7234cb9c77cee5c', '3', '1', '2', '撒', '640e0c8907104bed8fafb0afffd2f59d', '640e0c8907104bed8fafb0afffd2f59d', '2020-06-18 05:16:04', '2020-06-18 05:16:04');
INSERT INTO `question` VALUES ('2b77e798372f4465882ccf619ce55657', '居住街道', '5', '68042014e23c4ebea7234cb9c77cee5c', '3', '1', '5', '发达撒', 'ba5bbb82d555490581123ecaf5f9fd81-ce55be1f36784062a07f8851b242f9e2', 'ba5bbb82d555490581123ecaf5f9fd81-', '2020-09-03 08:17:24', '2020-09-03 09:07:39');
INSERT INTO `question` VALUES ('2b8b0f8748e24460b461047366d37ecb', '123', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '4', '123', 'df100669da2b4842823c54abf03830c2-b3515213a70e4bf98b94959d63f978b7-7a354fb6ba1a46319688045d100946c1', 'df100669da2b4842823c54abf03830c2', '2020-04-22 01:09:05', '2020-04-22 01:09:05');
INSERT INTO `question` VALUES ('2e88077d899948c3905e6f501543360c', 'test', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '1', '8', 'test', '9a26a6fb037840e9b7f9c0247c1d2790-d9729d496f404b3aaf42f99a85338932-09db13994df14085ab66fd8f4e2c76c3', 'd9729d496f404b3aaf42f99a85338932', '2020-06-19 15:44:04', '2020-06-22 07:36:00');
INSERT INTO `question` VALUES ('2f8b20630b10471395b6c379a465cca8', '在参加各种社交宴请宾客中,要注意从座椅的（）侧入座,动作应轻而缓,轻松自然', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '1', '10', '就餐注意事项', '647fb34e45474ae3b064a836b436a031-77e434759f314ce08413b65b3c36e6a0-ab85c51b6e91402385aeda6551aea608', '77e434759f314ce08413b65b3c36e6a0', '2019-05-25 01:46:47', '2019-05-25 04:06:43');
INSERT INTO `question` VALUES ('305f726e7f1f4636b88bf20de0093745', '地球是圆地吗？', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '3', '1', '是的', 'd8fd1ca48ed74d0cb51295ad84760dd6-52e0ccb2fc4545028988681db9858f70', '52e0ccb2fc4545028988681db9858f70-', '2019-06-13 06:21:16', '2020-03-01 03:08:10');
INSERT INTO `question` VALUES ('30a7598bc91346478027795679cd71c3', '2', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '2', '1', '2', '648500831b5640f79b627a667883e7c1-8946f452ab7b49cfab931cba8c8ed1dc', '648500831b5640f79b627a667883e7c1-8946f452ab7b49cfab931cba8c8ed1dc', '2020-05-07 02:28:22', '2020-05-07 02:28:22');
INSERT INTO `question` VALUES ('311e5bf4b7dc4f15bae52e2f5caf4800', '我的测试234判断', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '3', '2', 'hjjiex', '0429151f296b4346ab52fa2980cbac6e-d00fee19fd484df6b1cc23b836656fe6', 'd00fee19fd484df6b1cc23b836656fe6', '2020-04-04 07:39:08', '2020-04-04 07:39:08');
INSERT INTO `question` VALUES ('313a3c23d119451d9f3f82bb47401b9f', '我的VIP_1型隧道', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '2', 'ee', 'bad2787d2be64bfe89cece84b8eda695-f4d19e393ad743a0868e6c377891076c-532fec43b430438fa67d13f2cc684dd4-96adc6fe53994660a5ce9c52beeabc10', 'f4d19e393ad743a0868e6c377891076c', '2020-04-25 01:42:58', '2020-04-25 01:42:58');
INSERT INTO `question` VALUES ('31ab7a49aa254240935d1e871d7f2f09', '实施完毕', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '3', '1', 'ss', 'a3cc733bcc5e47bab69f3fec7867fd38-397a9ee0beaa48d7850204bf44aa0cfa', 'a3cc733bcc5e47bab69f3fec7867fd38', '2020-03-08 07:45:27', '2020-03-08 07:45:27');
INSERT INTO `question` VALUES ('31e9ad43e84e484eb8b77b7e7a76de91', '在机场、商厦、地铁等公共场所乘自动扶梯时应靠（）站立,另一侧供有急事赶路的人快行', '3', 'a1b661031adf4a8f969f1869d479fe74', '1', '1', '9', '走电梯常识', '4140a14f3f6b4067962eac1c939675c9-5ac788b163b04bc9b159f11d1cb1abba-d36bd089207f48cfb5d806d9cf882009', '5ac788b163b04bc9b159f11d1cb1abba', '2019-05-25 01:46:47', '2019-05-25 04:06:49');
INSERT INTO `question` VALUES ('334cfcd5ce47468a9babdce5c97def28', '递接文件或名片时应当注意字体的', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '10', '生活常识', 'c4aeda64b2024d9cbaaba88ac1dcdb97-995440729c4f48758920dd0f9c31f44f-c317ef23e1de49369900869764991eb0', 'c4aeda64b2024d9cbaaba88ac1dcdb97', '2019-05-25 01:46:47', '2019-05-25 01:46:47');
INSERT INTO `question` VALUES ('336581f3079140328f5e71a1594d7500', '123', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '1', '2', '4532', 'a5e476e927f74034abd9026fb6396240-ff916fedb6a94be78944b25bf1377282', 'a5e476e927f74034abd9026fb6396240', '2020-05-27 08:54:48', '2020-05-27 08:54:48');
INSERT INTO `question` VALUES ('340e5189877a4eb58492c7bb7a3c094d', '请问是真的吗？', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '3', '7', '请问是真的吗？', 'fb5f2eecef2341279412400d9a58ac4b-e80b3bfbd8764da58e06e2a928b086af', 'fb5f2eecef2341279412400d9a58ac4b', '2020-03-06 08:43:40', '2020-03-06 08:43:40');
INSERT INTO `question` VALUES ('34709b873e3e4b979b2ba2c7aed499a7', '明天几号了?', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '3', '明天几号了??', '7c0f620e2424488aa7c3843532bef0c7-537c4f151cc34ac484d2bb2d830d5462-dc2f2d3089c4437db4e7834042e19fd7', '7c0f620e2424488aa7c3843532bef0c7', '2020-05-22 16:15:15', '2020-05-22 16:15:15');
INSERT INTO `question` VALUES ('34ac0eba5d5548599086f7439b837d85', 'summitexam', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '2', '2', '；', '3912670d529c4bc5b3bbfb4694d750e5-302327201f3c422ca6b636f04fb146cc-435eabe9037b4ff7998943b09010e5f4', '302327201f3c422ca6b636f04fb146cc-3912670d529c4bc5b3bbfb4694d750e5-', '2020-03-12 03:27:52', '2020-05-22 16:13:12');
INSERT INTO `question` VALUES ('34fe861fdc8a4b13b7455d4f512a2a07', '明天几号了?', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '3', '明天几号了??', '01030b8201a34bbe964b32e7cbc7022f-853573a1fadc487893e40a90a3a2e566-3dacd11b7e7c4bfab8e170e84126c15f', '01030b8201a34bbe964b32e7cbc7022f', '2020-05-22 16:15:23', '2020-05-22 16:15:23');
INSERT INTO `question` VALUES ('370ed59a334a42c3a7bf021141f2fb13', '智能组件探索：这个工具栏会自动布局~', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '2', '点对点', '3216edd8cf1d41428c8f29133174b25a', '3216edd8cf1d41428c8f29133174b25a', '2020-08-30 13:55:50', '2020-10-02 02:53:31');
INSERT INTO `question` VALUES ('371450fbb05a49a5b83bce0f9a33b7fd', 'test', '5', '68042014e23c4ebea7234cb9c77cee5c', '3', '3', '7', '2', 'e2ed0b87934a4787bb5cc20b5b00c13f-175eba542012448581344803a032ffeb', 'e2ed0b87934a4787bb5cc20b5b00c13f', '2020-09-01 09:50:20', '2020-09-01 09:50:20');
INSERT INTO `question` VALUES ('38085807d06948ca8ad6d8eaca522c85', '以接待对象为标准划分的接待类型有', '5', '68042014e23c4ebea7234cb9c77cee5c', '3', '2', '9', '商务接待', 'bed28153b51d410aafa64a6cc9c6fbb9-20ce13d67d544efeba548f7eb9642e8f-bbe3df2c7ba44b13b4b77cbd929a8fb1-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0', 'bed28153b51d410aafa64a6cc9c6fbb9-20ce13d67d544efeba548f7eb9642e8f-bbe3df2c7ba44b13b4b77cbd929a8fb1-81b7ae4a705f4fc39e576085a55fccc0', '2019-05-25 01:46:47', '2019-05-25 04:07:16');
INSERT INTO `question` VALUES ('3864178819534aa7862b26e893aa2e62', '一般性的拜访多以（）为最佳交往时间', '7', '68042014e23c4ebea7234cb9c77cee5c', '3', '1', '9', '交际', '9cd1e597ae4144938be500efa21eec9b-e4697cfd242c4328b28a084e4ecaaf3c-9b14c29c2d514b10af620655ff13a204', 'e4697cfd242c4328b28a084e4ecaaf3c', '2019-05-25 01:46:47', '2019-05-25 04:07:50');
INSERT INTO `question` VALUES ('388dd246953945569e3617b268629ee4', 'dcess', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '2', '7', '123', 'fe7b64dae30a4f389d042ab93525b46b-51c476176e03424f8c2fae10a7113d8d', 'fe7b64dae30a4f389d042ab93525b46b-51c476176e03424f8c2fae10a7113d8d', '2020-08-03 08:23:29', '2020-08-03 08:23:29');
INSERT INTO `question` VALUES ('38cbdd83bbda42cb835dc53d2eb9bdde', 'rrr', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '1', '1', 'ddd', '2b77d207e9e5475bacdfed3c9fc486ae-0a0a339038774d20b7cc28cd4ae61b62-67973f89f6db45acad02bd7ce0d4af27', '2b77d207e9e5475bacdfed3c9fc486ae-', '2020-08-31 04:41:36', '2020-08-31 05:54:40');
INSERT INTO `question` VALUES ('396b55534851427590e089fb9cc040cc', 'Zeus', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '2', '5', 'desfeeeesf', '25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-ccf9a11d724046dd964660b688d9dc28-9c511fa9d5a74090967cdb52b29060a2-92ed63ab069d4f0bae0bbf630a03d34d', '85aeb40a28f14735a48505d29d7c05b9-9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28', '2019-06-13 00:55:56', '2020-03-01 03:07:56');
INSERT INTO `question` VALUES ('3da95e8dc779416689d913f8b68c48b2', 'dtbtest1', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '1', '1', 'dtbtest1', 'c9af8c09778e44cfb8a3d252e84456df-e5c4af9ca7c043eeb7d74303a30e2a2d', 'e5c4af9ca7c043eeb7d74303a30e2a2d', '2020-03-29 10:04:39', '2020-03-29 10:04:39');
INSERT INTO `question` VALUES ('3ef18896a25b42e5b453a5606abc5595', '測試', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '2', '2', '不告訴你', 'acfa3c43f7f943c1b3bc697c436af659-3c4082994c3c4a0b83b25c07eebc953d-5380530d663f435aaa134ab037f34079', 'acfa3c43f7f943c1b3bc697c436af659-3c4082994c3c4a0b83b25c07eebc953d', '2020-09-08 14:32:23', '2020-09-08 14:32:23');
INSERT INTO `question` VALUES ('3ef9db63fc5442aea7176a95fee55f2f', '2', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '2', '2', '2', '1875168fbb774de2ad00d7b9832a95ce-87ab5d2e169c431a95296400c27819a1-65836707171c4fc0a4857de9b90d9bf0-c35c908629e241bd88099f879ef36322', '87ab5d2e169c431a95296400c27819a1-65836707171c4fc0a4857de9b90d9bf0-c35c908629e241bd88099f879ef36322', '2020-09-08 02:46:26', '2020-09-08 02:46:26');
INSERT INTO `question` VALUES ('3f2128829879470ea97dc3a5fd8d8f0e', '包装2.0', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '1', '2', '包装2.0', '2ddfb11777d54d71899939325da8a293', '2ddfb11777d54d71899939325da8a293', '2020-04-30 05:16:50', '2020-04-30 05:16:50');
INSERT INTO `question` VALUES ('3f31e3edcea24aebb1f3ff1556917141', '大魔神牛逼不？', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '1', '9', '0000', '8e7ead3595ee4867aa21997433ddb5fd-02e72a5f97eb4783a8d9b4f1231d01fe', '8e7ead3595ee4867aa21997433ddb5fd', '2020-09-01 12:31:41', '2020-09-01 12:31:41');
INSERT INTO `question` VALUES ('40ee7b36298d4568aad20e2db36ddbb5', '1', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '10', '2', 'a317880eb3144e3db226409408198013', 'a317880eb3144e3db226409408198013', '2020-02-26 09:55:20', '2020-02-26 09:55:20');
INSERT INTO `question` VALUES ('4247752901bd47fba86379a1cd4b87d4', '与他人交谈完毕就可以立即转身离开', '10', '68042014e23c4ebea7234cb9c77cee5c', '2', '3', '10', '社交礼仪', 'b8e2e6300ab04016a82481fff15750e0-d15f9106bb9941eaab1e37356af083b3', 'd15f9106bb9941eaab1e37356af083b3', '2019-05-25 01:46:47', '2019-06-22 04:20:33');
INSERT INTO `question` VALUES ('42e97c38185349a6b83b396922357271', '第二章——3、公式 q=Δu+w的适用条件（ ）', '5', '68042014e23c4ebea7234cb9c77cee5c', '3', '1', '3', 'q=Δu+w适用于任意气体、任意过程、任意系统。', '66bb1d6a84a74f688dbf6d865a7c8bda-70b75d901d69477ab922074e2161559f-5c8bc06fe579422083bd7416e5c8cf62-fdb02b4460614e74b2e85612a74d7c65', 'fdb02b4460614e74b2e85612a74d7c65', '2020-05-27 10:48:34', '2020-05-27 10:48:34');
INSERT INTO `question` VALUES ('458475653213478e9b69e2f1bb063ffc', '第二章——4、稳定流动的能量方程式用于汽轮机时可简化为（）', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '1', '3', '对汽轮机内工质列开系统稳定流动能量方程，q=Δh+wt。由于汽轮机内换热量为零，所以有wt =-Δh。由因为技术功wt等于ws+Δc2/2+gΔz，对于汽轮机进出口工质Δc2/2+gΔz=0，所以有ws=h1-h2。', '6c7c840e193f48e58b82b9f3b9935ad6-a6d530b941a34a3187c968c95bcc1d1f-057fffde78d846cdad3958af050a1ea8-cf53cc26173f4c8686aafdd246b4a28b', 'a6d530b941a34a3187c968c95bcc1d1f', '2020-05-27 10:50:40', '2020-05-27 10:50:40');
INSERT INTO `question` VALUES ('46b74ddb133a4f20ac30d2c92de6902c', '我是最帅的吗', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '1', 'emmm，最帅？最傻币？？', '64c6300db06f44e4b18d580380a3e71b-8967e693de5b4acba8357219812c7c4b-f6aa287d13e649e398da650b2dee77c4', '8967e693de5b4acba8357219812c7c4b-', '2020-08-31 13:08:02', '2020-09-23 01:11:00');
INSERT INTO `question` VALUES ('473ecef6048d4d1a91b8100eb7a176e0', '撒旦撒旦撒旦', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '3', '3', '撒旦是水水水', '8dc2afa2eb2f47da95ec1305f34c49ca-91954e91ac184f648cc944bf84dbbe19', '91954e91ac184f648cc944bf84dbbe19', '2020-04-22 08:16:51', '2020-04-22 08:16:51');
INSERT INTO `question` VALUES ('495fce658bc4409aac2e14657d8e7e8d', '修改', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '3', '9', 'asd', '95ebcd9078444043b7ff375a2fe67178-d8a80cb9399b47b8890aa897d3ca1339', '95ebcd9078444043b7ff375a2fe67178', '2020-03-10 04:02:13', '2020-03-10 04:02:13');
INSERT INTO `question` VALUES ('4a8c0cd2a67e4bb3aa51662146444f0d', '谁最漂亮', '5', '68042014e23c4ebea7234cb9c77cee5c', '3', '1', '10', '啦啦啦啦', '28fe162922a24e118ab4feecc45aef1f-e7c2308d8d794992847e68a1a0e384df-8aca071cfff2418784c36a5ca612a515', '28fe162922a24e118ab4feecc45aef1f-', '2020-08-31 06:33:49', '2020-08-31 06:57:07');
INSERT INTO `question` VALUES ('4b8863f7a26747219f9d1e59165c08a6', '演讲水平', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '1', '从演讲者的表达能力，带入程度来参考', '3ac81fb3c8a44c6da848fcd2123fcf8e-744697e9f4984970a2b1949b84d10139', '3ac81fb3c8a44c6da848fcd2123fcf8e', '2020-06-16 12:02:13', '2020-06-16 12:02:13');
INSERT INTO `question` VALUES ('4e3debde18a84a4fbe9baf83cb7cbd61', '22', '5', '68042014e23c4ebea7234cb9c77cee5c', '1', '1', '1', '22', 'f2f3ed5ca60a4930a5acaf226bc41167-44931fa54f784fba87a61e47fe3e2836', 'f2f3ed5ca60a4930a5acaf226bc41167', '2020-07-28 08:50:09', '2020-07-28 08:50:09');
INSERT INTO `question` VALUES ('5021d5d9c78641539d5de2b78820fc47', 'znn', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '2', '5', 'uuu', '34523c8126584d6688e8649cb118c51f-fcbd1f84d1144384a4c6831d2fe3ee0f-4a540db503ee4e3cb9e1345152629318', '4a540db503ee4e3cb9e1345152629318-', '2020-09-21 06:23:43', '2020-09-22 00:26:38');
INSERT INTO `question` VALUES ('50684fa22ad84884b0bcaf70ed03617a', 'ASDJKASJDKL', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '2', '2', 'ASJDKLASJDKLASD', '17490735320f437b8acf9a23aa4f664d-f0a2e38bb6a0467eaa4dc2abce0d5397', '17490735320f437b8acf9a23aa4f664d-f0a2e38bb6a0467eaa4dc2abce0d5397', '2020-09-11 07:18:21', '2020-09-11 07:18:21');
INSERT INTO `question` VALUES ('517621a3c6b745459a5606c65cd38e27', '多选题', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '2', '8', '111', '64f67417f3b54909a2aa328c1fc6571a-2c11d8ee79394fd5b82306824d92ae36-3337d407ecde4865b80a5fc9e7fe37e3', '64f67417f3b54909a2aa328c1fc6571a', '2020-03-10 08:41:45', '2020-03-10 08:41:45');
INSERT INTO `question` VALUES ('52b5a8f3b11b45e4b9eeb0cec840d4ed', '12', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '2', '2', '12', '8b2425bd63c64a99b4b1c17f3a25161a', '8b2425bd63c64a99b4b1c17f3a25161a', '2020-08-18 06:50:50', '2020-08-18 06:50:50');
INSERT INTO `question` VALUES ('52ce1a68e1cc440cb081de0f5faa03cd', 'erdan ge', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '2', '6', 'ghjk', 'c8b17f74bf504e448f77f270f3e90ca4', 'c8b17f74bf504e448f77f270f3e90ca4', '2020-08-31 02:12:37', '2020-08-31 02:12:37');
INSERT INTO `question` VALUES ('5396e258c48e467fbdf904701aa85840', 'test', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '1', '2', 'test01', '59d74d533d89492993922152bfcb8a62', '59d74d533d89492993922152bfcb8a62', '2020-04-08 03:13:34', '2020-04-08 03:13:34');
INSERT INTO `question` VALUES ('53ae8db083134adb8428403b6a50620e', 'sd', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '3', '10', '行政监督部门收到投诉书后，应当在三个工作日内进行审查，视情况分别做出处理决定。\n', 'fe566c433e0b469780861319c19de604-d378a5a61e004ecf9d0729bb4519cf11', 'd378a5a61e004ecf9d0729bb4519cf11-', '2020-05-15 08:43:54', '2020-05-18 08:50:02');
INSERT INTO `question` VALUES ('5495afd392314658960c3911fd6c1b84', '哈哈哈哈', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '2', '6', '爱的方式', '5a85b86339fb4ce6bdbf9912551bff64-3d913a401b0744f38a1822184a6c865c-f139c33a448e48d38b36b6e710ce232e-3ff65e9fd1724a199eb9c1ba9985b6f0', '3ff65e9fd1724a199eb9c1ba9985b6f0-5a85b86339fb4ce6bdbf9912551bff64-', '2020-06-09 03:04:01', '2020-06-09 03:04:54');
INSERT INTO `question` VALUES ('551677f9e25441bbade1d48fb9f76a01', 'card', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '1', '范德萨发', '70c63df872e645bda8abd04a2e07925b', '70c63df872e645bda8abd04a2e07925b', '2020-03-02 14:40:11', '2020-03-02 14:40:11');
INSERT INTO `question` VALUES ('55b90af51078486a804055c1052c8688', '你说这个题目选a还是b', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '3', '1', '我感觉像是b', '155cf490413e4db893a06706dede1d34-44a2393b304d4e2185803f3fd83c1014', '155cf490413e4db893a06706dede1d34', '2020-09-02 06:29:26', '2020-09-02 06:29:26');
INSERT INTO `question` VALUES ('56ed36d358d44d43834ce1146bf4303d', '123', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '3', '5', '321', '9692160d5ff14b8da558009c22674638-a9960e3f1cb34a8caafd27fe3a4ef9de', 'a9960e3f1cb34a8caafd27fe3a4ef9de', '2020-04-22 01:22:19', '2020-04-22 09:43:09');
INSERT INTO `question` VALUES ('590889adc7994fbdbd895f3f8f4cd1f4', '1', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '2', '2', '1', '5c2e94d4363449c4ac3ffbfcd347b5e4-c87c37f82879406bbb12094a04115838-c81d168f407d476c9caf518b23cbc3ee-502c3eb45a4748f38f89e0010e18ab5c', 'c81d168f407d476c9caf518b23cbc3ee-502c3eb45a4748f38f89e0010e18ab5c', '2020-04-09 01:25:34', '2020-04-09 01:25:34');
INSERT INTO `question` VALUES ('5919d7e56e3e4d62b6abc5b13135a7ee', '1111', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '2', '2', '1111', '4a9ac21bbee84b99b37737fa5e071c8e-eb192519091040a2b8c50c85ab384692-75ad6f40c62944f79f0f13b56aae26f6-f2b8a154a14c4b5589880e5fe06c21d0', '75ad6f40c62944f79f0f13b56aae26f6-', '2020-06-19 07:30:43', '2020-06-29 15:20:26');
INSERT INTO `question` VALUES ('5b796234b1df47c78f614d2f76b91467', '1', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '2', '1', '1', '2b9c28bf667c4245816de46bf52a7ddd', '2b9c28bf667c4245816de46bf52a7ddd', '2020-06-07 14:13:04', '2020-06-07 14:13:04');
INSERT INTO `question` VALUES ('5bc570c6662c41d99bd9859cecff90c4', '、已知大气压力计读数为1atm（标准大气压），则表压力为15.7Mpa时，容器内的绝对压力为（       ）', '5', '68042014e23c4ebea7234cb9c77cee5c', '3', '1', '3', '简单', '14f4399cbf24423fb9a28dfec7f88d40-872cd57a8ba140a19b17b0bc3926a53b-ba76daceff104974a756176828d33ff9', 'ba76daceff104974a756176828d33ff9', '2020-05-27 08:18:41', '2020-05-27 08:18:41');
INSERT INTO `question` VALUES ('5bf59e82cae24b67879119571c022018', '金鹏', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '1', '7', 'sdasdasd', '0e4bb7baa94c474789e7c8443374a8aa', '0e4bb7baa94c474789e7c8443374a8aa', '2020-03-11 09:48:24', '2020-03-11 09:48:24');
INSERT INTO `question` VALUES ('5d6c1528fc9a41c7929082d586260d2c', '1112', '5', '68042014e23c4ebea7234cb9c77cee5c', '1', '2', '7', '1', '5872d8e8a1174e9b98b5da077d930ad7-41b50876ccb547a3908947c20e441e3d-8d20946630564cb289355ad497c3b97e-4674dcfb786647ef841fcfd5ee4d20d2', '4674dcfb786647ef841fcfd5ee4d20d2-', '2020-05-08 06:46:21', '2020-05-14 08:34:42');
INSERT INTO `question` VALUES ('5e0389903aa94524bcae09ca457ecdaa', '我最关心的问题是什么？', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '1', '10', '问题是什么', 'd260b7e951064e609f6c5de6abbb2b83-b07b85e3415b403d9487dbc1acf5f932-ff4deaa00807431682923baf77bedd4d', 'b07b85e3415b403d9487dbc1acf5f932', '2020-03-07 04:02:44', '2020-03-07 04:02:44');
INSERT INTO `question` VALUES ('5e4913644c9a4bfb89e1e92ca54baa07', '22', '5', '68042014e23c4ebea7234cb9c77cee5c', '1', '1', '1', '22', '495f556e92c24ed5b68695ddd6df300d-9e6e64fa5d3d4bf68e15deaa04a99de5', '495f556e92c24ed5b68695ddd6df300d', '2020-07-28 08:49:46', '2020-07-28 08:49:46');
INSERT INTO `question` VALUES ('5fec797ca3314f0d94a103f33171dfea', '测试 ？', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '2', '点对点', '07873fe639034ff29ea66a12c0531d17-3241d62e07bf4afc9eb03b6d4b57566b', '07873fe639034ff29ea66a12c0531d17', '2020-08-30 13:56:48', '2020-08-30 13:56:48');
INSERT INTO `question` VALUES ('66cb03a7effb4518ab5efcf480ab5c69', '464675', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '2', '546', '82dbe9d7a31f4649bc534f3eb3a46dd2-29bea16a941e473eaf1d47cabfa1e476', '82dbe9d7a31f4649bc534f3eb3a46dd2', '2020-09-05 08:16:33', '2020-09-05 08:16:33');
INSERT INTO `question` VALUES ('6767d863ab6e428c840b6b51ed555cdc', '11', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '3', '2', '11', '1c872789a452490da96069c761121e6d-6852f34c415b4f16aa6ef35188680893', '1c872789a452490da96069c761121e6d-', '2020-08-25 08:29:59', '2020-08-31 04:40:53');
INSERT INTO `question` VALUES ('676d834bdf844fbeb7c39fefe0069066', 'administrator', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '2', '9', '1211', 'e5a7a2106a984796af45b1e9463bc530', 'e5a7a2106a984796af45b1e9463bc530', '2020-08-05 06:36:16', '2020-08-05 06:36:16');
INSERT INTO `question` VALUES ('698083e5d386435695f9aee4042d52a6', '1', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '1', '1', '1', '6dd7b78782df475aa6a112620f1be7e2-87c48ec222d1451286b0d25d1590139c', '6dd7b78782df475aa6a112620f1be7e2', '2020-05-07 02:27:44', '2020-05-07 02:27:44');
INSERT INTO `question` VALUES ('698def9f99b343e9b74cd7513f9efe61', '我的测试234判断', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '3', '2', 'hjjiex', 'b7425acd661f425f86c3a56eef593ffe-6077b909fb884f858a01bb33b2e2d626', 'b7425acd661f425f86c3a56eef593ffe', '2020-04-04 07:35:17', '2020-04-04 07:35:17');
INSERT INTO `question` VALUES ('6a20e7a3fbaf4031a47d2426740b81ea', 'in-to-out', '5', '68042014e23c4ebea7234cb9c77cee5c', '3', '1', '1', 'sfasf', '1610167ae7be413498f707b0ac15791a-5872f3b1322948c8a15b301ffae0efb0-1301f272a7164a36b0d4b610524a1d39-2d4c7dc37efa4599b78321dc0bf74ca9', '1610167ae7be413498f707b0ac15791a', '2020-06-17 07:58:11', '2020-06-17 07:58:11');
INSERT INTO `question` VALUES ('6bba5e6bff4a402aa2345a84949b39b0', 'hj', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '2', 'hjjiex', '2cbadbe4efa9427d8c14e26f6e01cd52-5f1f478c60d44bbc8cd9a16539c7f142', '2cbadbe4efa9427d8c14e26f6e01cd52', '2020-04-04 07:29:13', '2020-04-04 07:29:13');
INSERT INTO `question` VALUES ('6c261016135a4949bbc301cfe8ea81d6', 'ww', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '3', '1', 'rr', 'f60335a4b5974512a0736e001f0d3e68-f9b46b8cf54e48448f18b8904276cb3e', 'f9b46b8cf54e48448f18b8904276cb3e', '2020-09-03 00:58:12', '2020-09-03 01:10:31');
INSERT INTO `question` VALUES ('6cabac6ec4ef44068e66cf2547543658', '行握手礼时,与多人同时握手时,可以交叉握手', '6', 'a1b661031adf4a8f969f1869d479fe74', '1', '3', '10', '礼仪', 'b8e2e6300ab04016a82481fff15750e0-d15f9106bb9941eaab1e37356af083b3', 'd15f9106bb9941eaab1e37356af083b3', '2019-05-25 01:46:47', '2019-06-22 04:20:45');
INSERT INTO `question` VALUES ('6d679282cdc649f8b4d185e47026dcca', '123', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '1', '1', '123', 'd97d9fc8348644668eee72d762c06cd2-2cd9cb4901044a7fb410962eb75737da-83ff34f011964f899e4361dc029cac16-21594050aeb14818a3c250c68800b909', 'd97d9fc8348644668eee72d762c06cd2', '2020-03-01 04:56:52', '2020-03-01 04:56:52');
INSERT INTO `question` VALUES ('6dfb93980e0a4c68badff94e9e1b3349', 'Serati Ma', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '3', '2', '大神', '4c8f5324184d47ae96b0975435f51d45-4f6a78ca969d4a99a37e762ae8a98baa', '4c8f5324184d47ae96b0975435f51d45', '2020-09-21 01:33:35', '2020-09-21 01:33:35');
INSERT INTO `question` VALUES ('6e58444a80444176aef5b48a5feb9204', 'wujianming', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '3', '3', '222222', 'b108b823a6ad4688895a93af81a1a584-068c9dfe6bf44ac68da20d88bed1d561', '068c9dfe6bf44ac68da20d88bed1d561', '2020-09-04 05:48:22', '2020-09-04 05:48:22');
INSERT INTO `question` VALUES ('6f95eb26b4bf46c093e60887bae869af', '22', '5', '68042014e23c4ebea7234cb9c77cee5c', '1', '1', '1', '22', 'b3988469af8d4dc8ae5d72e11ff4555e-2c3a444025344563a317cfe6751d11ff', 'b3988469af8d4dc8ae5d72e11ff4555e', '2020-07-28 08:50:20', '2020-07-28 08:50:20');
INSERT INTO `question` VALUES ('736a5bdfc44d4bed99cb43cd4ee0fe03', 'card', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '1', '范德萨发', '494bf6a7d8cb4c08bfe12fffdcc32d44', '494bf6a7d8cb4c08bfe12fffdcc32d44', '2020-03-02 14:39:57', '2020-03-02 14:39:57');
INSERT INTO `question` VALUES ('73723d33fddf45b19489cecf358a0ecf', '111111111', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '1', '2', '1111', '62d0c9c71733467aa56b22f5eef1c8c0-7ebb034eb2294758873509df7280ba72-b18d0d42daa54305bd0b86ff2186df2b-487ebfdbfdf14ba3b113eadaef40b5c6', '7ebb034eb2294758873509df7280ba72-', '2020-08-03 08:22:26', '2020-08-04 04:09:17');
INSERT INTO `question` VALUES ('73f80dbb418a4197a1ef17d49ab95c06', '2211111111111111', '5', '68042014e23c4ebea7234cb9c77cee5c', '1', '1', '1', '22', '504bed11766b4c35b7d0ed598a94f0e2-825825ddfcac4089a52d136fb7b3d28a', '504bed11766b4c35b7d0ed598a94f0e2-', '2020-07-28 09:17:19', '2020-07-29 09:31:04');
INSERT INTO `question` VALUES ('75e0196b943a47f59d246557dc7c30dd', '测试', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '10', '测试', 'bde0602eca354629ae891474aa8f43eb-8acab2bbb89a48e886f32d8a7e6ab27e-0c5563e4d52e422c951bc578c49f8f62-bc88c0a83e6147fbbe7ae6141bf575a1', '8acab2bbb89a48e886f32d8a7e6ab27e-', '2020-03-09 00:21:34', '2020-03-10 09:32:12');
INSERT INTO `question` VALUES ('76049b0d9a254178887a4c3c65ba59b7', '手机', '5', '68042014e23c4ebea7234cb9c77cee5c', '3', '1', '3', '1111', 'dd7352143c914b0e9abf4bcd4ef0e9fe-c95c411cf29846fa97ee69b9611edc70', 'c95c411cf29846fa97ee69b9611edc70-', '2020-04-01 06:36:14', '2020-04-01 09:55:12');
INSERT INTO `question` VALUES ('76a0b4b6d6c44d7099ab9f4605e35085', 'littlepanic', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '2', '1', '范德萨发生', '865411ad178f4b60ab6b9fc6ede45de2-10a92d75dd804d0896fb01f5012d0bd5', '865411ad178f4b60ab6b9fc6ede45de2-10a92d75dd804d0896fb01f5012d0bd5', '2020-05-26 00:33:44', '2020-05-26 00:33:44');
INSERT INTO `question` VALUES ('7785ef56409d40e0a3d3de39c8d919bd', '2+2=?', '5', '68042014e23c4ebea7234cb9c77cee5c', '3', '1', '2', '4', '1dd446391d4b4d698054badf2b2bf47e-9fc9ed0e94144ea88a702acc05523df5-1042e5dacc404ae189e8e9fef8ebadb8-976da12d3b5e4b2bad835cf42e87c59a', '976da12d3b5e4b2bad835cf42e87c59a-', '2020-07-07 06:18:16', '2020-07-15 02:41:05');
INSERT INTO `question` VALUES ('77ee8436697b478194eba8d3c7417d16', 'qwer', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '3', '2', 's', '134a39e3ea364cbda072ded335d3128d-e8860b61274e4941adb54d00f721773e', 'e8860b61274e4941adb54d00f721773e', '2020-05-13 08:55:38', '2020-05-13 08:55:38');
INSERT INTO `question` VALUES ('79b4e7a9a7e144ba8d5af83c39f9b13a', 'test', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '2', '8', 'eereer', '7569f009ec724d7da2fe65d3f870bbea-301d0af3df224dfdb9c4d25a3070311c-c10ac4f6031b48109c91b672cf944ef6-26d37952793a4f5eb1d83e331fa4fbf8-56677d96b7434641acb84f4e3ea4b59c', '7569f009ec724d7da2fe65d3f870bbea-301d0af3df224dfdb9c4d25a3070311c-c10ac4f6031b48109c91b672cf944ef6-26d37952793a4f5eb1d83e331fa4fbf8-56677d96b7434641acb84f4e3ea4b59c', '2020-04-20 07:20:22', '2020-04-20 07:20:22');
INSERT INTO `question` VALUES ('7ac7e784ddee4a6db47fee9f310a4674', 'test', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '1', '8', 'ttt', 'ab9e0727064f433686461e1284492eb6-5b002c90ec16495899a7e47f5fe1b0f3', 'ab9e0727064f433686461e1284492eb6', '2020-05-27 08:56:51', '2020-05-27 08:56:51');
INSERT INTO `question` VALUES ('7b324941a5514833a06c4561c1af3b41', '测试123', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '1', '123', 'b9956a8b3a0149d786a8691bd19b435e', 'b9956a8b3a0149d786a8691bd19b435e', '2020-03-01 08:43:31', '2020-03-01 08:43:31');
INSERT INTO `question` VALUES ('7b468fb6cfab474fb11176fb3f45ab81', '111', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '1', '1', 'A\nb', '1fb77dd37ec443c2b83a8425baed67f5', '1fb77dd37ec443c2b83a8425baed67f5', '2020-04-14 02:44:35', '2020-04-14 02:44:35');
INSERT INTO `question` VALUES ('7cd9603b9b194084993b339849676a8a', '1', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '1', '1', '1', '8c5f8ffc50c943d6acf638eeb729a52d', '8c5f8ffc50c943d6acf638eeb729a52d', '2020-09-02 02:43:10', '2020-09-02 02:43:10');
INSERT INTO `question` VALUES ('7d535a2008b4423bae96c8b4ad90378f', '撒旦撒旦撒旦', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '3', '3', '撒旦是水水水', 'e0f516418bc843ebbdd3529421fb620a-f54cf9081cb44864afafc7e51be3aff1', 'f54cf9081cb44864afafc7e51be3aff1', '2020-04-22 08:16:37', '2020-04-22 08:16:37');
INSERT INTO `question` VALUES ('7f057144db69436db019a8e405f7bf18', 'test', '5', '68042014e23c4ebea7234cb9c77cee5c', '3', '2', '2', 'test', '7d41b6d1c3ae4b3080aa831af2058e74-cbab4505cffe427fa342d0dad5740ac1-17caa8a101654814a1e77e38da67cdeb-e389abaf00e64667b7e646248293b975', '17caa8a101654814a1e77e38da67cdeb-7d41b6d1c3ae4b3080aa831af2058e74-cbab4505cffe427fa342d0dad5740ac1-e389abaf00e64667b7e646248293b975', '2020-07-24 01:25:00', '2020-07-24 05:35:58');
INSERT INTO `question` VALUES ('8115591eb68e40fb8edfe1b2064841e4', 'sssc', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '1', '3', 'jssggs', '0749cbe67c7a4ea484842e0851475ebc', '0749cbe67c7a4ea484842e0851475ebc', '2020-05-27 11:06:27', '2020-05-27 11:06:27');
INSERT INTO `question` VALUES ('847da264b1334e1290e028e51fd6d04d', 'All those moments will be lost in time, just like tears in rain', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '1', '7', 'All those moments will be lost in time, just like tears in rain', 'c91d0cf22e8048479b0bf25ddd499d1c-adde4f47209c423c8ff36b84eaa06ee7-f798338e96a64277bb33e9949ed251bb', 'c91d0cf22e8048479b0bf25ddd499d1c-', '2020-03-01 20:07:00', '2020-03-02 07:02:30');
INSERT INTO `question` VALUES ('85047be0b2cf4077a5ec66e92ebf442b', '名片的作用有', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '2', '10', '名片', '61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578-21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9', '61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578-317914052c94400f8e45a814896c9cd9', '2019-05-25 01:46:47', '2019-05-25 04:08:27');
INSERT INTO `question` VALUES ('86d8939602d84848bf604777c69742eb', '你喜欢我吗', '5', '68042014e23c4ebea7234cb9c77cee5c', '3', '1', '10', '这是一道单选题', '45734a7af9f04a74ae220b7e82684b92-00f4504e77264ce8886d9a978d51a21c-679e0d2746a94c56a6bf02acc186753a', '679e0d2746a94c56a6bf02acc186753a', '2020-08-31 06:14:13', '2020-08-31 06:14:55');
INSERT INTO `question` VALUES ('89d8f481927d4a1c8c1b447cb4cdfd8c', 'sssc', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '1', '3', 'jssggs', 'ab8d255ea3884051a1ad8f87b2f7c929', 'ab8d255ea3884051a1ad8f87b2f7c929', '2020-05-27 11:06:27', '2020-05-27 11:06:27');
INSERT INTO `question` VALUES ('8a377bbeec5a4cd68f79bea7451d238d', '我叫什么名字', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '1', '1', '都撒到\n都撒到\n委屈我\n2额', 'db752a7eee934846b8f291a1d8ef66f9-ba9c6e1d5ed545adb493245c00112412-8b2178a8aaa54ad9b04a7d512f014bc8', 'ba9c6e1d5ed545adb493245c00112412', '2020-03-18 05:57:55', '2020-03-18 05:57:55');
INSERT INTO `question` VALUES ('8ac632243028487099c2ddedda6bd85f', '红警', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '3', '1', '9597bd44b15d46479423879fe5400458-6dc81ab4160f40f9a7b78806c5a44178-e1e644ece39c4f11b4a18d3513f3bbcb-d5dac99c6ebf4f2597fbb3035a2ec3b0', '9597bd44b15d46479423879fe5400458', '2020-09-11 03:45:12', '2020-09-11 03:45:12');
INSERT INTO `question` VALUES ('8e01ff11222240c18088a084cd792e09', ' qqq', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '1', '6', 'aaa', '12987f741a7b49b7a94c403fdc056d59', '12987f741a7b49b7a94c403fdc056d59', '2020-09-21 14:00:09', '2020-09-21 14:00:09');
INSERT INTO `question` VALUES ('8ea36cd7b97241018fc44eb9773d5397', '1', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '2', '1', '2', '040b2c43fb02474582d8ae115ffa8a29', '040b2c43fb02474582d8ae115ffa8a29', '2020-08-31 03:24:36', '2020-08-31 03:24:36');
INSERT INTO `question` VALUES ('8f3e02d0f2a1402abd3278adc05ffb10', '有人问路可以用手指指示方向', '8', '68042014e23c4ebea7234cb9c77cee5c', '2', '3', '9', '礼仪', 'b8e2e6300ab04016a82481fff15750e0-d15f9106bb9941eaab1e37356af083b3', 'b8e2e6300ab04016a82481fff15750e0', '2019-05-25 01:46:47', '2019-06-22 04:20:55');
INSERT INTO `question` VALUES ('8fb16922a0a34a53bb1adfa673c72aae', '和v', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '1', '2', '今后吧', 'f9a3811e694b43849d3f70237cfa08a9-f77b051a49b645058cb8dec0e2fbe820', 'f9a3811e694b43849d3f70237cfa08a9', '2020-05-27 11:07:00', '2020-05-27 11:07:00');
INSERT INTO `question` VALUES ('8fd31bbbd3194504a6dc5688ca39dccc', '第二章——6、稳定流动的能量方程式用于换热器时可简化为（）', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '1', '3', '对换热器内工质列开系统稳定流动能量方程，q=Δh+wt。换热器内流体与外界功交换量wt为0，因此，q=h2-h1。', 'e58250b362aa40a985355db4976effec-d50b9145fa3946c7afc4af8df449933e-2d531b1d075d4485b01472d12cd7bcb1-a2bd998dc8944256b20f5fdaccf33c8a', 'e58250b362aa40a985355db4976effec', '2020-05-27 10:59:26', '2020-05-27 10:59:26');
INSERT INTO `question` VALUES ('9199009718ec4685a0a500d23ab814c5', '日常生活中邻里之间应', '2', 'a1b661031adf4a8f969f1869d479fe74', '1', '1', '9', '生活邻里', '233c13ee72c9456989788201fd108c8e-785ad33574f747fd870dd6eadff303ab-e4142da9d88b457b91249a3090f35d6b', '785ad33574f747fd870dd6eadff303ab-', '2019-05-25 01:46:47', '2020-02-25 08:23:37');
INSERT INTO `question` VALUES ('93a80ae3a65e4bd2ba82a213ffc34334', '4545454', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '1', '2', '44545', '44737a49bd304006b9cbb1179592e74f-49084c559a7d49a0ba030d0a38808cc5-766afefe1fdd48c1986fd8a5f9157a7b-7a33be7ab2784fe7ba8be21a267f6383', '7a33be7ab2784fe7ba8be21a267f6383', '2020-06-29 15:29:01', '2020-06-29 15:29:01');
INSERT INTO `question` VALUES ('94f5e3a3f530458a84b8741012415962', 'proman', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '7', '哒哒哒哒哒哒', '2ef0c0737ed6454db3fa7d4ecffc4eca-37ae148f549c4dc9b37401459978d48c-7b3c0b0f57634d51a0967ee2adc7d9bf-30d36a66d6614620bffe1851681af9b6', '37ae148f549c4dc9b37401459978d48c-', '2020-08-31 10:12:11', '2020-09-01 12:25:08');
INSERT INTO `question` VALUES ('95221e98e365420f8e967f4460006995', 'wenti1', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '3', '1', '借给', '26d540db3e8f4950ad7df548fb779395-ceeb7aa01f5e4e8c960f242980f95e51', '26d540db3e8f4950ad7df548fb779395', '2020-04-23 03:34:05', '2020-04-23 03:34:05');
INSERT INTO `question` VALUES ('95426ef385c6425e938a75d35eefe586', '1', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '1', '1', '1', '9b0a1b22a54945588052d6bad18ee035-2ea1402dd1e04862859fc455bde82bdb-5ec9464b268146e580edc7a01a2d7429-20b510cca7244c3d81fcb37c4dff5152', '2ea1402dd1e04862859fc455bde82bdb', '2020-06-10 08:56:49', '2020-06-10 08:56:49');
INSERT INTO `question` VALUES ('96002719d2264dfbaa0312d5a9e814be', '我的测试234', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '2', 'hjjiex', '6ef2ecc296cc4f42b3be45fd645b0d7d-fdf9dd6fbfd34750b7c648ece6e9a09f', '6ef2ecc296cc4f42b3be45fd645b0d7d', '2020-04-04 07:32:34', '2020-04-04 07:32:34');
INSERT INTO `question` VALUES ('9695cb5983144b5ba4ff83e905a42086', '题干', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '1', '2', '解析', '47ab8b417e0a4258b7d0781c07554bde-8e26980e4f89481ca1afafdc6665f9bb-8fb5f13a055044c983b85c777f9464b1', '47ab8b417e0a4258b7d0781c07554bde', '2020-04-09 07:00:07', '2020-04-09 07:00:07');
INSERT INTO `question` VALUES ('974dce443a53411ea0193f8a55cd5cfa', '还有个韩国', '5', '68042014e23c4ebea7234cb9c77cee5c', '1', '1', '1', '进化版v', '3a3479dd224542d28dc867023da12ce2-e9ae10a34d7c4fa5b66411b2bcd15bd1', 'e9ae10a34d7c4fa5b66411b2bcd15bd1', '2020-05-27 08:55:00', '2020-05-27 08:55:00');
INSERT INTO `question` VALUES ('9806782da756448bae04007f628c6f14', '测试', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '2', '123', '1e0b504c51354755b8f9ccae59a592f6-1c22a3069d7e4f8cb18c05ad4e0141b5-fbab52e5c4494e2dbc2af209f20a9961', '1c22a3069d7e4f8cb18c05ad4e0141b5', '2020-05-20 02:52:59', '2020-05-20 02:52:59');
INSERT INTO `question` VALUES ('9b1a67f06a0444fdad885e2f4c1a7e87', '123123123', '5', '68042014e23c4ebea7234cb9c77cee5c', '3', '1', '5', '123123123', 'ddd7d2bb09f347e6aac6519d05b29d1d-2663fc2e4fdb4ef09a1558eea7ccbe03-c973ba881edb4da0974d670986c13316-a71419ea21d64aa6a2b617505152da25', 'c973ba881edb4da0974d670986c13316', '2020-07-24 01:23:25', '2020-07-24 01:23:25');
INSERT INTO `question` VALUES ('9bab31ed75c94be292e3d3908d834036', 'deeplesion_gpu0', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '2', '123', '2624e6d08bcb4159918ec6bf82e60c79', '2624e6d08bcb4159918ec6bf82e60c79', '2020-03-04 09:21:00', '2020-03-04 09:21:00');
INSERT INTO `question` VALUES ('9be262ea90fa4915b641181fda1d9bca', 'summitexam', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '2', '；', '76588c2f83ce4d24af8726aca0f25ac4-aff1762c583b432e841db44b67839b80-277a5ba5d0d6478787f72f493634e650', '76588c2f83ce4d24af8726aca0f25ac4', '2020-03-12 03:26:45', '2020-03-12 03:26:45');
INSERT INTO `question` VALUES ('9bffbe2845b8401c8376f7ab3ef9230e', 'summitexam', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '1', '2', 'a1', 'f09e98a26d604341af5e488f3b9e7e00-b0fde289c3bf4e0496d7e3ba425abe49', 'b0fde289c3bf4e0496d7e3ba425abe49', '2020-03-04 03:07:05', '2020-03-04 03:07:05');
INSERT INTO `question` VALUES ('9c7aa34630e441ee833244f5e321339a', '股市能否到4000点', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '3', '1', '判断股市走势', 'cf3623a4993a418d8a5d97a6ae4a7abc-21a9a3a14f25445ba8fc3b85bcfd6efd', 'cf3623a4993a418d8a5d97a6ae4a7abc', '2020-07-26 07:35:30', '2020-07-26 07:35:30');
INSERT INTO `question` VALUES ('9da0db0625d84c1a99fe61b8b8dcaeb5', 'a', '5', '68042014e23c4ebea7234cb9c77cee5c', '3', '1', '2', 'a', 'f799998269524a81bac9381362420d26', 'f799998269524a81bac9381362420d26', '2020-09-02 09:26:05', '2020-09-02 09:26:05');
INSERT INTO `question` VALUES ('9dd400131f2a400bb01d1862bd4aa6b2', '测试内容信息', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '3', '1233443445', 'ac2dcc0983d84b3ba12669402ac4b56e-9ccf487962dc4a0b992aa81b27fdff83-d3df5e5744164bbaa53bbba984ad5681', 'd3df5e5744164bbaa53bbba984ad5681', '2020-08-31 05:56:38', '2020-08-31 05:56:38');
INSERT INTO `question` VALUES ('9de70494076e447cb3e68c27b0cbfa1f', '3ed', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '2', '6', 'asdas', '4161f50d1c9246d5ac8d77e0cdcea9be-810c0bef4cd748c5a6493346ef9c609d-742c6c7bcf4347c9886a0a19906df908-798f7456f5174d70922c93c26337bd24', '742c6c7bcf4347c9886a0a19906df908-810c0bef4cd748c5a6493346ef9c609d', '2020-05-17 10:59:55', '2020-05-18 08:49:51');
INSERT INTO `question` VALUES ('9e5ef2275f684b1d89bd00738b08009e', '我是谁', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '1', '1', '一个人名', '59dc0e331e3a4a89b2b6cfa7bd7dd626', '59dc0e331e3a4a89b2b6cfa7bd7dd626', '2020-05-14 09:20:43', '2020-05-14 09:20:43');
INSERT INTO `question` VALUES ('9e6029d695c44317a3e4f7b92a5e3ca2', 'ceshi', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '2', '3', 'ceshi', 'a5648b37349e4025881273ab79d94cc0-e5618b5b21ea494bbab1a82692e8a4ff-fea59d7e263649f48127ad9b8b4833fd-dba2977f12c0495cbfd9cec8fbf03787', 'fea59d7e263649f48127ad9b8b4833fd', '2020-09-16 01:40:31', '2020-09-16 01:40:31');
INSERT INTO `question` VALUES ('9f1eb66ca7cb42b98a270978a60212a1', '我的测试234判断', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '2', 'hjjiex', '059a09eb328f42b69e856fdf492ee36e-d4d0e886343b44e29de5538b8c71decb-d627f399bd484d4fb9ba0af6eb2d0893', 'd4d0e886343b44e29de5538b8c71decb', '2020-04-04 07:44:46', '2020-04-04 07:44:46');
INSERT INTO `question` VALUES ('9fe1cafeebf44e20a80f504cff60ef3f', '以目的的不同为标准划分的拜访类型有', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '2', '9', '拜访', 'ab96efeec3144ecea3bf955d4e52980f-287ce730f7804743935f504a18cd8538-044cf714b7024a1689cbc9def3591f51-88ec4c60df0842c7b603cf82450b12cb-bc4e6c276e6d4b80871badf7d2a9087c', 'ab96efeec3144ecea3bf955d4e52980f-044cf714b7024a1689cbc9def3591f51-88ec4c60df0842c7b603cf82450b12cb-bc4e6c276e6d4b80871badf7d2a9087c', '2019-05-25 01:46:47', '2019-05-25 01:46:47');
INSERT INTO `question` VALUES ('a05f34dce7bd440e88426ae37ee0d2f0', '图像分割', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '1', '7', 'sdfds', 'd2b29dd48c724017892a59c886d586a2-82e0bb574edc48239ea03d934833d0f1', '82e0bb574edc48239ea03d934833d0f1', '2020-08-31 11:19:40', '2020-08-31 11:19:40');
INSERT INTO `question` VALUES ('a12eb101321b451bbc54a136e98acfd0', '客人来访时,我们要为客人打开房门。当房门向外开时()进', '5', '68042014e23c4ebea7234cb9c77cee5c', '1', '1', '9', '礼仪', '8c0f6801448b4185b3446d92b0721c40-251eb27617ce458697f6e966bbf87bed-228f57a595a2416aa6cf7df66095236a', '8c0f6801448b4185b3446d92b0721c40', '2019-05-25 01:46:47', '2019-05-25 01:46:47');
INSERT INTO `question` VALUES ('a26c22811f8c4ff498692cca3c57276c', 'rwawr铝合金', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '2', 'rasdasd', 'ecb26cae0207478cb3f32d9c12e13aa6-b395a866719e4548b5876b4208d7dca7-83107069458c47c8b443f5e0d004f756', '83107069458c47c8b443f5e0d004f756-', '2020-09-24 09:10:39', '2020-10-02 02:57:12');
INSERT INTO `question` VALUES ('a2843adf2eae475a8e65521d7566c6d0', '2020/9/3考试对吗', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '2', '10', '测试', 'c975075d733e408ba19e9d61bdf4793f-57438e957d92472d8b0d64bb8537c08c-e60e24aeebe642529f34a8d6c1f8f201', 'e60e24aeebe642529f34a8d6c1f8f201', '2020-09-03 00:38:42', '2020-09-03 00:38:42');
INSERT INTO `question` VALUES ('a61d6ef2c160420e9f585a7da149fbfc', '写文章的目的是为了增加收入', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '3', '10', '增加收入', '3688d245b7e14c979a32f37e2a73fc93-87657567c69446b1ad51377832715b14', '87657567c69446b1ad51377832715b14', '2020-03-08 12:41:19', '2020-03-08 12:41:19');
INSERT INTO `question` VALUES ('a8c76c5a302f4d0591fb1d32f9dce975', 'wenti2', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '2', '1', '借给', '6823db8cb54d4109843c486e7ea99998-f1824901411a4aaaab735c590bf7079b', '6823db8cb54d4109843c486e7ea99998-f1824901411a4aaaab735c590bf7079b', '2020-04-23 03:35:23', '2020-04-23 03:35:23');
INSERT INTO `question` VALUES ('a8d5ed873bb140b09df4ed9237a48784', '123123', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '1', '123123', '51c7c87f736540e5b62225d146f187cf', '51c7c87f736540e5b62225d146f187cf', '2020-04-09 01:24:21', '2020-04-09 01:24:21');
INSERT INTO `question` VALUES ('aafe86ead25f4ff5887c1dff7a91dfe5', 'dsad', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '7', 'dsa', 'fed52a1a92004a869c6c195b7f0db685-bddfac2e4a1149ccb83b9bcd609d9e19-8ccec91af5f841999362d006f2375b31-68e141f7425540898d5f3b918490fe50', '68e141f7425540898d5f3b918490fe50', '2020-03-22 14:39:18', '2020-03-22 14:39:18');
INSERT INTO `question` VALUES ('ab8a38cfa83249b3b8b03676b51f6405', 'aaa', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '1', '10', 'bbbb', 'ee4dd52c164349b49ebc22c79068ea04-9c0afe91ee5647f699605ddae27aa0b6-bcb5ebf4478641d9b3b47dd6bada9b32', '9c0afe91ee5647f699605ddae27aa0b6', '2020-04-09 00:05:43', '2020-04-09 00:05:43');
INSERT INTO `question` VALUES ('b1510f601e7242d982135d6444b18404', '1', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '2', '10', '1', 'af3dc93032a7432989d7ea2f231af462-1d4cea834ab84bbd9e708b261dc7153b', '', '2020-09-02 02:45:17', '2020-09-02 06:09:03');
INSERT INTO `question` VALUES ('b5c407439ba845a6be314b6f47650f4d', '石化', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '2', '6', 'h', '39138775e70b4e558bc75be65f55c85e-40cc512b36dc4147881202ed6b3292f2-be9cd7bd458b4f4cb382f017ad3966d7-7e35de06fef34625bacb746a4020ee55', '39138775e70b4e558bc75be65f55c85e-40cc512b36dc4147881202ed6b3292f2', '2020-03-18 10:23:49', '2020-03-18 10:23:49');
INSERT INTO `question` VALUES ('b934218bd2f14eb4a5929af95eb1c9d0', '大象多少吨？', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '1', '4', '1w吨', '1a7385a5ae2d4237a002fc4b81c9e931', '1a7385a5ae2d4237a002fc4b81c9e931', '2020-05-31 02:15:26', '2020-05-31 02:15:26');
INSERT INTO `question` VALUES ('b95a0546fcc8418e84185137d14b1b50', '测试问题', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '7', '测试问题描述', '2c57854526c64f1ab3cd6a7c37749ac0-0eb97f9b079b4a09918884a4068ed084-d7537167166d458aad471d87f597a7cf', 'd7537167166d458aad471d87f597a7cf', '2020-02-28 10:28:08', '2020-03-01 02:27:28');
INSERT INTO `question` VALUES ('bb22f19338174d1f9333f9aebd6ffeb6', '做客时入座动作要', '8', '68042014e23c4ebea7234cb9c77cee5c', '1', '1', '9', '礼仪相关', '0c83f68e3d9948e38d65eb22c257bf7f-0dda4965171b4f9680a6acfab9af9625-9da49e7309604e81bacfdc7bb9044bc1', '9da49e7309604e81bacfdc7bb9044bc1', '2019-05-25 01:46:47', '2019-05-25 04:09:19');
INSERT INTO `question` VALUES ('bcec6bcf506142a593ad8cf6ae733bb2', '22', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '2', '2', '22', '434b49849bed43c3bb331a9e955114c3-01e5a8b953f445edbf414728a008bfc0-239fb6b4980749ffad1671b5c62bee8c', '01e5a8b953f445edbf414728a008bfc0-', '2020-08-25 08:30:38', '2020-08-31 07:20:57');
INSERT INTO `question` VALUES ('c3ecf83d429f41a2900e48acb0fcdda1', 'dppt', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '2', '3', '=\\\n', '359ff787a7a54497b9711e42462b2961-7e139bc1be364da28b3604703b37d187-cd92d181c96944b4a24dd267e728413a', '359ff787a7a54497b9711e42462b2961-7e139bc1be364da28b3604703b37d187-cd92d181c96944b4a24dd267e728413a', '2020-07-24 09:46:20', '2020-07-24 09:46:20');
INSERT INTO `question` VALUES ('c4ff61d8fc4c4248b9ad1d2818575318', '222=222', '5', '68042014e23c4ebea7234cb9c77cee5c', '3', '3', '2', '222', '88691e501b634872bd84730dd20660bc-cf5d5c38f45d4729b6d7e2b10fd67a74', '88691e501b634872bd84730dd20660bc', '2020-07-28 06:22:09', '2020-07-28 06:22:09');
INSERT INTO `question` VALUES ('c52edfdfe86144cda226f1c16f8b02ef', '成交客户', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '3', '3', 'sdfasdfasfsf', 'e4a5d0b4cc774ec5b655a5a1134d9e24-52a18699cb844717980e738583d7ccf3', 'e4a5d0b4cc774ec5b655a5a1134d9e24', '2020-10-09 08:15:00', '2020-10-09 08:15:00');
INSERT INTO `question` VALUES ('c611ae47ebf4431bbd45e865f284da30', '去', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '1', '2', '去', '3240abc1aeab435a8c2152ffe2057566-8b4101fd12524b8f948a017ca66c3f46-1501630680764f8ab7a46d70edf02e03', '1501630680764f8ab7a46d70edf02e03', '2020-08-31 06:59:00', '2020-08-31 06:59:00');
INSERT INTO `question` VALUES ('c76510faca9e4d7dbdbe0620ea153d08', 'PPT质量', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '1', '可以从排版图表方面来评价', 'c58996ea783f457a9dd132adf4dd2d66-845b5e5f79794eeeb1dadf8372c8be10', 'c58996ea783f457a9dd132adf4dd2d66', '2020-06-16 12:00:40', '2020-06-16 12:00:40');
INSERT INTO `question` VALUES ('ca17c0c4d3f64a938ccc3ac5403ab2fa', 'sdagsdfasdf', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '1', '7', 'sdf', '92ad192cb43e4bc2a0890f856392f3bf-1fac20a1585d4b95a49b491c040bed1e-2d23b509e4534fe5b528aa02d04ee232', '92ad192cb43e4bc2a0890f856392f3bf', '2020-06-16 02:18:27', '2020-06-16 09:05:15');
INSERT INTO `question` VALUES ('caac198257444ae2a7f6b6d9f8399f8b', '1234', '5', '68042014e23c4ebea7234cb9c77cee5c', '1', '2', '3', 'WERTH', '579e9d59ced64518908e9fb5ff2595c3-f40ce7c44edf45f296fb79f36e3bdc7c-a694578edead46249b09864a0b40e6b8', '579e9d59ced64518908e9fb5ff2595c3-f40ce7c44edf45f296fb79f36e3bdc7c', '2020-05-12 12:13:30', '2020-05-14 08:34:32');
INSERT INTO `question` VALUES ('cad8d9805bcb4ba8a4da05c526c67960', '1', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '1', '1', '1', 'ceaa30a7172041f0a7584d4bdb412deb-d72e10da82464867afca4fb841e93ce7-996f9b6beaaf4b82971b2f3783f1f5ec-156b307acece4f57bbd8a8a70eb2f31e', '996f9b6beaaf4b82971b2f3783f1f5ec', '2020-05-27 08:18:22', '2020-05-27 08:18:22');
INSERT INTO `question` VALUES ('cadf60b819324d4fa7dc7a93d43760cb', 'test', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '10', 'test', 'a418c5318bb24fc98df150b5ffb23603-2b3ddcd85e8b45dca43b4653edf63cd0-65c05584aa514f00a8df9bbb2cf71daf-8d15994349004d7980dff873e14e8834', 'a418c5318bb24fc98df150b5ffb23603', '2020-09-21 05:07:58', '2020-09-21 05:07:58');
INSERT INTO `question` VALUES ('cb46d5a70f624e71a84db8d93f19bb52', 'ce', '5', '68042014e23c4ebea7234cb9c77cee5c', '1', '2', '2', '12', '744a529c8a97423e9a25094d59f6d438', '744a529c8a97423e9a25094d59f6d438', '2020-08-03 08:31:11', '2020-08-03 08:31:11');
INSERT INTO `question` VALUES ('cba6ce4038b5401fb4cb43205557ccf9', '请问是真的吗？', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '1', '5', '请问是真的吗？', 'efc62ed02e9a460c8e7481d00f99e225-6bd0d54e3c1648a5ae10a29a6f5c4434-bf93ba7988f84053ae197bded7ec10ea-eddc33534976426496b1e2eb5cfe1502', 'bf93ba7988f84053ae197bded7ec10ea', '2020-03-06 08:23:40', '2020-03-06 08:23:40');
INSERT INTO `question` VALUES ('cee1bf2e88da4278add93f1db111a586', '123', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '10', '1242134', '42b2c3099ba6496daf70dd713559da8b-ed702b2263804207ab4a845a76c22656', '42b2c3099ba6496daf70dd713559da8b-', '2020-08-31 16:06:23', '2020-09-01 09:07:17');
INSERT INTO `question` VALUES ('cff7d16da6ab428e893c748d5c759cb2', '拜访他人应选择（）,并应提前打招呼', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '9', '交往礼节', 'ca45b95620ae4d33986cb8067ef2525c-db43d6e8819047539922b510e0a039b7-8c95b512240b4a47b85743a64f65c0ba', '8c95b512240b4a47b85743a64f65c0ba', '2019-05-25 01:46:47', '2019-05-25 04:09:30');
INSERT INTO `question` VALUES ('d1b40f06af2a40db81e974b63e8f6583', '第二章——7、一定量的气体吸收热量60KJ，同时热力学能增加了85KJ，则此过程（ ）', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '1', '3', '从题意中得出系统为闭口系，列闭口系能量守恒方程，q=Δu+w，带入数值，60 KJ=85KJ+w，w=-25 KJ。这说明外界对系统作功，为压缩过程，作功25KJ。', 'e4102dd2bed047a1bf260a6464f94ff2-0ce67282acc549aebbab97ba06e53542-7b08a9bc8d144b75be9911d51fbcee31-1053752053a74da89d0a8ec89259b442', '0ce67282acc549aebbab97ba06e53542-', '2020-05-27 11:00:55', '2020-05-31 09:01:34');
INSERT INTO `question` VALUES ('d42d9faa517146329a458550ec06262c', '请问1+1=几', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '1', '2', '解析', '85a087d45baf46ffbe1abdf75eb8fd07-abccb812dee64ce698236cfe7bc99487-2223448f94a94e7cb57d94fb6c9a0750-9a297d5e82814dba9eba4c6d1afa8562', '9a297d5e82814dba9eba4c6d1afa8562', '2020-03-03 07:54:27', '2020-03-03 07:54:27');
INSERT INTO `question` VALUES ('d558abc8c5044ef5aee4641dd395ad63', '和v', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '1', '2', '今后吧', 'e045db0fdbca4b5a8202de9bce7cde49-1fd47eac74e947c08a1020d2e715d123', 'e045db0fdbca4b5a8202de9bce7cde49', '2020-05-27 11:06:40', '2020-05-27 11:06:40');
INSERT INTO `question` VALUES ('d5c410448b5f4057b27de8e0e4d6bf43', 'www', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '3', '3', 'www', 'f668905fcd7f4d13aa0570e8b0b21d37-6be0ef27d8194ab7b4d6e22cc73b923a', '6be0ef27d8194ab7b4d6e22cc73b923a', '2020-05-13 02:06:23', '2020-05-13 02:06:23');
INSERT INTO `question` VALUES ('dc755e13552f4271a6f8c664708a1212', '写文章的目的是为了增加收入', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '3', '10', '增加收入', '7526fa11f98b4e86adaeaaa329e7881b-3cdd195bff6647ee8be3e097918a3ceb', '3cdd195bff6647ee8be3e097918a3ceb', '2020-03-08 12:42:35', '2020-03-08 12:42:35');
INSERT INTO `question` VALUES ('dc91198c27dc4ab5942ffc924f282367', '我的测试234判断', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '3', '2', 'hjjiex', '074b095ecbf447dd8545031ffa73808f-397f7bbc8afc431e8976ee8764d88584', '074b095ecbf447dd8545031ffa73808f', '2020-04-04 07:37:44', '2020-04-04 07:37:44');
INSERT INTO `question` VALUES ('dd2d72331e834fe3b575f2095cb27e02', '试题添加', '5', '68042014e23c4ebea7234cb9c77cee5c', '3', '1', '2', '1', '6d3244e63deb410dad88b594538aa107-6f26e8d41a5e442fa9bb51484252dd2e', '6f26e8d41a5e442fa9bb51484252dd2e', '2020-06-28 00:39:38', '2020-06-28 00:39:52');
INSERT INTO `question` VALUES ('df4787e8b18c413c942bc24cb87fbe7e', '1111', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '2', '2', '1111', 'dc3ef30c0f7646f9a53b5933276fead3-afc82566cf07406994b77dd36dcb1fde-3f5090a6616440448cf9ea15c4dc9ba3-34a85af761b54cf2bfbb310df2720182', '3f5090a6616440448cf9ea15c4dc9ba3', '2020-06-19 07:31:33', '2020-06-19 07:31:33');
INSERT INTO `question` VALUES ('dfca0448f1c641c989d047789f59e2df', 'rrr', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '2', '1', 'ddd', 'e0c6767445284d6094737ea24d6d0f98-f3bcb4e6df034ac18415a40afd073673', 'e0c6767445284d6094737ea24d6d0f98-f3bcb4e6df034ac18415a40afd073673', '2020-08-31 04:42:23', '2020-08-31 07:21:20');
INSERT INTO `question` VALUES ('e0efede3224244b69fc9d31ec37992a7', 'C语言', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '3', '9', 'C语言是编程语言', '0d78372dfa28447e93b332d0f9e72107-56f9ba21bc37446caf7a34fd53025988', '0d78372dfa28447e93b332d0f9e72107', '2020-05-04 13:53:59', '2020-05-04 13:53:59');
INSERT INTO `question` VALUES ('e19545a1fe80443cb09dcf80c90343d6', '2020/9/3考试对吗', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '1', '10', '对的', '26f4780900d148c698e1c57701ea7528-7b80034306a042919b8f400831112182', '26f4780900d148c698e1c57701ea7528-', '2020-09-03 00:36:31', '2020-09-03 00:37:12');
INSERT INTO `question` VALUES ('e1d16aebc4124790bb9435973b89f105', '正式交往场合我们的仪表仪容要给人()的感觉wrwrw', '5', '68042014e23c4ebea7234cb9c77cee5c', '3', '1', '10', '仪表仪容', 'cbfebe5f94124c0dbd8ad280d63351b0-42eee2c478c043168bd7ed8d7c2dcafe-2eaf5866748148ce901d12897fed9c11', '42eee2c478c043168bd7ed8d7c2dcafe-', '2019-05-25 01:46:47', '2020-08-14 16:40:08');
INSERT INTO `question` VALUES ('e20267b4de6647c68c28a3cb8a572bfa', '图像分割', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '1', '7', 'sdfds', 'e38f5456790c4593b6019714f93db263-a14973fbcf3447bca6f1c6f7e8fea53e', 'a14973fbcf3447bca6f1c6f7e8fea53e', '2020-08-31 11:19:27', '2020-08-31 11:19:27');
INSERT INTO `question` VALUES ('e27814f964494d468090129304297323', '「列表工具栏」常与表格搭配出现，它位于表格条目的最上方，用于放置标题、操作、搜索、简易筛选等功能。', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '3', '9', '是撒大所多撒大所多大萨达', 'ebb5e88363e4482895e3cf78cccb14bc-b7ea294223764ae79fddf7111cf20424', 'b7ea294223764ae79fddf7111cf20424-', '2020-09-30 02:54:18', '2020-10-02 02:56:02');
INSERT INTO `question` VALUES ('e283ac11c7064ccf976f9c48d68c6a67', '与他人交谈时,要盯着他人的双眉到鼻尖的三角区域内', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '3', '9', '礼仪', 'b8e2e6300ab04016a82481fff15750e0-d15f9106bb9941eaab1e37356af083b3', 'b8e2e6300ab04016a82481fff15750e0', '2019-05-25 01:46:47', '2019-06-22 04:21:07');
INSERT INTO `question` VALUES ('e362599c1ac444bf9ad8e88000ee0f8b', '保密性要求较高的敏感纸质数据，不需要再使用时,我们应该如何?', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '3', '除了A，其他做法都不合理和安全', 'edda00757b104faa94a70d0e5cf47a4a-e59cee0364e7416db47fadea0a5bc290-1bc7d60a011a482fb068c6790d54f590-bed4ab9ebad44e7fa444dfe5e6a55181', 'edda00757b104faa94a70d0e5cf47a4a', '2020-06-28 09:22:30', '2020-06-28 09:22:30');
INSERT INTO `question` VALUES ('e5976c022b1d48e0ac89431814978f7f', '困困困', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '1', '1', '123456789', 'a541ebe1167b4d14abff3c3bb0778822-46013b375d214882897a63ec5a11c96e-544a11d5fbce48dc98ae0b803c672d7c-aaf9e52ecc9d42f5ac745d541526d1e2', '46013b375d214882897a63ec5a11c96e', '2020-09-14 01:43:16', '2020-09-14 01:43:16');
INSERT INTO `question` VALUES ('e5aac454d89f4f5d96c25b02fcc5939b', 's', '5', '68042014e23c4ebea7234cb9c77cee5c', '1', '2', '3', 's', '49f5871da494405f93f14c04654ccc09-9e57a895eede4550aafc75ae26bedf3b-5438565013f14396883a6bbc1775add9', '5438565013f14396883a6bbc1775add9', '2020-09-02 06:44:40', '2020-09-02 06:44:40');
INSERT INTO `question` VALUES ('e6850c111d6043c894a0340fdfa2d2ff', '测试 ？', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '2', '点对点', 'd6f986dd47d0448a87a72c12f2d3fb08-03b98af1be904b15b2ec363aea46b9a0-d4c0b55e7d1847a991e889898309717f-e5bccbbd68814026b5e847f05bac44d5', 'd4c0b55e7d1847a991e889898309717f-', '2020-08-30 13:57:58', '2020-08-31 04:40:29');
INSERT INTO `question` VALUES ('eb2080605ab44cac8a7a5428294de36a', '999', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '1', '2', 'oppo', '02fefa4c2d904c75b44e98e5a1ccb1e9-858d4e20051f48369c2a9e79849b98ff', '02fefa4c2d904c75b44e98e5a1ccb1e9', '2020-07-07 06:14:43', '2020-07-07 06:14:43');
INSERT INTO `question` VALUES ('ecdfbdd2a9f24017b3fe1aa0947ca146', '使用手机时,手机不宜握在手里或挂在腰带上', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '3', '9', '生活细节', 'b8e2e6300ab04016a82481fff15750e0-d15f9106bb9941eaab1e37356af083b3', 'b8e2e6300ab04016a82481fff15750e0', '2019-05-25 01:46:47', '2019-06-22 04:21:15');
INSERT INTO `question` VALUES ('ee27e894943e4006a2b21e754b6de136', '单选题', '5', '68042014e23c4ebea7234cb9c77cee5c', '3', '1', '3', '解析', '1d38486860754a7ea310d1f48ebb9e11-31e282346e3b46578e45fdde3e69807e-0bbe4912f753456e9c0bc99f58266d74', '0bbe4912f753456e9c0bc99f58266d74', '2020-05-24 09:56:29', '2020-05-24 09:56:29');
INSERT INTO `question` VALUES ('ef5320bec5f645189b6fc3ee023f1a8b', '市辖区公司1', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '3', 'ffddfdf', 'f98d2eea91e94496bbec73ff04b43084-ade749edd43246eabfda70a4db644a01-e3f72bfbf0f846359abacf8457738167-d8e215726c544451994e98e12473e643', 'd8e215726c544451994e98e12473e643-', '2020-07-24 05:39:44', '2020-07-24 05:40:10');
INSERT INTO `question` VALUES ('ef9a03e82ca748728626e8ed949d9f54', 'test', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '2', '3', '电饭锅火锅店', '1503d3b82250457ea0efc1a1783cb759-e0cc6903a5c54d23b37ba9df2b6fbdb7', '1503d3b82250457ea0efc1a1783cb759-e0cc6903a5c54d23b37ba9df2b6fbdb7', '2020-06-30 01:35:47', '2020-06-30 01:35:47');
INSERT INTO `question` VALUES ('efefb480034e45688248e62fe37b739c', '1', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '10', '1', 'b955f5dcf08f43b5a7a20ff5429a1f1b-6fadeacee75f437ab131a9a924603c7f-1bc5c42cb9cb4037acf9e3e4b369f788-3a0a3e1951354323a30ed0be69f86976', 'b955f5dcf08f43b5a7a20ff5429a1f1b', '2020-09-08 02:43:20', '2020-09-08 02:43:20');
INSERT INTO `question` VALUES ('f0431d061ee240b681999dcdc7b390cf', '133', '5', '68042014e23c4ebea7234cb9c77cee5c', '1', '2', '6', '1', '4b5efd0c763b43c98703cb01281b81d8', '4b5efd0c763b43c98703cb01281b81d8', '2020-04-07 08:43:08', '2020-04-07 08:43:08');
INSERT INTO `question` VALUES ('f0e50eb5bf1e4aaf817230ab41390f83', '张慈云', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '2', '[[', 'c25c2a49d2bf44e89218e53f2718931f', 'c25c2a49d2bf44e89218e53f2718931f', '2020-08-31 06:14:15', '2020-08-31 06:14:15');
INSERT INTO `question` VALUES ('f10dd6ce6f964a5db45c4bdb89d9e17a', 'ds', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '2', '3', 'sds', '92d0d92bbb0f41e3b50aa2d5f17ca5ef-f12eaeb0339649929adb692e47de89ed', 'f12eaeb0339649929adb692e47de89ed', '2020-04-20 08:09:20', '2020-04-20 08:09:20');
INSERT INTO `question` VALUES ('f20b84f3a3ca43edb82b9d507b4ec043', '在企业级中后台界面中，表格是最常用的组件之一', '5', '68042014e23c4ebea7234cb9c77cee5c', '1', '3', '6', '大萨达', '7ed995f542714dd89f13c60422e9a00a-3aceb267aafc48f28737b5c6635bf00e', '7ed995f542714dd89f13c60422e9a00a', '2020-09-30 06:18:50', '2020-10-02 02:54:56');
INSERT INTO `question` VALUES ('f2bc7e93f98a4293815a72ec685c05fc', 'asdfghj', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '1', '9', 'xcvbn', '7f7ea4b8e00c4724ae71a2c1a0d2afeb', '7f7ea4b8e00c4724ae71a2c1a0d2afeb', '2020-09-16 07:03:54', '2020-09-16 07:03:54');
INSERT INTO `question` VALUES ('f2df6679ab0148828f608d3f4c2b45f6', '～', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '3', '2', '11', '7b7b4f28ac314f7d874a13ef963345e9-e5ed1d3133e64575a6e1aa6f18531ad6', '7b7b4f28ac314f7d874a13ef963345e9', '2020-03-24 10:10:55', '2020-03-24 10:10:55');
INSERT INTO `question` VALUES ('f3333b1a9dfb49638ef3b02df90cadb5', '请问是真的吗？', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '2', '7', '请问是真的吗？', '4f2923a998db4a33ad1f15d537587a9b-e6dedfb41de94ee380b5a0ca9ac0c1c5-5d15248b68fe4a8992a744691ead0575-d3e1e307c2a84372b9c2a39f0c082b0f-af72e24e7b0d4273a6e46005b080f9c7', '4f2923a998db4a33ad1f15d537587a9b-5d15248b68fe4a8992a744691ead0575-', '2020-03-06 08:43:08', '2020-03-09 10:06:33');
INSERT INTO `question` VALUES ('f3bf3c8f321344f381b2a5ee34c480aa', 'ds', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '2', '8', 'ds', '88b8e38ebc7f4c03952d543c1deda50e-fa61e6658d53424ea073c6c88cebae09', 'fa61e6658d53424ea073c6c88cebae09', '2020-03-23 06:37:31', '2020-03-28 13:13:01');
INSERT INTO `question` VALUES ('f4d3734f8ee0479baf400ce224c14575', '测试使用', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '2', '3', '1111111111111', '581fcb689b404036918e200cd1187516', '581fcb689b404036918e200cd1187516', '2020-09-22 00:31:50', '2020-09-22 00:31:50');
INSERT INTO `question` VALUES ('f4f981e6995144eb81bc075cd2dbb904', '系统管理', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '2', '2', '111', '8f262e48911242dcb13f70b268ba06b5', '8f262e48911242dcb13f70b268ba06b5', '2020-07-28 06:56:04', '2020-07-28 06:56:04');
INSERT INTO `question` VALUES ('f6def1a063434d20bb779654644219d4', '1+1', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '1', '2', '12', '8eb5c6c518a840e3b60bd97a8d105353-97b4538069364f949b420e03f5b47b82', '8eb5c6c518a840e3b60bd97a8d105353', '2020-05-11 16:15:10', '2020-05-11 16:15:10');
INSERT INTO `question` VALUES ('f71add41e8cb44318e1ac381056b649d', 'asdf', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '2', '1', '天上的星星有几多', '501eeb7da27a41e6a0f0947aa9c7f1e4-e136ce43dab7411cbb71d7469609b83c-656170a1696b4a939cecfb49fdb9c088-386cb8e404184386b8c3d9926e9fc0b3-84a31956dd874ebe9e45f28727a973ed', '501eeb7da27a41e6a0f0947aa9c7f1e4-', '2020-04-10 03:22:49', '2020-04-13 01:31:00');
INSERT INTO `question` VALUES ('f83af858c0554241bf96205dc9dd9882', '123', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '1', '2', '111', '3d660fb1c1424b38bfdc6f9a504fb777-dbdfbcc6e6ad496d8ce049fc8283dbdd-429f530208234a1899b4c3be75bc1452', 'dbdfbcc6e6ad496d8ce049fc8283dbdd', '2020-05-22 07:42:21', '2020-05-22 07:42:21');
INSERT INTO `question` VALUES ('fb60c8f2d17441709b09d6ad2fb5d683', '第二章——1、热力学第一定律用于（ ）', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '1', '3', '热力学第一定律适用于任意系统、任意工质、任意过程。', '700240a85d3647948e5af3e14ef8fa18-86cedf8e752d45e0a0728f87926ebf7b-74d9cd2d3bb543e68cbbd685b701433c-bf58b9e31a2943328c6ed0135ab5823f', '74d9cd2d3bb543e68cbbd685b701433c-', '2020-05-27 10:25:25', '2020-05-27 10:43:06');
INSERT INTO `question` VALUES ('fb93080d41364cf7988f2da95cf3adeb', 'd', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '1', '1', 's', '82da63eb01834dc0b117cafff4dcde94', '82da63eb01834dc0b117cafff4dcde94', '2020-05-27 12:04:27', '2020-05-27 12:04:27');
INSERT INTO `question` VALUES ('fbf92231f24d4359bf9c08cad24bab4c', '中国面积', '5', '68042014e23c4ebea7234cb9c77cee5c', '3', '1', '5', '12333平方米', '589113fcd08e44fbbc2b6041581f643e-a0c83dcb49264347a9236e6dca2abd4d', 'a0c83dcb49264347a9236e6dca2abd4d', '2020-05-02 07:59:21', '2020-05-02 07:59:21');
INSERT INTO `question` VALUES ('fdff95bd64994abc876c3872b7bc9aa3', 'sadf', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '2', '1', 'sadf解析', '622ef18f538b44f180202dac9c2b1353', '622ef18f538b44f180202dac9c2b1353', '2020-04-10 03:21:04', '2020-04-10 03:21:04');
INSERT INTO `question` VALUES ('fe75613b9a8447ffacfdc23d8440faa8', '123', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '2', '1', '123', '3c76449a76324a21adb908f452b5ed8b-c407fe402bd048dab775052e307d2bf0-1b0ec8ddd3854303bc03c6c11b97c682-431848495d5e4c44ac05b858876636fb', '1b0ec8ddd3854303bc03c6c11b97c682-3c76449a76324a21adb908f452b5ed8b-c407fe402bd048dab775052e307d2bf0', '2020-06-02 02:14:14', '2020-06-03 09:16:34');
INSERT INTO `question` VALUES ('ffa5d84f482847dc9c710def988ac355', '写文章的目的是为了增加收入', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '10', '增加收入', '7c681c85c0904ec994a83c0786a23d36-95f6e5e02a414856907a9de711413904', '95f6e5e02a414856907a9de711413904', '2020-03-08 12:44:10', '2020-03-08 12:44:10');

-- ----------------------------
-- Table structure for `question_category`
-- ----------------------------
DROP TABLE IF EXISTS `question_category`;
CREATE TABLE `question_category` (
  `question_category_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '问题类别表的主键',
  `question_category_name` varchar(64) COLLATE utf8_bin NOT NULL COMMENT '问题类别名称',
  `question_category_description` varchar(512) COLLATE utf8_bin DEFAULT NULL COMMENT '问题类别的描述',
  PRIMARY KEY (`question_category_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8 COLLATE=utf8_bin ROW_FORMAT=DYNAMIC COMMENT='题目类别表';

-- ----------------------------
-- Records of question_category
-- ----------------------------
INSERT INTO `question_category` VALUES ('1', '天文', '地球与宇宙的探索');
INSERT INTO `question_category` VALUES ('2', '数学', '所有学科的基础');
INSERT INTO `question_category` VALUES ('3', '物理', '体会牛顿与麦克斯韦的伟大');
INSERT INTO `question_category` VALUES ('4', '生物', '从宏观到微观了解生命');
INSERT INTO `question_category` VALUES ('5', '地理', '踏遍大好河山');
INSERT INTO `question_category` VALUES ('6', '化学', '分子与原子的碰撞');
INSERT INTO `question_category` VALUES ('7', '英语', '出门旅游必备');
INSERT INTO `question_category` VALUES ('8', '历史', '体会悠悠岁月');
INSERT INTO `question_category` VALUES ('9', '人文', '生活与交际');
INSERT INTO `question_category` VALUES ('10', '生活', '人与社会的交互');

-- ----------------------------
-- Table structure for `question_level`
-- ----------------------------
DROP TABLE IF EXISTS `question_level`;
CREATE TABLE `question_level` (
  `question_level_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '题目难易度的主键',
  `question_level_name` varchar(64) COLLATE utf8_bin NOT NULL COMMENT '题目难易度名称',
  `question_level_description` varchar(128) COLLATE utf8_bin DEFAULT NULL COMMENT '题目难易度的描述',
  PRIMARY KEY (`question_level_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COLLATE=utf8_bin ROW_FORMAT=DYNAMIC COMMENT='问题的难易度级别';

-- ----------------------------
-- Records of question_level
-- ----------------------------
INSERT INTO `question_level` VALUES ('1', 'high', '难');
INSERT INTO `question_level` VALUES ('2', 'middle', '中');
INSERT INTO `question_level` VALUES ('3', 'low', '易');

-- ----------------------------
-- Table structure for `question_option`
-- ----------------------------
DROP TABLE IF EXISTS `question_option`;
CREATE TABLE `question_option` (
  `question_option_id` varchar(64) COLLATE utf8_bin NOT NULL COMMENT '题目选项表的主键',
  `question_option_content` varchar(512) COLLATE utf8_bin NOT NULL COMMENT '选项的内容',
  `question_option_description` varchar(512) COLLATE utf8_bin DEFAULT NULL COMMENT '选项的额外描述，可以用于题目答案解析',
  PRIMARY KEY (`question_option_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin ROW_FORMAT=DYNAMIC COMMENT='题目的选项';

-- ----------------------------
-- Records of question_option
-- ----------------------------
INSERT INTO `question_option` VALUES ('00f4504e77264ce8886d9a978d51a21c', 'B:不喜欢', null);
INSERT INTO `question_option` VALUES ('01030b8201a34bbe964b32e7cbc7022f', 'A.ni ', null);
INSERT INTO `question_option` VALUES ('015147df62774a879388f924e1746f81', '曹雪芹', '《红楼梦》的作者是谁？');
INSERT INTO `question_option` VALUES ('01e5a8b953f445edbf414728a008bfc0', '234', null);
INSERT INTO `question_option` VALUES ('02e72a5f97eb4783a8d9b4f1231d01fe', '特别牛', null);
INSERT INTO `question_option` VALUES ('02fefa4c2d904c75b44e98e5a1ccb1e9', 'p', null);
INSERT INTO `question_option` VALUES ('03b98af1be904b15b2ec363aea46b9a0', 'lokih', null);
INSERT INTO `question_option` VALUES ('040b2c43fb02474582d8ae115ffa8a29', '1', null);
INSERT INTO `question_option` VALUES ('0429151f296b4346ab52fa2980cbac6e', '正确', null);
INSERT INTO `question_option` VALUES ('044cf714b7024a1689cbc9def3591f51', '情感拜访', '以目的的不同为标准划分的拜访类型有');
INSERT INTO `question_option` VALUES ('057fffde78d846cdad3958af050a1ea8', 'C. q=u1-u2', null);
INSERT INTO `question_option` VALUES ('059a09eb328f42b69e856fdf492ee36e', '为22', null);
INSERT INTO `question_option` VALUES ('05ad94cee64c487c8abb51ab98dfa64d', 'python12', null);
INSERT INTO `question_option` VALUES ('068c9dfe6bf44ac68da20d88bed1d561', '错误', null);
INSERT INTO `question_option` VALUES ('0749cbe67c7a4ea484842e0851475ebc', 'a.星期二', null);
INSERT INTO `question_option` VALUES ('074b095ecbf447dd8545031ffa73808f', '正确', null);
INSERT INTO `question_option` VALUES ('07873fe639034ff29ea66a12c0531d17', 'l', null);
INSERT INTO `question_option` VALUES ('09153c0ac73a4d2ea60ebb8c833d0eef', '慢条斯理', '与他人在正式场合交谈时要严肃认真,还要注意语言的');
INSERT INTO `question_option` VALUES ('09db13994df14085ab66fd8f4e2c76c3', 'seeyouagain', null);
INSERT INTO `question_option` VALUES ('0a0a339038774d20b7cc28cd4ae61b62', '55', null);
INSERT INTO `question_option` VALUES ('0bbe4912f753456e9c0bc99f58266d74', 'C.答案3', null);
INSERT INTO `question_option` VALUES ('0c5563e4d52e422c951bc578c49f8f62', '项目3', null);
INSERT INTO `question_option` VALUES ('0c83f68e3d9948e38d65eb22c257bf7f', '快捷', '做客时入座动作要');
INSERT INTO `question_option` VALUES ('0ce67282acc549aebbab97ba06e53542', 'B. 压缩过程，作功25KJ', null);
INSERT INTO `question_option` VALUES ('0d78372dfa28447e93b332d0f9e72107', '正确', null);
INSERT INTO `question_option` VALUES ('0dda4965171b4f9680a6acfab9af9625', '轻稳', '做客时入座动作要');
INSERT INTO `question_option` VALUES ('0e4bb7baa94c474789e7c8443374a8aa', 'adaADA', null);
INSERT INTO `question_option` VALUES ('0eb97f9b079b4a09918884a4068ed084', '嘿嘿', null);
INSERT INTO `question_option` VALUES ('103a8e2509a04806a9b35aaafb3f8b8e', 'B.', null);
INSERT INTO `question_option` VALUES ('1042e5dacc404ae189e8e9fef8ebadb8', '3', null);
INSERT INTO `question_option` VALUES ('1053752053a74da89d0a8ec89259b442', 'D. 膨胀过程，作功145KJ', null);
INSERT INTO `question_option` VALUES ('10a92d75dd804d0896fb01f5012d0bd5', '范德萨发生大', null);
INSERT INTO `question_option` VALUES ('10c01dcdc7b641359cd33285cadcdd42', 'aa', null);
INSERT INTO `question_option` VALUES ('12987f741a7b49b7a94c403fdc056d59', 'aaaaaaaaaaaaaa', null);
INSERT INTO `question_option` VALUES ('1301f272a7164a36b0d4b610524a1d39', '3', null);
INSERT INTO `question_option` VALUES ('134a39e3ea364cbda072ded335d3128d', '正确', null);
INSERT INTO `question_option` VALUES ('14f4399cbf24423fb9a28dfec7f88d40', 'A. 14.7Mpa', null);
INSERT INTO `question_option` VALUES ('1501630680764f8ab7a46d70edf02e03', '唉', null);
INSERT INTO `question_option` VALUES ('1503d3b82250457ea0efc1a1783cb759', 'de', null);
INSERT INTO `question_option` VALUES ('155cf490413e4db893a06706dede1d34', '正确', null);
INSERT INTO `question_option` VALUES ('156b307acece4f57bbd8a8a70eb2f31e', 'D', null);
INSERT INTO `question_option` VALUES ('1610167ae7be413498f707b0ac15791a', '1', null);
INSERT INTO `question_option` VALUES ('17490735320f437b8acf9a23aa4f664d', 'ASD123', null);
INSERT INTO `question_option` VALUES ('175eba542012448581344803a032ffeb', '错误', null);
INSERT INTO `question_option` VALUES ('17caa8a101654814a1e77e38da67cdeb', 'test3', null);
INSERT INTO `question_option` VALUES ('1875168fbb774de2ad00d7b9832a95ce', '1', null);
INSERT INTO `question_option` VALUES ('18ac66eecdb6439494d48e4b152cf3d0', 'A. q=h2-h1', null);
INSERT INTO `question_option` VALUES ('194a098344ed446b9e1d05a50449e9b3', '2', null);
INSERT INTO `question_option` VALUES ('1a7385a5ae2d4237a002fc4b81c9e931', 'a b c d', null);
INSERT INTO `question_option` VALUES ('1b0ec8ddd3854303bc03c6c11b97c682', 'C 123W', null);
INSERT INTO `question_option` VALUES ('1bc5c42cb9cb4037acf9e3e4b369f788', '3', null);
INSERT INTO `question_option` VALUES ('1bc7d60a011a482fb068c6790d54f590', 'C.带出办公区送给他人', null);
INSERT INTO `question_option` VALUES ('1c22a3069d7e4f8cb18c05ad4e0141b5', '月亮', null);
INSERT INTO `question_option` VALUES ('1c872789a452490da96069c761121e6d', '正确', null);
INSERT INTO `question_option` VALUES ('1cce0f75bdfe4ac29022d23abac34ec0', '测试二', null);
INSERT INTO `question_option` VALUES ('1d38486860754a7ea310d1f48ebb9e11', 'A.题目1', null);
INSERT INTO `question_option` VALUES ('1d4cea834ab84bbd9e708b261dc7153b', 'fdsfdg', null);
INSERT INTO `question_option` VALUES ('1dd446391d4b4d698054badf2b2bf47e', '1', null);
INSERT INTO `question_option` VALUES ('1e0b504c51354755b8f9ccae59a592f6', '太阳', null);
INSERT INTO `question_option` VALUES ('1e85eba6944f418d9eb611ccc1215476', 'sjopj', null);
INSERT INTO `question_option` VALUES ('1fac20a1585d4b95a49b491c040bed1e', 'sdfwewnj ', null);
INSERT INTO `question_option` VALUES ('1fb77dd37ec443c2b83a8425baed67f5', 'aa', null);
INSERT INTO `question_option` VALUES ('1fd47eac74e947c08a1020d2e715d123', 'B.', null);
INSERT INTO `question_option` VALUES ('20b510cca7244c3d81fcb37c4dff5152', 'd', null);
INSERT INTO `question_option` VALUES ('20ce13d67d544efeba548f7eb9642e8f', '商务接待', '以接待对象为标准划分的接待类型有');
INSERT INTO `question_option` VALUES ('21594050aeb14818a3c250c68800b909', '123', null);
INSERT INTO `question_option` VALUES ('21a9a3a14f25445ba8fc3b85bcfd6efd', '错误', null);
INSERT INTO `question_option` VALUES ('21eccfb3bc43464b905eb0a8837ce094', '代替请柬', '名片的作用有');
INSERT INTO `question_option` VALUES ('2223448f94a94e7cb57d94fb6c9a0750', '4', null);
INSERT INTO `question_option` VALUES ('228f57a595a2416aa6cf7df66095236a', '同时进门', '客人来访时,我们要为客人打开房门。当房门向外开时()进');
INSERT INTO `question_option` VALUES ('22de7c7537564d7b841ea1b41a298a59', '消费接待', '以接待对象为标准划分的接待类型有');
INSERT INTO `question_option` VALUES ('2324d1529eb34cca904243bdc7d2bc24', '错误', null);
INSERT INTO `question_option` VALUES ('233c13ee72c9456989788201fd108c8e', '互尊互谅', '日常生活中邻里之间应');
INSERT INTO `question_option` VALUES ('239fb6b4980749ffad1671b5c62bee8c', '345', null);
INSERT INTO `question_option` VALUES ('2449ebcfb9044460b9b44a5bba42110c', '正确', null);
INSERT INTO `question_option` VALUES ('249c3e3f31ed443e83ab4379b506be24', '焦恩俊', null);
INSERT INTO `question_option` VALUES ('24b7c8adb6834d0c8816c765fc3adaea', '4', null);
INSERT INTO `question_option` VALUES ('251eb27617ce458697f6e966bbf87bed', '我们先进', '客人来访时,我们要为客人打开房门。当房门向外开时()进');
INSERT INTO `question_option` VALUES ('25e3179bb90f4ef4bc550c2cb7f3562f', 'A', null);
INSERT INTO `question_option` VALUES ('2624e6d08bcb4159918ec6bf82e60c79', '123', null);
INSERT INTO `question_option` VALUES ('2663fc2e4fdb4ef09a1558eea7ccbe03', '123123', null);
INSERT INTO `question_option` VALUES ('26d37952793a4f5eb1d83e331fa4fbf8', 'yyyyyy98989', null);
INSERT INTO `question_option` VALUES ('26d540db3e8f4950ad7df548fb779395', '正确', null);
INSERT INTO `question_option` VALUES ('26f4780900d148c698e1c57701ea7528', '1.对的', null);
INSERT INTO `question_option` VALUES ('277a5ba5d0d6478787f72f493634e650', 'c', null);
INSERT INTO `question_option` VALUES ('27fbd8f337c74d3c9e7b3f699d48b756', 'A. 理想气体、闭口系统、可逆过程', null);
INSERT INTO `question_option` VALUES ('287ce730f7804743935f504a18cd8538', '政治拜访', '以目的的不同为标准划分的拜访类型有');
INSERT INTO `question_option` VALUES ('28f780f29a034d06ad4d5753abe141a6', '正确', null);
INSERT INTO `question_option` VALUES ('28fe162922a24e118ab4feecc45aef1f', '父母', null);
INSERT INTO `question_option` VALUES ('29b8955e756c49599a1ef171eefdc405', '正确', null);
INSERT INTO `question_option` VALUES ('29bea16a941e473eaf1d47cabfa1e476', '5757', null);
INSERT INTO `question_option` VALUES ('2b3ddcd85e8b45dca43b4653edf63cd0', 'test2', null);
INSERT INTO `question_option` VALUES ('2b77d207e9e5475bacdfed3c9fc486ae', 'dd', null);
INSERT INTO `question_option` VALUES ('2b9c28bf667c4245816de46bf52a7ddd', '1231', null);
INSERT INTO `question_option` VALUES ('2bab92afb5ac490a84d29bcb92560f7a', 'python1', null);
INSERT INTO `question_option` VALUES ('2c11d8ee79394fd5b82306824d92ae36', 'aab', null);
INSERT INTO `question_option` VALUES ('2c3a444025344563a317cfe6751d11ff', '犯得上广泛大使馆22', null);
INSERT INTO `question_option` VALUES ('2c57854526c64f1ab3cd6a7c37749ac0', '哈哈', null);
INSERT INTO `question_option` VALUES ('2cbadbe4efa9427d8c14e26f6e01cd52', '234', null);
INSERT INTO `question_option` VALUES ('2cd9cb4901044a7fb410962eb75737da', 'wqe', null);
INSERT INTO `question_option` VALUES ('2d23b509e4534fe5b528aa02d04ee232', 'dsf ', null);
INSERT INTO `question_option` VALUES ('2d4c7dc37efa4599b78321dc0bf74ca9', '4', null);
INSERT INTO `question_option` VALUES ('2d531b1d075d4485b01472d12cd7bcb1', 'C. q=u1-u2', null);
INSERT INTO `question_option` VALUES ('2ddfb11777d54d71899939325da8a293', '1', null);
INSERT INTO `question_option` VALUES ('2df31aa7a344475ea8a0b2897c9754f0', '罗贯中', '《红楼梦》的作者是谁？');
INSERT INTO `question_option` VALUES ('2ea1402dd1e04862859fc455bde82bdb', 'b', null);
INSERT INTO `question_option` VALUES ('2eaf5866748148ce901d12897fed9c11', '端庄、大方、美观', '正式交往场合我们的仪表仪容要给人()的感觉');
INSERT INTO `question_option` VALUES ('2ef0c0737ed6454db3fa7d4ecffc4eca', 'A:ddd', null);
INSERT INTO `question_option` VALUES ('301d0af3df224dfdb9c4d25a3070311c', '777', null);
INSERT INTO `question_option` VALUES ('302327201f3c422ca6b636f04fb146cc', 'v', null);
INSERT INTO `question_option` VALUES ('30d36a66d6614620bffe1851681af9b6', 'C:ddddddddD:ddddd', null);
INSERT INTO `question_option` VALUES ('30e233a884c94a6786a1d6968a25e955', 'first', null);
INSERT INTO `question_option` VALUES ('317914052c94400f8e45a814896c9cd9', '便于通知', '名片的作用有');
INSERT INTO `question_option` VALUES ('31e282346e3b46578e45fdde3e69807e', 'B.答案2', null);
INSERT INTO `question_option` VALUES ('3216edd8cf1d41428c8f29133174b25a', 'l', null);
INSERT INTO `question_option` VALUES ('3240abc1aeab435a8c2152ffe2057566', '去', null);
INSERT INTO `question_option` VALUES ('3241d62e07bf4afc9eb03b6d4b57566b', 'lo', null);
INSERT INTO `question_option` VALUES ('3337d407ecde4865b80a5fc9e7fe37e3', 'aac', null);
INSERT INTO `question_option` VALUES ('34523c8126584d6688e8649cb118c51f', 'dhdh', null);
INSERT INTO `question_option` VALUES ('34a85af761b54cf2bfbb310df2720182', 'ggggg', null);
INSERT INTO `question_option` VALUES ('34ee794ddaab4033b84efcd749595329', 'aaaa', null);
INSERT INTO `question_option` VALUES ('359ff787a7a54497b9711e42462b2961', 'A', null);
INSERT INTO `question_option` VALUES ('3688d245b7e14c979a32f37e2a73fc93', '正确', null);
INSERT INTO `question_option` VALUES ('37ae148f549c4dc9b37401459978d48c', 'B:ddd', null);
INSERT INTO `question_option` VALUES ('386cb8e404184386b8c3d9926e9fc0b3', '3000', null);
INSERT INTO `question_option` VALUES ('3912670d529c4bc5b3bbfb4694d750e5', 'a', null);
INSERT INTO `question_option` VALUES ('39138775e70b4e558bc75be65f55c85e', '收到', null);
INSERT INTO `question_option` VALUES ('397a9ee0beaa48d7850204bf44aa0cfa', '错误', null);
INSERT INTO `question_option` VALUES ('397f7bbc8afc431e8976ee8764d88584', '错误', null);
INSERT INTO `question_option` VALUES ('3a0a3e1951354323a30ed0be69f86976', '4', null);
INSERT INTO `question_option` VALUES ('3a3479dd224542d28dc867023da12ce2', 'A', null);
INSERT INTO `question_option` VALUES ('3ac81fb3c8a44c6da848fcd2123fcf8e', '不错', null);
INSERT INTO `question_option` VALUES ('3aceb267aafc48f28737b5c6635bf00e', '错误', null);
INSERT INTO `question_option` VALUES ('3c4082994c3c4a0b83b25c07eebc953d', '666', null);
INSERT INTO `question_option` VALUES ('3c76449a76324a21adb908f452b5ed8b', 'A 123W', null);
INSERT INTO `question_option` VALUES ('3cdd195bff6647ee8be3e097918a3ceb', '错误', null);
INSERT INTO `question_option` VALUES ('3d660fb1c1424b38bfdc6f9a504fb777', '1', null);
INSERT INTO `question_option` VALUES ('3d913a401b0744f38a1822184a6c865c', '哈哈哈', null);
INSERT INTO `question_option` VALUES ('3d9abd4caa484af99e8667ac8408ce85', '测试一', null);
INSERT INTO `question_option` VALUES ('3dacd11b7e7c4bfab8e170e84126c15f', 'C.ni ', null);
INSERT INTO `question_option` VALUES ('3f0efc9a229e49499b0441a8dbf2f036', 'A.LiMing', null);
INSERT INTO `question_option` VALUES ('3f5090a6616440448cf9ea15c4dc9ba3', '768798', null);
INSERT INTO `question_option` VALUES ('3ff65e9fd1724a199eb9c1ba9985b6f0', '哈哈哈胜多负少胜多负少', null);
INSERT INTO `question_option` VALUES ('40cc512b36dc4147881202ed6b3292f2', '是否', null);
INSERT INTO `question_option` VALUES ('40f43b6914594697af5047522fa621a7', '1', null);
INSERT INTO `question_option` VALUES ('4140a14f3f6b4067962eac1c939675c9', '左侧', '在机场、商厦、地铁等公共场所乘自动扶梯时应靠（）站立,另一侧供有急事赶路的人快行');
INSERT INTO `question_option` VALUES ('4161f50d1c9246d5ac8d77e0cdcea9be', 'dsj', null);
INSERT INTO `question_option` VALUES ('41b50876ccb547a3908947c20e441e3d', 'b', null);
INSERT INTO `question_option` VALUES ('429f530208234a1899b4c3be75bc1452', '3', null);
INSERT INTO `question_option` VALUES ('42b2c3099ba6496daf70dd713559da8b', '不知道', null);
INSERT INTO `question_option` VALUES ('42eee2c478c043168bd7ed8d7c2dcafe', '漂亮、美观、时髦', '正式交往场合我们的仪表仪容要给人()的感觉');
INSERT INTO `question_option` VALUES ('431848495d5e4c44ac05b858876636fb', 'D 123W', null);
INSERT INTO `question_option` VALUES ('434b49849bed43c3bb331a9e955114c3', '123', null);
INSERT INTO `question_option` VALUES ('435eabe9037b4ff7998943b09010e5f4', 'c', null);
INSERT INTO `question_option` VALUES ('44737a49bd304006b9cbb1179592e74f', '5656', null);
INSERT INTO `question_option` VALUES ('44931fa54f784fba87a61e47fe3e2836', '犯得上广泛大使馆22', null);
INSERT INTO `question_option` VALUES ('44a2393b304d4e2185803f3fd83c1014', '错误', null);
INSERT INTO `question_option` VALUES ('45734a7af9f04a74ae220b7e82684b92', 'C：不知道', null);
INSERT INTO `question_option` VALUES ('46013b375d214882897a63ec5a11c96e', 'B.222', null);
INSERT INTO `question_option` VALUES ('4674dcfb786647ef841fcfd5ee4d20d2', 'x', null);
INSERT INTO `question_option` VALUES ('47ab8b417e0a4258b7d0781c07554bde', 'A.1', null);
INSERT INTO `question_option` VALUES ('487ebfdbfdf14ba3b113eadaef40b5c6', 'T', null);
INSERT INTO `question_option` VALUES ('49084c559a7d49a0ba030d0a38808cc5', '5', null);
INSERT INTO `question_option` VALUES ('494bf6a7d8cb4c08bfe12fffdcc32d44', '1', null);
INSERT INTO `question_option` VALUES ('495f556e92c24ed5b68695ddd6df300d', '犯得上广泛大使馆', null);
INSERT INTO `question_option` VALUES ('49f5871da494405f93f14c04654ccc09', '1.fs', null);
INSERT INTO `question_option` VALUES ('4a11c0a8ff5f460ea1ac0fd3dcc23644', '2', null);
INSERT INTO `question_option` VALUES ('4a540db503ee4e3cb9e1345152629318', 'dhdhvsdfjfjsda大家', null);
INSERT INTO `question_option` VALUES ('4a9ac21bbee84b99b37737fa5e071c8e', '1', null);
INSERT INTO `question_option` VALUES ('4b5efd0c763b43c98703cb01281b81d8', 'A.123;B.222', null);
INSERT INTO `question_option` VALUES ('4c6f5fdede334a26b285cd1b834bd198', 'JIEFANGJ', null);
INSERT INTO `question_option` VALUES ('4c8f5324184d47ae96b0975435f51d45', '正确', null);
INSERT INTO `question_option` VALUES ('4d5c32e598cc41abb003f2f37dab210e', '吴承恩', '《红楼梦》的作者是谁？');
INSERT INTO `question_option` VALUES ('4f2923a998db4a33ad1f15d537587a9b', '测试多选题1', null);
INSERT INTO `question_option` VALUES ('4f6a78ca969d4a99a37e762ae8a98baa', '错误', null);
INSERT INTO `question_option` VALUES ('501eeb7da27a41e6a0f0947aa9c7f1e4', '天上的星星有几多', null);
INSERT INTO `question_option` VALUES ('502c3eb45a4748f38f89e0010e18ab5c', '4354353', null);
INSERT INTO `question_option` VALUES ('504bed11766b4c35b7d0ed598a94f0e2', '犯得上广泛大使馆111', null);
INSERT INTO `question_option` VALUES ('508aec988215422e82c0850c79aea7b1', '正确', null);
INSERT INTO `question_option` VALUES ('51c476176e03424f8c2fae10a7113d8d', '2', null);
INSERT INTO `question_option` VALUES ('51c7c87f736540e5b62225d146f187cf', '1', null);
INSERT INTO `question_option` VALUES ('52a18699cb844717980e738583d7ccf3', '错误', null);
INSERT INTO `question_option` VALUES ('52e0ccb2fc4545028988681db9858f70', '错误', null);
INSERT INTO `question_option` VALUES ('532fec43b430438fa67d13f2cc684dd4', '122', null);
INSERT INTO `question_option` VALUES ('537c4f151cc34ac484d2bb2d830d5462', 'B.ni ', null);
INSERT INTO `question_option` VALUES ('5380530d663f435aaa134ab037f34079', '7788996', null);
INSERT INTO `question_option` VALUES ('5438565013f14396883a6bbc1775add9', '3.sfks', null);
INSERT INTO `question_option` VALUES ('544a11d5fbce48dc98ae0b803c672d7c', 'C.333', null);
INSERT INTO `question_option` VALUES ('56677d96b7434641acb84f4e3ea4b59c', 'yyyyyy9898909890', null);
INSERT INTO `question_option` VALUES ('56f9ba21bc37446caf7a34fd53025988', '错误', null);
INSERT INTO `question_option` VALUES ('57438e957d92472d8b0d64bb8537c08c', '1.对的', null);
INSERT INTO `question_option` VALUES ('579e9d59ced64518908e9fb5ff2595c3', 'S', null);
INSERT INTO `question_option` VALUES ('57e749d644044a53b48ed12f84bba0b3', '白求恩', null);
INSERT INTO `question_option` VALUES ('581fcb689b404036918e200cd1187516', '1测试使用', null);
INSERT INTO `question_option` VALUES ('5872d8e8a1174e9b98b5da077d930ad7', '', null);
INSERT INTO `question_option` VALUES ('5872f3b1322948c8a15b301ffae0efb0', '2', null);
INSERT INTO `question_option` VALUES ('589113fcd08e44fbbc2b6041581f643e', '刚刚', null);
INSERT INTO `question_option` VALUES ('59d74d533d89492993922152bfcb8a62', 'A', null);
INSERT INTO `question_option` VALUES ('59dc0e331e3a4a89b2b6cfa7bd7dd626', '林', null);
INSERT INTO `question_option` VALUES ('5a569634374b46259db84cd1a1b22ab6', '错误', null);
INSERT INTO `question_option` VALUES ('5a85b86339fb4ce6bdbf9912551bff64', '士大夫撒旦', null);
INSERT INTO `question_option` VALUES ('5ac788b163b04bc9b159f11d1cb1abba', '右侧', '在机场、商厦、地铁等公共场所乘自动扶梯时应靠（）站立,另一侧供有急事赶路的人快行');
INSERT INTO `question_option` VALUES ('5af37b583ef34a9888c0d4cdcd434066', '正确', null);
INSERT INTO `question_option` VALUES ('5b002c90ec16495899a7e47f5fe1b0f3', 'B', null);
INSERT INTO `question_option` VALUES ('5c2e94d4363449c4ac3ffbfcd347b5e4', '11', null);
INSERT INTO `question_option` VALUES ('5c8bc06fe579422083bd7416e5c8cf62', 'C. 理想气体、任意过程 ', null);
INSERT INTO `question_option` VALUES ('5d15248b68fe4a8992a744691ead0575', '测试多选题3', null);
INSERT INTO `question_option` VALUES ('5d828aadc336424ab03eaa63026bcad3', '1', null);
INSERT INTO `question_option` VALUES ('5dd85e56e1704c15b1ac522fdedeb637', '是真的么', null);
INSERT INTO `question_option` VALUES ('5ec9464b268146e580edc7a01a2d7429', 'c', null);
INSERT INTO `question_option` VALUES ('5f1f478c60d44bbc8cd9a16539c7f142', '23445656', null);
INSERT INTO `question_option` VALUES ('6077b909fb884f858a01bb33b2e2d626', '错误', null);
INSERT INTO `question_option` VALUES ('60942d2353d442d0bbfae1eb69f0be4a', 'B. ws=h1-h2', null);
INSERT INTO `question_option` VALUES ('61f3d24b130749a88626b5035e9708e9', '代替通话', '名片的作用有');
INSERT INTO `question_option` VALUES ('61fa118af54846ce9498774fc7dbb462', '测试三', null);
INSERT INTO `question_option` VALUES ('622ef18f538b44f180202dac9c2b1353', '100', null);
INSERT INTO `question_option` VALUES ('62a0bda7a2e84dc79e48780f771a36b7', '多少啊', null);
INSERT INTO `question_option` VALUES ('62d0c9c71733467aa56b22f5eef1c8c0', 'E', null);
INSERT INTO `question_option` VALUES ('640e0c8907104bed8fafb0afffd2f59d', '哦i看iom  ', null);
INSERT INTO `question_option` VALUES ('647fb34e45474ae3b064a836b436a031', '前侧', '在参加各种社交宴请宾客中,要注意从座椅的（）侧入座,动作应轻而缓,轻松自然。');
INSERT INTO `question_option` VALUES ('648500831b5640f79b627a667883e7c1', '2', null);
INSERT INTO `question_option` VALUES ('64c6300db06f44e4b18d580380a3e71b', '帅个鸡儿锤', null);
INSERT INTO `question_option` VALUES ('64f67417f3b54909a2aa328c1fc6571a', 'aaa', null);
INSERT INTO `question_option` VALUES ('656170a1696b4a939cecfb49fdb9c088', '200', null);
INSERT INTO `question_option` VALUES ('65836707171c4fc0a4857de9b90d9bf0', '34', null);
INSERT INTO `question_option` VALUES ('65c05584aa514f00a8df9bbb2cf71daf', 'test3', null);
INSERT INTO `question_option` VALUES ('660743c51ed847aea3b455c75cf7dcd0', 'C. 任意气体、闭口系统、任意过程', null);
INSERT INTO `question_option` VALUES ('66bb1d6a84a74f688dbf6d865a7c8bda', 'A. 任意气体、可逆过程', null);
INSERT INTO `question_option` VALUES ('67973f89f6db45acad02bd7ce0d4af27', '66', null);
INSERT INTO `question_option` VALUES ('679e0d2746a94c56a6bf02acc186753a', 'A：喜欢', null);
INSERT INTO `question_option` VALUES ('6823db8cb54d4109843c486e7ea99998', 'a', null);
INSERT INTO `question_option` VALUES ('6852f34c415b4f16aa6ef35188680893', '错误', null);
INSERT INTO `question_option` VALUES ('68e141f7425540898d5f3b918490fe50', 'dsaddddddd', null);
INSERT INTO `question_option` VALUES ('6bae3b38676945f1a9ce5dedd491ff4a', '正确', null);
INSERT INTO `question_option` VALUES ('6bd0d54e3c1648a5ae10a29a6f5c4434', '家的', null);
INSERT INTO `question_option` VALUES ('6be0ef27d8194ab7b4d6e22cc73b923a', '错误', null);
INSERT INTO `question_option` VALUES ('6c4887193b194851b22d3efd70f1b35b', '3', null);
INSERT INTO `question_option` VALUES ('6c7c840e193f48e58b82b9f3b9935ad6', 'A. q=h2-h1', null);
INSERT INTO `question_option` VALUES ('6d3244e63deb410dad88b594538aa107', 'python123', null);
INSERT INTO `question_option` VALUES ('6dc81ab4160f40f9a7b78806c5a44178', 'eeee', null);
INSERT INTO `question_option` VALUES ('6dd7b78782df475aa6a112620f1be7e2', '11', null);
INSERT INTO `question_option` VALUES ('6ef2ecc296cc4f42b3be45fd645b0d7d', '23445656', null);
INSERT INTO `question_option` VALUES ('6f0631ce414c49519a162af9062073ca', '施耐庵', '《红楼梦》的作者是谁？');
INSERT INTO `question_option` VALUES ('6f26e8d41a5e442fa9bb51484252dd2e', 'python1233', null);
INSERT INTO `question_option` VALUES ('6fadeacee75f437ab131a9a924603c7f', '2', null);
INSERT INTO `question_option` VALUES ('700240a85d3647948e5af3e14ef8fa18', 'A. 开口系统、理想气体、稳定过程', null);
INSERT INTO `question_option` VALUES ('70b75d901d69477ab922074e2161559f', 'B. 实际气体、可逆过程', null);
INSERT INTO `question_option` VALUES ('70c63df872e645bda8abd04a2e07925b', '1', null);
INSERT INTO `question_option` VALUES ('742c6c7bcf4347c9886a0a19906df908', 'gdsfsa', null);
INSERT INTO `question_option` VALUES ('744697e9f4984970a2b1949b84d10139', '一般', null);
INSERT INTO `question_option` VALUES ('744a529c8a97423e9a25094d59f6d438', '1', null);
INSERT INTO `question_option` VALUES ('74d9cd2d3bb543e68cbbd685b701433c', 'C. 任意系统、任意工质、任意过程', null);
INSERT INTO `question_option` VALUES ('7526fa11f98b4e86adaeaaa329e7881b', '正确', null);
INSERT INTO `question_option` VALUES ('7569f009ec724d7da2fe65d3f870bbea', '222', null);
INSERT INTO `question_option` VALUES ('75ad6f40c62944f79f0f13b56aae26f6', '768798', null);
INSERT INTO `question_option` VALUES ('76588c2f83ce4d24af8726aca0f25ac4', 'a', null);
INSERT INTO `question_option` VALUES ('766afefe1fdd48c1986fd8a5f9157a7b', '98', null);
INSERT INTO `question_option` VALUES ('77e434759f314ce08413b65b3c36e6a0', '左侧', '在参加各种社交宴请宾客中,要注意从座椅的（）侧入座,动作应轻而缓,轻松自然');
INSERT INTO `question_option` VALUES ('785ad33574f747fd870dd6eadff303ab', '互不来往', '日常生活中邻里之间应');
INSERT INTO `question_option` VALUES ('78b12fae3d3740658dfabfce253b1b58', '4', null);
INSERT INTO `question_option` VALUES ('790e68b1844f43bf947cd6450c547cd5', 'tsta1111', null);
INSERT INTO `question_option` VALUES ('7953b0e9ed7d48019c8cf04f353e9e93', 'C. q=u1-u2 ', null);
INSERT INTO `question_option` VALUES ('7972490f7616481b849908e9345f8ae9', '12312312312123123123撒地方', null);
INSERT INTO `question_option` VALUES ('798f7456f5174d70922c93c26337bd24', 'erew', null);
INSERT INTO `question_option` VALUES ('7a33be7ab2784fe7ba8be21a267f6383', '8989', null);
INSERT INTO `question_option` VALUES ('7a354fb6ba1a46319688045d100946c1', '123,54,43,23,67', null);
INSERT INTO `question_option` VALUES ('7b08a9bc8d144b75be9911d51fbcee31', 'C. 压缩过程，作功145KJ ', null);
INSERT INTO `question_option` VALUES ('7b3c0b0f57634d51a0967ee2adc7d9bf', 'C:ddddddddkjlklk', null);
INSERT INTO `question_option` VALUES ('7b7b4f28ac314f7d874a13ef963345e9', '正确', null);
INSERT INTO `question_option` VALUES ('7b80034306a042919b8f400831112182', '2.错的', null);
INSERT INTO `question_option` VALUES ('7c0f620e2424488aa7c3843532bef0c7', 'A.ni ', null);
INSERT INTO `question_option` VALUES ('7c681c85c0904ec994a83c0786a23d36', '增加收入', null);
INSERT INTO `question_option` VALUES ('7d41b6d1c3ae4b3080aa831af2058e74', 'test', null);
INSERT INTO `question_option` VALUES ('7d78e9cc50e44640a2056b891706b3d9', 'A.星期一', null);
INSERT INTO `question_option` VALUES ('7e139bc1be364da28b3604703b37d187', 'B', null);
INSERT INTO `question_option` VALUES ('7e35de06fef34625bacb746a4020ee55', '434444', null);
INSERT INTO `question_option` VALUES ('7ebb034eb2294758873509df7280ba72', 'R', null);
INSERT INTO `question_option` VALUES ('7ed995f542714dd89f13c60422e9a00a', '正确', null);
INSERT INTO `question_option` VALUES ('7f7ea4b8e00c4724ae71a2c1a0d2afeb', 'zxcv', null);
INSERT INTO `question_option` VALUES ('810c0bef4cd748c5a6493346ef9c609d', 'dsf', null);
INSERT INTO `question_option` VALUES ('81b7ae4a705f4fc39e576085a55fccc0', '朋友接待', '以接待对象为标准划分的接待类型有');
INSERT INTO `question_option` VALUES ('822cca2be47d409dacb5076427eb2fab', '12312312312', null);
INSERT INTO `question_option` VALUES ('825825ddfcac4089a52d136fb7b3d28a', '犯得上广泛大使馆22', null);
INSERT INTO `question_option` VALUES ('82da63eb01834dc0b117cafff4dcde94', 'cd', null);
INSERT INTO `question_option` VALUES ('82dbe9d7a31f4649bc534f3eb3a46dd2', '57578', null);
INSERT INTO `question_option` VALUES ('82e0bb574edc48239ea03d934833d0f1', '7878', null);
INSERT INTO `question_option` VALUES ('83107069458c47c8b443f5e0d004f756', 'RWarAsdasdasd', null);
INSERT INTO `question_option` VALUES ('8398259d17a84b71a19e958ffd63447f', 'fff', null);
INSERT INTO `question_option` VALUES ('83c56af7662249dd968e04bf3afbee23', '雷锋', null);
INSERT INTO `question_option` VALUES ('83ff34f011964f899e4361dc029cac16', 'ert', null);
INSERT INTO `question_option` VALUES ('845b5e5f79794eeeb1dadf8372c8be10', '一般', null);
INSERT INTO `question_option` VALUES ('84a31956dd874ebe9e45f28727a973ed', '40000', null);
INSERT INTO `question_option` VALUES ('853573a1fadc487893e40a90a3a2e566', 'B.ni ', null);
INSERT INTO `question_option` VALUES ('858d4e20051f48369c2a9e79849b98ff', 'abc', null);
INSERT INTO `question_option` VALUES ('85a087d45baf46ffbe1abdf75eb8fd07', '0', null);
INSERT INTO `question_option` VALUES ('85aeb40a28f14735a48505d29d7c05b9', 'B', null);
INSERT INTO `question_option` VALUES ('862daa8441304b10b858be76e3a2007e', 'B:2', null);
INSERT INTO `question_option` VALUES ('865411ad178f4b60ab6b9fc6ede45de2', '放到大师傅', null);
INSERT INTO `question_option` VALUES ('86cedf8e752d45e0a0728f87926ebf7b', 'B. 闭口系统、实际气体、任意流动', null);
INSERT INTO `question_option` VALUES ('872cd57a8ba140a19b17b0bc3926a53b', ' B. 15.6Mpa ', null);
INSERT INTO `question_option` VALUES ('87657567c69446b1ad51377832715b14', '错误', null);
INSERT INTO `question_option` VALUES ('87ab5d2e169c431a95296400c27819a1', '23', null);
INSERT INTO `question_option` VALUES ('87c48ec222d1451286b0d25d1590139c', '2212', null);
INSERT INTO `question_option` VALUES ('88691e501b634872bd84730dd20660bc', '正确', null);
INSERT INTO `question_option` VALUES ('88b8e38ebc7f4c03952d543c1deda50e', '都撒到', null);
INSERT INTO `question_option` VALUES ('88ec4c60df0842c7b603cf82450b12cb', '礼节性拜访', '以目的的不同为标准划分的拜访类型有');
INSERT INTO `question_option` VALUES ('8946f452ab7b49cfab931cba8c8ed1dc', '3', null);
INSERT INTO `question_option` VALUES ('8967e693de5b4acba8357219812c7c4b', '超级无敌宇宙美少年', null);
INSERT INTO `question_option` VALUES ('8a605f36d92c4b268788780e76e2c40c', 'A', null);
INSERT INTO `question_option` VALUES ('8a6c27e9bd2141b8935def852cb6f761', '分的积分', null);
INSERT INTO `question_option` VALUES ('8aca071cfff2418784c36a5ca612a515', '你', null);
INSERT INTO `question_option` VALUES ('8acab2bbb89a48e886f32d8a7e6ab27e', '项目2', null);
INSERT INTO `question_option` VALUES ('8b2178a8aaa54ad9b04a7d512f014bc8', 'weqwe', null);
INSERT INTO `question_option` VALUES ('8b2425bd63c64a99b4b1c17f3a25161a', '12', null);
INSERT INTO `question_option` VALUES ('8b4101fd12524b8f948a017ca66c3f46', '的', null);
INSERT INTO `question_option` VALUES ('8c0f6801448b4185b3446d92b0721c40', '客人先进', '客人来访时,我们要为客人打开房门。当房门向外开时()进');
INSERT INTO `question_option` VALUES ('8c5f8ffc50c943d6acf638eeb729a52d', 'dadsa', null);
INSERT INTO `question_option` VALUES ('8c95b512240b4a47b85743a64f65c0ba', '节假日的下午或平日的晚饭后', '拜访他人应选择（）,并应提前打招呼');
INSERT INTO `question_option` VALUES ('8ccec91af5f841999362d006f2375b31', 'dsaddddd', null);
INSERT INTO `question_option` VALUES ('8d15994349004d7980dff873e14e8834', 'test4', null);
INSERT INTO `question_option` VALUES ('8d20946630564cb289355ad497c3b97e', 'c', null);
INSERT INTO `question_option` VALUES ('8d747e1373294eb394a821f722c4b122', 'B. 实际气体、开口系统、可逆过程', null);
INSERT INTO `question_option` VALUES ('8dc2afa2eb2f47da95ec1305f34c49ca', '正确', null);
INSERT INTO `question_option` VALUES ('8dd912efd1d0449a836e73486c66ca1c', '1', null);
INSERT INTO `question_option` VALUES ('8e26980e4f89481ca1afafdc6665f9bb', 'A.1 B.2', null);
INSERT INTO `question_option` VALUES ('8e7ead3595ee4867aa21997433ddb5fd', '辣鸡', null);
INSERT INTO `question_option` VALUES ('8eb5c6c518a840e3b60bd97a8d105353', '1', null);
INSERT INTO `question_option` VALUES ('8f262e48911242dcb13f70b268ba06b5', '111', null);
INSERT INTO `question_option` VALUES ('8fb5f13a055044c983b85c777f9464b1', 'B.2', null);
INSERT INTO `question_option` VALUES ('91954e91ac184f648cc944bf84dbbe19', '错误', null);
INSERT INTO `question_option` VALUES ('92ad192cb43e4bc2a0890f856392f3bf', 'sdfs', null);
INSERT INTO `question_option` VALUES ('92d0d92bbb0f41e3b50aa2d5f17ca5ef', '', null);
INSERT INTO `question_option` VALUES ('92ed63ab069d4f0bae0bbf630a03d34d', 'E', null);
INSERT INTO `question_option` VALUES ('9527ec01d85e43d697d012a02594d647', '1231231231212312312', null);
INSERT INTO `question_option` VALUES ('9597bd44b15d46479423879fe5400458', '111111', null);
INSERT INTO `question_option` VALUES ('95ebcd9078444043b7ff375a2fe67178', '正确', null);
INSERT INTO `question_option` VALUES ('95f6e5e02a414856907a9de711413904', '改变生活质量', null);
INSERT INTO `question_option` VALUES ('9692160d5ff14b8da558009c22674638', '正确', null);
INSERT INTO `question_option` VALUES ('96adc6fe53994660a5ce9c52beeabc10', '4', null);
INSERT INTO `question_option` VALUES ('976da12d3b5e4b2bad835cf42e87c59a', '4', null);
INSERT INTO `question_option` VALUES ('97b4538069364f949b420e03f5b47b82', '15', null);
INSERT INTO `question_option` VALUES ('995407da7fd141d3a264e359dedf199b', 'B.星期二', null);
INSERT INTO `question_option` VALUES ('995440729c4f48758920dd0f9c31f44f', '侧面朝向对方', '递接文件或名片时应当注意字体的');
INSERT INTO `question_option` VALUES ('996f9b6beaaf4b82971b2f3783f1f5ec', 'C', null);
INSERT INTO `question_option` VALUES ('9a26a6fb037840e9b7f9c0247c1d2790', 'hello', null);
INSERT INTO `question_option` VALUES ('9a28b3007c7c4f1b899a46a74f1baeb7', '正确', null);
INSERT INTO `question_option` VALUES ('9a297d5e82814dba9eba4c6d1afa8562', '1', null);
INSERT INTO `question_option` VALUES ('9b0a1b22a54945588052d6bad18ee035', 'a', null);
INSERT INTO `question_option` VALUES ('9b14c29c2d514b10af620655ff13a204', '十分钟左右', '一般性的拜访多以（）为最佳交往时间');
INSERT INTO `question_option` VALUES ('9c0afe91ee5647f699605ddae27aa0b6', 'b', null);
INSERT INTO `question_option` VALUES ('9c511fa9d5a74090967cdb52b29060a2', 'D', null);
INSERT INTO `question_option` VALUES ('9ccf487962dc4a0b992aa81b27fdff83', '测试问题？A 信息 B哈哈', null);
INSERT INTO `question_option` VALUES ('9cd1e597ae4144938be500efa21eec9b', '1小时左右', '一般性的拜访多以（）为最佳交往时间');
INSERT INTO `question_option` VALUES ('9d4db526074c4642922790aae582742d', '错误', null);
INSERT INTO `question_option` VALUES ('9da49e7309604e81bacfdc7bb9044bc1', '缓慢', '做客时入座动作要');
INSERT INTO `question_option` VALUES ('9e57a895eede4550aafc75ae26bedf3b', '2.fsf', null);
INSERT INTO `question_option` VALUES ('9e6e64fa5d3d4bf68e15deaa04a99de5', '犯得上广泛大使馆22', null);
INSERT INTO `question_option` VALUES ('9fc9ed0e94144ea88a702acc05523df5', '2', null);
INSERT INTO `question_option` VALUES ('a0c83dcb49264347a9236e6dca2abd4d', '发', null);
INSERT INTO `question_option` VALUES ('a0e9cddc8e304295b7bb13813d4fb4f5', '测试四', null);
INSERT INTO `question_option` VALUES ('a14973fbcf3447bca6f1c6f7e8fea53e', '7878', null);
INSERT INTO `question_option` VALUES ('a2bd998dc8944256b20f5fdaccf33c8a', 'D. h1=h2', null);
INSERT INTO `question_option` VALUES ('a317880eb3144e3db226409408198013', '1', null);
INSERT INTO `question_option` VALUES ('a3cc733bcc5e47bab69f3fec7867fd38', '正确', null);
INSERT INTO `question_option` VALUES ('a418c5318bb24fc98df150b5ffb23603', 'test1', null);
INSERT INTO `question_option` VALUES ('a4c4b303b3e34a0e83dbd967567bbb91', '错误', null);
INSERT INTO `question_option` VALUES ('a51323d05dbc4046ba92d9ee1d8d7bc9', 'fd', null);
INSERT INTO `question_option` VALUES ('a541ebe1167b4d14abff3c3bb0778822', 'A.111', null);
INSERT INTO `question_option` VALUES ('a5648b37349e4025881273ab79d94cc0', '问题1', null);
INSERT INTO `question_option` VALUES ('a5e476e927f74034abd9026fb6396240', 'A.LiMing', null);
INSERT INTO `question_option` VALUES ('a60fdf98a017401a813e32f87c65674e', '错误', null);
INSERT INTO `question_option` VALUES ('a694578edead46249b09864a0b40e6b8', 'C', null);
INSERT INTO `question_option` VALUES ('a6d530b941a34a3187c968c95bcc1d1f', 'B. ws=h1-h2', null);
INSERT INTO `question_option` VALUES ('a71419ea21d64aa6a2b617505152da25', '2', null);
INSERT INTO `question_option` VALUES ('a77d8e65fea14339974973fc7e5a7246', 'forth', null);
INSERT INTO `question_option` VALUES ('a9960e3f1cb34a8caafd27fe3a4ef9de', '错误', null);
INSERT INTO `question_option` VALUES ('aaf9e52ecc9d42f5ac745d541526d1e2', 'D.444', null);
INSERT INTO `question_option` VALUES ('ab85c51b6e91402385aeda6551aea608', '右侧', '在参加各种社交宴请宾客中,要注意从座椅的（）侧入座,动作应轻而缓,轻松自然');
INSERT INTO `question_option` VALUES ('ab8d255ea3884051a1ad8f87b2f7c929', 'a.星期二', null);
INSERT INTO `question_option` VALUES ('ab96efeec3144ecea3bf955d4e52980f', '商业拜访', '以目的的不同为标准划分的拜访类型有');
INSERT INTO `question_option` VALUES ('ab9e0727064f433686461e1284492eb6', 'A', null);
INSERT INTO `question_option` VALUES ('abccb812dee64ce698236cfe7bc99487', '2', null);
INSERT INTO `question_option` VALUES ('ac2dcc0983d84b3ba12669402ac4b56e', '测试问题？A 信息 ', null);
INSERT INTO `question_option` VALUES ('acfa3c43f7f943c1b3bc697c436af659', '我不告訴你', null);
INSERT INTO `question_option` VALUES ('adde4f47209c423c8ff36b84eaa06ee7', 'Blade Runner', null);
INSERT INTO `question_option` VALUES ('ade749edd43246eabfda70a4db644a01', 'fdfd', null);
INSERT INTO `question_option` VALUES ('ae9be675c7f0407d9ee16c7fe9496abc', 'third', null);
INSERT INTO `question_option` VALUES ('af3dc93032a7432989d7ea2f231af462', 'fsdfds', null);
INSERT INTO `question_option` VALUES ('af72e24e7b0d4273a6e46005b080f9c7', '测试多选题5', null);
INSERT INTO `question_option` VALUES ('afbbf97056c64199b1b44f02e8c557f5', '董存瑞', null);
INSERT INTO `question_option` VALUES ('afc82566cf07406994b77dd36dcb1fde', '12233', null);
INSERT INTO `question_option` VALUES ('aff1762c583b432e841db44b67839b80', 'b', null);
INSERT INTO `question_option` VALUES ('b07b85e3415b403d9487dbc1acf5f932', '工作强度', null);
INSERT INTO `question_option` VALUES ('b0fde289c3bf4e0496d7e3ba425abe49', 'bbbb', null);
INSERT INTO `question_option` VALUES ('b108b823a6ad4688895a93af81a1a584', '正确', null);
INSERT INTO `question_option` VALUES ('b18d0d42daa54305bd0b86ff2186df2b', 'W', null);
INSERT INTO `question_option` VALUES ('b1b2cbb140264410b5b8bb23c37404e5', '错误', null);
INSERT INTO `question_option` VALUES ('b3515213a70e4bf98b94959d63f978b7', '123,54,43,23', null);
INSERT INTO `question_option` VALUES ('b395a866719e4548b5876b4208d7dca7', 'aaasdasd', null);
INSERT INTO `question_option` VALUES ('b3988469af8d4dc8ae5d72e11ff4555e', '犯得上广泛大使馆', null);
INSERT INTO `question_option` VALUES ('b6194cc93e4d45e8a1a5d804f141f72a', '错误', null);
INSERT INTO `question_option` VALUES ('b65355f749974638bf875224c31b3508', '错误', null);
INSERT INTO `question_option` VALUES ('b7425acd661f425f86c3a56eef593ffe', '正确', null);
INSERT INTO `question_option` VALUES ('b7926212674b4b71b93dcffca102f578', '代替便函', '名片的作用有');
INSERT INTO `question_option` VALUES ('b7ea294223764ae79fddf7111cf20424', '错误', null);
INSERT INTO `question_option` VALUES ('b8e2e6300ab04016a82481fff15750e0', '正确', '判断题专用选项');
INSERT INTO `question_option` VALUES ('b955f5dcf08f43b5a7a20ff5429a1f1b', '1', null);
INSERT INTO `question_option` VALUES ('b9956a8b3a0149d786a8691bd19b435e', '对', null);
INSERT INTO `question_option` VALUES ('ba5bbb82d555490581123ecaf5f9fd81', '发送到', null);
INSERT INTO `question_option` VALUES ('ba76daceff104974a756176828d33ff9', '  C. 15.8Mpa', null);
INSERT INTO `question_option` VALUES ('ba9c6e1d5ed545adb493245c00112412', 'wewe', null);
INSERT INTO `question_option` VALUES ('bad2787d2be64bfe89cece84b8eda695', 'ae', null);
INSERT INTO `question_option` VALUES ('bbe3df2c7ba44b13b4b77cbd929a8fb1', '上访接待', '以接待对象为标准划分的接待类型有');
INSERT INTO `question_option` VALUES ('bc4e6c276e6d4b80871badf7d2a9087c', '公务拜访', '以目的的不同为标准划分的拜访类型有');
INSERT INTO `question_option` VALUES ('bc88c0a83e6147fbbe7ae6141bf575a1', '项目4', null);
INSERT INTO `question_option` VALUES ('bcb5ebf4478641d9b3b47dd6bada9b32', 'c', null);
INSERT INTO `question_option` VALUES ('bccb33b6264248318e380d9e7802d2a5', '2', null);
INSERT INTO `question_option` VALUES ('bd8ecfb670364c1b8cee33607423066f', '准确规范', '与他人在正式场合交谈时要严肃认真,还要注意语言的');
INSERT INTO `question_option` VALUES ('bddfac2e4a1149ccb83b9bcd609d9e19', 'dsadd', null);
INSERT INTO `question_option` VALUES ('bde0602eca354629ae891474aa8f43eb', '项目1', null);
INSERT INTO `question_option` VALUES ('be8ce7fa22904b8b998aab497ca5e753', '正确', null);
INSERT INTO `question_option` VALUES ('be9cd7bd458b4f4cb382f017ad3966d7', '434', null);
INSERT INTO `question_option` VALUES ('bed28153b51d410aafa64a6cc9c6fbb9', '公务接待', '以接待对象为标准划分的接待类型有');
INSERT INTO `question_option` VALUES ('bed4ab9ebad44e7fa444dfe5e6a55181', 'D.作为再生纸使用', null);
INSERT INTO `question_option` VALUES ('bf58b9e31a2943328c6ed0135ab5823f', 'D. 任意系统、任意工质、可逆过程', null);
INSERT INTO `question_option` VALUES ('bf93ba7988f84053ae197bded7ec10ea', '不知道', null);
INSERT INTO `question_option` VALUES ('c10ac4f6031b48109c91b672cf944ef6', 'yyyyyy', null);
INSERT INTO `question_option` VALUES ('c25c2a49d2bf44e89218e53f2718931f', '-', null);
INSERT INTO `question_option` VALUES ('c317ef23e1de49369900869764991eb0', '反面朝向对方', '递接文件或名片时应当注意字体的');
INSERT INTO `question_option` VALUES ('c35c908629e241bd88099f879ef36322', '456', null);
INSERT INTO `question_option` VALUES ('c407fe402bd048dab775052e307d2bf0', 'B123W', null);
INSERT INTO `question_option` VALUES ('c4aeda64b2024d9cbaaba88ac1dcdb97', '正面朝向对方', '递接文件或名片时应当注意字体的');
INSERT INTO `question_option` VALUES ('c517d89483b94ffead440fb408efce11', '声音洪亮', '与他人在正式场合交谈时要严肃认真,还要注意语言的');
INSERT INTO `question_option` VALUES ('c58996ea783f457a9dd132adf4dd2d66', '不错', null);
INSERT INTO `question_option` VALUES ('c76d8662bb9846ed94cc005a8f59e74c', '正确', null);
INSERT INTO `question_option` VALUES ('c81d168f407d476c9caf518b23cbc3ee', '1232132', null);
INSERT INTO `question_option` VALUES ('c87c37f82879406bbb12094a04115838', '11 22 33', null);
INSERT INTO `question_option` VALUES ('c8b17f74bf504e448f77f270f3e90ca4', 'fgcjhh', null);
INSERT INTO `question_option` VALUES ('c8c044429c39438f943ce0c652be3100', '12312312312123', null);
INSERT INTO `question_option` VALUES ('c91d0cf22e8048479b0bf25ddd499d1c', 'Star War', null);
INSERT INTO `question_option` VALUES ('c95c411cf29846fa97ee69b9611edc70', 'ngiodsfuhnguidbngidfiug', null);
INSERT INTO `question_option` VALUES ('c973ba881edb4da0974d670986c13316', '1', null);
INSERT INTO `question_option` VALUES ('c975075d733e408ba19e9d61bdf4793f', '2.错的', null);
INSERT INTO `question_option` VALUES ('c97e917b56a5480c94dc28de7d8943dc', '123123', null);
INSERT INTO `question_option` VALUES ('c9af8c09778e44cfb8a3d252e84456df', 'aa', null);
INSERT INTO `question_option` VALUES ('ca45b95620ae4d33986cb8067ef2525c', '清晨', '拜访他人应选择（）,并应提前打招呼');
INSERT INTO `question_option` VALUES ('ca4a90e051c34cbe98a75246bc59906a', 'A:1', null);
INSERT INTO `question_option` VALUES ('cbab4505cffe427fa342d0dad5740ac1', 'test2', null);
INSERT INTO `question_option` VALUES ('cbfebe5f94124c0dbd8ad280d63351b0', '随意、整齐、干净', '正式交往场合我们的仪表仪容要给人()的感觉');
INSERT INTO `question_option` VALUES ('cc2f57d910694387868cc67efd65b4dc', '  C. 15.8Mpa', null);
INSERT INTO `question_option` VALUES ('ccf9a11d724046dd964660b688d9dc28', 'C', null);
INSERT INTO `question_option` VALUES ('cd92d181c96944b4a24dd267e728413a', 'c', null);
INSERT INTO `question_option` VALUES ('ce55be1f36784062a07f8851b242f9e2', '狐疑', null);
INSERT INTO `question_option` VALUES ('ceaa30a7172041f0a7584d4bdb412deb', 'A', null);
INSERT INTO `question_option` VALUES ('ceeb7aa01f5e4e8c960f242980f95e51', '错误', null);
INSERT INTO `question_option` VALUES ('cf3623a4993a418d8a5d97a6ae4a7abc', '正确', null);
INSERT INTO `question_option` VALUES ('cf53cc26173f4c8686aafdd246b4a28b', 'D. h1=h2', null);
INSERT INTO `question_option` VALUES ('cf5d5c38f45d4729b6d7e2b10fd67a74', '错误', null);
INSERT INTO `question_option` VALUES ('d00fee19fd484df6b1cc23b836656fe6', '错误', null);
INSERT INTO `question_option` VALUES ('d10a52e99c6c4aceb39fadf5af178940', 'python123', null);
INSERT INTO `question_option` VALUES ('d15f9106bb9941eaab1e37356af083b3', '错误', '判断题专用选项');
INSERT INTO `question_option` VALUES ('d260b7e951064e609f6c5de6abbb2b83', '收入', null);
INSERT INTO `question_option` VALUES ('d2b29dd48c724017892a59c886d586a2', 'sdfdsf', null);
INSERT INTO `question_option` VALUES ('d2c8a767fd55485eb8ce90b242d081b3', 'A', null);
INSERT INTO `question_option` VALUES ('d36bd089207f48cfb5d806d9cf882009', '中间', '在机场、商厦、地铁等公共场所乘自动扶梯时应靠（）站立,另一侧供有急事赶路的人快行');
INSERT INTO `question_option` VALUES ('d378a5a61e004ecf9d0729bb4519cf11', '错误', null);
INSERT INTO `question_option` VALUES ('d3df5e5744164bbaa53bbba984ad5681', '测试问题？A 信息 B哈哈 c测试', null);
INSERT INTO `question_option` VALUES ('d3e1e307c2a84372b9c2a39f0c082b0f', '测试多选题4', null);
INSERT INTO `question_option` VALUES ('d4c0b55e7d1847a991e889898309717f', 'ghfgh', null);
INSERT INTO `question_option` VALUES ('d4d0e886343b44e29de5538b8c71decb', '为22454', null);
INSERT INTO `question_option` VALUES ('d50b9145fa3946c7afc4af8df449933e', 'B. ws=h1-h2', null);
INSERT INTO `question_option` VALUES ('d567c1de87c04359a717c04f3d7de8a7', '改变生活', null);
INSERT INTO `question_option` VALUES ('d5dac99c6ebf4f2597fbb3035a2ec3b0', '555', null);
INSERT INTO `question_option` VALUES ('d627f399bd484d4fb9ba0af6eb2d0893', '为22454454', null);
INSERT INTO `question_option` VALUES ('d6f986dd47d0448a87a72c12f2d3fb08', 'lo', null);
INSERT INTO `question_option` VALUES ('d72e10da82464867afca4fb841e93ce7', 'B', null);
INSERT INTO `question_option` VALUES ('d7537167166d458aad471d87f597a7cf', '吼吼', null);
INSERT INTO `question_option` VALUES ('d7f693f122e94549b93d39d79e5d53e7', 'shi', null);
INSERT INTO `question_option` VALUES ('d8a80cb9399b47b8890aa897d3ca1339', '错误', null);
INSERT INTO `question_option` VALUES ('d8e215726c544451994e98e12473e643', 'qfdfdaaaaaa', null);
INSERT INTO `question_option` VALUES ('d8fd1ca48ed74d0cb51295ad84760dd6', '正确', null);
INSERT INTO `question_option` VALUES ('d9729d496f404b3aaf42f99a85338932', 'goodbye12', null);
INSERT INTO `question_option` VALUES ('d97d9fc8348644668eee72d762c06cd2', 'qwe', null);
INSERT INTO `question_option` VALUES ('d9993e00424c4b5fad6666d7067d656c', 'D. 任意气体、开口系统、任意过程', null);
INSERT INTO `question_option` VALUES ('db43d6e8819047539922b510e0a039b7', '用餐时间 ', '拜访他人应选择（）,并应提前打招呼');
INSERT INTO `question_option` VALUES ('db752a7eee934846b8f291a1d8ef66f9', 'dsad', null);
INSERT INTO `question_option` VALUES ('db9794b9bdda420cb21dd1f4e1efdae3', '改变生活质量', null);
INSERT INTO `question_option` VALUES ('dba2977f12c0495cbfd9cec8fbf03787', '问题4', null);
INSERT INTO `question_option` VALUES ('dbdfbcc6e6ad496d8ce049fc8283dbdd', '12', null);
INSERT INTO `question_option` VALUES ('dc2f2d3089c4437db4e7834042e19fd7', 'C.ni ', null);
INSERT INTO `question_option` VALUES ('dc3ef30c0f7646f9a53b5933276fead3', '1', null);
INSERT INTO `question_option` VALUES ('dcad08ba0a8b45c897f42c9b4c53b086', '错误', null);
INSERT INTO `question_option` VALUES ('dd2fec18b3b944bd863eaf503d086473', '12312312312123123', null);
INSERT INTO `question_option` VALUES ('dd7352143c914b0e9abf4bcd4ef0e9fe', 'nbdbd', null);
INSERT INTO `question_option` VALUES ('ddd7d2bb09f347e6aac6519d05b29d1d', '123', null);
INSERT INTO `question_option` VALUES ('df100669da2b4842823c54abf03830c2', '123', null);
INSERT INTO `question_option` VALUES ('df27ec15bb404efca957f1de29dbb992', '3', null);
INSERT INTO `question_option` VALUES ('e045db0fdbca4b5a8202de9bce7cde49', 'A.', null);
INSERT INTO `question_option` VALUES ('e0c6767445284d6094737ea24d6d0f98', '669999[[[', null);
INSERT INTO `question_option` VALUES ('e0cc6903a5c54d23b37ba9df2b6fbdb7', 'de法人', null);
INSERT INTO `question_option` VALUES ('e0f516418bc843ebbdd3529421fb620a', '正确', null);
INSERT INTO `question_option` VALUES ('e136ce43dab7411cbb71d7469609b83c', '100', null);
INSERT INTO `question_option` VALUES ('e1c39e7f3d894c65aa7e6e980229757c', '改变', null);
INSERT INTO `question_option` VALUES ('e1e644ece39c4f11b4a18d3513f3bbcb', '3333', null);
INSERT INTO `question_option` VALUES ('e2ed0b87934a4787bb5cc20b5b00c13f', '正确', null);
INSERT INTO `question_option` VALUES ('e389abaf00e64667b7e646248293b975', 'test4', null);
INSERT INTO `question_option` VALUES ('e38f5456790c4593b6019714f93db263', 'sdfdsf', null);
INSERT INTO `question_option` VALUES ('e3f72bfbf0f846359abacf8457738167', 'qqwew', null);
INSERT INTO `question_option` VALUES ('e4102dd2bed047a1bf260a6464f94ff2', 'A. 膨胀过程，作功25KJ ', null);
INSERT INTO `question_option` VALUES ('e4142da9d88b457b91249a3090f35d6b', '不必考虑邻里关系', '日常生活中邻里之间应');
INSERT INTO `question_option` VALUES ('e4697cfd242c4328b28a084e4ecaaf3c', '半小时左右', '一般性的拜访多以（）为最佳交往时间');
INSERT INTO `question_option` VALUES ('e4a5d0b4cc774ec5b655a5a1134d9e24', '正确', null);
INSERT INTO `question_option` VALUES ('e4c560be9aa94d80b3a3e4a3c4044261', '反对法', null);
INSERT INTO `question_option` VALUES ('e5618b5b21ea494bbab1a82692e8a4ff', '问题2', null);
INSERT INTO `question_option` VALUES ('e58250b362aa40a985355db4976effec', 'A. q=h2-h1', null);
INSERT INTO `question_option` VALUES ('e59cee0364e7416db47fadea0a5bc290', 'B.将其直接扔到垃圾桶', null);
INSERT INTO `question_option` VALUES ('e5a7a2106a984796af45b1e9463bc530', '1', null);
INSERT INTO `question_option` VALUES ('e5bccbbd68814026b5e847f05bac44d5', 'ghfghjhff', null);
INSERT INTO `question_option` VALUES ('e5c4af9ca7c043eeb7d74303a30e2a2d', 'bb', null);
INSERT INTO `question_option` VALUES ('e5ed1d3133e64575a6e1aa6f18531ad6', '错误', null);
INSERT INTO `question_option` VALUES ('e60e24aeebe642529f34a8d6c1f8f201', '1.对的并且有余地', null);
INSERT INTO `question_option` VALUES ('e6dedfb41de94ee380b5a0ca9ac0c1c5', '测试多选题2', null);
INSERT INTO `question_option` VALUES ('e7c2308d8d794992847e68a1a0e384df', '我', null);
INSERT INTO `question_option` VALUES ('e80b3bfbd8764da58e06e2a928b086af', '错误', null);
INSERT INTO `question_option` VALUES ('e8860b61274e4941adb54d00f721773e', '错误', null);
INSERT INTO `question_option` VALUES ('e9713b14135a4b59b22a1a5410b9a4cc', 'D. h1=h2', null);
INSERT INTO `question_option` VALUES ('e9ae10a34d7c4fa5b66411b2bcd15bd1', 'B', null);
INSERT INTO `question_option` VALUES ('ea0a917c0651434c8df8b632bc919eb5', 'python', null);
INSERT INTO `question_option` VALUES ('eaadd6650f9d4ea686919dc9730d91a8', '正确', null);
INSERT INTO `question_option` VALUES ('eb192519091040a2b8c50c85ab384692', '12233', null);
INSERT INTO `question_option` VALUES ('ebb5e88363e4482895e3cf78cccb14bc', '正确', null);
INSERT INTO `question_option` VALUES ('ecb26cae0207478cb3f32d9c12e13aa6', 'rwar', null);
INSERT INTO `question_option` VALUES ('ed702b2263804207ab4a845a76c22656', '不清楚', null);
INSERT INTO `question_option` VALUES ('edda00757b104faa94a70d0e5cf47a4a', 'A.通过碎纸机将其碎掉', null);
INSERT INTO `question_option` VALUES ('eddc33534976426496b1e2eb5cfe1502', '测试', null);
INSERT INTO `question_option` VALUES ('ee4dd52c164349b49ebc22c79068ea04', 'a', null);
INSERT INTO `question_option` VALUES ('efc62ed02e9a460c8e7481d00f99e225', '真的', null);
INSERT INTO `question_option` VALUES ('f09e98a26d604341af5e488f3b9e7e00', 'aaa', null);
INSERT INTO `question_option` VALUES ('f0a2e38bb6a0467eaa4dc2abce0d5397', '456213123132131231231231312', null);
INSERT INTO `question_option` VALUES ('f12eaeb0339649929adb692e47de89ed', 'gh', null);
INSERT INTO `question_option` VALUES ('f139c33a448e48d38b36b6e710ce232e', '哈哈哈胜多负少', null);
INSERT INTO `question_option` VALUES ('f1824901411a4aaaab735c590bf7079b', 'b 多线', null);
INSERT INTO `question_option` VALUES ('f2b8a154a14c4b5589880e5fe06c21d0', 'ggggg', null);
INSERT INTO `question_option` VALUES ('f2f3ed5ca60a4930a5acaf226bc41167', '犯得上广泛大使馆', null);
INSERT INTO `question_option` VALUES ('f3bcb4e6df034ac18415a40afd073673', '669999[[[iiii\'uuuuu', null);
INSERT INTO `question_option` VALUES ('f3edeb858f004d788108a6ee8b7396ca', '12312312312123123123', null);
INSERT INTO `question_option` VALUES ('f40ce7c44edf45f296fb79f36e3bdc7c', 'A', null);
INSERT INTO `question_option` VALUES ('f4d19e393ad743a0868e6c377891076c', 'ea22', null);
INSERT INTO `question_option` VALUES ('f4e7279fb18841a7ad4d82a6c528e682', 'A.', null);
INSERT INTO `question_option` VALUES ('f54cf9081cb44864afafc7e51be3aff1', '错误', null);
INSERT INTO `question_option` VALUES ('f60335a4b5974512a0736e001f0d3e68', '正确', null);
INSERT INTO `question_option` VALUES ('f668905fcd7f4d13aa0570e8b0b21d37', '正确', null);
INSERT INTO `question_option` VALUES ('f6aa287d13e649e398da650b2dee77c4', '只剩下帅了', null);
INSERT INTO `question_option` VALUES ('f77b051a49b645058cb8dec0e2fbe820', 'B.', null);
INSERT INTO `question_option` VALUES ('f798338e96a64277bb33e9949ed251bb', 'Kung Fu Panda', null);
INSERT INTO `question_option` VALUES ('f799998269524a81bac9381362420d26', 'a', null);
INSERT INTO `question_option` VALUES ('f7df4b8aa3c64115b8c6e44b07a86e18', 'second', null);
INSERT INTO `question_option` VALUES ('f98d2eea91e94496bbec73ff04b43084', 'fdfd fdfd', null);
INSERT INTO `question_option` VALUES ('f9a3811e694b43849d3f70237cfa08a9', 'A.', null);
INSERT INTO `question_option` VALUES ('f9b46b8cf54e48448f18b8904276cb3e', '错误', null);
INSERT INTO `question_option` VALUES ('fa61e6658d53424ea073c6c88cebae09', '都撒到都撒到', null);
INSERT INTO `question_option` VALUES ('fb5f2eecef2341279412400d9a58ac4b', '正确', null);
INSERT INTO `question_option` VALUES ('fbab52e5c4494e2dbc2af209f20a9961', '地球', null);
INSERT INTO `question_option` VALUES ('fc74c7d791284bfcb972feb1007eeb34', '错误', null);
INSERT INTO `question_option` VALUES ('fcbd1f84d1144384a4c6831d2fe3ee0f', '', null);
INSERT INTO `question_option` VALUES ('fdb02b4460614e74b2e85612a74d7c65', 'D. 任意气体、任意过程', null);
INSERT INTO `question_option` VALUES ('fdf9dd6fbfd34750b7c648ece6e9a09f', '234456564564', null);
INSERT INTO `question_option` VALUES ('fe566c433e0b469780861319c19de604', '正确', null);
INSERT INTO `question_option` VALUES ('fe7b64dae30a4f389d042ab93525b46b', '1', null);
INSERT INTO `question_option` VALUES ('fea59d7e263649f48127ad9b8b4833fd', '问题3', null);
INSERT INTO `question_option` VALUES ('fed52a1a92004a869c6c195b7f0db685', 'dsa', null);
INSERT INTO `question_option` VALUES ('ff4deaa00807431682923baf77bedd4d', '工作环境', null);
INSERT INTO `question_option` VALUES ('ff916fedb6a94be78944b25bf1377282', 'B.123', null);

-- ----------------------------
-- Table structure for `question_type`
-- ----------------------------
DROP TABLE IF EXISTS `question_type`;
CREATE TABLE `question_type` (
  `question_type_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '题目类型表的主键',
  `question_type_name` varchar(64) COLLATE utf8_bin NOT NULL COMMENT '题目类型名称',
  `question_type_description` varchar(128) COLLATE utf8_bin DEFAULT NULL COMMENT '题目类型的描述',
  PRIMARY KEY (`question_type_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COLLATE=utf8_bin ROW_FORMAT=DYNAMIC COMMENT='问题类型';

-- ----------------------------
-- Records of question_type
-- ----------------------------
INSERT INTO `question_type` VALUES ('1', 'single', '单选题');
INSERT INTO `question_type` VALUES ('2', 'multi', '多选题');
INSERT INTO `question_type` VALUES ('3', 'judge', '判断题');

-- ----------------------------
-- Table structure for `role`
-- ----------------------------
DROP TABLE IF EXISTS `role`;
CREATE TABLE `role` (
  `role_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '角色表主键id',
  `role_name` varchar(32) COLLATE utf8_bin NOT NULL COMMENT '角色名称',
  `role_description` varchar(128) COLLATE utf8_bin DEFAULT NULL COMMENT '角色的描述',
  `role_detail` varchar(256) COLLATE utf8_bin DEFAULT NULL COMMENT '角色的详细功能阐述',
  `role_page_ids` varchar(256) COLLATE utf8_bin DEFAULT NULL COMMENT '当前角色所能访问的页面的id集合',
  PRIMARY KEY (`role_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COLLATE=utf8_bin ROW_FORMAT=DYNAMIC COMMENT='用户角色表';

-- ----------------------------
-- Records of role
-- ----------------------------
INSERT INTO `role` VALUES ('1', 'admin', '管理员', '拥有教师和学生的所有权限', '1-2-3-4-5-6');
INSERT INTO `role` VALUES ('2', 'teacher', '教师', '出题、组试卷、管理学生和试卷', '1-2-3-4-5-6');
INSERT INTO `role` VALUES ('3', 'student', '学生', '参与考试，查看分数', '1-2-3-6');

-- ----------------------------
-- Table structure for `user`
-- ----------------------------
DROP TABLE IF EXISTS `user`;
CREATE TABLE `user` (
  `user_id` varchar(64) COLLATE utf8_bin NOT NULL COMMENT '用户id,主键，字符串型',
  `user_username` varchar(64) COLLATE utf8_bin NOT NULL COMMENT '用户名',
  `user_nickname` varchar(64) COLLATE utf8_bin NOT NULL COMMENT '用户昵称',
  `user_password` varchar(64) COLLATE utf8_bin NOT NULL COMMENT '用户秘密',
  `user_role_id` int(11) NOT NULL COMMENT '当前用户的角色的id',
  `user_avatar` varchar(512) COLLATE utf8_bin DEFAULT NULL COMMENT '用户的头像地址',
  `user_description` varchar(512) COLLATE utf8_bin DEFAULT NULL COMMENT '用户的自我描述',
  `user_email` varchar(128) COLLATE utf8_bin DEFAULT NULL COMMENT '用户邮箱',
  `user_phone` varchar(128) COLLATE utf8_bin DEFAULT NULL COMMENT '用户手机号',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  PRIMARY KEY (`user_id`) USING BTREE,
  UNIQUE KEY `user_username` (`user_username`) USING BTREE,
  UNIQUE KEY `user_email` (`user_email`) USING BTREE,
  UNIQUE KEY `user_phone` (`user_phone`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin ROW_FORMAT=DYNAMIC COMMENT='用户信息表';

-- ----------------------------
-- Records of user
-- ----------------------------
INSERT INTO `user` VALUES ('18fe065cfadf4402a8be3bdc24b3505e', 'user_15396204056', 'user_15396204056', 'MTUzOTYyMDQwNTZoamY=', '3', 'http://d.lanrentuku.com/down/png/1904/business_avatar/8_avatar_2754583.png', 'welcome to online exam system', '2603685848@qq.com', '15396204056', '2020-04-20 00:26:59', '2020-04-20 00:26:59');
INSERT INTO `user` VALUES ('202d9c95be3b4bc090e379494d93521c', 'user_13066300803', 'user_13066300803', 'YWRtaW4xMjM=', '3', 'http://d.lanrentuku.com/down/png/1904/business_avatar/8_avatar_2754583.png', 'welcome to online exam system', '1846263444@qq.com', '13066300803', '2020-09-17 13:20:37', '2020-09-17 13:20:37');
INSERT INTO `user` VALUES ('368e10cc85814e35850ebfce66935dcf', 'user_15243649662', 'user_15243649662', 'YWRtaW4xMjM=', '3', 'http://d.lanrentuku.com/down/png/1904/business_avatar/8_avatar_2754583.png', 'welcome to online exam system', '1446833977@qq.com', '15243649662', '2020-05-22 07:40:12', '2020-05-22 07:40:12');
INSERT INTO `user` VALUES ('59d5629070554a9f8134792dcce3faf5', 'user_13021350784', 'user_13021350784', 'MXFheiNFREM=', '3', 'http://d.lanrentuku.com/down/png/1904/business_avatar/8_avatar_2754583.png', 'welcome to online exam system', 'zzy880131@163.com', '13021350784', '2020-05-13 21:46:00', '2020-05-13 21:46:00');
INSERT INTO `user` VALUES ('646f64a5d63a4338b1aee5ce500d05a7', 'user_15056615102', 'user_15056615102', 'cXdlMTIz', '3', 'http://d.lanrentuku.com/down/png/1904/business_avatar/8_avatar_2754583.png', 'welcome to online exam system', '488289153@qq.com', '15056615102', '2020-04-11 08:31:28', '2020-04-11 08:31:28');
INSERT INTO `user` VALUES ('67a60d05db984055a93b24d1b3c44e0e', 'user_18888888888', 'user_18888888888', 'YTEyMzMyMTEyMzMyMQ==', '3', 'http://d.lanrentuku.com/down/png/1904/business_avatar/8_avatar_2754583.png', 'welcome to online exam system', '12@qq.com', '18888888888', '2020-07-22 06:41:53', '2020-07-22 06:41:53');
INSERT INTO `user` VALUES ('68042014e23c4ebea7234cb9c77cee5c', 'teacher', '暮雪飞扬', 'YWRtaW4xMjM=', '2', 'https://i.loli.net/2019/11/02/OUfHKhMSwRv1ntX.jpg', '快乐就好', '1648266192@qq.com', '15261897332', '2019-05-06 18:03:27', '2019-11-02 16:37:20');
INSERT INTO `user` VALUES ('74f5b5059e4d43fa9a534460b1f76cd1', 'user_15755574512', 'user_15755574512', 'MTk5NzE1LnpqLg==', '3', 'http://d.lanrentuku.com/down/png/1904/business_avatar/8_avatar_2754583.png', 'welcome to online exam system', '1185805174@qq.com', '15755574512', '2020-05-04 14:20:46', '2020-05-04 14:20:46');
INSERT INTO `user` VALUES ('79392778a90d4639a297dbd0bae0f779', 'student', '红领巾', 'YWRtaW4xMjM=', '3', 'https://i.loli.net/2019/11/02/rCHKVJd4jTovzW9.jpg', '好好学习，天天向上', 'liangshanguang@huawei.com', '17712345678', '2019-05-06 18:07:14', '2019-11-02 16:37:31');
INSERT INTO `user` VALUES ('7c1e0cc05dad44f6a90bba58ffed0903', 'user_17865312615', 'user_17865312615', 'TWVuZ2x1bzEk', '3', 'http://d.lanrentuku.com/down/png/1904/business_avatar/8_avatar_2754583.png', 'welcome to online exam system', '751441981@qq.com', '17865312615', '2020-08-03 08:36:44', '2020-08-03 08:36:44');
INSERT INTO `user` VALUES ('8875fe3e354f4150bcb03923d926cec2', 'user_13697979059', 'user_13697979059', 'eGlhbzEyMw==', '3', 'http://d.lanrentuku.com/down/png/1904/business_avatar/8_avatar_2754583.png', 'welcome to online exam system', '1753703407@qq.com', '13697979059', '2020-04-24 12:51:55', '2020-04-24 12:51:55');
INSERT INTO `user` VALUES ('a1b661031adf4a8f969f1869d479fe74', 'admin', '西门吹雪', 'YWRtaW4xMjM=', '1', 'https://i.loli.net/2019/11/02/DvPiSRJrzoH1tkZ.gif', '绳锯木断，水滴石穿', 'liangshanguang2@gmail.com', '17601324488', '2019-05-06 17:57:44', '2019-11-02 16:37:37');
INSERT INTO `user` VALUES ('c541be0898a146b69446c91d299d2068', 'user_13726432778', 'user_13726432778', 'ZHlnMTIzNDU2', '3', 'http://d.lanrentuku.com/down/png/1904/business_avatar/8_avatar_2754583.png', 'welcome to online exam system', '1213@qq.com', '13726432778', '2020-03-18 00:41:39', '2020-03-18 00:41:39');
INSERT INTO `user` VALUES ('d2262452ef3745a296dd92d60ef3c854', 'user_13601104354', 'user_13601104354', 'YXNkZmcxMjM=', '3', 'http://d.lanrentuku.com/down/png/1904/business_avatar/8_avatar_2754583.png', 'welcome to online exam system', '1748218486@qq.com', '13601104354', '2020-04-30 07:48:48', '2020-04-30 07:48:48');
INSERT INTO `user` VALUES ('daf40c1e71464b1da3a7c4cb2235875a', 'user_16571894631', 'user_16571894631', 'eW91c3NpMDE2Kw==', '3', 'http://d.lanrentuku.com/down/png/1904/business_avatar/8_avatar_2754583.png', 'welcome to online exam system', 'wiyow16843@psk3n.com', '16571894631', '2020-06-06 14:18:33', '2020-06-06 14:18:33');
INSERT INTO `user` VALUES ('f4ee01f32f5f443d9b1bcc05c02bf58d', 'user_13245654578', 'user_13245654578', 'THltMTMwMDYw', '3', 'http://d.lanrentuku.com/down/png/1904/business_avatar/8_avatar_2754583.png', 'welcome to online exam system', '123@163.com', '13245654578', '2020-05-26 02:36:10', '2020-05-26 02:36:10');
INSERT INTO `user` VALUES ('f887e6120e4644679199cd505d87f2f1', 'user_13978999127', 'user_13978999127', 'bGlvbjUyMDEzMTQ=', '3', 'http://d.lanrentuku.com/down/png/1904/business_avatar/8_avatar_2754583.png', 'welcome to online exam system', '1219881823@qq.com', '13978999127', '2020-04-05 06:36:35', '2020-04-05 06:36:35');
INSERT INTO `user` VALUES ('fd305dec212749c5b861f22dc56f969b', 'user_15870019029', 'user_15870019029', 'SGJodHh4NDAwMDQ4', '3', 'http://d.lanrentuku.com/down/png/1904/business_avatar/8_avatar_2754583.png', 'welcome to online exam system', '1987428669@qq.com', '15870019029', '2020-09-01 12:18:28', '2020-09-01 12:18:28');
INSERT INTO `user` VALUES ('ff4ab7357e97429b857adc5bcf55ee75', 'user_17852001277', 'user_17852001277', 'eHVoYW5iaW4xMjM=', '3', 'http://d.lanrentuku.com/down/png/1904/business_avatar/8_avatar_2754583.png', 'welcome to online exam system', 'honbunhsu04134@163.com', '17852001277', '2020-05-13 01:05:36', '2020-05-13 01:05:36');
